package androidx.core.os;

import androidx.annotation.IntRange;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import com.google.common.primitives.UnsignedLongs;
import cz.msebera.android.httpclient.impl.client.cache.CacheConfig;
import java.util.Locale;
/* loaded from: classes.dex */
interface LocaleListInterface {
    Locale get(int i);

    @Nullable
    Locale getFirstMatch(@NonNull String[] strArr);

    Object getLocaleList();

    @IntRange(from = UnsignedLongs.MAX_VALUE)
    int indexOf(Locale locale);

    boolean isEmpty();

    @IntRange(from = CacheConfig.DEFAULT_HEURISTIC_LIFETIME)
    int size();

    String toLanguageTags();
}
