package com.baidu.b.c.d;

import com.google.common.primitives.UnsignedBytes;
import java.security.DigestException;
import java.security.InvalidAlgorithmParameterException;
import java.security.InvalidKeyException;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.security.SecureRandom;
import java.security.spec.MGF1ParameterSpec;
import java.util.Collections;
import java.util.HashMap;
import java.util.Map;
import javax.crypto.BadPaddingException;
import javax.crypto.spec.OAEPParameterSpec;
import javax.crypto.spec.PSource;
import org.apache.commons.codec.digest.MessageDigestAlgorithms;
/* loaded from: classes.dex */
public final class f {
    private static final Map h = Collections.synchronizedMap(new HashMap());
    private final int a;
    private final int b;
    private SecureRandom c;
    private final int d;
    private MessageDigest e;
    private MessageDigest f;
    private byte[] g;

    /* JADX WARN: Can't fix incorrect switch cases order, some code will duplicate */
    private f(int i, int i2, SecureRandom secureRandom, OAEPParameterSpec oAEPParameterSpec) {
        String digestAlgorithm;
        this.a = i;
        this.b = i2;
        this.c = secureRandom;
        if (i2 < 64) {
            throw new InvalidKeyException("Padded size must be at least 64");
        }
        switch (i) {
            case 1:
            case 2:
                i2 -= 11;
                break;
            case 3:
                break;
            case 4:
                String str = MessageDigestAlgorithms.SHA_1;
                String str2 = MessageDigestAlgorithms.SHA_1;
                byte[] bArr = null;
                if (oAEPParameterSpec != null) {
                    try {
                        digestAlgorithm = oAEPParameterSpec.getDigestAlgorithm();
                        try {
                            String mGFAlgorithm = oAEPParameterSpec.getMGFAlgorithm();
                            if (!mGFAlgorithm.equalsIgnoreCase("MGF1")) {
                                throw new InvalidAlgorithmParameterException("Unsupported MGF algo: " + mGFAlgorithm);
                            }
                            String digestAlgorithm2 = ((MGF1ParameterSpec) oAEPParameterSpec.getMGFParameters()).getDigestAlgorithm();
                            PSource pSource = oAEPParameterSpec.getPSource();
                            String algorithm = pSource.getAlgorithm();
                            if (!algorithm.equalsIgnoreCase("PSpecified")) {
                                throw new InvalidAlgorithmParameterException("Unsupported pSource algo: " + algorithm);
                            }
                            bArr = ((PSource.PSpecified) pSource).getValue();
                            str2 = digestAlgorithm2;
                            str = digestAlgorithm;
                        } catch (NoSuchAlgorithmException e) {
                            e = e;
                            throw new InvalidKeyException("Digest " + digestAlgorithm + " not available", e);
                        }
                    } catch (NoSuchAlgorithmException e2) {
                        digestAlgorithm = str;
                        e = e2;
                    }
                }
                this.e = MessageDigest.getInstance(str);
                this.f = MessageDigest.getInstance(str2);
                this.g = a(this.e, bArr);
                this.d = (i2 - 2) - (this.g.length * 2);
                if (this.d > 0) {
                    return;
                }
                throw new InvalidKeyException("Key is too short for encryption using OAEPPadding with " + str + " and MGF1" + str2);
            default:
                throw new InvalidKeyException("Invalid padding: " + i);
        }
        this.d = i2;
    }

    public static f a(int i, int i2, SecureRandom secureRandom) {
        return new f(i, i2, secureRandom, null);
    }

    public static f a(int i, int i2, SecureRandom secureRandom, OAEPParameterSpec oAEPParameterSpec) {
        return new f(i, i2, secureRandom, oAEPParameterSpec);
    }

    private void a(byte[] bArr, int i, int i2, byte[] bArr2, int i3, int i4) {
        byte[] bArr3 = new byte[4];
        byte[] bArr4 = new byte[20];
        while (i4 > 0) {
            this.f.update(bArr, i, i2);
            this.f.update(bArr3);
            try {
                this.f.digest(bArr4, 0, bArr4.length);
                for (int i5 = 0; i5 < bArr4.length && i4 > 0; i5++) {
                    bArr2[i3] = (byte) (bArr2[i3] ^ bArr4[i5]);
                    i4--;
                    i3++;
                }
                if (i4 > 0) {
                    int length = bArr3.length;
                    while (true) {
                        length--;
                        byte b = (byte) (bArr3[length] + 1);
                        bArr3[length] = b;
                        if (b == 0 && length > 0) {
                        }
                    }
                }
            } catch (DigestException e) {
                throw new BadPaddingException(e.toString());
            }
        }
    }

    private static byte[] a(MessageDigest messageDigest, byte[] bArr) {
        if (bArr == null || bArr.length == 0) {
            String algorithm = messageDigest.getAlgorithm();
            byte[] bArr2 = (byte[]) h.get(algorithm);
            if (bArr2 == null) {
                byte[] digest = messageDigest.digest();
                h.put(algorithm, digest);
                return digest;
            }
            return bArr2;
        }
        return messageDigest.digest(bArr);
    }

    private byte[] c(byte[] bArr) {
        int i;
        int i2;
        byte[] bArr2 = new byte[this.b];
        System.arraycopy(bArr, 0, bArr2, this.b - bArr.length, bArr.length);
        int length = (this.b - 3) - bArr.length;
        bArr2[0] = 0;
        bArr2[1] = (byte) this.a;
        int i3 = -1;
        int i4 = 2;
        if (this.a != 1) {
            if (this.c == null) {
                this.c = b.a;
            }
            byte[] bArr3 = new byte[64];
            while (true) {
                int i5 = length - 1;
                if (length <= 0) {
                    break;
                }
                while (true) {
                    if (i3 < 0) {
                        this.c.nextBytes(bArr3);
                        i3 = bArr3.length - 1;
                    }
                    i = i3 - 1;
                    i2 = bArr3[i3] & UnsignedBytes.MAX_VALUE;
                    if (i2 != 0) {
                        break;
                    }
                    i3 = i;
                }
                bArr2[i4] = (byte) i2;
                i3 = i;
                length = i5;
                i4++;
            }
        } else {
            while (true) {
                int i6 = length - 1;
                if (length <= 0) {
                    break;
                }
                bArr2[i4] = -1;
                i4++;
                length = i6;
            }
        }
        return bArr2;
    }

    private byte[] d(byte[] bArr) {
        if (bArr[0] != 0) {
            throw new BadPaddingException("Data must start with zero");
        }
        int i = 2;
        if (bArr[1] != this.a) {
            throw new BadPaddingException("Blocktype mismatch: " + ((int) bArr[1]));
        }
        while (true) {
            int i2 = i + 1;
            int i3 = bArr[i] & UnsignedBytes.MAX_VALUE;
            if (i3 == 0) {
                int length = bArr.length - i2;
                if (length <= this.d) {
                    byte[] bArr2 = new byte[length];
                    System.arraycopy(bArr, bArr.length - length, bArr2, 0, length);
                    return bArr2;
                }
                throw new BadPaddingException("Padding string too short");
            } else if (i2 == bArr.length) {
                throw new BadPaddingException("Padding string not terminated");
            } else {
                if (this.a == 1 && i3 != 255) {
                    throw new BadPaddingException("Padding byte not 0xff: " + i3);
                }
                i = i2;
            }
        }
    }

    private byte[] e(byte[] bArr) {
        if (this.c == null) {
            this.c = b.a;
        }
        int length = this.g.length;
        byte[] bArr2 = new byte[length];
        this.c.nextBytes(bArr2);
        byte[] bArr3 = new byte[this.b];
        System.arraycopy(bArr2, 0, bArr3, 1, length);
        int i = length + 1;
        int length2 = bArr3.length - i;
        int length3 = this.b - bArr.length;
        System.arraycopy(this.g, 0, bArr3, i, length);
        bArr3[length3 - 1] = 1;
        System.arraycopy(bArr, 0, bArr3, length3, bArr.length);
        a(bArr3, 1, length, bArr3, i, length2);
        a(bArr3, i, length2, bArr3, 1, length);
        return bArr3;
    }

    private byte[] f(byte[] bArr) {
        int length = this.g.length;
        if (bArr[0] == 0) {
            int i = length + 1;
            int length2 = bArr.length - i;
            a(bArr, i, length2, bArr, 1, length);
            a(bArr, 1, length, bArr, i, length2);
            for (int i2 = 0; i2 < length; i2++) {
                if (this.g[i2] != bArr[i + i2]) {
                    throw new BadPaddingException("lHash mismatch");
                }
            }
            int i3 = i + length;
            while (bArr[i3] == 0) {
                i3++;
                if (i3 >= bArr.length) {
                    throw new BadPaddingException("Padding string not terminated");
                }
            }
            int i4 = i3 + 1;
            if (bArr[i3] == 1) {
                int length3 = bArr.length - i4;
                byte[] bArr2 = new byte[length3];
                System.arraycopy(bArr, i4, bArr2, 0, length3);
                return bArr2;
            }
            throw new BadPaddingException("Padding string not terminated by 0x01 byte");
        }
        throw new BadPaddingException("Data must start with zero");
    }

    public int a() {
        return this.d;
    }

    public byte[] a(byte[] bArr) {
        if (bArr.length <= this.d) {
            switch (this.a) {
                case 1:
                case 2:
                    return c(bArr);
                case 3:
                    return bArr;
                case 4:
                    return e(bArr);
                default:
                    throw new AssertionError();
            }
        }
        throw new BadPaddingException("Data must be shorter than " + (this.d + 1) + " bytes");
    }

    public byte[] a(byte[] bArr, int i, int i2) {
        return a(b.a(bArr, i, i2));
    }

    public byte[] b(byte[] bArr) {
        if (bArr.length != this.b) {
            throw new BadPaddingException("Padded length must be " + this.b);
        }
        switch (this.a) {
            case 1:
            case 2:
                return d(bArr);
            case 3:
                return bArr;
            case 4:
                return f(bArr);
            default:
                throw new AssertionError();
        }
    }
}
