package com.baidu.location;

import android.location.Location;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.text.TextUtils;
import com.baidu.location.Address;
import com.baidu.location.e.g;
import com.baidu.platform.comapi.location.CoordinateType;
import com.baidu.platform.comapi.map.MapBundleKey;
import java.util.ArrayList;
import java.util.List;
import java.util.Locale;
import org.json.JSONArray;
import org.json.JSONObject;
/* loaded from: classes.dex */
public final class BDLocation implements Parcelable {
    public static final String BDLOCATION_BD09LL_TO_GCJ02 = "bd09ll2gcj";
    public static final String BDLOCATION_BD09_TO_GCJ02 = "bd092gcj";
    public static final String BDLOCATION_GCJ02_TO_BD09 = "bd09";
    public static final String BDLOCATION_GCJ02_TO_BD09LL = "bd09ll";
    public static final String BDLOCATION_WGS84_TO_GCJ02 = "gps2gcj";
    public static final Parcelable.Creator<BDLocation> CREATOR = new Parcelable.Creator<BDLocation>() { // from class: com.baidu.location.BDLocation.1
        /* JADX WARN: Can't rename method to resolve collision */
        @Override // android.os.Parcelable.Creator
        public BDLocation createFromParcel(Parcel parcel) {
            return new BDLocation(parcel);
        }

        /* JADX WARN: Can't rename method to resolve collision */
        @Override // android.os.Parcelable.Creator
        public BDLocation[] newArray(int i) {
            return new BDLocation[i];
        }
    };
    public static final int GPS_ACCURACY_BAD = 3;
    public static final int GPS_ACCURACY_GOOD = 1;
    public static final int GPS_ACCURACY_MID = 2;
    public static final int GPS_ACCURACY_UNKNOWN = 0;
    public static final int GPS_RECTIFY_INDOOR = 1;
    public static final int GPS_RECTIFY_NONE = 0;
    public static final int GPS_RECTIFY_OUTDOOR = 2;
    public static final int INDOOR_LOCATION_NEARBY_SURPPORT_TRUE = 2;
    public static final int INDOOR_LOCATION_SOURCE_BLUETOOTH = 4;
    public static final int INDOOR_LOCATION_SOURCE_MAGNETIC = 2;
    public static final int INDOOR_LOCATION_SOURCE_SMALLCELLSTATION = 8;
    public static final int INDOOR_LOCATION_SOURCE_UNKNOWN = 0;
    public static final int INDOOR_LOCATION_SOURCE_WIFI = 1;
    public static final int INDOOR_LOCATION_SURPPORT_FALSE = 0;
    public static final int INDOOR_LOCATION_SURPPORT_TRUE = 1;
    public static final int INDOOR_NETWORK_STATE_HIGH = 2;
    public static final int INDOOR_NETWORK_STATE_LOW = 0;
    public static final int INDOOR_NETWORK_STATE_MIDDLE = 1;
    public static final int LOCATION_WHERE_IN_CN = 1;
    public static final int LOCATION_WHERE_OUT_CN = 0;
    public static final int LOCATION_WHERE_UNKNOW = 2;
    public static final int MOCK_GPS_PROBABILITY_HIGH = 3;
    public static final int MOCK_GPS_PROBABILITY_LOW = 1;
    public static final int MOCK_GPS_PROBABILITY_MIDDLE = 2;
    public static final int MOCK_GPS_PROBABILITY_UNKNOW = -1;
    public static final int MOCK_GPS_PROBABILITY_ZERO = 0;
    public static final int OPERATORS_TYPE_MOBILE = 1;
    public static final int OPERATORS_TYPE_TELECOMU = 3;
    public static final int OPERATORS_TYPE_UNICOM = 2;
    public static final int OPERATORS_TYPE_UNKONW = 0;
    public static final int TypeCacheLocation = 65;
    public static final int TypeCriteriaException = 62;
    public static final int TypeGpsLocation = 61;
    public static final int TypeNetWorkException = 63;
    public static final int TypeNetWorkLocation = 161;
    public static final int TypeNone = 0;
    public static final int TypeOffLineLocation = 66;
    public static final int TypeOffLineLocationFail = 67;
    public static final int TypeOffLineLocationNetworkFail = 68;
    public static final int TypeServerCheckKeyError = 505;
    public static final int TypeServerDecryptError = 162;
    public static final int TypeServerError = 167;
    public static final int USER_INDDOR_TRUE = 1;
    public static final int USER_INDOOR_FALSE = 0;
    public static final int USER_INDOOR_UNKNOW = -1;
    private int A;
    private int B;
    private String C;
    private int D;
    private String E;
    private int F;
    private int G;
    private int H;
    private int I;
    private String J;
    private String K;
    private String L;
    private List<Poi> M;
    private String N;
    private String O;
    private String P;
    private Bundle Q;
    private int R;
    private int S;
    private long T;
    private String U;
    private double V;
    private double W;
    private boolean X;
    private PoiRegion Y;
    private float Z;
    private int a;
    private double aa;
    private int ab;
    private int ac;
    private BDLocation ad;
    private String b;
    private double c;
    private double d;
    private boolean e;
    private double f;
    private boolean g;
    private float h;
    private boolean i;
    private float j;
    private String k;
    private boolean l;
    private int m;
    private float n;
    private String o;
    private boolean p;
    private String q;
    private String r;
    private String s;
    private String t;
    private boolean u;
    private Address v;
    private String w;
    private String x;
    private String y;
    private boolean z;

    public BDLocation() {
        this.a = 0;
        this.b = null;
        this.c = Double.MIN_VALUE;
        this.d = Double.MIN_VALUE;
        this.e = false;
        this.f = Double.MIN_VALUE;
        this.g = false;
        this.h = 0.0f;
        this.i = false;
        this.j = 0.0f;
        this.l = false;
        this.m = -1;
        this.n = -1.0f;
        this.o = null;
        this.p = false;
        this.q = null;
        this.r = null;
        this.s = null;
        this.t = null;
        this.u = false;
        this.v = new Address.Builder().build();
        this.w = null;
        this.x = null;
        this.y = null;
        this.z = false;
        this.A = 0;
        this.B = 1;
        this.C = null;
        this.E = "";
        this.F = -1;
        this.G = 0;
        this.H = 2;
        this.I = 0;
        this.J = null;
        this.K = null;
        this.L = null;
        this.M = null;
        this.N = null;
        this.O = null;
        this.P = null;
        this.Q = new Bundle();
        this.R = 0;
        this.S = 0;
        this.T = 0L;
        this.U = null;
        this.V = Double.MIN_VALUE;
        this.W = Double.MIN_VALUE;
        this.X = false;
        this.Y = null;
        this.Z = -1.0f;
        this.aa = -1.0d;
        this.ab = 0;
        this.ac = -1;
    }

    private BDLocation(Parcel parcel) {
        this.a = 0;
        this.b = null;
        this.c = Double.MIN_VALUE;
        this.d = Double.MIN_VALUE;
        this.e = false;
        this.f = Double.MIN_VALUE;
        this.g = false;
        this.h = 0.0f;
        this.i = false;
        this.j = 0.0f;
        this.l = false;
        this.m = -1;
        this.n = -1.0f;
        this.o = null;
        this.p = false;
        this.q = null;
        this.r = null;
        this.s = null;
        this.t = null;
        this.u = false;
        this.v = new Address.Builder().build();
        this.w = null;
        this.x = null;
        this.y = null;
        this.z = false;
        this.A = 0;
        this.B = 1;
        this.C = null;
        this.E = "";
        this.F = -1;
        this.G = 0;
        this.H = 2;
        this.I = 0;
        this.J = null;
        this.K = null;
        this.L = null;
        this.M = null;
        this.N = null;
        this.O = null;
        this.P = null;
        this.Q = new Bundle();
        this.R = 0;
        this.S = 0;
        this.T = 0L;
        this.U = null;
        this.V = Double.MIN_VALUE;
        this.W = Double.MIN_VALUE;
        this.X = false;
        this.Y = null;
        this.Z = -1.0f;
        this.aa = -1.0d;
        this.ab = 0;
        this.ac = -1;
        this.a = parcel.readInt();
        this.b = parcel.readString();
        this.c = parcel.readDouble();
        this.d = parcel.readDouble();
        this.f = parcel.readDouble();
        this.h = parcel.readFloat();
        this.j = parcel.readFloat();
        this.k = parcel.readString();
        this.m = parcel.readInt();
        this.n = parcel.readFloat();
        this.w = parcel.readString();
        this.A = parcel.readInt();
        this.x = parcel.readString();
        this.y = parcel.readString();
        this.C = parcel.readString();
        String readString = parcel.readString();
        String readString2 = parcel.readString();
        String readString3 = parcel.readString();
        String readString4 = parcel.readString();
        String readString5 = parcel.readString();
        String readString6 = parcel.readString();
        parcel.readString();
        String readString7 = parcel.readString();
        String readString8 = parcel.readString();
        String readString9 = parcel.readString();
        this.v = new Address.Builder().country(readString7).countryCode(readString8).province(readString).city(readString2).cityCode(readString6).district(readString3).street(readString4).streetNumber(readString5).adcode(readString9).town(parcel.readString()).build();
        boolean[] zArr = new boolean[8];
        this.D = parcel.readInt();
        this.E = parcel.readString();
        this.r = parcel.readString();
        this.s = parcel.readString();
        this.t = parcel.readString();
        this.B = parcel.readInt();
        this.N = parcel.readString();
        this.F = parcel.readInt();
        this.G = parcel.readInt();
        this.H = parcel.readInt();
        this.I = parcel.readInt();
        this.J = parcel.readString();
        this.K = parcel.readString();
        this.L = parcel.readString();
        this.R = parcel.readInt();
        this.O = parcel.readString();
        this.S = parcel.readInt();
        this.P = parcel.readString();
        this.U = parcel.readString();
        this.T = parcel.readLong();
        this.V = parcel.readDouble();
        this.W = parcel.readDouble();
        this.Z = parcel.readFloat();
        this.aa = parcel.readDouble();
        this.ab = parcel.readInt();
        this.ac = parcel.readInt();
        this.o = parcel.readString();
        try {
            this.ad = (BDLocation) parcel.readParcelable(BDLocation.class.getClassLoader());
        } catch (Exception e) {
            this.ad = null;
            e.printStackTrace();
        }
        try {
            parcel.readBooleanArray(zArr);
            this.e = zArr[0];
            this.g = zArr[1];
            this.i = zArr[2];
            this.l = zArr[3];
            this.p = zArr[4];
            this.u = zArr[5];
            this.z = zArr[6];
            this.X = zArr[7];
        } catch (Exception unused) {
        }
        ArrayList arrayList = new ArrayList();
        try {
            parcel.readList(arrayList, Poi.class.getClassLoader());
        } catch (Exception e2) {
            e2.printStackTrace();
        }
        if (arrayList.size() == 0) {
            this.M = null;
        } else {
            this.M = arrayList;
        }
        try {
            this.Q = parcel.readBundle();
        } catch (Exception e3) {
            e3.printStackTrace();
            this.Q = new Bundle();
        }
        try {
            this.Y = (PoiRegion) parcel.readParcelable(PoiRegion.class.getClassLoader());
        } catch (Exception e4) {
            this.Y = null;
            e4.printStackTrace();
        }
    }

    public BDLocation(BDLocation bDLocation) {
        this.a = 0;
        ArrayList arrayList = null;
        this.b = null;
        this.c = Double.MIN_VALUE;
        this.d = Double.MIN_VALUE;
        this.e = false;
        this.f = Double.MIN_VALUE;
        this.g = false;
        this.h = 0.0f;
        this.i = false;
        this.j = 0.0f;
        this.l = false;
        this.m = -1;
        this.n = -1.0f;
        this.o = null;
        this.p = false;
        this.q = null;
        this.r = null;
        this.s = null;
        this.t = null;
        this.u = false;
        this.v = new Address.Builder().build();
        this.w = null;
        this.x = null;
        this.y = null;
        this.z = false;
        this.A = 0;
        this.B = 1;
        this.C = null;
        this.E = "";
        this.F = -1;
        this.G = 0;
        this.H = 2;
        this.I = 0;
        this.J = null;
        this.K = null;
        this.L = null;
        this.M = null;
        this.N = null;
        this.O = null;
        this.P = null;
        this.Q = new Bundle();
        this.R = 0;
        this.S = 0;
        this.T = 0L;
        this.U = null;
        this.V = Double.MIN_VALUE;
        this.W = Double.MIN_VALUE;
        this.X = false;
        this.Y = null;
        this.Z = -1.0f;
        this.aa = -1.0d;
        this.ab = 0;
        this.ac = -1;
        this.a = bDLocation.a;
        this.b = bDLocation.b;
        this.c = bDLocation.c;
        this.d = bDLocation.d;
        this.e = bDLocation.e;
        this.f = bDLocation.f;
        this.g = bDLocation.g;
        this.h = bDLocation.h;
        this.i = bDLocation.i;
        this.j = bDLocation.j;
        this.k = bDLocation.k;
        this.l = bDLocation.l;
        this.m = bDLocation.m;
        this.n = bDLocation.n;
        this.o = bDLocation.o;
        this.p = bDLocation.p;
        this.q = bDLocation.q;
        this.u = bDLocation.u;
        this.v = new Address.Builder().country(bDLocation.v.country).countryCode(bDLocation.v.countryCode).province(bDLocation.v.province).city(bDLocation.v.city).cityCode(bDLocation.v.cityCode).district(bDLocation.v.district).street(bDLocation.v.street).streetNumber(bDLocation.v.streetNumber).adcode(bDLocation.v.adcode).town(bDLocation.v.town).build();
        this.w = bDLocation.w;
        this.x = bDLocation.x;
        this.y = bDLocation.y;
        this.B = bDLocation.B;
        this.A = bDLocation.A;
        this.z = bDLocation.z;
        this.C = bDLocation.C;
        this.D = bDLocation.D;
        this.E = bDLocation.E;
        this.r = bDLocation.r;
        this.s = bDLocation.s;
        this.t = bDLocation.t;
        this.F = bDLocation.F;
        this.G = bDLocation.G;
        this.H = bDLocation.G;
        this.I = bDLocation.I;
        this.J = bDLocation.J;
        this.K = bDLocation.K;
        this.L = bDLocation.L;
        this.R = bDLocation.R;
        this.P = bDLocation.P;
        this.U = bDLocation.U;
        this.V = bDLocation.V;
        this.W = bDLocation.W;
        this.T = bDLocation.T;
        this.aa = bDLocation.aa;
        this.ab = bDLocation.ab;
        this.ac = bDLocation.ac;
        this.ad = bDLocation.ad;
        this.O = bDLocation.O;
        if (bDLocation.M != null) {
            arrayList = new ArrayList();
            for (int i = 0; i < bDLocation.M.size(); i++) {
                Poi poi = bDLocation.M.get(i);
                arrayList.add(new Poi(poi.getId(), poi.getName(), poi.getRank(), poi.getTags(), poi.getAddr()));
            }
        }
        this.M = arrayList;
        this.N = bDLocation.N;
        this.Q = bDLocation.Q;
        this.S = bDLocation.S;
        this.X = bDLocation.X;
        this.Y = bDLocation.Y;
        this.Z = bDLocation.Z;
    }

    /* JADX WARN: Removed duplicated region for block: B:184:0x0438 A[Catch: Error -> 0x06ff, Exception -> 0x0705, TryCatch #10 {Error -> 0x06ff, blocks: (B:7:0x009b, B:9:0x00c0, B:11:0x0122, B:12:0x012b, B:14:0x0133, B:15:0x013c, B:17:0x0144, B:18:0x0152, B:19:0x0155, B:22:0x015b, B:26:0x0167, B:28:0x01a2, B:29:0x01ab, B:31:0x01b3, B:33:0x01c1, B:35:0x01cd, B:37:0x01d3, B:39:0x01db, B:40:0x01ed, B:42:0x01f3, B:44:0x0215, B:46:0x0220, B:48:0x0228, B:50:0x0233, B:51:0x0241, B:52:0x0243, B:54:0x024b, B:56:0x0257, B:57:0x0259, B:59:0x0261, B:61:0x0275, B:62:0x027b, B:64:0x0283, B:65:0x0289, B:67:0x0291, B:68:0x0297, B:69:0x029e, B:71:0x02a6, B:73:0x02b2, B:74:0x02b4, B:76:0x02bc, B:80:0x02c8, B:82:0x02e2, B:83:0x02e8, B:85:0x02f0, B:86:0x02f6, B:88:0x02fe, B:89:0x0304, B:91:0x030c, B:92:0x0312, B:94:0x031a, B:95:0x0320, B:97:0x0328, B:98:0x032e, B:100:0x0336, B:101:0x033c, B:103:0x0344, B:104:0x034a, B:106:0x0352, B:108:0x035b, B:110:0x0363, B:184:0x0438, B:186:0x0474, B:188:0x047c, B:190:0x048c, B:191:0x048f, B:193:0x0497, B:195:0x04a3, B:196:0x04ae, B:198:0x04b6, B:200:0x04c6, B:201:0x04c9, B:203:0x04d1, B:205:0x04e1, B:206:0x04e4, B:208:0x04ec, B:210:0x04fc, B:211:0x04ff, B:213:0x0507, B:215:0x0513, B:216:0x0516, B:219:0x051f, B:220:0x0529, B:222:0x0531, B:224:0x053f, B:226:0x054f, B:228:0x0556, B:229:0x0559, B:231:0x0561, B:232:0x0572, B:234:0x057a, B:235:0x0582, B:237:0x058a, B:238:0x0592, B:240:0x059a, B:241:0x05a3, B:243:0x05ab, B:245:0x05bb, B:247:0x05c5, B:249:0x05c9, B:254:0x05da, B:256:0x05e2, B:258:0x05ef, B:260:0x05f7, B:261:0x0605, B:262:0x0608, B:265:0x060e, B:267:0x0615, B:269:0x061d, B:270:0x0625, B:272:0x062d, B:286:0x0663, B:287:0x0666, B:296:0x06a0, B:257:0x05ec, B:253:0x05d7, B:113:0x0374, B:115:0x0383, B:119:0x0389, B:126:0x0397, B:133:0x03a6, B:140:0x03b7, B:147:0x03c9, B:154:0x03dd, B:161:0x03f0, B:169:0x0407, B:181:0x042e, B:185:0x046e, B:304:0x06b2, B:305:0x06b7), top: B:336:0x009b }] */
    /* JADX WARN: Removed duplicated region for block: B:188:0x047c A[Catch: Error -> 0x06ff, Exception -> 0x0705, TryCatch #10 {Error -> 0x06ff, blocks: (B:7:0x009b, B:9:0x00c0, B:11:0x0122, B:12:0x012b, B:14:0x0133, B:15:0x013c, B:17:0x0144, B:18:0x0152, B:19:0x0155, B:22:0x015b, B:26:0x0167, B:28:0x01a2, B:29:0x01ab, B:31:0x01b3, B:33:0x01c1, B:35:0x01cd, B:37:0x01d3, B:39:0x01db, B:40:0x01ed, B:42:0x01f3, B:44:0x0215, B:46:0x0220, B:48:0x0228, B:50:0x0233, B:51:0x0241, B:52:0x0243, B:54:0x024b, B:56:0x0257, B:57:0x0259, B:59:0x0261, B:61:0x0275, B:62:0x027b, B:64:0x0283, B:65:0x0289, B:67:0x0291, B:68:0x0297, B:69:0x029e, B:71:0x02a6, B:73:0x02b2, B:74:0x02b4, B:76:0x02bc, B:80:0x02c8, B:82:0x02e2, B:83:0x02e8, B:85:0x02f0, B:86:0x02f6, B:88:0x02fe, B:89:0x0304, B:91:0x030c, B:92:0x0312, B:94:0x031a, B:95:0x0320, B:97:0x0328, B:98:0x032e, B:100:0x0336, B:101:0x033c, B:103:0x0344, B:104:0x034a, B:106:0x0352, B:108:0x035b, B:110:0x0363, B:184:0x0438, B:186:0x0474, B:188:0x047c, B:190:0x048c, B:191:0x048f, B:193:0x0497, B:195:0x04a3, B:196:0x04ae, B:198:0x04b6, B:200:0x04c6, B:201:0x04c9, B:203:0x04d1, B:205:0x04e1, B:206:0x04e4, B:208:0x04ec, B:210:0x04fc, B:211:0x04ff, B:213:0x0507, B:215:0x0513, B:216:0x0516, B:219:0x051f, B:220:0x0529, B:222:0x0531, B:224:0x053f, B:226:0x054f, B:228:0x0556, B:229:0x0559, B:231:0x0561, B:232:0x0572, B:234:0x057a, B:235:0x0582, B:237:0x058a, B:238:0x0592, B:240:0x059a, B:241:0x05a3, B:243:0x05ab, B:245:0x05bb, B:247:0x05c5, B:249:0x05c9, B:254:0x05da, B:256:0x05e2, B:258:0x05ef, B:260:0x05f7, B:261:0x0605, B:262:0x0608, B:265:0x060e, B:267:0x0615, B:269:0x061d, B:270:0x0625, B:272:0x062d, B:286:0x0663, B:287:0x0666, B:296:0x06a0, B:257:0x05ec, B:253:0x05d7, B:113:0x0374, B:115:0x0383, B:119:0x0389, B:126:0x0397, B:133:0x03a6, B:140:0x03b7, B:147:0x03c9, B:154:0x03dd, B:161:0x03f0, B:169:0x0407, B:181:0x042e, B:185:0x046e, B:304:0x06b2, B:305:0x06b7), top: B:336:0x009b }] */
    /* JADX WARN: Removed duplicated region for block: B:193:0x0497 A[Catch: Error -> 0x06ff, Exception -> 0x0705, TryCatch #10 {Error -> 0x06ff, blocks: (B:7:0x009b, B:9:0x00c0, B:11:0x0122, B:12:0x012b, B:14:0x0133, B:15:0x013c, B:17:0x0144, B:18:0x0152, B:19:0x0155, B:22:0x015b, B:26:0x0167, B:28:0x01a2, B:29:0x01ab, B:31:0x01b3, B:33:0x01c1, B:35:0x01cd, B:37:0x01d3, B:39:0x01db, B:40:0x01ed, B:42:0x01f3, B:44:0x0215, B:46:0x0220, B:48:0x0228, B:50:0x0233, B:51:0x0241, B:52:0x0243, B:54:0x024b, B:56:0x0257, B:57:0x0259, B:59:0x0261, B:61:0x0275, B:62:0x027b, B:64:0x0283, B:65:0x0289, B:67:0x0291, B:68:0x0297, B:69:0x029e, B:71:0x02a6, B:73:0x02b2, B:74:0x02b4, B:76:0x02bc, B:80:0x02c8, B:82:0x02e2, B:83:0x02e8, B:85:0x02f0, B:86:0x02f6, B:88:0x02fe, B:89:0x0304, B:91:0x030c, B:92:0x0312, B:94:0x031a, B:95:0x0320, B:97:0x0328, B:98:0x032e, B:100:0x0336, B:101:0x033c, B:103:0x0344, B:104:0x034a, B:106:0x0352, B:108:0x035b, B:110:0x0363, B:184:0x0438, B:186:0x0474, B:188:0x047c, B:190:0x048c, B:191:0x048f, B:193:0x0497, B:195:0x04a3, B:196:0x04ae, B:198:0x04b6, B:200:0x04c6, B:201:0x04c9, B:203:0x04d1, B:205:0x04e1, B:206:0x04e4, B:208:0x04ec, B:210:0x04fc, B:211:0x04ff, B:213:0x0507, B:215:0x0513, B:216:0x0516, B:219:0x051f, B:220:0x0529, B:222:0x0531, B:224:0x053f, B:226:0x054f, B:228:0x0556, B:229:0x0559, B:231:0x0561, B:232:0x0572, B:234:0x057a, B:235:0x0582, B:237:0x058a, B:238:0x0592, B:240:0x059a, B:241:0x05a3, B:243:0x05ab, B:245:0x05bb, B:247:0x05c5, B:249:0x05c9, B:254:0x05da, B:256:0x05e2, B:258:0x05ef, B:260:0x05f7, B:261:0x0605, B:262:0x0608, B:265:0x060e, B:267:0x0615, B:269:0x061d, B:270:0x0625, B:272:0x062d, B:286:0x0663, B:287:0x0666, B:296:0x06a0, B:257:0x05ec, B:253:0x05d7, B:113:0x0374, B:115:0x0383, B:119:0x0389, B:126:0x0397, B:133:0x03a6, B:140:0x03b7, B:147:0x03c9, B:154:0x03dd, B:161:0x03f0, B:169:0x0407, B:181:0x042e, B:185:0x046e, B:304:0x06b2, B:305:0x06b7), top: B:336:0x009b }] */
    /* JADX WARN: Removed duplicated region for block: B:198:0x04b6 A[Catch: Error -> 0x06ff, Exception -> 0x0705, TryCatch #10 {Error -> 0x06ff, blocks: (B:7:0x009b, B:9:0x00c0, B:11:0x0122, B:12:0x012b, B:14:0x0133, B:15:0x013c, B:17:0x0144, B:18:0x0152, B:19:0x0155, B:22:0x015b, B:26:0x0167, B:28:0x01a2, B:29:0x01ab, B:31:0x01b3, B:33:0x01c1, B:35:0x01cd, B:37:0x01d3, B:39:0x01db, B:40:0x01ed, B:42:0x01f3, B:44:0x0215, B:46:0x0220, B:48:0x0228, B:50:0x0233, B:51:0x0241, B:52:0x0243, B:54:0x024b, B:56:0x0257, B:57:0x0259, B:59:0x0261, B:61:0x0275, B:62:0x027b, B:64:0x0283, B:65:0x0289, B:67:0x0291, B:68:0x0297, B:69:0x029e, B:71:0x02a6, B:73:0x02b2, B:74:0x02b4, B:76:0x02bc, B:80:0x02c8, B:82:0x02e2, B:83:0x02e8, B:85:0x02f0, B:86:0x02f6, B:88:0x02fe, B:89:0x0304, B:91:0x030c, B:92:0x0312, B:94:0x031a, B:95:0x0320, B:97:0x0328, B:98:0x032e, B:100:0x0336, B:101:0x033c, B:103:0x0344, B:104:0x034a, B:106:0x0352, B:108:0x035b, B:110:0x0363, B:184:0x0438, B:186:0x0474, B:188:0x047c, B:190:0x048c, B:191:0x048f, B:193:0x0497, B:195:0x04a3, B:196:0x04ae, B:198:0x04b6, B:200:0x04c6, B:201:0x04c9, B:203:0x04d1, B:205:0x04e1, B:206:0x04e4, B:208:0x04ec, B:210:0x04fc, B:211:0x04ff, B:213:0x0507, B:215:0x0513, B:216:0x0516, B:219:0x051f, B:220:0x0529, B:222:0x0531, B:224:0x053f, B:226:0x054f, B:228:0x0556, B:229:0x0559, B:231:0x0561, B:232:0x0572, B:234:0x057a, B:235:0x0582, B:237:0x058a, B:238:0x0592, B:240:0x059a, B:241:0x05a3, B:243:0x05ab, B:245:0x05bb, B:247:0x05c5, B:249:0x05c9, B:254:0x05da, B:256:0x05e2, B:258:0x05ef, B:260:0x05f7, B:261:0x0605, B:262:0x0608, B:265:0x060e, B:267:0x0615, B:269:0x061d, B:270:0x0625, B:272:0x062d, B:286:0x0663, B:287:0x0666, B:296:0x06a0, B:257:0x05ec, B:253:0x05d7, B:113:0x0374, B:115:0x0383, B:119:0x0389, B:126:0x0397, B:133:0x03a6, B:140:0x03b7, B:147:0x03c9, B:154:0x03dd, B:161:0x03f0, B:169:0x0407, B:181:0x042e, B:185:0x046e, B:304:0x06b2, B:305:0x06b7), top: B:336:0x009b }] */
    /* JADX WARN: Removed duplicated region for block: B:203:0x04d1 A[Catch: Error -> 0x06ff, Exception -> 0x0705, TryCatch #10 {Error -> 0x06ff, blocks: (B:7:0x009b, B:9:0x00c0, B:11:0x0122, B:12:0x012b, B:14:0x0133, B:15:0x013c, B:17:0x0144, B:18:0x0152, B:19:0x0155, B:22:0x015b, B:26:0x0167, B:28:0x01a2, B:29:0x01ab, B:31:0x01b3, B:33:0x01c1, B:35:0x01cd, B:37:0x01d3, B:39:0x01db, B:40:0x01ed, B:42:0x01f3, B:44:0x0215, B:46:0x0220, B:48:0x0228, B:50:0x0233, B:51:0x0241, B:52:0x0243, B:54:0x024b, B:56:0x0257, B:57:0x0259, B:59:0x0261, B:61:0x0275, B:62:0x027b, B:64:0x0283, B:65:0x0289, B:67:0x0291, B:68:0x0297, B:69:0x029e, B:71:0x02a6, B:73:0x02b2, B:74:0x02b4, B:76:0x02bc, B:80:0x02c8, B:82:0x02e2, B:83:0x02e8, B:85:0x02f0, B:86:0x02f6, B:88:0x02fe, B:89:0x0304, B:91:0x030c, B:92:0x0312, B:94:0x031a, B:95:0x0320, B:97:0x0328, B:98:0x032e, B:100:0x0336, B:101:0x033c, B:103:0x0344, B:104:0x034a, B:106:0x0352, B:108:0x035b, B:110:0x0363, B:184:0x0438, B:186:0x0474, B:188:0x047c, B:190:0x048c, B:191:0x048f, B:193:0x0497, B:195:0x04a3, B:196:0x04ae, B:198:0x04b6, B:200:0x04c6, B:201:0x04c9, B:203:0x04d1, B:205:0x04e1, B:206:0x04e4, B:208:0x04ec, B:210:0x04fc, B:211:0x04ff, B:213:0x0507, B:215:0x0513, B:216:0x0516, B:219:0x051f, B:220:0x0529, B:222:0x0531, B:224:0x053f, B:226:0x054f, B:228:0x0556, B:229:0x0559, B:231:0x0561, B:232:0x0572, B:234:0x057a, B:235:0x0582, B:237:0x058a, B:238:0x0592, B:240:0x059a, B:241:0x05a3, B:243:0x05ab, B:245:0x05bb, B:247:0x05c5, B:249:0x05c9, B:254:0x05da, B:256:0x05e2, B:258:0x05ef, B:260:0x05f7, B:261:0x0605, B:262:0x0608, B:265:0x060e, B:267:0x0615, B:269:0x061d, B:270:0x0625, B:272:0x062d, B:286:0x0663, B:287:0x0666, B:296:0x06a0, B:257:0x05ec, B:253:0x05d7, B:113:0x0374, B:115:0x0383, B:119:0x0389, B:126:0x0397, B:133:0x03a6, B:140:0x03b7, B:147:0x03c9, B:154:0x03dd, B:161:0x03f0, B:169:0x0407, B:181:0x042e, B:185:0x046e, B:304:0x06b2, B:305:0x06b7), top: B:336:0x009b }] */
    /* JADX WARN: Removed duplicated region for block: B:208:0x04ec A[Catch: Error -> 0x06ff, Exception -> 0x0705, TryCatch #10 {Error -> 0x06ff, blocks: (B:7:0x009b, B:9:0x00c0, B:11:0x0122, B:12:0x012b, B:14:0x0133, B:15:0x013c, B:17:0x0144, B:18:0x0152, B:19:0x0155, B:22:0x015b, B:26:0x0167, B:28:0x01a2, B:29:0x01ab, B:31:0x01b3, B:33:0x01c1, B:35:0x01cd, B:37:0x01d3, B:39:0x01db, B:40:0x01ed, B:42:0x01f3, B:44:0x0215, B:46:0x0220, B:48:0x0228, B:50:0x0233, B:51:0x0241, B:52:0x0243, B:54:0x024b, B:56:0x0257, B:57:0x0259, B:59:0x0261, B:61:0x0275, B:62:0x027b, B:64:0x0283, B:65:0x0289, B:67:0x0291, B:68:0x0297, B:69:0x029e, B:71:0x02a6, B:73:0x02b2, B:74:0x02b4, B:76:0x02bc, B:80:0x02c8, B:82:0x02e2, B:83:0x02e8, B:85:0x02f0, B:86:0x02f6, B:88:0x02fe, B:89:0x0304, B:91:0x030c, B:92:0x0312, B:94:0x031a, B:95:0x0320, B:97:0x0328, B:98:0x032e, B:100:0x0336, B:101:0x033c, B:103:0x0344, B:104:0x034a, B:106:0x0352, B:108:0x035b, B:110:0x0363, B:184:0x0438, B:186:0x0474, B:188:0x047c, B:190:0x048c, B:191:0x048f, B:193:0x0497, B:195:0x04a3, B:196:0x04ae, B:198:0x04b6, B:200:0x04c6, B:201:0x04c9, B:203:0x04d1, B:205:0x04e1, B:206:0x04e4, B:208:0x04ec, B:210:0x04fc, B:211:0x04ff, B:213:0x0507, B:215:0x0513, B:216:0x0516, B:219:0x051f, B:220:0x0529, B:222:0x0531, B:224:0x053f, B:226:0x054f, B:228:0x0556, B:229:0x0559, B:231:0x0561, B:232:0x0572, B:234:0x057a, B:235:0x0582, B:237:0x058a, B:238:0x0592, B:240:0x059a, B:241:0x05a3, B:243:0x05ab, B:245:0x05bb, B:247:0x05c5, B:249:0x05c9, B:254:0x05da, B:256:0x05e2, B:258:0x05ef, B:260:0x05f7, B:261:0x0605, B:262:0x0608, B:265:0x060e, B:267:0x0615, B:269:0x061d, B:270:0x0625, B:272:0x062d, B:286:0x0663, B:287:0x0666, B:296:0x06a0, B:257:0x05ec, B:253:0x05d7, B:113:0x0374, B:115:0x0383, B:119:0x0389, B:126:0x0397, B:133:0x03a6, B:140:0x03b7, B:147:0x03c9, B:154:0x03dd, B:161:0x03f0, B:169:0x0407, B:181:0x042e, B:185:0x046e, B:304:0x06b2, B:305:0x06b7), top: B:336:0x009b }] */
    /* JADX WARN: Removed duplicated region for block: B:213:0x0507 A[Catch: Error -> 0x06ff, Exception -> 0x0705, TryCatch #10 {Error -> 0x06ff, blocks: (B:7:0x009b, B:9:0x00c0, B:11:0x0122, B:12:0x012b, B:14:0x0133, B:15:0x013c, B:17:0x0144, B:18:0x0152, B:19:0x0155, B:22:0x015b, B:26:0x0167, B:28:0x01a2, B:29:0x01ab, B:31:0x01b3, B:33:0x01c1, B:35:0x01cd, B:37:0x01d3, B:39:0x01db, B:40:0x01ed, B:42:0x01f3, B:44:0x0215, B:46:0x0220, B:48:0x0228, B:50:0x0233, B:51:0x0241, B:52:0x0243, B:54:0x024b, B:56:0x0257, B:57:0x0259, B:59:0x0261, B:61:0x0275, B:62:0x027b, B:64:0x0283, B:65:0x0289, B:67:0x0291, B:68:0x0297, B:69:0x029e, B:71:0x02a6, B:73:0x02b2, B:74:0x02b4, B:76:0x02bc, B:80:0x02c8, B:82:0x02e2, B:83:0x02e8, B:85:0x02f0, B:86:0x02f6, B:88:0x02fe, B:89:0x0304, B:91:0x030c, B:92:0x0312, B:94:0x031a, B:95:0x0320, B:97:0x0328, B:98:0x032e, B:100:0x0336, B:101:0x033c, B:103:0x0344, B:104:0x034a, B:106:0x0352, B:108:0x035b, B:110:0x0363, B:184:0x0438, B:186:0x0474, B:188:0x047c, B:190:0x048c, B:191:0x048f, B:193:0x0497, B:195:0x04a3, B:196:0x04ae, B:198:0x04b6, B:200:0x04c6, B:201:0x04c9, B:203:0x04d1, B:205:0x04e1, B:206:0x04e4, B:208:0x04ec, B:210:0x04fc, B:211:0x04ff, B:213:0x0507, B:215:0x0513, B:216:0x0516, B:219:0x051f, B:220:0x0529, B:222:0x0531, B:224:0x053f, B:226:0x054f, B:228:0x0556, B:229:0x0559, B:231:0x0561, B:232:0x0572, B:234:0x057a, B:235:0x0582, B:237:0x058a, B:238:0x0592, B:240:0x059a, B:241:0x05a3, B:243:0x05ab, B:245:0x05bb, B:247:0x05c5, B:249:0x05c9, B:254:0x05da, B:256:0x05e2, B:258:0x05ef, B:260:0x05f7, B:261:0x0605, B:262:0x0608, B:265:0x060e, B:267:0x0615, B:269:0x061d, B:270:0x0625, B:272:0x062d, B:286:0x0663, B:287:0x0666, B:296:0x06a0, B:257:0x05ec, B:253:0x05d7, B:113:0x0374, B:115:0x0383, B:119:0x0389, B:126:0x0397, B:133:0x03a6, B:140:0x03b7, B:147:0x03c9, B:154:0x03dd, B:161:0x03f0, B:169:0x0407, B:181:0x042e, B:185:0x046e, B:304:0x06b2, B:305:0x06b7), top: B:336:0x009b }] */
    /* JADX WARN: Removed duplicated region for block: B:256:0x05e2 A[Catch: Error -> 0x06ff, Exception -> 0x0705, TryCatch #10 {Error -> 0x06ff, blocks: (B:7:0x009b, B:9:0x00c0, B:11:0x0122, B:12:0x012b, B:14:0x0133, B:15:0x013c, B:17:0x0144, B:18:0x0152, B:19:0x0155, B:22:0x015b, B:26:0x0167, B:28:0x01a2, B:29:0x01ab, B:31:0x01b3, B:33:0x01c1, B:35:0x01cd, B:37:0x01d3, B:39:0x01db, B:40:0x01ed, B:42:0x01f3, B:44:0x0215, B:46:0x0220, B:48:0x0228, B:50:0x0233, B:51:0x0241, B:52:0x0243, B:54:0x024b, B:56:0x0257, B:57:0x0259, B:59:0x0261, B:61:0x0275, B:62:0x027b, B:64:0x0283, B:65:0x0289, B:67:0x0291, B:68:0x0297, B:69:0x029e, B:71:0x02a6, B:73:0x02b2, B:74:0x02b4, B:76:0x02bc, B:80:0x02c8, B:82:0x02e2, B:83:0x02e8, B:85:0x02f0, B:86:0x02f6, B:88:0x02fe, B:89:0x0304, B:91:0x030c, B:92:0x0312, B:94:0x031a, B:95:0x0320, B:97:0x0328, B:98:0x032e, B:100:0x0336, B:101:0x033c, B:103:0x0344, B:104:0x034a, B:106:0x0352, B:108:0x035b, B:110:0x0363, B:184:0x0438, B:186:0x0474, B:188:0x047c, B:190:0x048c, B:191:0x048f, B:193:0x0497, B:195:0x04a3, B:196:0x04ae, B:198:0x04b6, B:200:0x04c6, B:201:0x04c9, B:203:0x04d1, B:205:0x04e1, B:206:0x04e4, B:208:0x04ec, B:210:0x04fc, B:211:0x04ff, B:213:0x0507, B:215:0x0513, B:216:0x0516, B:219:0x051f, B:220:0x0529, B:222:0x0531, B:224:0x053f, B:226:0x054f, B:228:0x0556, B:229:0x0559, B:231:0x0561, B:232:0x0572, B:234:0x057a, B:235:0x0582, B:237:0x058a, B:238:0x0592, B:240:0x059a, B:241:0x05a3, B:243:0x05ab, B:245:0x05bb, B:247:0x05c5, B:249:0x05c9, B:254:0x05da, B:256:0x05e2, B:258:0x05ef, B:260:0x05f7, B:261:0x0605, B:262:0x0608, B:265:0x060e, B:267:0x0615, B:269:0x061d, B:270:0x0625, B:272:0x062d, B:286:0x0663, B:287:0x0666, B:296:0x06a0, B:257:0x05ec, B:253:0x05d7, B:113:0x0374, B:115:0x0383, B:119:0x0389, B:126:0x0397, B:133:0x03a6, B:140:0x03b7, B:147:0x03c9, B:154:0x03dd, B:161:0x03f0, B:169:0x0407, B:181:0x042e, B:185:0x046e, B:304:0x06b2, B:305:0x06b7), top: B:336:0x009b }] */
    /* JADX WARN: Removed duplicated region for block: B:257:0x05ec A[Catch: Error -> 0x06ff, Exception -> 0x0705, TRY_LEAVE, TryCatch #10 {Error -> 0x06ff, blocks: (B:7:0x009b, B:9:0x00c0, B:11:0x0122, B:12:0x012b, B:14:0x0133, B:15:0x013c, B:17:0x0144, B:18:0x0152, B:19:0x0155, B:22:0x015b, B:26:0x0167, B:28:0x01a2, B:29:0x01ab, B:31:0x01b3, B:33:0x01c1, B:35:0x01cd, B:37:0x01d3, B:39:0x01db, B:40:0x01ed, B:42:0x01f3, B:44:0x0215, B:46:0x0220, B:48:0x0228, B:50:0x0233, B:51:0x0241, B:52:0x0243, B:54:0x024b, B:56:0x0257, B:57:0x0259, B:59:0x0261, B:61:0x0275, B:62:0x027b, B:64:0x0283, B:65:0x0289, B:67:0x0291, B:68:0x0297, B:69:0x029e, B:71:0x02a6, B:73:0x02b2, B:74:0x02b4, B:76:0x02bc, B:80:0x02c8, B:82:0x02e2, B:83:0x02e8, B:85:0x02f0, B:86:0x02f6, B:88:0x02fe, B:89:0x0304, B:91:0x030c, B:92:0x0312, B:94:0x031a, B:95:0x0320, B:97:0x0328, B:98:0x032e, B:100:0x0336, B:101:0x033c, B:103:0x0344, B:104:0x034a, B:106:0x0352, B:108:0x035b, B:110:0x0363, B:184:0x0438, B:186:0x0474, B:188:0x047c, B:190:0x048c, B:191:0x048f, B:193:0x0497, B:195:0x04a3, B:196:0x04ae, B:198:0x04b6, B:200:0x04c6, B:201:0x04c9, B:203:0x04d1, B:205:0x04e1, B:206:0x04e4, B:208:0x04ec, B:210:0x04fc, B:211:0x04ff, B:213:0x0507, B:215:0x0513, B:216:0x0516, B:219:0x051f, B:220:0x0529, B:222:0x0531, B:224:0x053f, B:226:0x054f, B:228:0x0556, B:229:0x0559, B:231:0x0561, B:232:0x0572, B:234:0x057a, B:235:0x0582, B:237:0x058a, B:238:0x0592, B:240:0x059a, B:241:0x05a3, B:243:0x05ab, B:245:0x05bb, B:247:0x05c5, B:249:0x05c9, B:254:0x05da, B:256:0x05e2, B:258:0x05ef, B:260:0x05f7, B:261:0x0605, B:262:0x0608, B:265:0x060e, B:267:0x0615, B:269:0x061d, B:270:0x0625, B:272:0x062d, B:286:0x0663, B:287:0x0666, B:296:0x06a0, B:257:0x05ec, B:253:0x05d7, B:113:0x0374, B:115:0x0383, B:119:0x0389, B:126:0x0397, B:133:0x03a6, B:140:0x03b7, B:147:0x03c9, B:154:0x03dd, B:161:0x03f0, B:169:0x0407, B:181:0x042e, B:185:0x046e, B:304:0x06b2, B:305:0x06b7), top: B:336:0x009b }] */
    /* JADX WARN: Removed duplicated region for block: B:260:0x05f7 A[Catch: Exception -> 0x0608, Error -> 0x06ff, TryCatch #10 {Error -> 0x06ff, blocks: (B:7:0x009b, B:9:0x00c0, B:11:0x0122, B:12:0x012b, B:14:0x0133, B:15:0x013c, B:17:0x0144, B:18:0x0152, B:19:0x0155, B:22:0x015b, B:26:0x0167, B:28:0x01a2, B:29:0x01ab, B:31:0x01b3, B:33:0x01c1, B:35:0x01cd, B:37:0x01d3, B:39:0x01db, B:40:0x01ed, B:42:0x01f3, B:44:0x0215, B:46:0x0220, B:48:0x0228, B:50:0x0233, B:51:0x0241, B:52:0x0243, B:54:0x024b, B:56:0x0257, B:57:0x0259, B:59:0x0261, B:61:0x0275, B:62:0x027b, B:64:0x0283, B:65:0x0289, B:67:0x0291, B:68:0x0297, B:69:0x029e, B:71:0x02a6, B:73:0x02b2, B:74:0x02b4, B:76:0x02bc, B:80:0x02c8, B:82:0x02e2, B:83:0x02e8, B:85:0x02f0, B:86:0x02f6, B:88:0x02fe, B:89:0x0304, B:91:0x030c, B:92:0x0312, B:94:0x031a, B:95:0x0320, B:97:0x0328, B:98:0x032e, B:100:0x0336, B:101:0x033c, B:103:0x0344, B:104:0x034a, B:106:0x0352, B:108:0x035b, B:110:0x0363, B:184:0x0438, B:186:0x0474, B:188:0x047c, B:190:0x048c, B:191:0x048f, B:193:0x0497, B:195:0x04a3, B:196:0x04ae, B:198:0x04b6, B:200:0x04c6, B:201:0x04c9, B:203:0x04d1, B:205:0x04e1, B:206:0x04e4, B:208:0x04ec, B:210:0x04fc, B:211:0x04ff, B:213:0x0507, B:215:0x0513, B:216:0x0516, B:219:0x051f, B:220:0x0529, B:222:0x0531, B:224:0x053f, B:226:0x054f, B:228:0x0556, B:229:0x0559, B:231:0x0561, B:232:0x0572, B:234:0x057a, B:235:0x0582, B:237:0x058a, B:238:0x0592, B:240:0x059a, B:241:0x05a3, B:243:0x05ab, B:245:0x05bb, B:247:0x05c5, B:249:0x05c9, B:254:0x05da, B:256:0x05e2, B:258:0x05ef, B:260:0x05f7, B:261:0x0605, B:262:0x0608, B:265:0x060e, B:267:0x0615, B:269:0x061d, B:270:0x0625, B:272:0x062d, B:286:0x0663, B:287:0x0666, B:296:0x06a0, B:257:0x05ec, B:253:0x05d7, B:113:0x0374, B:115:0x0383, B:119:0x0389, B:126:0x0397, B:133:0x03a6, B:140:0x03b7, B:147:0x03c9, B:154:0x03dd, B:161:0x03f0, B:169:0x0407, B:181:0x042e, B:185:0x046e, B:304:0x06b2, B:305:0x06b7), top: B:336:0x009b }] */
    /* JADX WARN: Removed duplicated region for block: B:261:0x0605 A[Catch: Exception -> 0x0608, Error -> 0x06ff, TRY_LEAVE, TryCatch #10 {Error -> 0x06ff, blocks: (B:7:0x009b, B:9:0x00c0, B:11:0x0122, B:12:0x012b, B:14:0x0133, B:15:0x013c, B:17:0x0144, B:18:0x0152, B:19:0x0155, B:22:0x015b, B:26:0x0167, B:28:0x01a2, B:29:0x01ab, B:31:0x01b3, B:33:0x01c1, B:35:0x01cd, B:37:0x01d3, B:39:0x01db, B:40:0x01ed, B:42:0x01f3, B:44:0x0215, B:46:0x0220, B:48:0x0228, B:50:0x0233, B:51:0x0241, B:52:0x0243, B:54:0x024b, B:56:0x0257, B:57:0x0259, B:59:0x0261, B:61:0x0275, B:62:0x027b, B:64:0x0283, B:65:0x0289, B:67:0x0291, B:68:0x0297, B:69:0x029e, B:71:0x02a6, B:73:0x02b2, B:74:0x02b4, B:76:0x02bc, B:80:0x02c8, B:82:0x02e2, B:83:0x02e8, B:85:0x02f0, B:86:0x02f6, B:88:0x02fe, B:89:0x0304, B:91:0x030c, B:92:0x0312, B:94:0x031a, B:95:0x0320, B:97:0x0328, B:98:0x032e, B:100:0x0336, B:101:0x033c, B:103:0x0344, B:104:0x034a, B:106:0x0352, B:108:0x035b, B:110:0x0363, B:184:0x0438, B:186:0x0474, B:188:0x047c, B:190:0x048c, B:191:0x048f, B:193:0x0497, B:195:0x04a3, B:196:0x04ae, B:198:0x04b6, B:200:0x04c6, B:201:0x04c9, B:203:0x04d1, B:205:0x04e1, B:206:0x04e4, B:208:0x04ec, B:210:0x04fc, B:211:0x04ff, B:213:0x0507, B:215:0x0513, B:216:0x0516, B:219:0x051f, B:220:0x0529, B:222:0x0531, B:224:0x053f, B:226:0x054f, B:228:0x0556, B:229:0x0559, B:231:0x0561, B:232:0x0572, B:234:0x057a, B:235:0x0582, B:237:0x058a, B:238:0x0592, B:240:0x059a, B:241:0x05a3, B:243:0x05ab, B:245:0x05bb, B:247:0x05c5, B:249:0x05c9, B:254:0x05da, B:256:0x05e2, B:258:0x05ef, B:260:0x05f7, B:261:0x0605, B:262:0x0608, B:265:0x060e, B:267:0x0615, B:269:0x061d, B:270:0x0625, B:272:0x062d, B:286:0x0663, B:287:0x0666, B:296:0x06a0, B:257:0x05ec, B:253:0x05d7, B:113:0x0374, B:115:0x0383, B:119:0x0389, B:126:0x0397, B:133:0x03a6, B:140:0x03b7, B:147:0x03c9, B:154:0x03dd, B:161:0x03f0, B:169:0x0407, B:181:0x042e, B:185:0x046e, B:304:0x06b2, B:305:0x06b7), top: B:336:0x009b }] */
    /* JADX WARN: Removed duplicated region for block: B:264:0x060c  */
    /* JADX WARN: Removed duplicated region for block: B:266:0x0612  */
    /* JADX WARN: Removed duplicated region for block: B:269:0x061d A[Catch: Error -> 0x06ff, Exception -> 0x0705, TryCatch #10 {Error -> 0x06ff, blocks: (B:7:0x009b, B:9:0x00c0, B:11:0x0122, B:12:0x012b, B:14:0x0133, B:15:0x013c, B:17:0x0144, B:18:0x0152, B:19:0x0155, B:22:0x015b, B:26:0x0167, B:28:0x01a2, B:29:0x01ab, B:31:0x01b3, B:33:0x01c1, B:35:0x01cd, B:37:0x01d3, B:39:0x01db, B:40:0x01ed, B:42:0x01f3, B:44:0x0215, B:46:0x0220, B:48:0x0228, B:50:0x0233, B:51:0x0241, B:52:0x0243, B:54:0x024b, B:56:0x0257, B:57:0x0259, B:59:0x0261, B:61:0x0275, B:62:0x027b, B:64:0x0283, B:65:0x0289, B:67:0x0291, B:68:0x0297, B:69:0x029e, B:71:0x02a6, B:73:0x02b2, B:74:0x02b4, B:76:0x02bc, B:80:0x02c8, B:82:0x02e2, B:83:0x02e8, B:85:0x02f0, B:86:0x02f6, B:88:0x02fe, B:89:0x0304, B:91:0x030c, B:92:0x0312, B:94:0x031a, B:95:0x0320, B:97:0x0328, B:98:0x032e, B:100:0x0336, B:101:0x033c, B:103:0x0344, B:104:0x034a, B:106:0x0352, B:108:0x035b, B:110:0x0363, B:184:0x0438, B:186:0x0474, B:188:0x047c, B:190:0x048c, B:191:0x048f, B:193:0x0497, B:195:0x04a3, B:196:0x04ae, B:198:0x04b6, B:200:0x04c6, B:201:0x04c9, B:203:0x04d1, B:205:0x04e1, B:206:0x04e4, B:208:0x04ec, B:210:0x04fc, B:211:0x04ff, B:213:0x0507, B:215:0x0513, B:216:0x0516, B:219:0x051f, B:220:0x0529, B:222:0x0531, B:224:0x053f, B:226:0x054f, B:228:0x0556, B:229:0x0559, B:231:0x0561, B:232:0x0572, B:234:0x057a, B:235:0x0582, B:237:0x058a, B:238:0x0592, B:240:0x059a, B:241:0x05a3, B:243:0x05ab, B:245:0x05bb, B:247:0x05c5, B:249:0x05c9, B:254:0x05da, B:256:0x05e2, B:258:0x05ef, B:260:0x05f7, B:261:0x0605, B:262:0x0608, B:265:0x060e, B:267:0x0615, B:269:0x061d, B:270:0x0625, B:272:0x062d, B:286:0x0663, B:287:0x0666, B:296:0x06a0, B:257:0x05ec, B:253:0x05d7, B:113:0x0374, B:115:0x0383, B:119:0x0389, B:126:0x0397, B:133:0x03a6, B:140:0x03b7, B:147:0x03c9, B:154:0x03dd, B:161:0x03f0, B:169:0x0407, B:181:0x042e, B:185:0x046e, B:304:0x06b2, B:305:0x06b7), top: B:336:0x009b }] */
    /* JADX WARN: Removed duplicated region for block: B:272:0x062d A[Catch: Error -> 0x06ff, Exception -> 0x0705, TRY_LEAVE, TryCatch #10 {Error -> 0x06ff, blocks: (B:7:0x009b, B:9:0x00c0, B:11:0x0122, B:12:0x012b, B:14:0x0133, B:15:0x013c, B:17:0x0144, B:18:0x0152, B:19:0x0155, B:22:0x015b, B:26:0x0167, B:28:0x01a2, B:29:0x01ab, B:31:0x01b3, B:33:0x01c1, B:35:0x01cd, B:37:0x01d3, B:39:0x01db, B:40:0x01ed, B:42:0x01f3, B:44:0x0215, B:46:0x0220, B:48:0x0228, B:50:0x0233, B:51:0x0241, B:52:0x0243, B:54:0x024b, B:56:0x0257, B:57:0x0259, B:59:0x0261, B:61:0x0275, B:62:0x027b, B:64:0x0283, B:65:0x0289, B:67:0x0291, B:68:0x0297, B:69:0x029e, B:71:0x02a6, B:73:0x02b2, B:74:0x02b4, B:76:0x02bc, B:80:0x02c8, B:82:0x02e2, B:83:0x02e8, B:85:0x02f0, B:86:0x02f6, B:88:0x02fe, B:89:0x0304, B:91:0x030c, B:92:0x0312, B:94:0x031a, B:95:0x0320, B:97:0x0328, B:98:0x032e, B:100:0x0336, B:101:0x033c, B:103:0x0344, B:104:0x034a, B:106:0x0352, B:108:0x035b, B:110:0x0363, B:184:0x0438, B:186:0x0474, B:188:0x047c, B:190:0x048c, B:191:0x048f, B:193:0x0497, B:195:0x04a3, B:196:0x04ae, B:198:0x04b6, B:200:0x04c6, B:201:0x04c9, B:203:0x04d1, B:205:0x04e1, B:206:0x04e4, B:208:0x04ec, B:210:0x04fc, B:211:0x04ff, B:213:0x0507, B:215:0x0513, B:216:0x0516, B:219:0x051f, B:220:0x0529, B:222:0x0531, B:224:0x053f, B:226:0x054f, B:228:0x0556, B:229:0x0559, B:231:0x0561, B:232:0x0572, B:234:0x057a, B:235:0x0582, B:237:0x058a, B:238:0x0592, B:240:0x059a, B:241:0x05a3, B:243:0x05ab, B:245:0x05bb, B:247:0x05c5, B:249:0x05c9, B:254:0x05da, B:256:0x05e2, B:258:0x05ef, B:260:0x05f7, B:261:0x0605, B:262:0x0608, B:265:0x060e, B:267:0x0615, B:269:0x061d, B:270:0x0625, B:272:0x062d, B:286:0x0663, B:287:0x0666, B:296:0x06a0, B:257:0x05ec, B:253:0x05d7, B:113:0x0374, B:115:0x0383, B:119:0x0389, B:126:0x0397, B:133:0x03a6, B:140:0x03b7, B:147:0x03c9, B:154:0x03dd, B:161:0x03f0, B:169:0x0407, B:181:0x042e, B:185:0x046e, B:304:0x06b2, B:305:0x06b7), top: B:336:0x009b }] */
    /* JADX WARN: Removed duplicated region for block: B:282:0x065e A[Catch: Throwable -> 0x0661, TRY_LEAVE, TryCatch #4 {Throwable -> 0x0661, blocks: (B:274:0x0635, B:276:0x063d, B:278:0x0645, B:280:0x0649, B:282:0x065e), top: B:325:0x0635 }] */
    /* JADX WARN: Removed duplicated region for block: B:321:0x066e A[EXC_TOP_SPLITTER, SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:329:0x0531 A[EXC_TOP_SPLITTER, SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:359:? A[RETURN, SYNTHETIC] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public BDLocation(String str) {
        String str2;
        JSONObject jSONObject;
        boolean z;
        Exception exc;
        String str3;
        String str4;
        String str5;
        String str6;
        String str7;
        String str8;
        String str9;
        String str10;
        String str11;
        String str12;
        String str13;
        String str14;
        String str15;
        String str16;
        String str17;
        String str18;
        String str19;
        String str20;
        String str21;
        String string;
        String[] split;
        int intValue;
        this.a = 0;
        this.b = null;
        this.c = Double.MIN_VALUE;
        this.d = Double.MIN_VALUE;
        this.e = false;
        this.f = Double.MIN_VALUE;
        this.g = false;
        this.h = 0.0f;
        this.i = false;
        this.j = 0.0f;
        this.l = false;
        this.m = -1;
        this.n = -1.0f;
        this.o = null;
        this.p = false;
        this.q = null;
        this.r = null;
        this.s = null;
        this.t = null;
        this.u = false;
        this.v = new Address.Builder().build();
        this.w = null;
        this.x = null;
        this.y = null;
        this.z = false;
        this.A = 0;
        this.B = 1;
        this.C = null;
        this.E = "";
        this.F = -1;
        this.G = 0;
        this.H = 2;
        this.I = 0;
        this.J = null;
        this.K = null;
        this.L = null;
        this.M = null;
        this.N = null;
        this.O = null;
        this.P = null;
        this.Q = new Bundle();
        this.R = 0;
        this.S = 0;
        this.T = 0L;
        this.U = null;
        this.V = Double.MIN_VALUE;
        this.W = Double.MIN_VALUE;
        this.X = false;
        this.Y = null;
        this.Z = -1.0f;
        this.aa = -1.0d;
        this.ab = 0;
        this.ac = -1;
        if (str == null || str.equals("")) {
            return;
        }
        try {
            try {
                JSONObject jSONObject2 = new JSONObject(str);
                JSONObject jSONObject3 = jSONObject2.getJSONObject("result");
                int parseInt = Integer.parseInt(jSONObject3.getString("error"));
                setLocType(parseInt);
                setTime(jSONObject3.getString("time"));
                if (parseInt == 61) {
                    JSONObject jSONObject4 = jSONObject2.getJSONObject("content");
                    JSONObject jSONObject5 = jSONObject4.getJSONObject("point");
                    setLatitude(Double.parseDouble(jSONObject5.getString("y")));
                    setLongitude(Double.parseDouble(jSONObject5.getString("x")));
                    setRadius(Float.parseFloat(jSONObject4.getString("radius")));
                    setSpeed(Float.parseFloat(jSONObject4.getString("s")));
                    setDirection(Float.parseFloat(jSONObject4.getString("d")));
                    setSatelliteNumber(Integer.parseInt(jSONObject4.getString("n")));
                    if (jSONObject4.has("is_mock")) {
                        setMockGpsStrategy(jSONObject4.getInt("is_mock"));
                    }
                    if (jSONObject4.has("h")) {
                        try {
                            setAltitude(jSONObject4.getDouble("h"));
                        } catch (Exception unused) {
                        }
                    }
                    try {
                        if (jSONObject4.has("in_cn")) {
                            setLocationWhere(Integer.parseInt(jSONObject4.getString("in_cn")));
                        } else {
                            setLocationWhere(1);
                        }
                    } catch (Exception unused2) {
                    }
                    str2 = this.B == 0 ? CoordinateType.WGS84 : CoordinateType.GCJ02;
                } else if (parseInt == 161) {
                    JSONObject jSONObject6 = jSONObject2.getJSONObject("content");
                    JSONObject jSONObject7 = jSONObject6.getJSONObject("point");
                    setLatitude(Double.parseDouble(jSONObject7.getString("y")));
                    setLongitude(Double.parseDouble(jSONObject7.getString("x")));
                    setRadius(Float.parseFloat(jSONObject6.getString("radius")));
                    if (jSONObject6.has("traffic")) {
                        setTraffic(jSONObject6.getString("traffic"));
                    }
                    if (jSONObject6.has("sema")) {
                        JSONObject jSONObject8 = jSONObject6.getJSONObject("sema");
                        if (jSONObject8.has("aptag")) {
                            String string2 = jSONObject8.getString("aptag");
                            this.r = TextUtils.isEmpty(string2) ? "" : string2;
                        }
                        if (jSONObject8.has("aptagd")) {
                            JSONArray jSONArray = jSONObject8.getJSONObject("aptagd").getJSONArray("pois");
                            ArrayList arrayList = new ArrayList();
                            for (int i = 0; i < jSONArray.length(); i++) {
                                JSONObject jSONObject9 = jSONArray.getJSONObject(i);
                                arrayList.add(new Poi(jSONObject9.getString(MapBundleKey.MapObjKey.OBJ_SS_ARROW_PANOID), jSONObject9.getString("pname"), jSONObject9.getDouble("pr"), jSONObject9.has("tags") ? jSONObject9.getString("tags") : "", jSONObject9.has("addr") ? jSONObject9.getString("addr") : ""));
                            }
                            this.M = arrayList;
                        }
                        if (jSONObject8.has("poiregion")) {
                            String string3 = jSONObject8.getString("poiregion");
                            if (!TextUtils.isEmpty(string3)) {
                                this.s = string3;
                            }
                        }
                        if (jSONObject8.has("poi_regions")) {
                            JSONObject jSONObject10 = jSONObject8.getJSONObject("poi_regions");
                            this.Y = new PoiRegion(jSONObject10.has("direction_desc") ? jSONObject10.getString("direction_desc") : "", jSONObject10.has("name") ? jSONObject10.getString("name") : "", jSONObject10.has("tag") ? jSONObject10.getString("tag") : "");
                        }
                        if (jSONObject8.has("regular")) {
                            String string4 = jSONObject8.getString("regular");
                            if (!TextUtils.isEmpty(string4)) {
                                this.t = string4;
                            }
                        }
                    }
                    if (jSONObject6.has("addr")) {
                        try {
                            jSONObject = jSONObject6.getJSONObject("addr");
                            z = true;
                        } catch (Exception unused3) {
                            jSONObject = null;
                            z = false;
                        }
                        if (jSONObject != null) {
                            str6 = jSONObject.has("city") ? jSONObject.getString("city") : "";
                            str7 = jSONObject.has("city_code") ? jSONObject.getString("city_code") : "";
                            str3 = jSONObject.has("country") ? jSONObject.getString("country") : "";
                            str4 = jSONObject.has("country_code") ? jSONObject.getString("country_code") : "";
                            str5 = jSONObject.has("province") ? jSONObject.getString("province") : "";
                            str8 = jSONObject.has("district") ? jSONObject.getString("district") : "";
                            str9 = jSONObject.has("street") ? jSONObject.getString("street") : "";
                            String string5 = jSONObject.has("street_number") ? jSONObject.getString("street_number") : "";
                            String string6 = jSONObject.has("adcode") ? jSONObject.getString("adcode") : "";
                            if (jSONObject.has("town")) {
                                str21 = jSONObject.getString("town");
                                str12 = string6;
                                str11 = string5;
                                if (z) {
                                    this.v = new Address.Builder().country(str3).countryCode(str4).province(str5).city(str6).cityCode(str7).district(str8).street(str9).streetNumber(str11).adcode(str12).town(str21).build();
                                    this.p = true;
                                }
                            } else {
                                str12 = string6;
                                str11 = string5;
                                str21 = null;
                                if (z) {
                                }
                            }
                        } else {
                            try {
                                String[] split2 = jSONObject6.getString("addr").split(",");
                                int length = split2.length;
                                String str22 = length > 0 ? split2[0] : null;
                                if (length > 1) {
                                    try {
                                        str13 = split2[1];
                                    } catch (Exception e) {
                                        exc = e;
                                        str5 = str22;
                                        str3 = null;
                                        str4 = null;
                                        str6 = null;
                                        str7 = null;
                                        str8 = null;
                                        str9 = null;
                                        str10 = null;
                                        exc.printStackTrace();
                                        str11 = str10;
                                        str12 = null;
                                        z = false;
                                        str21 = null;
                                        if (z) {
                                        }
                                        if (jSONObject6.has("floor")) {
                                        }
                                        if (jSONObject6.has("indoor")) {
                                        }
                                        if (jSONObject6.has("loctp")) {
                                        }
                                        if (jSONObject6.has("bldgid")) {
                                        }
                                        if (jSONObject6.has("bldg")) {
                                        }
                                        if (jSONObject6.has("ibav")) {
                                        }
                                        if (jSONObject6.has("indoorflags")) {
                                        }
                                        if (jSONObject6.has("gpscs")) {
                                        }
                                        if (jSONObject6.has("in_cn")) {
                                        }
                                        setCoorType(this.B == 0 ? CoordinateType.WGS84 : CoordinateType.GCJ02);
                                        if (jSONObject6.has("navi")) {
                                        }
                                        if (jSONObject6.has("navi_client")) {
                                        }
                                        if (jSONObject6.has("nrl_point")) {
                                        }
                                    }
                                } else {
                                    str13 = null;
                                }
                                if (length > 2) {
                                    try {
                                        str14 = split2[2];
                                    } catch (Exception e2) {
                                        exc = e2;
                                        str5 = str22;
                                        str6 = str13;
                                        str3 = null;
                                        str4 = null;
                                        str7 = null;
                                        str8 = null;
                                        str9 = null;
                                        str10 = null;
                                        exc.printStackTrace();
                                        str11 = str10;
                                        str12 = null;
                                        z = false;
                                        str21 = null;
                                        if (z) {
                                        }
                                        if (jSONObject6.has("floor")) {
                                        }
                                        if (jSONObject6.has("indoor")) {
                                        }
                                        if (jSONObject6.has("loctp")) {
                                        }
                                        if (jSONObject6.has("bldgid")) {
                                        }
                                        if (jSONObject6.has("bldg")) {
                                        }
                                        if (jSONObject6.has("ibav")) {
                                        }
                                        if (jSONObject6.has("indoorflags")) {
                                        }
                                        if (jSONObject6.has("gpscs")) {
                                        }
                                        if (jSONObject6.has("in_cn")) {
                                        }
                                        setCoorType(this.B == 0 ? CoordinateType.WGS84 : CoordinateType.GCJ02);
                                        if (jSONObject6.has("navi")) {
                                        }
                                        if (jSONObject6.has("navi_client")) {
                                        }
                                        if (jSONObject6.has("nrl_point")) {
                                        }
                                    }
                                } else {
                                    str14 = null;
                                }
                                if (length > 3) {
                                    try {
                                        str15 = split2[3];
                                    } catch (Exception e3) {
                                        exc = e3;
                                        str5 = str22;
                                        str6 = str13;
                                        str8 = str14;
                                        str3 = null;
                                        str4 = null;
                                        str7 = null;
                                        str9 = null;
                                        str10 = null;
                                        exc.printStackTrace();
                                        str11 = str10;
                                        str12 = null;
                                        z = false;
                                        str21 = null;
                                        if (z) {
                                        }
                                        if (jSONObject6.has("floor")) {
                                        }
                                        if (jSONObject6.has("indoor")) {
                                        }
                                        if (jSONObject6.has("loctp")) {
                                        }
                                        if (jSONObject6.has("bldgid")) {
                                        }
                                        if (jSONObject6.has("bldg")) {
                                        }
                                        if (jSONObject6.has("ibav")) {
                                        }
                                        if (jSONObject6.has("indoorflags")) {
                                        }
                                        if (jSONObject6.has("gpscs")) {
                                        }
                                        if (jSONObject6.has("in_cn")) {
                                        }
                                        setCoorType(this.B == 0 ? CoordinateType.WGS84 : CoordinateType.GCJ02);
                                        if (jSONObject6.has("navi")) {
                                        }
                                        if (jSONObject6.has("navi_client")) {
                                        }
                                        if (jSONObject6.has("nrl_point")) {
                                        }
                                    }
                                } else {
                                    str15 = null;
                                }
                                if (length > 4) {
                                    try {
                                        str16 = split2[4];
                                    } catch (Exception e4) {
                                        exc = e4;
                                        str5 = str22;
                                        str6 = str13;
                                        str9 = str15;
                                        str8 = str14;
                                        str3 = null;
                                        str4 = null;
                                        str7 = null;
                                        str10 = null;
                                        exc.printStackTrace();
                                        str11 = str10;
                                        str12 = null;
                                        z = false;
                                        str21 = null;
                                        if (z) {
                                        }
                                        if (jSONObject6.has("floor")) {
                                        }
                                        if (jSONObject6.has("indoor")) {
                                        }
                                        if (jSONObject6.has("loctp")) {
                                        }
                                        if (jSONObject6.has("bldgid")) {
                                        }
                                        if (jSONObject6.has("bldg")) {
                                        }
                                        if (jSONObject6.has("ibav")) {
                                        }
                                        if (jSONObject6.has("indoorflags")) {
                                        }
                                        if (jSONObject6.has("gpscs")) {
                                        }
                                        if (jSONObject6.has("in_cn")) {
                                        }
                                        setCoorType(this.B == 0 ? CoordinateType.WGS84 : CoordinateType.GCJ02);
                                        if (jSONObject6.has("navi")) {
                                        }
                                        if (jSONObject6.has("navi_client")) {
                                        }
                                        if (jSONObject6.has("nrl_point")) {
                                        }
                                    }
                                } else {
                                    str16 = null;
                                }
                                if (length > 5) {
                                    try {
                                        str17 = split2[5];
                                    } catch (Exception e5) {
                                        exc = e5;
                                        str6 = str13;
                                        str9 = str15;
                                        str8 = str14;
                                        str10 = str16;
                                        str3 = null;
                                        str4 = null;
                                        str7 = null;
                                        str5 = str22;
                                        exc.printStackTrace();
                                        str11 = str10;
                                        str12 = null;
                                        z = false;
                                        str21 = null;
                                        if (z) {
                                        }
                                        if (jSONObject6.has("floor")) {
                                        }
                                        if (jSONObject6.has("indoor")) {
                                        }
                                        if (jSONObject6.has("loctp")) {
                                        }
                                        if (jSONObject6.has("bldgid")) {
                                        }
                                        if (jSONObject6.has("bldg")) {
                                        }
                                        if (jSONObject6.has("ibav")) {
                                        }
                                        if (jSONObject6.has("indoorflags")) {
                                        }
                                        if (jSONObject6.has("gpscs")) {
                                        }
                                        if (jSONObject6.has("in_cn")) {
                                        }
                                        setCoorType(this.B == 0 ? CoordinateType.WGS84 : CoordinateType.GCJ02);
                                        if (jSONObject6.has("navi")) {
                                        }
                                        if (jSONObject6.has("navi_client")) {
                                            try {
                                                if (string.contains(",")) {
                                                    intValue = Integer.valueOf(split[0]).intValue();
                                                    Integer.valueOf(split[1]).intValue();
                                                    if (intValue > 0) {
                                                    }
                                                }
                                            } catch (Throwable th) {
                                                th.printStackTrace();
                                            }
                                        }
                                        if (jSONObject6.has("nrl_point")) {
                                        }
                                    }
                                } else {
                                    str17 = null;
                                }
                                if (length > 6) {
                                    try {
                                        str18 = split2[6];
                                    } catch (Exception e6) {
                                        exc = e6;
                                        str9 = str15;
                                        str8 = str14;
                                        str10 = str16;
                                        str7 = str17;
                                        str4 = null;
                                        str5 = str22;
                                        str6 = str13;
                                        str3 = null;
                                        exc.printStackTrace();
                                        str11 = str10;
                                        str12 = null;
                                        z = false;
                                        str21 = null;
                                        if (z) {
                                        }
                                        if (jSONObject6.has("floor")) {
                                        }
                                        if (jSONObject6.has("indoor")) {
                                        }
                                        if (jSONObject6.has("loctp")) {
                                        }
                                        if (jSONObject6.has("bldgid")) {
                                        }
                                        if (jSONObject6.has("bldg")) {
                                        }
                                        if (jSONObject6.has("ibav")) {
                                        }
                                        if (jSONObject6.has("indoorflags")) {
                                        }
                                        if (jSONObject6.has("gpscs")) {
                                        }
                                        if (jSONObject6.has("in_cn")) {
                                        }
                                        setCoorType(this.B == 0 ? CoordinateType.WGS84 : CoordinateType.GCJ02);
                                        if (jSONObject6.has("navi")) {
                                        }
                                        if (jSONObject6.has("navi_client")) {
                                        }
                                        if (jSONObject6.has("nrl_point")) {
                                        }
                                    }
                                } else {
                                    str18 = null;
                                }
                                if (length > 7) {
                                    try {
                                        str19 = split2[7];
                                    } catch (Exception e7) {
                                        exc = e7;
                                        str9 = str15;
                                        str8 = str14;
                                        str10 = str16;
                                        str4 = null;
                                        str5 = str22;
                                        String str23 = str17;
                                        str6 = str13;
                                        str3 = str18;
                                        str7 = str23;
                                        exc.printStackTrace();
                                        str11 = str10;
                                        str12 = null;
                                        z = false;
                                        str21 = null;
                                        if (z) {
                                        }
                                        if (jSONObject6.has("floor")) {
                                        }
                                        if (jSONObject6.has("indoor")) {
                                        }
                                        if (jSONObject6.has("loctp")) {
                                        }
                                        if (jSONObject6.has("bldgid")) {
                                        }
                                        if (jSONObject6.has("bldg")) {
                                        }
                                        if (jSONObject6.has("ibav")) {
                                        }
                                        if (jSONObject6.has("indoorflags")) {
                                        }
                                        if (jSONObject6.has("gpscs")) {
                                        }
                                        if (jSONObject6.has("in_cn")) {
                                        }
                                        setCoorType(this.B == 0 ? CoordinateType.WGS84 : CoordinateType.GCJ02);
                                        if (jSONObject6.has("navi")) {
                                        }
                                        if (jSONObject6.has("navi_client")) {
                                        }
                                        if (jSONObject6.has("nrl_point")) {
                                        }
                                    }
                                } else {
                                    str19 = null;
                                }
                                if (length > 8) {
                                    try {
                                        str20 = split2[8];
                                    } catch (Exception e8) {
                                        exc = e8;
                                        str9 = str15;
                                        str10 = str16;
                                        str4 = str19;
                                        str5 = str22;
                                        str8 = str14;
                                        String str232 = str17;
                                        str6 = str13;
                                        str3 = str18;
                                        str7 = str232;
                                        exc.printStackTrace();
                                        str11 = str10;
                                        str12 = null;
                                        z = false;
                                        str21 = null;
                                        if (z) {
                                        }
                                        if (jSONObject6.has("floor")) {
                                        }
                                        if (jSONObject6.has("indoor")) {
                                        }
                                        if (jSONObject6.has("loctp")) {
                                        }
                                        if (jSONObject6.has("bldgid")) {
                                        }
                                        if (jSONObject6.has("bldg")) {
                                        }
                                        if (jSONObject6.has("ibav")) {
                                        }
                                        if (jSONObject6.has("indoorflags")) {
                                        }
                                        if (jSONObject6.has("gpscs")) {
                                        }
                                        if (jSONObject6.has("in_cn")) {
                                        }
                                        setCoorType(this.B == 0 ? CoordinateType.WGS84 : CoordinateType.GCJ02);
                                        if (jSONObject6.has("navi")) {
                                        }
                                        if (jSONObject6.has("navi_client")) {
                                        }
                                        if (jSONObject6.has("nrl_point")) {
                                        }
                                    }
                                } else {
                                    str20 = null;
                                }
                                str12 = str20;
                                str9 = str15;
                                str11 = str16;
                                str4 = str19;
                                str5 = str22;
                                str8 = str14;
                                z = true;
                                str21 = null;
                                String str24 = str17;
                                str6 = str13;
                                str3 = str18;
                                str7 = str24;
                            } catch (Exception e9) {
                                exc = e9;
                                str3 = null;
                                str4 = null;
                                str5 = null;
                            }
                            if (z) {
                            }
                        }
                    } else {
                        this.p = false;
                        setAddrStr(null);
                    }
                    if (jSONObject6.has("floor")) {
                        this.w = jSONObject6.getString("floor");
                        if (TextUtils.isEmpty(this.w)) {
                            this.w = null;
                        }
                    }
                    if (jSONObject6.has("indoor")) {
                        String string7 = jSONObject6.getString("indoor");
                        if (!TextUtils.isEmpty(string7)) {
                            setUserIndoorState(Integer.valueOf(string7).intValue());
                        }
                    }
                    if (jSONObject6.has("loctp")) {
                        this.C = jSONObject6.getString("loctp");
                        if (TextUtils.isEmpty(this.C)) {
                            this.C = null;
                        }
                    }
                    if (jSONObject6.has("bldgid")) {
                        this.x = jSONObject6.getString("bldgid");
                        if (TextUtils.isEmpty(this.x)) {
                            this.x = null;
                        }
                    }
                    if (jSONObject6.has("bldg")) {
                        this.y = jSONObject6.getString("bldg");
                        if (TextUtils.isEmpty(this.y)) {
                            this.y = null;
                        }
                    }
                    if (jSONObject6.has("ibav")) {
                        String string8 = jSONObject6.getString("ibav");
                        if (!TextUtils.isEmpty(string8) && !string8.equals("0")) {
                            this.A = Integer.valueOf(string8).intValue();
                        }
                        this.A = 0;
                    }
                    if (jSONObject6.has("indoorflags")) {
                        try {
                            JSONObject jSONObject11 = jSONObject6.getJSONObject("indoorflags");
                            if (jSONObject11.has("area")) {
                                int intValue2 = Integer.valueOf(jSONObject11.getString("area")).intValue();
                                if (intValue2 == 0) {
                                    setIndoorLocationSurpport(2);
                                } else if (intValue2 == 1) {
                                    setIndoorLocationSurpport(1);
                                }
                            }
                            if (jSONObject11.has("support")) {
                                setIndoorLocationSource(Integer.valueOf(jSONObject11.getString("support")).intValue());
                            }
                            if (jSONObject11.has("inbldg")) {
                                this.J = jSONObject11.getString("inbldg");
                            }
                            if (jSONObject11.has("inbldgid")) {
                                this.K = jSONObject11.getString("inbldgid");
                            }
                            if (jSONObject11.has("polygon")) {
                                setIndoorSurpportPolygon(jSONObject11.getString("polygon"));
                            }
                            if (jSONObject11.has("ret_fields")) {
                                try {
                                    for (String str25 : jSONObject11.getString("ret_fields").split("\\|")) {
                                        String[] split3 = str25.split("=");
                                        if (split3 != null && split3.length >= 2) {
                                            this.Q.putString(split3[0], split3[1]);
                                        }
                                    }
                                } catch (Exception unused4) {
                                }
                            }
                        } catch (Exception e10) {
                            e10.printStackTrace();
                        }
                    }
                    if (jSONObject6.has("gpscs")) {
                        setGpsCheckStatus(jSONObject6.getInt("gpscs"));
                    } else {
                        setGpsCheckStatus(0);
                    }
                    try {
                        if (jSONObject6.has("in_cn")) {
                            setLocationWhere(Integer.parseInt(jSONObject6.getString("in_cn")));
                        } else {
                            setLocationWhere(1);
                        }
                    } catch (Exception unused5) {
                    }
                    setCoorType(this.B == 0 ? CoordinateType.WGS84 : CoordinateType.GCJ02);
                    if (jSONObject6.has("navi")) {
                        this.U = jSONObject6.getString("navi");
                    }
                    if (jSONObject6.has("navi_client") && (string = jSONObject6.getString("navi_client")) != null) {
                        if (string.contains(",") && (split = string.split(",")) != null && split.length >= 2) {
                            intValue = Integer.valueOf(split[0]).intValue();
                            Integer.valueOf(split[1]).intValue();
                            if (intValue > 0) {
                                this.X = true;
                            }
                        }
                    }
                    if (jSONObject6.has("nrl_point")) {
                        try {
                            JSONObject jSONObject12 = jSONObject6.getJSONObject("nrl_point");
                            if (jSONObject12.has("x") && jSONObject12.has("y")) {
                                this.V = Double.parseDouble(jSONObject12.getString("y"));
                                this.W = Double.parseDouble(jSONObject12.getString("x"));
                                return;
                            }
                            return;
                        } catch (Throwable unused6) {
                            this.V = Double.MIN_VALUE;
                            this.W = Double.MIN_VALUE;
                            return;
                        }
                    }
                    return;
                } else {
                    if (parseInt != 66 && parseInt != 68) {
                        if (parseInt == 167) {
                            setLocationWhere(2);
                            return;
                        }
                        return;
                    }
                    JSONObject jSONObject13 = jSONObject2.getJSONObject("content");
                    JSONObject jSONObject14 = jSONObject13.getJSONObject("point");
                    setLatitude(Double.parseDouble(jSONObject14.getString("y")));
                    setLongitude(Double.parseDouble(jSONObject14.getString("x")));
                    setRadius(Float.parseFloat(jSONObject13.getString("radius")));
                    a(Boolean.valueOf(Boolean.parseBoolean(jSONObject13.getString("isCellChanged"))));
                    str2 = CoordinateType.GCJ02;
                }
                setCoorType(str2);
            } catch (Error e11) {
                e11.printStackTrace();
                this.a = 0;
                this.p = false;
            }
        } catch (Exception e12) {
            e12.printStackTrace();
            this.a = 0;
            this.p = false;
        }
    }

    private void a(Boolean bool) {
        this.u = bool.booleanValue();
    }

    @Override // android.os.Parcelable
    public int describeContents() {
        return 0;
    }

    public String getAdCode() {
        return this.v.adcode;
    }

    public String getAddrStr() {
        return this.v.address;
    }

    public Address getAddress() {
        return this.v;
    }

    public double getAltitude() {
        return this.f;
    }

    public String getBuildingID() {
        return this.x;
    }

    public String getBuildingName() {
        return this.y;
    }

    public String getCity() {
        return this.v.city;
    }

    public String getCityCode() {
        return this.v.cityCode;
    }

    public String getCoorType() {
        return this.o;
    }

    public String getCountry() {
        return this.v.country;
    }

    public String getCountryCode() {
        return this.v.countryCode;
    }

    public long getDelayTime() {
        return this.T;
    }

    @Deprecated
    public float getDerect() {
        return this.n;
    }

    public float getDirection() {
        return this.n;
    }

    public double getDisToRealLocation() {
        return this.aa;
    }

    public String getDistrict() {
        return this.v.district;
    }

    public Location getExtraLocation(String str) {
        if (this.Q != null) {
            Parcelable parcelable = this.Q.getParcelable(str);
            if (parcelable instanceof Location) {
                return (Location) parcelable;
            }
            return null;
        }
        return null;
    }

    public String getFloor() {
        return this.w;
    }

    public double[] getFusionLocInfo(String str) {
        return this.Q.getDoubleArray(str);
    }

    public int getGpsAccuracyStatus() {
        return this.R;
    }

    public float getGpsBiasProb() {
        return this.Z;
    }

    public int getGpsCheckStatus() {
        return this.S;
    }

    public int getIndoorLocationSource() {
        return this.I;
    }

    public int getIndoorLocationSurpport() {
        return this.G;
    }

    public String getIndoorLocationSurpportBuidlingID() {
        return this.K;
    }

    public String getIndoorLocationSurpportBuidlingName() {
        return this.J;
    }

    public int getIndoorNetworkState() {
        return this.H;
    }

    public String getIndoorSurpportPolygon() {
        return this.L;
    }

    public double getLatitude() {
        return this.c;
    }

    public int getLocType() {
        return this.a;
    }

    public String getLocTypeDescription() {
        return this.N;
    }

    public String getLocationDescribe() {
        return this.r;
    }

    public String getLocationID() {
        return this.O;
    }

    public int getLocationWhere() {
        return this.B;
    }

    public double getLongitude() {
        return this.d;
    }

    public int getMockGpsProbability() {
        return this.ac;
    }

    public int getMockGpsStrategy() {
        return this.ab;
    }

    public String getNetworkLocationType() {
        return this.C;
    }

    public double getNrlLat() {
        return this.V;
    }

    public double getNrlLon() {
        return this.W;
    }

    public String getNrlResult() {
        return this.U;
    }

    public int getOperators() {
        return this.D;
    }

    public List<Poi> getPoiList() {
        return this.M;
    }

    public PoiRegion getPoiRegion() {
        return this.Y;
    }

    public String getProvince() {
        return this.v.province;
    }

    public float getRadius() {
        return this.j;
    }

    public BDLocation getReallLocation() {
        if (getMockGpsStrategy() > 0) {
            return this.ad;
        }
        return null;
    }

    public String getRetFields(String str) {
        return this.Q.getString(str);
    }

    public String getRoadLocString() {
        return this.P;
    }

    public int getSatelliteNumber() {
        this.l = true;
        return this.m;
    }

    @Deprecated
    public String getSemaAptag() {
        return this.r;
    }

    public float getSpeed() {
        return this.h;
    }

    public String getStreet() {
        return this.v.street;
    }

    public String getStreetNumber() {
        return this.v.streetNumber;
    }

    public String getTime() {
        return this.b;
    }

    public String getTown() {
        return this.v.town;
    }

    public String getTraffic() {
        return this.k;
    }

    public int getUserIndoorState() {
        return this.F;
    }

    public String getVdrJsonString() {
        if (this.Q == null || !this.Q.containsKey("vdr")) {
            return null;
        }
        return this.Q.getString("vdr");
    }

    public boolean hasAddr() {
        return this.p;
    }

    public boolean hasAltitude() {
        return this.e;
    }

    public boolean hasRadius() {
        return this.i;
    }

    public boolean hasSateNumber() {
        return this.l;
    }

    public boolean hasSpeed() {
        return this.g;
    }

    public boolean isCellChangeFlag() {
        return this.u;
    }

    public boolean isInIndoorPark() {
        return this.X;
    }

    public boolean isIndoorLocMode() {
        return this.z;
    }

    public boolean isNrlAvailable() {
        return (this.W == Double.MIN_VALUE || this.V == Double.MIN_VALUE) ? false : true;
    }

    public int isParkAvailable() {
        return this.A;
    }

    public void setAddr(Address address) {
        if (address != null) {
            this.v = address;
            this.p = true;
        }
    }

    public void setAddrStr(String str) {
        this.q = str;
        this.p = str != null;
    }

    public void setAltitude(double d) {
        if (d < 9999.0d) {
            this.f = d;
            this.e = true;
        }
    }

    public void setBuildingID(String str) {
        this.x = str;
    }

    public void setBuildingName(String str) {
        this.y = str;
    }

    public void setCoorType(String str) {
        this.o = str;
    }

    public void setDelayTime(long j) {
        this.T = j;
    }

    public void setDirection(float f) {
        this.n = f;
    }

    public void setDisToRealLocation(double d) {
        this.aa = d;
    }

    public void setExtraLocation(String str, Location location) {
        if (this.Q == null) {
            this.Q = new Bundle();
        }
        this.Q.putParcelable(str, location);
    }

    public void setFloor(String str) {
        this.w = str;
    }

    public void setFusionLocInfo(String str, double[] dArr) {
        if (this.Q == null) {
            this.Q = new Bundle();
        }
        this.Q.putDoubleArray(str, dArr);
    }

    public void setGpsAccuracyStatus(int i) {
        this.R = i;
    }

    public void setGpsBiasProb(float f) {
        this.Z = f;
    }

    public void setGpsCheckStatus(int i) {
        this.S = i;
    }

    public void setIndoorLocMode(boolean z) {
        this.z = z;
    }

    public void setIndoorLocationSource(int i) {
        this.I = i;
    }

    public void setIndoorLocationSurpport(int i) {
        this.G = i;
    }

    public void setIndoorNetworkState(int i) {
        this.H = i;
    }

    public void setIndoorSurpportPolygon(String str) {
        this.L = str;
    }

    public void setIsInIndoorPark(boolean z) {
        this.X = z;
    }

    public void setLatitude(double d) {
        this.c = d;
    }

    public void setLocType(int i) {
        String str;
        this.a = i;
        switch (i) {
            case 61:
                setLocTypeDescription("GPS location successful!");
                setUserIndoorState(0);
                return;
            case 62:
                str = "Location failed beacuse we can not get any loc information!";
                break;
            case 63:
            case 67:
                str = "Offline location failed, please check the net (wifi/cell)!";
                break;
            case 66:
                str = "Offline location successful!";
                break;
            case 161:
                str = "NetWork location successful!";
                break;
            case 162:
                str = "NetWork location failed because baidu location service can not decrypt the request query, please check the so file !";
                break;
            case 167:
                str = "NetWork location failed because baidu location service can not caculate the location!";
                break;
            case 505:
                str = "NetWork location failed because baidu location service check the key is unlegal, please check the key in AndroidManifest.xml !";
                break;
            default:
                str = "UnKnown!";
                break;
        }
        setLocTypeDescription(str);
    }

    public void setLocTypeDescription(String str) {
        this.N = str;
    }

    public void setLocationDescribe(String str) {
        this.r = str;
    }

    public void setLocationID(String str) {
        this.O = str;
    }

    public void setLocationWhere(int i) {
        this.B = i;
    }

    public void setLongitude(double d) {
        this.d = d;
    }

    public void setMockGpsProbability(int i) {
        this.ac = i;
    }

    public void setMockGpsStrategy(int i) {
        this.ab = i;
    }

    public void setNetworkLocationType(String str) {
        this.C = str;
    }

    public void setNrlData(String str) {
        this.U = str;
    }

    public void setOperators(int i) {
        this.D = i;
    }

    public void setParkAvailable(int i) {
        this.A = i;
    }

    public void setPoiList(List<Poi> list) {
        this.M = list;
    }

    public void setPoiRegion(PoiRegion poiRegion) {
        this.Y = poiRegion;
    }

    public void setRadius(float f) {
        this.j = f;
        this.i = true;
    }

    public void setReallLocation(BDLocation bDLocation) {
        if (getMockGpsStrategy() > 0) {
            this.ad = bDLocation;
        }
    }

    public void setRetFields(String str, String str2) {
        if (this.Q == null) {
            this.Q = new Bundle();
        }
        this.Q.putString(str, str2);
    }

    public void setRoadLocString(float f, float f2) {
        String format = ((double) f) > 0.001d ? String.format("%.2f", Float.valueOf(f)) : "";
        String format2 = ((double) f2) > 0.001d ? String.format("%.2f", Float.valueOf(f2)) : "";
        if (this.U != null) {
            this.P = String.format(Locale.US, "%s|%s,%s", this.U, format, format2);
        }
    }

    public void setSatelliteNumber(int i) {
        this.m = i;
    }

    public void setSpeed(float f) {
        this.h = f;
        this.g = true;
    }

    public void setTime(String str) {
        this.b = str;
        setLocationID(g.a(str));
    }

    public void setTraffic(String str) {
        this.k = str;
    }

    public void setUserIndoorState(int i) {
        this.F = i;
    }

    public void setVdrJsonValue(String str) {
        if (this.Q == null) {
            this.Q = new Bundle();
        }
        this.Q.putString("vdr", str);
    }

    public String toString() {
        return "&loctype=" + getLocType() + "&lat=" + getLatitude() + "&lon=" + getLongitude() + "&radius=" + getRadius() + "&biasprob=" + getGpsBiasProb();
    }

    @Override // android.os.Parcelable
    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeInt(this.a);
        parcel.writeString(this.b);
        parcel.writeDouble(this.c);
        parcel.writeDouble(this.d);
        parcel.writeDouble(this.f);
        parcel.writeFloat(this.h);
        parcel.writeFloat(this.j);
        parcel.writeString(this.k);
        parcel.writeInt(this.m);
        parcel.writeFloat(this.n);
        parcel.writeString(this.w);
        parcel.writeInt(this.A);
        parcel.writeString(this.x);
        parcel.writeString(this.y);
        parcel.writeString(this.C);
        parcel.writeString(this.v.province);
        parcel.writeString(this.v.city);
        parcel.writeString(this.v.district);
        parcel.writeString(this.v.street);
        parcel.writeString(this.v.streetNumber);
        parcel.writeString(this.v.cityCode);
        parcel.writeString(this.v.address);
        parcel.writeString(this.v.country);
        parcel.writeString(this.v.countryCode);
        parcel.writeString(this.v.adcode);
        parcel.writeString(this.v.town);
        parcel.writeInt(this.D);
        parcel.writeString(this.E);
        parcel.writeString(this.r);
        parcel.writeString(this.s);
        parcel.writeString(this.t);
        parcel.writeInt(this.B);
        parcel.writeString(this.N);
        parcel.writeInt(this.F);
        parcel.writeInt(this.G);
        parcel.writeInt(this.H);
        parcel.writeInt(this.I);
        parcel.writeString(this.J);
        parcel.writeString(this.K);
        parcel.writeString(this.L);
        parcel.writeInt(this.R);
        parcel.writeString(this.O);
        parcel.writeInt(this.S);
        parcel.writeString(this.P);
        parcel.writeString(this.U);
        parcel.writeLong(this.T);
        parcel.writeDouble(this.V);
        parcel.writeDouble(this.W);
        parcel.writeFloat(this.Z);
        parcel.writeDouble(this.aa);
        parcel.writeInt(this.ab);
        parcel.writeInt(this.ac);
        parcel.writeString(this.o);
        parcel.writeParcelable(this.ad, i);
        parcel.writeBooleanArray(new boolean[]{this.e, this.g, this.i, this.l, this.p, this.u, this.z, this.X});
        parcel.writeList(this.M);
        parcel.writeBundle(this.Q);
        parcel.writeParcelable(this.Y, i);
    }
}
