package com.baidu.mapapi.animation;

import android.graphics.Point;
import android.view.animation.Interpolator;
import com.baidu.mapapi.animation.Animation;
import com.baidu.mapapi.model.LatLng;
import com.baidu.mapsdkplatform.comapi.animation.f;
/* loaded from: classes.dex */
public class Transformation extends Animation {
    public Transformation(LatLng... latLngArr) {
        if (latLngArr != null && latLngArr.length != 0) {
            this.bdAnimation = new f(latLngArr);
            return;
        }
        throw new NullPointerException("BDMapSDKException: the latlngs is null");
    }

    @Override // com.baidu.mapapi.animation.Animation
    public void cancel() {
        this.bdAnimation.cancelAnimation();
    }

    @Override // com.baidu.mapapi.animation.Animation
    public void setAnimationListener(Animation.AnimationListener animationListener) {
        this.bdAnimation.setAnimationListener(animationListener);
    }

    @Override // com.baidu.mapapi.animation.Animation
    public void setDuration(long j) {
        this.bdAnimation.setDuration(j);
    }

    @Override // com.baidu.mapapi.animation.Animation
    public void setInterpolator(Interpolator interpolator) {
        this.bdAnimation.setInterpolator(interpolator);
    }

    public void setRepeatCount(int i) {
        this.bdAnimation.setRepeatCount(i);
    }

    public void setRepeatMode(Animation.RepeatMode repeatMode) {
        if (repeatMode == Animation.RepeatMode.RESTART) {
            this.bdAnimation.setRepeatMode(1);
        } else if (repeatMode == Animation.RepeatMode.REVERSE) {
            this.bdAnimation.setRepeatMode(2);
        }
    }

    public Transformation(Point... pointArr) {
        if (pointArr != null && pointArr.length != 0) {
            this.bdAnimation = new f(pointArr);
            return;
        }
        throw new NullPointerException("BDMapSDKException: the points is null");
    }
}
