package com.baidu.mapapi.http;

import android.net.ConnectivityManager;
import android.net.NetworkCapabilities;
import android.net.NetworkInfo;
import android.os.Build;
import android.text.TextUtils;
import android.util.Log;
import com.baidu.mapapi.JNIInitializer;
import com.baidu.mapapi.common.Logger;
import com.baidu.mapsdkplatform.comapi.util.f;
import java.io.BufferedReader;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;
import javax.net.ssl.HostnameVerifier;
import javax.net.ssl.HttpsURLConnection;
import javax.net.ssl.SSLSession;
/* loaded from: classes.dex */
public class HttpClient {
    public static boolean isHttpsEnable = true;
    private String a = null;
    private String b = null;
    HttpURLConnection c;
    private int d;
    private int e;
    private String f;
    private ProtoResultCallback g;

    /* loaded from: classes.dex */
    public enum HttpStateError {
        NO_ERROR,
        NETWORK_ERROR,
        INNER_ERROR,
        REQUEST_ERROR,
        SERVER_ERROR
    }

    /* loaded from: classes.dex */
    public static abstract class ProtoResultCallback {
        public abstract void onFailed(HttpStateError httpStateError);

        public abstract void onSuccess(String str);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public static class a implements HostnameVerifier {
        a() {
        }

        @Override // javax.net.ssl.HostnameVerifier
        public boolean verify(String str, SSLSession sSLSession) {
            return HttpsURLConnection.getDefaultHostnameVerifier().verify(str, sSLSession);
        }
    }

    public HttpClient(String str, ProtoResultCallback protoResultCallback) {
        this.f = str;
        this.g = protoResultCallback;
    }

    private HttpURLConnection a() {
        HttpsURLConnection httpsURLConnection;
        try {
            URL url = new URL(this.a);
            if (isHttpsEnable) {
                HttpsURLConnection httpsURLConnection2 = (HttpsURLConnection) url.openConnection();
                httpsURLConnection2.setHostnameVerifier(new a());
                httpsURLConnection = httpsURLConnection2;
            } else {
                httpsURLConnection = (HttpURLConnection) url.openConnection();
            }
            httpsURLConnection.setRequestMethod(this.f);
            httpsURLConnection.setDoOutput(false);
            httpsURLConnection.setDoInput(true);
            httpsURLConnection.setConnectTimeout(this.d);
            httpsURLConnection.setReadTimeout(this.e);
            return httpsURLConnection;
        } catch (Exception e) {
            Log.e("HttpClient", "url connect failed");
            if (Logger.debugEnable()) {
                e.printStackTrace();
                return null;
            }
            Logger.logW("HttpClient", e.getMessage());
            return null;
        }
    }

    public static String getAuthToken() {
        return f.x;
    }

    public static String getPhoneInfo() {
        return f.g();
    }

    protected boolean checkNetwork() {
        try {
            ConnectivityManager connectivityManager = (ConnectivityManager) JNIInitializer.getCachedContext().getSystemService("connectivity");
            if (connectivityManager == null) {
                return false;
            }
            if (Build.VERSION.SDK_INT >= 29) {
                NetworkCapabilities networkCapabilities = connectivityManager.getNetworkCapabilities(connectivityManager.getActiveNetwork());
                return networkCapabilities != null && networkCapabilities.hasCapability(12);
            }
            NetworkInfo activeNetworkInfo = connectivityManager.getActiveNetworkInfo();
            return activeNetworkInfo != null && activeNetworkInfo.isAvailable();
        } catch (Exception e) {
            if (Logger.debugEnable()) {
                e.printStackTrace();
            } else {
                Logger.logW("HttpClient", e.getMessage());
            }
            e.printStackTrace();
            return false;
        }
    }

    /* JADX INFO: Access modifiers changed from: protected */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Removed duplicated region for block: B:105:? A[RETURN, SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:69:0x0112 A[Catch: all -> 0x013f, TRY_LEAVE, TryCatch #7 {all -> 0x013f, blocks: (B:67:0x010c, B:69:0x0112, B:73:0x011f, B:72:0x0118), top: B:97:0x010c }] */
    /* JADX WARN: Removed duplicated region for block: B:71:0x0116  */
    /* JADX WARN: Removed duplicated region for block: B:79:0x013b A[Catch: Exception -> 0x0152, TryCatch #6 {Exception -> 0x0152, blocks: (B:14:0x0037, B:26:0x0072, B:27:0x0078, B:29:0x007c, B:84:0x0144, B:85:0x014a, B:87:0x014e, B:88:0x0151, B:76:0x0131, B:77:0x0137, B:79:0x013b, B:58:0x00f9, B:60:0x00fd), top: B:96:0x0037 }] */
    /* JADX WARN: Removed duplicated region for block: B:87:0x014e A[Catch: Exception -> 0x0152, TryCatch #6 {Exception -> 0x0152, blocks: (B:14:0x0037, B:26:0x0072, B:27:0x0078, B:29:0x007c, B:84:0x0144, B:85:0x014a, B:87:0x014e, B:88:0x0151, B:76:0x0131, B:77:0x0137, B:79:0x013b, B:58:0x00f9, B:60:0x00fd), top: B:96:0x0037 }] */
    /* JADX WARN: Type inference failed for: r0v11, types: [java.io.InputStream] */
    /* JADX WARN: Type inference failed for: r0v13, types: [int] */
    /* JADX WARN: Type inference failed for: r0v21, types: [java.io.InputStream] */
    /* JADX WARN: Type inference failed for: r0v5 */
    /* JADX WARN: Type inference failed for: r0v8 */
    /* JADX WARN: Type inference failed for: r0v9, types: [java.io.InputStream] */
    /* JADX WARN: Type inference failed for: r2v4, types: [java.lang.StringBuilder] */
    /* JADX WARN: Type inference failed for: r3v3, types: [java.lang.StringBuilder] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public void request(String str) {
        BufferedReader bufferedReader;
        Throwable th;
        ?? r0;
        Object obj;
        Exception e;
        HttpURLConnection httpURLConnection;
        HttpURLConnection httpURLConnection2;
        HttpStateError httpStateError;
        this.a = str;
        if (!checkNetwork()) {
            this.g.onFailed(HttpStateError.NETWORK_ERROR);
            return;
        }
        HttpURLConnection a2 = a();
        this.c = a2;
        if (a2 == null) {
            Log.e("HttpClient", "url connection failed");
            this.g.onFailed(HttpStateError.INNER_ERROR);
        } else if (TextUtils.isEmpty(this.a)) {
            this.g.onFailed(HttpStateError.REQUEST_ERROR);
        } else {
            try {
                this.c.connect();
                try {
                    r0 = this.c.getResponseCode();
                } catch (Exception e2) {
                    e = e2;
                    obj = null;
                } catch (Throwable th2) {
                    bufferedReader = null;
                    th = th2;
                    r0 = 0;
                }
                try {
                    if (200 == r0) {
                        r0 = this.c.getInputStream();
                        bufferedReader = new BufferedReader(new InputStreamReader((InputStream) r0, "UTF-8"));
                        try {
                            StringBuffer stringBuffer = new StringBuffer();
                            while (true) {
                                int read = bufferedReader.read();
                                if (read == -1) {
                                    break;
                                }
                                stringBuffer.append((char) read);
                            }
                            this.b = stringBuffer.toString();
                            if (r0 != 0) {
                                bufferedReader.close();
                                r0.close();
                            }
                            HttpURLConnection httpURLConnection3 = this.c;
                            if (httpURLConnection3 != null) {
                                httpURLConnection3.disconnect();
                            }
                            this.g.onSuccess(this.b);
                            return;
                        } catch (Exception e3) {
                            e = e3;
                            try {
                                if (!Logger.debugEnable()) {
                                    e.printStackTrace();
                                } else {
                                    Logger.logW("HttpClient", e.getMessage());
                                }
                                Log.e("HttpClient", "Catch exception. INNER_ERROR", e);
                                this.g.onFailed(HttpStateError.INNER_ERROR);
                                if (r0 != 0 && bufferedReader != null) {
                                    bufferedReader.close();
                                    r0.close();
                                }
                                httpURLConnection2 = this.c;
                                if (httpURLConnection2 == null) {
                                    httpURLConnection2.disconnect();
                                    return;
                                }
                                return;
                            } catch (Throwable th3) {
                                th = th3;
                                if (r0 != 0 && bufferedReader != null) {
                                    bufferedReader.close();
                                    r0.close();
                                }
                                httpURLConnection = this.c;
                                if (httpURLConnection != null) {
                                    httpURLConnection.disconnect();
                                }
                                throw th;
                            }
                        } catch (Throwable th4) {
                            th = th4;
                            if (r0 != 0) {
                                bufferedReader.close();
                                r0.close();
                            }
                            httpURLConnection = this.c;
                            if (httpURLConnection != null) {
                            }
                            throw th;
                        }
                    }
                    Log.e("HttpClient", "responseCode is: " + r0);
                    if (r0 >= 500) {
                        httpStateError = HttpStateError.SERVER_ERROR;
                    } else if (r0 >= 400) {
                        httpStateError = HttpStateError.REQUEST_ERROR;
                    } else {
                        httpStateError = HttpStateError.INNER_ERROR;
                    }
                    if (Logger.debugEnable()) {
                        Logger.logW("HttpClient", this.c.getErrorStream().toString());
                    } else {
                        Logger.logW("HttpClient", "Get response from server failed, http response code=" + r0 + ", error=" + httpStateError);
                    }
                    this.g.onFailed(httpStateError);
                    HttpURLConnection httpURLConnection4 = this.c;
                    if (httpURLConnection4 != null) {
                        httpURLConnection4.disconnect();
                    }
                } catch (Exception e4) {
                    obj = r0;
                    e = e4;
                    Object obj2 = obj;
                    bufferedReader = null;
                    e = e;
                    r0 = obj2;
                    if (!Logger.debugEnable()) {
                    }
                    Log.e("HttpClient", "Catch exception. INNER_ERROR", e);
                    this.g.onFailed(HttpStateError.INNER_ERROR);
                    if (r0 != 0) {
                        bufferedReader.close();
                        r0.close();
                    }
                    httpURLConnection2 = this.c;
                    if (httpURLConnection2 == null) {
                    }
                } catch (Throwable th5) {
                    bufferedReader = null;
                    th = th5;
                }
            } catch (Exception e5) {
                if (Logger.debugEnable()) {
                    e5.printStackTrace();
                } else {
                    Logger.logW("HttpClient", e5.getMessage());
                }
                Log.e("HttpClient", "Catch connection exception, INNER_ERROR", e5);
                this.g.onFailed(HttpStateError.INNER_ERROR);
            }
        }
    }

    public void setMaxTimeOut(int i) {
        this.d = i;
    }

    public void setReadTimeOut(int i) {
        this.e = i;
    }
}
