package com.baidu.mapapi.map;

import android.os.Bundle;
import android.text.TextUtils;
import com.baidu.mapapi.map.BM3DModelOptions;
import com.baidu.mapapi.model.CoordUtil;
import com.baidu.mapapi.model.LatLng;
import com.baidu.mapsdkplatform.comapi.map.e;
import com.baidu.platform.comapi.basestruct.GeoPoint;
/* loaded from: classes.dex */
public final class BM3DModel extends Overlay {
    String e;
    String f;
    LatLng g;
    float j;
    float k;
    float l;
    float m;
    float n;
    float o;
    float h = 1.0f;
    boolean i = false;
    BM3DModelOptions.BM3DModelType p = BM3DModelOptions.BM3DModelType.BM3DModelTypeObj;

    public BM3DModel() {
        this.type = e.BM3DModel;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    @Override // com.baidu.mapapi.map.Overlay
    public Bundle a(Bundle bundle) {
        super.a(bundle);
        if (!TextUtils.isEmpty(this.e)) {
            bundle.putString("modelPath", this.e);
            if (!TextUtils.isEmpty(this.f)) {
                bundle.putString("modelName", this.f);
                LatLng latLng = this.g;
                if (latLng != null) {
                    GeoPoint ll2mc = CoordUtil.ll2mc(latLng);
                    bundle.putDouble("location_x", ll2mc.getLongitudeE6());
                    bundle.putDouble("location_y", ll2mc.getLatitudeE6());
                    bundle.putInt("modelType", this.p.ordinal());
                    bundle.putFloat("scale", this.h);
                    bundle.putInt("zoomFixed", this.i ? 1 : 0);
                    bundle.putFloat("rotateX", this.j);
                    bundle.putFloat("rotateY", this.k);
                    bundle.putFloat("rotateZ", this.l);
                    bundle.putFloat("offsetX", this.m);
                    bundle.putFloat("offsetY", this.n);
                    bundle.putFloat("offsetZ", this.o);
                    return bundle;
                }
                throw new IllegalArgumentException("BDMapSDKException: BM3DModel mPosition can not be null");
            }
            throw new IllegalArgumentException("BDMapSDKException: BM3DModel mModelName can not be null");
        }
        throw new IllegalArgumentException("BDMapSDKException: BM3DModel modelPath can not be null");
    }

    public BM3DModelOptions.BM3DModelType getBM3DModelType() {
        return this.p;
    }

    public String getModelName() {
        return this.f;
    }

    public String getModelPath() {
        return this.e;
    }

    public float getOffsetX() {
        return this.m;
    }

    public float getOffsetY() {
        return this.n;
    }

    public float getOffsetZ() {
        return this.o;
    }

    public LatLng getPosition() {
        return this.g;
    }

    public float getRotateX() {
        return this.j;
    }

    public float getRotateY() {
        return this.k;
    }

    public float getRotateZ() {
        return this.l;
    }

    public float getScale() {
        return this.h;
    }

    public boolean isZoomFixed() {
        return this.i;
    }

    public void setBM3DModelType(BM3DModelOptions.BM3DModelType bM3DModelType) {
        this.p = bM3DModelType;
        this.listener.c(this);
    }

    public void setModelName(String str) {
        if (!TextUtils.isEmpty(str)) {
            this.f = str;
            this.listener.c(this);
            return;
        }
        throw new IllegalArgumentException("BDMapSDKException: BM3DModel modelName can not be null");
    }

    public void setModelPath(String str) {
        if (!TextUtils.isEmpty(str)) {
            this.e = str;
            this.listener.c(this);
            return;
        }
        throw new IllegalArgumentException("BDMapSDKException: BM3DModel modelPath can not be null");
    }

    public void setOffset(float f, float f2, float f3) {
        this.m = f;
        this.n = f2;
        this.o = f3;
        this.listener.c(this);
    }

    public void setPosition(LatLng latLng) {
        if (latLng != null) {
            this.g = latLng;
            this.listener.c(this);
            return;
        }
        throw new IllegalArgumentException("BDMapSDKException: BM3DModel position can not be null");
    }

    public void setRotate(float f, float f2, float f3) {
        this.j = f;
        this.k = f2;
        this.l = f3;
        this.listener.c(this);
    }

    public void setScale(float f) {
        this.h = f;
        this.listener.c(this);
    }

    public void setZoomFixed(boolean z) {
        this.i = z;
        this.listener.c(this);
    }
}
