package com.baidu.mapapi.map;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.Color;
import android.graphics.Point;
import android.graphics.Rect;
import android.os.Bundle;
import android.text.TextUtils;
import android.util.Log;
import android.view.MotionEvent;
import android.view.View;
import com.baidu.mapapi.OpenLogUtil;
import com.baidu.mapapi.common.SysOSUtil;
import com.baidu.mapapi.map.InfoWindow;
import com.baidu.mapapi.map.MapBaseIndoorMapInfo;
import com.baidu.mapapi.map.MapStatus;
import com.baidu.mapapi.map.MapViewLayoutParams;
import com.baidu.mapapi.map.MyLocationConfiguration;
import com.baidu.mapapi.map.Overlay;
import com.baidu.mapapi.map.track.TraceAnimationListener;
import com.baidu.mapapi.map.track.TraceOptions;
import com.baidu.mapapi.map.track.TraceOverlay;
import com.baidu.mapapi.model.CoordUtil;
import com.baidu.mapapi.model.LatLng;
import com.baidu.mapapi.model.LatLngBounds;
import com.baidu.mapsdkplatform.comapi.map.q;
import com.baidu.mapsdkplatform.comapi.map.r;
import com.baidu.mapsdkplatform.comapi.map.s;
import com.baidu.mapsdkplatform.comapi.map.w;
import com.baidu.platform.comapi.basestruct.GeoPoint;
import com.baidu.platform.comapi.map.MapBundleKey;
import com.baidu.platform.comapi.map.MapSurfaceView;
import com.baidu.platform.comapi.map.MapTextureView;
import com.baidu.platform.comapi.map.OverlayLocationData;
import com.baidu.platform.comapi.map.x;
import com.google.firebase.crashlytics.buildtools.android.project.BuildIdWriter;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Set;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.CopyOnWriteArrayList;
import java.util.concurrent.locks.Lock;
import java.util.concurrent.locks.ReentrantLock;
import javax.microedition.khronos.opengles.GL10;
import org.cocos2dx.lib.GameControllerDelegate;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;
/* loaded from: classes.dex */
public class BaiduMap {
    public static final int MAP_TYPE_NONE = 3;
    public static final int MAP_TYPE_NORMAL = 1;
    public static final int MAP_TYPE_SATELLITE = 2;
    public static final float REAL_MAX_ZOOM_LEVEL = 21.0f;
    public static final float REAL_MIN_ZOOM_LEVEL = 4.0f;
    private static final String W = "BaiduMap";
    public static int mapStatusReason = 256;
    private OnMapRenderValidDataListener A;
    private OnSynchronizationListener B;
    private TileOverlay C;
    private HeatMap D;
    private Map<String, InfoWindow> G;
    private Map<InfoWindow, Marker> H;
    private Marker I;
    private MyLocationData J;
    private MyLocationConfiguration K;
    MapView L;
    TextureMapView M;
    WearMapView N;
    r O;
    private boolean P;
    private boolean Q;
    private boolean R;
    private boolean S;
    private Point T;
    private com.baidu.mapsdkplatform.comapi.map.z.c V;
    private Projection a;
    private UiSettings b;
    private MapSurfaceView c;
    private MapTextureView d;
    private com.baidu.mapsdkplatform.comapi.map.c e;
    private List<Overlay> f;
    private List<Marker> g;
    private List<Marker> h;
    private List<InfoWindow> i;
    private Overlay.a j;
    private InfoWindow.a k;
    private OnMapStatusChangeListener l;
    private OnMapTouchListener m;
    private OnMapClickListener n;
    private OnMapLoadedCallback o;
    private OnMapRenderCallback p;
    private OnMapDoubleClickListener q;
    private OnMapLongClickListener r;
    private OnMarkerDragListener v;
    private OnMyLocationClickListener w;
    private SnapshotReadyCallback x;
    private OnMapDrawFrameCallback y;
    private OnBaseIndoorMapListener z;
    private CopyOnWriteArrayList<OnMarkerClickListener> s = new CopyOnWriteArrayList<>();
    private CopyOnWriteArrayList<OnPolylineClickListener> t = new CopyOnWriteArrayList<>();
    private CopyOnWriteArrayList<OnMultiPointClickListener> u = new CopyOnWriteArrayList<>();
    private Lock E = new ReentrantLock();
    private Lock F = new ReentrantLock();
    private volatile boolean U = false;

    /* loaded from: classes.dex */
    public interface OnBaseIndoorMapListener {
        void onBaseIndoorMapMode(boolean z, MapBaseIndoorMapInfo mapBaseIndoorMapInfo);
    }

    /* loaded from: classes.dex */
    public interface OnMapClickListener {
        void onMapClick(LatLng latLng);

        void onMapPoiClick(MapPoi mapPoi);
    }

    /* loaded from: classes.dex */
    public interface OnMapDoubleClickListener {
        void onMapDoubleClick(LatLng latLng);
    }

    /* loaded from: classes.dex */
    public interface OnMapDrawFrameCallback {
        void onMapDrawFrame(MapStatus mapStatus);

        @Deprecated
        void onMapDrawFrame(GL10 gl10, MapStatus mapStatus);
    }

    /* loaded from: classes.dex */
    public interface OnMapLoadedCallback {
        void onMapLoaded();
    }

    /* loaded from: classes.dex */
    public interface OnMapLongClickListener {
        void onMapLongClick(LatLng latLng);
    }

    /* loaded from: classes.dex */
    public interface OnMapRenderCallback {
        void onMapRenderFinished();
    }

    /* loaded from: classes.dex */
    public interface OnMapRenderValidDataListener {
        void onMapRenderValidData(boolean z, int i, String str);
    }

    /* loaded from: classes.dex */
    public interface OnMapStatusChangeListener {
        public static final int REASON_API_ANIMATION = 2;
        public static final int REASON_DEVELOPER_ANIMATION = 3;
        public static final int REASON_GESTURE = 1;

        void onMapStatusChange(MapStatus mapStatus);

        void onMapStatusChangeFinish(MapStatus mapStatus);

        void onMapStatusChangeStart(MapStatus mapStatus);

        void onMapStatusChangeStart(MapStatus mapStatus, int i);
    }

    /* loaded from: classes.dex */
    public interface OnMapTouchListener {
        void onTouch(MotionEvent motionEvent);
    }

    /* loaded from: classes.dex */
    public interface OnMarkerClickListener {
        boolean onMarkerClick(Marker marker);
    }

    /* loaded from: classes.dex */
    public interface OnMarkerDragListener {
        void onMarkerDrag(Marker marker);

        void onMarkerDragEnd(Marker marker);

        void onMarkerDragStart(Marker marker);
    }

    /* loaded from: classes.dex */
    public interface OnMultiPointClickListener {
        boolean onMultiPointClick(MultiPoint multiPoint, MultiPointItem multiPointItem);
    }

    /* loaded from: classes.dex */
    public interface OnMyLocationClickListener {
        boolean onMyLocationClick();
    }

    /* loaded from: classes.dex */
    public interface OnPolylineClickListener {
        boolean onPolylineClick(Polyline polyline);
    }

    /* loaded from: classes.dex */
    public interface OnSynchronizationListener {
        void onMapStatusChangeReason(int i);
    }

    /* loaded from: classes.dex */
    public interface SnapshotReadyCallback {
        void onSnapshotReady(Bitmap bitmap);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public static /* synthetic */ class a {
        static final /* synthetic */ int[] a;
        static final /* synthetic */ int[] b;

        static {
            int[] iArr = new int[r.values().length];
            b = iArr;
            try {
                iArr[r.TextureView.ordinal()] = 1;
            } catch (NoSuchFieldError unused) {
            }
            try {
                b[r.GLSurfaceView.ordinal()] = 2;
            } catch (NoSuchFieldError unused2) {
            }
            int[] iArr2 = new int[MyLocationConfiguration.LocationMode.values().length];
            a = iArr2;
            try {
                iArr2[MyLocationConfiguration.LocationMode.COMPASS.ordinal()] = 1;
            } catch (NoSuchFieldError unused3) {
            }
            try {
                a[MyLocationConfiguration.LocationMode.FOLLOWING.ordinal()] = 2;
            } catch (NoSuchFieldError unused4) {
            }
            try {
                a[MyLocationConfiguration.LocationMode.NORMAL.ordinal()] = 3;
            } catch (NoSuchFieldError unused5) {
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class b implements Overlay.a {
        b() {
        }

        @Override // com.baidu.mapapi.map.Overlay.a
        public void a(Overlay overlay) {
            if (BaiduMap.this.U) {
                return;
            }
            if (overlay != null && BaiduMap.this.f.contains(overlay)) {
                Bundle a = overlay.a();
                if (BaiduMap.this.e != null) {
                    BaiduMap.this.e.e(a);
                }
                BaiduMap.this.f.remove(overlay);
            }
            if (overlay != null && BaiduMap.this.h.contains(overlay)) {
                BaiduMap.this.h.remove(overlay);
            }
            if (overlay == null || !BaiduMap.this.g.contains(overlay)) {
                return;
            }
            Marker marker = (Marker) overlay;
            if (marker.v != null) {
                BaiduMap.this.g.remove(marker);
                if (BaiduMap.this.g.size() != 0 || BaiduMap.this.e == null) {
                    return;
                }
                BaiduMap.this.e.l(false);
            }
        }

        @Override // com.baidu.mapapi.map.Overlay.a
        public boolean b(Overlay overlay) {
            return (BaiduMap.this.f == null || BaiduMap.this.f.contains(overlay)) ? false : true;
        }

        @Override // com.baidu.mapapi.map.Overlay.a
        public void c(Overlay overlay) {
            if (BaiduMap.this.U) {
                return;
            }
            if (overlay != null && BaiduMap.this.f.contains(overlay)) {
                boolean z = false;
                if (overlay instanceof Marker) {
                    Marker marker = (Marker) overlay;
                    if (marker.f != null) {
                        ArrayList<BitmapDescriptor> arrayList = marker.v;
                        if (arrayList != null && arrayList.size() > 1) {
                            Bundle bundle = new Bundle();
                            if (BaiduMap.this.e != null && !BaiduMap.this.U) {
                                marker.remove();
                                marker.v.clear();
                                BaiduMap.this.e.b(overlay.a(bundle));
                                BaiduMap.this.f.add(overlay);
                                z = true;
                            }
                        }
                    } else {
                        ArrayList<BitmapDescriptor> arrayList2 = marker.v;
                        if (arrayList2 != null && arrayList2.size() != 0) {
                            if (BaiduMap.this.g.contains(marker)) {
                                BaiduMap.this.g.remove(marker);
                            }
                            BaiduMap.this.g.add(marker);
                            if (BaiduMap.this.e != null) {
                                BaiduMap.this.e.l(true);
                            }
                        }
                    }
                }
                if (BaiduMap.this.e != null && !z && !BaiduMap.this.U) {
                    BaiduMap.this.e.f(overlay.a(new Bundle()));
                }
            }
            if (BaiduMap.this.h.contains(overlay)) {
                BaiduMap.this.h.remove(overlay);
            }
            if (overlay instanceof Marker) {
                BaiduMap.this.h.add((Marker) overlay);
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class c implements InfoWindow.a {
        c() {
        }

        @Override // com.baidu.mapapi.map.InfoWindow.a
        public void a(InfoWindow infoWindow) {
            BaiduMap.this.hideInfoWindow(infoWindow);
        }

        @Override // com.baidu.mapapi.map.InfoWindow.a
        public void b(InfoWindow infoWindow) {
            BaiduMap.this.b(infoWindow);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class e implements com.baidu.mapsdkplatform.comapi.map.i {
        e() {
        }

        @Override // com.baidu.mapsdkplatform.comapi.map.i
        public Bundle a(int i, int i2, int i3) {
            Tile a;
            BaiduMap.this.E.lock();
            try {
                if (BaiduMap.this.D == null || (a = BaiduMap.this.D.a(i, i2, i3)) == null) {
                    BaiduMap.this.E.unlock();
                    return null;
                }
                return a.toBundle();
            } finally {
                BaiduMap.this.E.unlock();
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class f implements w {
        f() {
        }

        @Override // com.baidu.mapsdkplatform.comapi.map.w
        public Bundle a(int i, int i2, int i3, Context context) {
            BaiduMap.this.F.lock();
            try {
                if (BaiduMap.this.C != null) {
                    Tile a = BaiduMap.this.C.a(i, i2, i3);
                    StringBuilder sb = new StringBuilder();
                    sb.append("mapLayerDataReq tile t == null = ");
                    sb.append(a == null);
                    Log.e("SDKTileLayer", sb.toString());
                    if (a != null) {
                        return a.toBundle();
                    }
                }
                BaiduMap.this.F.unlock();
                return null;
            } finally {
                BaiduMap.this.F.unlock();
            }
        }
    }

    /* loaded from: classes.dex */
    class g implements com.baidu.platform.comapi.map.c {
        g() {
        }

        @Override // com.baidu.platform.comapi.map.c
        public void a(Bitmap bitmap) {
            BaiduMap.this.x.onSnapshotReady(bitmap);
        }
    }

    /* loaded from: classes.dex */
    class h implements com.baidu.platform.comapi.map.c {
        h() {
        }

        @Override // com.baidu.platform.comapi.map.c
        public void a(Bitmap bitmap) {
            BaiduMap.this.x.onSnapshotReady(bitmap);
        }
    }

    /* loaded from: classes.dex */
    class i implements com.baidu.platform.comapi.map.c {
        i() {
        }

        @Override // com.baidu.platform.comapi.map.c
        public void a(Bitmap bitmap) {
            BaiduMap.this.x.onSnapshotReady(bitmap);
        }
    }

    /* loaded from: classes.dex */
    class j implements com.baidu.platform.comapi.map.c {
        j() {
        }

        @Override // com.baidu.platform.comapi.map.c
        public void a(Bitmap bitmap) {
            BaiduMap.this.x.onSnapshotReady(bitmap);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public BaiduMap(Context context, MapTextureView mapTextureView, q qVar) {
        this.d = mapTextureView;
        com.baidu.mapsdkplatform.comapi.map.c cVar = new com.baidu.mapsdkplatform.comapi.map.c(context, mapTextureView, qVar, (String) null, 0);
        this.e = cVar;
        mapTextureView.setBaseMap(cVar);
        this.O = r.TextureView;
        b();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public String a(int i2) {
        String str;
        if (i2 != 0) {
            switch (i2) {
                case 1004:
                    str = "网络连接错误";
                    break;
                case GameControllerDelegate.BUTTON_B /* 1005 */:
                    str = "请求发送错误";
                    break;
                case 1006:
                    str = "响应数据读取失败";
                    break;
                case 1007:
                    str = "返回响应数据过大，数据溢出";
                    break;
                case 1008:
                    str = "当前网络类型有问题";
                    break;
                case 1009:
                    str = "数据不一致";
                    break;
                case 1010:
                    str = "请求取消";
                    break;
                case 1011:
                    str = "网络超时错误";
                    break;
                case 1012:
                    str = "网络连接超时";
                    break;
                case 1013:
                    str = "网络发送超时";
                    break;
                case 1014:
                    str = "网络接收超时";
                    break;
                case 1015:
                    str = "DNS解析错误";
                    break;
                case 1016:
                    str = "DNS解析超时";
                    break;
                case 1017:
                    str = "网络写错误";
                    break;
                case 1018:
                    str = "SSL握手错误";
                    break;
                case 1019:
                    str = "SSL握手超时";
                    break;
                default:
                    return "";
            }
        } else {
            str = "数据请求成功";
        }
        return str;
    }

    public void addHeatMap(HeatMap heatMap) {
        if (heatMap == null || this.e == null) {
            return;
        }
        this.E.lock();
        try {
            HeatMap heatMap2 = this.D;
            if (heatMap == heatMap2) {
                return;
            }
            if (heatMap2 != null) {
                heatMap2.a();
                this.D.d();
                this.D.m = null;
                this.e.e();
            }
            this.D = heatMap;
            heatMap.m = this;
            this.e.i(true);
        } finally {
            this.E.unlock();
        }
    }

    public final Overlay addOverlay(OverlayOptions overlayOptions) {
        if (overlayOptions == null || this.U) {
            return null;
        }
        Overlay a2 = overlayOptions.a();
        a2.listener = this.j;
        if (a2 instanceof Marker) {
            Marker marker = (Marker) a2;
            marker.D = this.k;
            ArrayList<BitmapDescriptor> arrayList = marker.v;
            if (arrayList != null && arrayList.size() != 0) {
                this.g.add(marker);
                com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
                if (cVar != null) {
                    cVar.l(true);
                }
            }
            this.h.add(marker);
            InfoWindow infoWindow = marker.C;
            if (infoWindow != null) {
                showInfoWindow(infoWindow, false);
            }
        }
        Bundle bundle = new Bundle();
        a2.a(bundle);
        if (this.e != null && !this.U) {
            this.e.b(bundle);
        }
        this.f.add(a2);
        return a2;
    }

    public final List<Overlay> addOverlays(List<OverlayOptions> list) {
        if (list == null || this.U) {
            return null;
        }
        ArrayList arrayList = new ArrayList();
        int size = list.size();
        int i2 = size / 400;
        int i3 = 0;
        while (i3 < i2 + 1) {
            Bundle[] bundleArr = new Bundle[i2 == 0 ? size : i3 == i2 ? size - (i2 * 400) : 400];
            for (int i4 = 0; i4 < 400; i4++) {
                int i5 = (i3 * 400) + i4;
                if (i5 >= size) {
                    break;
                } else if (this.U) {
                    return null;
                } else {
                    OverlayOptions overlayOptions = list.get(i5);
                    if (overlayOptions != null) {
                        Bundle bundle = new Bundle();
                        Overlay a2 = overlayOptions.a();
                        a2.listener = this.j;
                        if (a2 instanceof Marker) {
                            Marker marker = (Marker) a2;
                            marker.D = this.k;
                            ArrayList<BitmapDescriptor> arrayList2 = marker.v;
                            if (arrayList2 != null && arrayList2.size() != 0) {
                                this.g.add(marker);
                                com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
                                if (cVar != null) {
                                    cVar.l(true);
                                }
                            }
                            this.h.add(marker);
                        }
                        this.f.add(a2);
                        arrayList.add(a2);
                        a2.a(bundle);
                        com.baidu.mapsdkplatform.comapi.map.c cVar2 = this.e;
                        if (cVar2 != null) {
                            cVar2.a(bundle);
                        }
                        bundleArr[i4] = bundle;
                    }
                }
            }
            com.baidu.mapsdkplatform.comapi.map.c cVar3 = this.e;
            if (cVar3 != null) {
                cVar3.a(bundleArr);
            }
            i3++;
        }
        return arrayList;
    }

    public TileOverlay addTileLayer(TileOverlayOptions tileOverlayOptions) {
        if (tileOverlayOptions == null) {
            return null;
        }
        TileOverlay tileOverlay = this.C;
        if (tileOverlay != null) {
            tileOverlay.c();
            this.C.a = null;
        }
        com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
        if (cVar == null || !cVar.c(tileOverlayOptions.a())) {
            return null;
        }
        TileOverlay a2 = tileOverlayOptions.a(this);
        this.C = a2;
        return a2;
    }

    public final TraceOverlay addTraceOverlay(TraceOptions traceOptions, TraceAnimationListener traceAnimationListener) {
        if (traceOptions == null) {
            return null;
        }
        com.baidu.mapsdkplatform.comapi.map.z.c cVar = this.V;
        if (cVar == null || cVar.c()) {
            r rVar = this.O;
            if (rVar == r.GLSurfaceView) {
                this.V = new com.baidu.mapsdkplatform.comapi.map.z.c(this.c);
            } else if (rVar != r.TextureView) {
                return null;
            } else {
                this.V = new com.baidu.mapsdkplatform.comapi.map.z.c(this.d);
            }
            this.V.b();
        }
        this.V.a(traceAnimationListener);
        return this.V.a(traceOptions);
    }

    public final void animateMapStatus(MapStatusUpdate mapStatusUpdate, int i2) {
        if (mapStatusUpdate == null || i2 <= 0) {
            return;
        }
        s a2 = a(mapStatusUpdate);
        com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
        if (cVar == null) {
            return;
        }
        mapStatusReason |= 256;
        if (!this.S) {
            cVar.a(a2);
        } else {
            cVar.a(a2, i2);
        }
    }

    public void changeLocationLayerOrder(boolean z) {
        com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
        if (cVar == null) {
            return;
        }
        cVar.a(z);
    }

    public void cleanCache(int i2) {
        com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
        if (cVar == null) {
            return;
        }
        cVar.a(i2);
    }

    public final void clear() {
        if (this.U) {
            return;
        }
        this.f.clear();
        this.g.clear();
        this.h.clear();
        com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
        if (cVar != null) {
            cVar.l(false);
            this.e.d();
        }
        hideInfoWindow();
    }

    public List<InfoWindow> getAllInfoWindows() {
        return this.i;
    }

    public final Point getCompassPosition() {
        com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
        if (cVar != null) {
            return a(cVar.k());
        }
        return null;
    }

    public MapBaseIndoorMapInfo getFocusedBaseIndoorMapInfo() {
        com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
        if (cVar == null) {
            return null;
        }
        return cVar.m();
    }

    public final int getFontSizeLevel() {
        com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
        if (cVar != null) {
            cVar.n();
            return 1;
        }
        return 1;
    }

    public MapSurfaceView getGLMapView() {
        return this.c;
    }

    @Deprecated
    public final MyLocationConfiguration getLocationConfigeration() {
        return getLocationConfiguration();
    }

    public final MyLocationConfiguration getLocationConfiguration() {
        return this.K;
    }

    public final MyLocationData getLocationData() {
        return this.J;
    }

    public final String getMapApprovalNumber() {
        com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
        return cVar == null ? "" : cVar.r();
    }

    public MapLanguage getMapLanguage() {
        com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
        if (cVar != null) {
            return MapLanguage.values()[cVar.s()];
        }
        return MapLanguage.CHINESE;
    }

    public final MapStatus getMapStatus() {
        com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
        if (cVar == null) {
            return null;
        }
        return MapStatus.a(cVar.t());
    }

    public final LatLngBounds getMapStatusLimit() {
        com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
        if (cVar == null) {
            return null;
        }
        return cVar.u();
    }

    public MapTextureView getMapTextureView() {
        return this.d;
    }

    public final int getMapType() {
        com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
        if (cVar == null) {
            return 1;
        }
        if (cVar.G()) {
            return this.e.K() ? 2 : 1;
        }
        return 3;
    }

    public List<Marker> getMarkersInBounds(LatLngBounds latLngBounds) {
        if (getMapStatus() == null) {
            return null;
        }
        ArrayList arrayList = new ArrayList();
        if (this.h.size() == 0) {
            return null;
        }
        for (Marker marker : this.h) {
            if (latLngBounds.contains(marker.getPosition())) {
                arrayList.add(marker);
            }
        }
        return arrayList;
    }

    public final float getMaxZoomLevel() {
        com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
        if (cVar == null) {
            return 0.0f;
        }
        return cVar.v();
    }

    public final float getMinZoomLevel() {
        com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
        if (cVar == null) {
            return 0.0f;
        }
        return cVar.b;
    }

    public final Projection getProjection() {
        return this.a;
    }

    public float[] getProjectionMatrix() {
        com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
        if (cVar == null) {
            return null;
        }
        return cVar.w();
    }

    public final UiSettings getUiSettings() {
        return this.b;
    }

    public float[] getViewMatrix() {
        com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
        if (cVar == null) {
            return null;
        }
        return cVar.x();
    }

    public float getZoomToBound(int i2, int i3, int i4, int i5, int i6, int i7) {
        com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
        if (cVar == null) {
            return 0.0f;
        }
        return cVar.a(i2, i3, i4, i5, i6, i7);
    }

    @Deprecated
    public MapSurfaceView getmGLMapView() {
        return this.c;
    }

    public void hideInfoWindow() {
        View view;
        MapView mapView;
        Collection<InfoWindow> values = this.G.values();
        if (!values.isEmpty()) {
            for (InfoWindow infoWindow : values) {
                if (infoWindow != null && (view = infoWindow.c) != null) {
                    int i2 = a.b[this.O.ordinal()];
                    if (i2 == 1) {
                        TextureMapView textureMapView = this.M;
                        if (textureMapView != null) {
                            textureMapView.removeView(view);
                        }
                    } else if (i2 == 2 && (mapView = this.L) != null) {
                        mapView.removeView(view);
                    }
                }
            }
        }
        for (Overlay overlay : this.f) {
            Set<String> keySet = this.G.keySet();
            String str = overlay.a;
            if ((overlay instanceof Marker) && !keySet.isEmpty() && keySet.contains(str)) {
                overlay.remove();
            }
        }
        this.G.clear();
        this.H.clear();
        this.i.clear();
    }

    public void hideSDKLayer() {
        com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
        if (cVar == null) {
            return;
        }
        cVar.A();
    }

    public final boolean isBaiduHeatMapEnabled() {
        com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
        if (cVar == null) {
            return false;
        }
        return cVar.E();
    }

    public boolean isBaseIndoorMapMode() {
        com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
        if (cVar == null) {
            return false;
        }
        return cVar.F();
    }

    public final boolean isBuildingsEnabled() {
        com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
        if (cVar == null) {
            return false;
        }
        return cVar.H();
    }

    public final boolean isMyLocationEnabled() {
        com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
        if (cVar == null) {
            return false;
        }
        return cVar.q();
    }

    public final boolean isShowMapPoi() {
        return this.P;
    }

    public final boolean isSupportBaiduHeatMap() {
        com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
        if (cVar == null) {
            return false;
        }
        return cVar.i();
    }

    public final boolean isTrafficEnabled() {
        com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
        if (cVar == null) {
            return false;
        }
        return cVar.M();
    }

    public final void removeMarkerClickListener(OnMarkerClickListener onMarkerClickListener) {
        if (this.s.contains(onMarkerClickListener)) {
            this.s.remove(onMarkerClickListener);
        }
    }

    public void removeOverLays(List<Overlay> list) {
        com.baidu.mapsdkplatform.comapi.map.c cVar;
        if (list == null || this.U) {
            return;
        }
        int size = list.size();
        int i2 = size / 400;
        int i3 = 0;
        while (i3 < i2 + 1) {
            Bundle[] bundleArr = new Bundle[i2 == 0 ? size : i3 == i2 ? size - (i2 * 400) : 400];
            for (int i4 = 0; i4 < 400; i4++) {
                int i5 = (i3 * 400) + i4;
                if (i5 >= size) {
                    break;
                } else if (this.U) {
                    return;
                } else {
                    Overlay overlay = list.get(i5);
                    if (overlay != null) {
                        Bundle a2 = overlay.a();
                        com.baidu.mapsdkplatform.comapi.map.c cVar2 = this.e;
                        if (cVar2 != null) {
                            cVar2.a(a2);
                        }
                        bundleArr[i4] = a2;
                        List<Marker> list2 = this.h;
                        if (list2 != null && list2.contains(overlay)) {
                            this.h.remove(overlay);
                        }
                        if (this.g.contains(overlay)) {
                            Marker marker = (Marker) overlay;
                            if (marker.v != null) {
                                this.g.remove(marker);
                                if (this.g.size() == 0 && (cVar = this.e) != null) {
                                    cVar.l(false);
                                }
                            }
                        }
                    }
                }
            }
            com.baidu.mapsdkplatform.comapi.map.c cVar3 = this.e;
            if (cVar3 != null) {
                cVar3.b(bundleArr);
            }
            i3++;
        }
        this.f.removeAll(list);
    }

    public final void setBaiduHeatMapEnabled(boolean z) {
        com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
        if (cVar != null) {
            cVar.d(z);
        }
    }

    public final void setBuildingsEnabled(boolean z) {
        com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
        if (cVar != null) {
            cVar.b(z);
        }
    }

    public void setCompassEnable(boolean z) {
        com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
        if (cVar == null) {
            return;
        }
        cVar.c(z);
    }

    public void setCompassIcon(Bitmap bitmap) {
        if (bitmap != null) {
            com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
            if (cVar == null) {
                return;
            }
            cVar.a(bitmap);
            return;
        }
        throw new IllegalArgumentException("BDMapSDKException: compass's icon can not be null");
    }

    public void setCompassPosition(Point point) {
        if (this.e == null) {
            return;
        }
        if (this.e.a(new Point(point.x, point.y))) {
            this.T = point;
        }
    }

    @Deprecated
    public boolean setCustomTrafficColor(String str, String str2, String str3, String str4) {
        if (this.e == null) {
            return false;
        }
        if (!TextUtils.isEmpty(str) && !TextUtils.isEmpty(str2) && !TextUtils.isEmpty(str3) && !TextUtils.isEmpty(str4)) {
            if (str.matches("^#[0-9a-fA-F]{8}$") && str2.matches("^#[0-9a-fA-F]{8}$") && str3.matches("^#[0-9a-fA-F]{8}$") && str4.matches("^#[0-9a-fA-F]{8}$")) {
                this.e.a(Color.parseColor(str), Color.parseColor(str2), Color.parseColor(str3), Color.parseColor(str4), true);
                return true;
            }
            Log.e(W, "the string of the input customTrafficColor is error");
            return false;
        } else if (TextUtils.isEmpty(str) && TextUtils.isEmpty(str2) && TextUtils.isEmpty(str3) && TextUtils.isEmpty(str4)) {
            this.e.a(Color.parseColor("#ffffffff"), Color.parseColor("#ffffffff"), Color.parseColor("#ffffffff"), Color.parseColor("#ffffffff"), false);
            return true;
        } else {
            return true;
        }
    }

    public final void setFontSizeLevel(int i2) {
        com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
        if (cVar != null) {
            cVar.b(i2);
        }
    }

    public final void setIndoorEnable(boolean z) {
        com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
        if (cVar != null) {
            this.R = z;
            cVar.v(z);
        }
        OnBaseIndoorMapListener onBaseIndoorMapListener = this.z;
        if (onBaseIndoorMapListener == null || z) {
            return;
        }
        onBaseIndoorMapListener.onBaseIndoorMapMode(false, null);
    }

    public void setLayerClickable(MapLayer mapLayer, boolean z) {
        com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
        if (cVar == null) {
            return;
        }
        cVar.a(mapLayer, z);
    }

    public final void setMapLanguage(MapLanguage mapLanguage) {
    }

    public final void setMapStatus(MapStatusUpdate mapStatusUpdate) {
        if (mapStatusUpdate == null) {
            return;
        }
        s a2 = a(mapStatusUpdate);
        com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
        if (cVar == null) {
            return;
        }
        cVar.a(a2);
        OnMapStatusChangeListener onMapStatusChangeListener = this.l;
        if (onMapStatusChangeListener != null) {
            onMapStatusChangeListener.onMapStatusChange(getMapStatus());
        }
    }

    public final void setMapStatusLimits(LatLngBounds latLngBounds) {
        com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
        if (cVar == null) {
            return;
        }
        cVar.a(latLngBounds);
        setMapStatus(MapStatusUpdateFactory.newLatLngBounds(latLngBounds));
    }

    public final void setMapType(int i2) {
        com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
        if (cVar == null) {
            return;
        }
        if (i2 == 1) {
            cVar.p(false);
            this.e.y(this.P);
            this.e.w(this.Q);
            this.e.e(true);
            this.e.v(this.R);
        } else if (i2 == 2) {
            cVar.p(true);
            this.e.y(this.P);
            this.e.w(this.Q);
            this.e.e(true);
        } else if (i2 == 3) {
            if (cVar.P()) {
                this.e.y(false);
            }
            if (this.e.B()) {
                this.e.w(false);
            }
            this.e.e(false);
            this.e.v(false);
        }
        if (OpenLogUtil.isMapLogEnable()) {
            com.baidu.mapsdkplatform.comapi.commonutils.b a2 = com.baidu.mapsdkplatform.comapi.commonutils.b.a();
            a2.a("BasicMap setMapType type = " + i2);
        }
    }

    public final void setMaxAndMinZoomLevel(float f2, float f3) {
        com.baidu.mapsdkplatform.comapi.map.c cVar;
        if (f2 <= 21.0f && f3 >= 4.0f && f2 >= f3 && (cVar = this.e) != null) {
            cVar.a(f2, f3);
        }
    }

    @Deprecated
    public final void setMyLocationConfigeration(MyLocationConfiguration myLocationConfiguration) {
        setMyLocationConfiguration(myLocationConfiguration);
    }

    public final void setMyLocationConfiguration(MyLocationConfiguration myLocationConfiguration) {
        this.K = myLocationConfiguration;
        a(this.J, myLocationConfiguration);
    }

    public final void setMyLocationData(MyLocationData myLocationData) {
        this.J = myLocationData;
        if (this.K == null) {
            this.K = new MyLocationConfiguration(MyLocationConfiguration.LocationMode.NORMAL, false, null);
        }
        a(myLocationData, this.K);
    }

    public final void setMyLocationEnabled(boolean z) {
        com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
        if (cVar != null) {
            cVar.j(z);
        }
    }

    public final void setOnBaseIndoorMapListener(OnBaseIndoorMapListener onBaseIndoorMapListener) {
        this.z = onBaseIndoorMapListener;
    }

    public final void setOnMapClickListener(OnMapClickListener onMapClickListener) {
        this.n = onMapClickListener;
    }

    public final void setOnMapDoubleClickListener(OnMapDoubleClickListener onMapDoubleClickListener) {
        this.q = onMapDoubleClickListener;
    }

    public final void setOnMapDrawFrameCallback(OnMapDrawFrameCallback onMapDrawFrameCallback) {
        this.y = onMapDrawFrameCallback;
    }

    public void setOnMapLoadedCallback(OnMapLoadedCallback onMapLoadedCallback) {
        this.o = onMapLoadedCallback;
    }

    public final void setOnMapLongClickListener(OnMapLongClickListener onMapLongClickListener) {
        this.r = onMapLongClickListener;
    }

    public void setOnMapRenderCallbadk(OnMapRenderCallback onMapRenderCallback) {
        this.p = onMapRenderCallback;
    }

    public final void setOnMapRenderValidDataListener(OnMapRenderValidDataListener onMapRenderValidDataListener) {
        this.A = onMapRenderValidDataListener;
    }

    public final void setOnMapStatusChangeListener(OnMapStatusChangeListener onMapStatusChangeListener) {
        this.l = onMapStatusChangeListener;
    }

    public final void setOnMapTouchListener(OnMapTouchListener onMapTouchListener) {
        this.m = onMapTouchListener;
    }

    public final void setOnMarkerClickListener(OnMarkerClickListener onMarkerClickListener) {
        if (onMarkerClickListener == null || this.s.contains(onMarkerClickListener)) {
            return;
        }
        this.s.add(onMarkerClickListener);
    }

    public final void setOnMarkerDragListener(OnMarkerDragListener onMarkerDragListener) {
        this.v = onMarkerDragListener;
    }

    public final void setOnMultiPointClickListener(OnMultiPointClickListener onMultiPointClickListener) {
        if (onMultiPointClickListener != null) {
            this.u.add(onMultiPointClickListener);
        }
    }

    public final void setOnMyLocationClickListener(OnMyLocationClickListener onMyLocationClickListener) {
        this.w = onMyLocationClickListener;
    }

    public final void setOnPolylineClickListener(OnPolylineClickListener onPolylineClickListener) {
        if (onPolylineClickListener != null) {
            this.t.add(onPolylineClickListener);
        }
    }

    public final void setOnSynchronizationListener(OnSynchronizationListener onSynchronizationListener) {
        this.B = onSynchronizationListener;
    }

    public void setOverlayUnderPoi(boolean z) {
        com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
        if (cVar == null) {
            return;
        }
        cVar.m(z);
    }

    @Deprecated
    public final void setPadding(int i2, int i3, int i4, int i5) {
        setViewPadding(i2, i3, i4, i5);
    }

    public void setPixelFormatTransparent(boolean z) {
        MapSurfaceView mapSurfaceView = this.c;
        if (mapSurfaceView == null) {
            return;
        }
        if (z) {
            mapSurfaceView.setPixelFormatTransparent(true);
        } else {
            mapSurfaceView.setPixelFormatTransparent(false);
        }
    }

    public final void setTrafficEnabled(boolean z) {
        com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
        if (cVar != null) {
            cVar.r(z);
        }
    }

    public final void setViewPadding(int i2, int i3, int i4, int i5) {
        MapView mapView;
        if (i2 < 0 || i3 < 0 || i4 < 0 || i5 < 0 || this.e == null) {
            return;
        }
        int i6 = a.b[this.O.ordinal()];
        if (i6 != 1) {
            if (i6 == 2 && (mapView = this.L) != null) {
                float width = ((mapView.getWidth() - i2) - i4) / this.L.getWidth();
                float height = ((this.L.getHeight() - i3) - i5) / this.L.getHeight();
                com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
                Point point = this.T;
                cVar.a(new Point((int) (i2 + (point.x * width)), (int) (i3 + (point.y * height))));
                this.L.setPadding(i2, i3, i4, i5);
                this.L.invalidate();
                return;
            }
            return;
        }
        TextureMapView textureMapView = this.M;
        if (textureMapView == null) {
            return;
        }
        float width2 = ((textureMapView.getWidth() - i2) - i4) / this.M.getWidth();
        float height2 = ((this.M.getHeight() - i3) - i5) / this.M.getHeight();
        com.baidu.mapsdkplatform.comapi.map.c cVar2 = this.e;
        Point point2 = this.T;
        cVar2.a(new Point((int) (i2 + (point2.x * width2)), (int) (i3 + (point2.y * height2))));
        this.M.setPadding(i2, i3, i4, i5);
        this.M.invalidate();
    }

    public void showInfoWindow(InfoWindow infoWindow) {
        showInfoWindow(infoWindow, true);
    }

    public void showInfoWindows(List<InfoWindow> list) {
        if (list == null || list.isEmpty()) {
            return;
        }
        for (InfoWindow infoWindow : list) {
            showInfoWindow(infoWindow, false);
        }
    }

    public final void showMapIndoorPoi(boolean z) {
        com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
        if (cVar != null) {
            cVar.w(z);
            this.Q = z;
        }
    }

    public final void showMapPoi(boolean z) {
        com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
        if (cVar != null) {
            cVar.y(z);
            this.P = z;
        }
    }

    public void showOperateLayer(boolean z) {
        com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
        if (cVar == null) {
            return;
        }
        cVar.x(z);
    }

    public void showSDKLayer() {
        com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
        if (cVar == null) {
            return;
        }
        cVar.R();
    }

    public final void snapshot(SnapshotReadyCallback snapshotReadyCallback) {
        MapSurfaceView mapSurfaceView;
        this.x = snapshotReadyCallback;
        int i2 = a.b[this.O.ordinal()];
        if (i2 != 1) {
            if (i2 != 2 || (mapSurfaceView = this.c) == null || mapSurfaceView.getController() == null) {
                return;
            }
            MapSurfaceView mapSurfaceView2 = this.c;
            mapSurfaceView2.doCaptureMapView(new h(), mapSurfaceView2.getController().getScreenWidth(), this.c.getController().getScreenHeight(), Bitmap.Config.ARGB_8888);
            this.c.requestRender();
            return;
        }
        MapTextureView mapTextureView = this.d;
        if (mapTextureView == null || mapTextureView.getController() == null) {
            return;
        }
        MapTextureView mapTextureView2 = this.d;
        mapTextureView2.doCaptureMapView(new g(), mapTextureView2.getController().getScreenWidth(), this.d.getController().getScreenHeight(), Bitmap.Config.ARGB_8888);
        this.d.requestRender();
    }

    public final void snapshotScope(Rect rect, SnapshotReadyCallback snapshotReadyCallback) {
        MapSurfaceView mapSurfaceView;
        if (this.e == null) {
            return;
        }
        this.x = snapshotReadyCallback;
        int i2 = a.b[this.O.ordinal()];
        if (i2 != 1) {
            if (i2 == 2 && (mapSurfaceView = this.c) != null) {
                mapSurfaceView.doCaptureMapView(new j(), rect, Bitmap.Config.ARGB_8888);
                this.c.requestRender();
                return;
            }
            return;
        }
        MapTextureView mapTextureView = this.d;
        if (mapTextureView != null) {
            mapTextureView.doCaptureMapView(new i(), rect, Bitmap.Config.ARGB_8888);
            this.d.requestRender();
        }
    }

    public MapBaseIndoorMapInfo.SwitchFloorError switchBaseIndoorMapFloor(String str, String str2) {
        if (!TextUtils.isEmpty(str) && !TextUtils.isEmpty(str2)) {
            MapBaseIndoorMapInfo focusedBaseIndoorMapInfo = getFocusedBaseIndoorMapInfo();
            if (focusedBaseIndoorMapInfo == null) {
                return MapBaseIndoorMapInfo.SwitchFloorError.SWITCH_ERROR;
            }
            if (!str2.equals(focusedBaseIndoorMapInfo.a)) {
                return MapBaseIndoorMapInfo.SwitchFloorError.FOCUSED_ID_ERROR;
            }
            ArrayList<String> floors = focusedBaseIndoorMapInfo.getFloors();
            if (floors != null && floors.contains(str)) {
                com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
                if (cVar != null && cVar.b(str, str2)) {
                    return MapBaseIndoorMapInfo.SwitchFloorError.SWITCH_OK;
                }
                return MapBaseIndoorMapInfo.SwitchFloorError.SWITCH_ERROR;
            }
            return MapBaseIndoorMapInfo.SwitchFloorError.FLOOR_OVERLFLOW;
        }
        return MapBaseIndoorMapInfo.SwitchFloorError.FLOOR_INFO_ERROR;
    }

    public void switchLayerOrder(MapLayer mapLayer, MapLayer mapLayer2) {
        com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
        if (cVar == null) {
            return;
        }
        cVar.a(mapLayer, mapLayer2);
    }

    public boolean switchOverlayLayerAndNavigationLayer(boolean z) {
        com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
        if (cVar == null) {
            return false;
        }
        return cVar.z(z);
    }

    private void b() {
        this.U = false;
        this.f = new CopyOnWriteArrayList();
        this.g = new CopyOnWriteArrayList();
        this.h = new CopyOnWriteArrayList();
        this.G = new ConcurrentHashMap();
        this.H = new ConcurrentHashMap();
        this.i = new CopyOnWriteArrayList();
        this.T = new Point((int) (SysOSUtil.getDensity() * 40.0f), (int) (SysOSUtil.getDensity() * 40.0f));
        com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
        this.b = new UiSettings(cVar);
        this.j = new b();
        this.k = new c();
        cVar.a(new d());
        this.e.a(new e());
        this.e.a(new f());
        this.P = this.e.P();
        this.Q = this.e.B();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void c() {
        this.U = true;
        com.baidu.mapsdkplatform.comapi.map.z.c cVar = this.V;
        if (cVar != null) {
            cVar.d();
            this.V = null;
        }
        hideInfoWindow();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void d() {
        com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
        if (cVar == null) {
            return;
        }
        cVar.S();
    }

    public void showInfoWindow(InfoWindow infoWindow, boolean z) {
        boolean z2;
        MapView mapView;
        Set<InfoWindow> keySet = this.H.keySet();
        if (infoWindow == null || keySet.contains(infoWindow) || this.U) {
            return;
        }
        if (z) {
            hideInfoWindow();
        }
        infoWindow.f = this.k;
        View view = infoWindow.c;
        if (view == null || !infoWindow.k) {
            z2 = true;
        } else {
            view.destroyDrawingCache();
            MapViewLayoutParams build = new MapViewLayoutParams.Builder().layoutMode(MapViewLayoutParams.ELayoutMode.mapMode).position(infoWindow.d).yOffset(infoWindow.g).build();
            int i2 = a.b[this.O.ordinal()];
            if (i2 == 1) {
                TextureMapView textureMapView = this.M;
                if (textureMapView != null) {
                    textureMapView.addView(view, build);
                }
            } else if (i2 == 2 && (mapView = this.L) != null) {
                mapView.addView(view, build);
            }
            z2 = false;
        }
        BitmapDescriptor a2 = a(infoWindow);
        if (a2 == null) {
            return;
        }
        Overlay a3 = new MarkerOptions().perspective(false).icon(a2).position(infoWindow.d).zIndex(Integer.MAX_VALUE).yOffset(infoWindow.g).infoWindow(infoWindow).a();
        a3.listener = this.j;
        a3.type = com.baidu.mapsdkplatform.comapi.map.e.popup;
        Bundle bundle = new Bundle();
        a3.a(bundle);
        if (infoWindow.c != null) {
            bundle.putInt("draw_with_view", 1);
        } else {
            bundle.putInt("draw_with_view", 0);
        }
        if (this.e != null && z2 && !this.U) {
            this.e.b(bundle);
            this.f.add(a3);
        }
        Marker marker = (Marker) a3;
        marker.D = this.k;
        this.G.put(marker.a, infoWindow);
        this.H.put(infoWindow, marker);
        this.i.add(infoWindow);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class d implements x {

        /* loaded from: classes.dex */
        class a implements Runnable {
            final /* synthetic */ InfoWindow a;

            a(d dVar, InfoWindow infoWindow) {
                this.a = infoWindow;
            }

            @Override // java.lang.Runnable
            public void run() {
                this.a.c.setLayoutParams(new MapViewLayoutParams.Builder().layoutMode(MapViewLayoutParams.ELayoutMode.mapMode).position(this.a.d).yOffset(this.a.g).build());
            }
        }

        d() {
        }

        @Override // com.baidu.platform.comapi.map.x
        public void a(s sVar) {
            int i = BaiduMap.mapStatusReason;
            int i2 = (i & 256) == 256 ? 3 : (i & 16) == 16 ? 2 : 1;
            if (BaiduMap.this.l != null) {
                MapStatus a2 = MapStatus.a(sVar);
                BaiduMap.this.l.onMapStatusChangeStart(a2);
                BaiduMap.this.l.onMapStatusChangeStart(a2, i2);
            }
            if (BaiduMap.this.B != null) {
                BaiduMap.this.B.onMapStatusChangeReason(i2);
            }
            BaiduMap.mapStatusReason = 0;
        }

        @Override // com.baidu.platform.comapi.map.x
        public void b(s sVar) {
            if (BaiduMap.this.l != null) {
                BaiduMap.this.l.onMapStatusChangeFinish(MapStatus.a(sVar));
            }
            BaiduMap.mapStatusReason = 0;
        }

        @Override // com.baidu.platform.comapi.map.x
        public void c() {
        }

        @Override // com.baidu.platform.comapi.map.x
        public void c(s sVar) {
            if (BaiduMap.this.l != null) {
                BaiduMap.this.l.onMapStatusChange(MapStatus.a(sVar));
            }
        }

        @Override // com.baidu.platform.comapi.map.x
        public void d(GeoPoint geoPoint) {
            if (BaiduMap.this.r != null) {
                BaiduMap.this.r.onMapLongClick(CoordUtil.mc2ll(geoPoint));
            }
        }

        @Override // com.baidu.platform.comapi.map.x
        public void e(GeoPoint geoPoint) {
            if (BaiduMap.this.I == null || !BaiduMap.this.I.j) {
                return;
            }
            Point screenLocation = BaiduMap.this.a.toScreenLocation(CoordUtil.mc2ll(geoPoint));
            BaiduMap.this.I.setPosition(BaiduMap.this.a.fromScreenLocation(new Point(screenLocation.x, screenLocation.y - 60)));
            if (BaiduMap.this.v == null || !BaiduMap.this.I.j) {
                return;
            }
            BaiduMap.this.v.onMarkerDrag(BaiduMap.this.I);
        }

        @Override // com.baidu.platform.comapi.map.x
        public void c(GeoPoint geoPoint) {
            if (BaiduMap.this.n != null) {
                BaiduMap.this.n.onMapClick(CoordUtil.mc2ll(geoPoint));
            }
        }

        @Override // com.baidu.platform.comapi.map.x
        public void d() {
            BaiduMap baiduMap = BaiduMap.this;
            baiduMap.a = new Projection(baiduMap.e);
            BaiduMap.this.S = true;
            if (BaiduMap.this.o != null) {
                BaiduMap.this.o.onMapLoaded();
            }
        }

        @Override // com.baidu.platform.comapi.map.x
        public void b(GeoPoint geoPoint) {
            if (BaiduMap.this.q != null) {
                BaiduMap.this.q.onMapDoubleClick(CoordUtil.mc2ll(geoPoint));
            }
        }

        @Override // com.baidu.platform.comapi.map.x
        public void b() {
            if (BaiduMap.this.p != null) {
                BaiduMap.this.p.onMapRenderFinished();
            }
        }

        @Override // com.baidu.platform.comapi.map.x
        public void b(String str) {
            InfoWindow.OnInfoWindowClickListener onInfoWindowClickListener;
            s t;
            try {
                JSONObject jSONObject = new JSONObject(str);
                GeoPoint a2 = BaiduMap.this.e.a(jSONObject.optInt("px"), jSONObject.optInt("py"));
                JSONArray optJSONArray = jSONObject.optJSONArray("dataset");
                JSONObject jSONObject2 = null;
                int i = -1;
                if (optJSONArray != null && (jSONObject2 = optJSONArray.optJSONObject(0)) != null) {
                    i = jSONObject2.optInt(MapBundleKey.MapObjKey.OBJ_TYPE);
                }
                if (i == 17) {
                    if (BaiduMap.this.n != null) {
                        MapPoi mapPoi = new MapPoi();
                        mapPoi.a(jSONObject2);
                        BaiduMap.this.n.onMapPoiClick(mapPoi);
                    }
                } else if (i == 18) {
                    if (BaiduMap.this.w != null) {
                        BaiduMap.this.w.onMyLocationClick();
                    } else {
                        c(a2);
                    }
                } else if (i == 19) {
                    if (BaiduMap.this.e == null || (t = BaiduMap.this.e.t()) == null) {
                        return;
                    }
                    t.c = 0;
                    t.b = 0;
                    BaiduMap.mapStatusReason |= 16;
                    BaiduMap.this.e.a(t, 300);
                } else if (i == 90909) {
                    String optString = jSONObject2 != null ? jSONObject2.optString("marker_id") : "";
                    Set<String> keySet = BaiduMap.this.G.keySet();
                    if (keySet.isEmpty() || !keySet.contains(optString)) {
                        for (Overlay overlay : BaiduMap.this.f) {
                            if ((overlay instanceof Marker) && overlay.a.equals(optString)) {
                                if (!BaiduMap.this.s.isEmpty()) {
                                    Iterator it = BaiduMap.this.s.iterator();
                                    while (it.hasNext()) {
                                        ((OnMarkerClickListener) it.next()).onMarkerClick((Marker) overlay);
                                    }
                                    return;
                                }
                                c(a2);
                            }
                        }
                        return;
                    }
                    for (String str2 : keySet) {
                        if (str2 != null && str2.equals(optString)) {
                            InfoWindow infoWindow = (InfoWindow) BaiduMap.this.G.get(str2);
                            if (infoWindow != null && (onInfoWindowClickListener = infoWindow.e) != null) {
                                onInfoWindowClickListener.onInfoWindowClick();
                                return;
                            } else {
                                c(a2);
                                return;
                            }
                        }
                    }
                } else if (i == 90910) {
                    String optString2 = jSONObject2 != null ? jSONObject2.optString("polyline_id") : "";
                    for (Overlay overlay2 : BaiduMap.this.f) {
                        if ((overlay2 instanceof Polyline) && overlay2.a.equals(optString2)) {
                            if (!BaiduMap.this.t.isEmpty()) {
                                Iterator it2 = BaiduMap.this.t.iterator();
                                while (it2.hasNext()) {
                                    ((OnPolylineClickListener) it2.next()).onPolylineClick((Polyline) overlay2);
                                }
                            } else {
                                c(a2);
                            }
                        }
                    }
                } else if (i == 90911) {
                    String optString3 = jSONObject2 != null ? jSONObject2.optString("multipoint_id") : "";
                    for (Overlay overlay3 : BaiduMap.this.f) {
                        if ((overlay3 instanceof MultiPoint) && overlay3.a.equals(optString3)) {
                            if (!BaiduMap.this.u.isEmpty()) {
                                Iterator it3 = BaiduMap.this.u.iterator();
                                while (it3.hasNext()) {
                                    OnMultiPointClickListener onMultiPointClickListener = (OnMultiPointClickListener) it3.next();
                                    MultiPoint multiPoint = (MultiPoint) overlay3;
                                    List<MultiPointItem> multiPointItems = multiPoint.getMultiPointItems();
                                    if (jSONObject2 != null) {
                                        int optInt = jSONObject2.optInt("multipoint_index");
                                        if (multiPointItems != null && optInt >= 0 && multiPointItems.size() > optInt) {
                                            onMultiPointClickListener.onMultiPointClick(multiPoint, multiPointItems.get(optInt));
                                        }
                                    }
                                }
                            } else {
                                c(a2);
                            }
                        }
                    }
                }
            } catch (Exception unused) {
            }
        }

        @Override // com.baidu.platform.comapi.map.x
        public void a(MotionEvent motionEvent) {
            if (BaiduMap.this.m != null) {
                BaiduMap.this.m.onTouch(motionEvent);
            }
        }

        @Override // com.baidu.platform.comapi.map.x
        public void a(GeoPoint geoPoint) {
            if (BaiduMap.this.I == null || !BaiduMap.this.I.j) {
                return;
            }
            Point screenLocation = BaiduMap.this.a.toScreenLocation(CoordUtil.mc2ll(geoPoint));
            BaiduMap.this.I.setPosition(BaiduMap.this.a.fromScreenLocation(new Point(screenLocation.x, screenLocation.y - 60)));
            if (BaiduMap.this.v != null && BaiduMap.this.I.j) {
                BaiduMap.this.v.onMarkerDragEnd(BaiduMap.this.I);
            }
            BaiduMap.this.I = null;
        }

        @Override // com.baidu.platform.comapi.map.x
        public boolean a(String str) {
            JSONObject optJSONObject;
            try {
                JSONArray optJSONArray = new JSONObject(str).optJSONArray("dataset");
                if (optJSONArray == null || (optJSONObject = optJSONArray.optJSONObject(0)) == null || optJSONObject.optInt(MapBundleKey.MapObjKey.OBJ_TYPE) != 90909) {
                    return false;
                }
                String optString = optJSONObject.optString("marker_id");
                Set keySet = BaiduMap.this.G.keySet();
                if (keySet.isEmpty() || !keySet.contains(optString)) {
                    for (Overlay overlay : BaiduMap.this.f) {
                        if ((overlay instanceof Marker) && overlay.a.equals(optString)) {
                            Marker marker = (Marker) overlay;
                            if (marker.j) {
                                BaiduMap.this.I = marker;
                                Point screenLocation = BaiduMap.this.a.toScreenLocation(BaiduMap.this.I.e);
                                BaiduMap.this.I.setPosition(BaiduMap.this.a.fromScreenLocation(new Point(screenLocation.x, screenLocation.y - 60)));
                                if (BaiduMap.this.v != null) {
                                    BaiduMap.this.v.onMarkerDragStart(BaiduMap.this.I);
                                }
                                return true;
                            }
                            return false;
                        }
                    }
                    return false;
                }
                return false;
            } catch (Exception unused) {
                return false;
            }
        }

        @Override // com.baidu.platform.comapi.map.x
        public void a(GL10 gl10, s sVar) {
            View view;
            if (BaiduMap.this.G != null && !BaiduMap.this.G.values().isEmpty()) {
                for (InfoWindow infoWindow : BaiduMap.this.G.values()) {
                    if (infoWindow != null && (view = infoWindow.c) != null) {
                        view.post(new a(this, infoWindow));
                    }
                }
            }
            if (BaiduMap.this.y != null) {
                BaiduMap.this.y.onMapDrawFrame(MapStatus.a(sVar));
            }
        }

        @Override // com.baidu.platform.comapi.map.x
        public void a(boolean z) {
            if (BaiduMap.this.z != null) {
                BaiduMap.this.z.onBaseIndoorMapMode(z, BaiduMap.this.getFocusedBaseIndoorMapInfo());
            }
        }

        @Override // com.baidu.platform.comapi.map.x
        public void a() {
            if (BaiduMap.this.e != null) {
                BaiduMap.this.e.l(false);
            }
            BaiduMap.this.E.lock();
            try {
                if (BaiduMap.this.D != null) {
                    BaiduMap baiduMap = BaiduMap.this;
                    baiduMap.a(baiduMap.D);
                }
            } finally {
                BaiduMap.this.E.unlock();
            }
        }

        @Override // com.baidu.platform.comapi.map.x
        public void a(boolean z, int i) {
            if (BaiduMap.this.A != null) {
                BaiduMap.this.A.onMapRenderValidData(z, i, BaiduMap.this.a(i));
            }
        }
    }

    private s a(MapStatusUpdate mapStatusUpdate) {
        com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
        if (cVar == null) {
            return null;
        }
        s t = cVar.t();
        MapStatus a2 = mapStatusUpdate.a(this.e, getMapStatus());
        if (a2 == null) {
            return null;
        }
        return a2.b(t);
    }

    public final void animateMapStatus(MapStatusUpdate mapStatusUpdate) {
        animateMapStatus(mapStatusUpdate, 300);
    }

    private final void a(MyLocationData myLocationData, MyLocationConfiguration myLocationConfiguration) {
        float f2;
        if (myLocationData == null || myLocationConfiguration == null || !isMyLocationEnabled()) {
            return;
        }
        JSONObject jSONObject = new JSONObject();
        JSONArray jSONArray = new JSONArray();
        JSONObject jSONObject2 = new JSONObject();
        JSONObject jSONObject3 = new JSONObject();
        LatLng latLng = new LatLng(myLocationData.latitude, myLocationData.longitude);
        GeoPoint ll2mc = CoordUtil.ll2mc(latLng);
        try {
            jSONObject.put(BuildIdWriter.XML_TYPE_TAG, 0);
            jSONObject2.put(MapBundleKey.MapObjKey.OBJ_SL_PTX, ll2mc.getLongitudeE6());
            jSONObject2.put(MapBundleKey.MapObjKey.OBJ_SL_PTY, ll2mc.getLatitudeE6());
            jSONObject2.put("radius", CoordUtil.getMCDistanceByOneLatLngAndRadius(latLng, (int) myLocationData.accuracy));
            float f3 = myLocationData.direction;
            if (myLocationConfiguration.enableDirection) {
                f2 = f3 % 360.0f;
                if (f2 > 180.0f) {
                    f2 -= 360.0f;
                } else if (f2 < -180.0f) {
                    f2 += 360.0f;
                }
            } else {
                f2 = -1001.0f;
            }
            jSONObject2.put("direction", f2);
            jSONObject2.put("iconarrownor", "NormalLocArrow");
            jSONObject2.put("iconarrownorid", 28);
            jSONObject2.put("iconarrowfocid", 29);
            jSONObject2.put("iconarrowfoc", "FocusLocArrow");
            jSONObject2.put("lineid", myLocationConfiguration.accuracyCircleStrokeColor);
            jSONObject2.put("areaid", myLocationConfiguration.accuracyCircleFillColor);
            jSONArray.put(jSONObject2);
            if (myLocationConfiguration.locationMode == MyLocationConfiguration.LocationMode.COMPASS) {
                jSONObject3.put(MapBundleKey.MapObjKey.OBJ_SL_PTX, ll2mc.getLongitudeE6());
                jSONObject3.put(MapBundleKey.MapObjKey.OBJ_SL_PTY, ll2mc.getLatitudeE6());
                jSONObject3.put("radius", 0);
                jSONObject3.put("direction", 0);
                jSONObject3.put("iconarrownor", "direction_wheel");
                jSONObject3.put("iconarrowfoc", "direction_wheel");
                jSONObject3.put("iconarrownorid", 54);
                jSONObject3.put("iconarrowfocid", 54);
                jSONArray.put(jSONObject3);
            }
            jSONObject.put("data", jSONArray);
        } catch (JSONException e2) {
            e2.printStackTrace();
        }
        BitmapDescriptor bitmapDescriptor = myLocationConfiguration.customMarker;
        if (bitmapDescriptor != null) {
            Bitmap bitmap = bitmapDescriptor.getBitmap();
            if (bitmap != null && !bitmap.isRecycled()) {
                ArrayList arrayList = new ArrayList();
                OverlayLocationData overlayLocationData = new OverlayLocationData();
                overlayLocationData.setImage(bitmap);
                overlayLocationData.setImgHeight(bitmap.getHeight());
                overlayLocationData.setImgWidth(bitmap.getWidth());
                overlayLocationData.setImgName("icon");
                overlayLocationData.setRotation(myLocationConfiguration.enableDirection ? 1 : 0);
                arrayList.add(overlayLocationData);
                com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
                if (cVar != null) {
                    cVar.a(arrayList);
                }
            }
        } else {
            com.baidu.mapsdkplatform.comapi.map.c cVar2 = this.e;
            if (cVar2 != null) {
                cVar2.f();
            }
        }
        com.baidu.mapsdkplatform.comapi.map.c cVar3 = this.e;
        if (cVar3 != null) {
            cVar3.a(jSONObject.toString(), (Bundle) null);
        }
        int i2 = a.a[myLocationConfiguration.locationMode.ordinal()];
        if (i2 == 1) {
            animateMapStatus(MapStatusUpdateFactory.newMapStatus(new MapStatus.Builder().rotate(myLocationData.direction).overlook(-45.0f).target(new LatLng(myLocationData.latitude, myLocationData.longitude)).targetScreen(getMapStatus().targetScreen).zoom(getMapStatus().zoom).build()));
        } else if (i2 != 2) {
        } else {
            animateMapStatus(MapStatusUpdateFactory.newMapStatus(new MapStatus.Builder().target(new LatLng(myLocationData.latitude, myLocationData.longitude)).zoom(getMapStatus().zoom).rotate(getMapStatus().rotate).overlook(getMapStatus().overlook).targetScreen(getMapStatus().targetScreen).build()));
        }
    }

    public void hideInfoWindow(InfoWindow infoWindow) {
        MapView mapView;
        Set<InfoWindow> keySet = this.H.keySet();
        if (infoWindow == null || keySet.isEmpty() || !keySet.contains(infoWindow)) {
            return;
        }
        View view = infoWindow.c;
        if (view != null) {
            int i2 = a.b[this.O.ordinal()];
            if (i2 == 1) {
                TextureMapView textureMapView = this.M;
                if (textureMapView != null) {
                    textureMapView.removeView(view);
                }
            } else if (i2 == 2 && (mapView = this.L) != null) {
                mapView.removeView(view);
            }
        }
        Marker marker = this.H.get(infoWindow);
        if (marker != null) {
            marker.remove();
            this.G.remove(marker.a);
        }
        this.H.remove(infoWindow);
        this.i.remove(infoWindow);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void a(HeatMap heatMap) {
        this.E.lock();
        try {
            HeatMap heatMap2 = this.D;
            if (heatMap2 != null && this.e != null && heatMap == heatMap2) {
                heatMap2.a();
                this.D.d();
                this.D.m = null;
                this.e.e();
                this.D = null;
                this.e.i(false);
            }
        } finally {
            this.E.unlock();
        }
    }

    private Point a(String str) {
        if (TextUtils.isEmpty(str)) {
            return null;
        }
        int i2 = 0;
        int i3 = 0;
        for (String str2 : str.replaceAll("^\\{", "").replaceAll("\\}$", "").split(",")) {
            String[] split = str2.replaceAll("\"", "").split(":");
            if ("x".equals(split[0])) {
                i2 = Integer.valueOf(split[1]).intValue();
            }
            if ("y".equals(split[0])) {
                i3 = Integer.valueOf(split[1]).intValue();
            }
        }
        return new Point(i2, i3);
    }

    private BitmapDescriptor a(InfoWindow infoWindow) {
        View view = infoWindow.c;
        if (view != null && infoWindow.k) {
            if (infoWindow.h) {
                if (infoWindow.i <= 0) {
                    infoWindow.i = SysOSUtil.getDensityDpi();
                }
                return BitmapDescriptorFactory.fromViewWithDpi(infoWindow.c, infoWindow.i);
            }
            return BitmapDescriptorFactory.fromView(view);
        }
        return infoWindow.b;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public boolean a() {
        com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
        if (cVar == null) {
            return false;
        }
        return cVar.c();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void a(TileOverlay tileOverlay) {
        this.F.lock();
        if (tileOverlay != null) {
            try {
                if (this.C == tileOverlay) {
                    tileOverlay.c();
                    tileOverlay.a = null;
                    com.baidu.mapsdkplatform.comapi.map.c cVar = this.e;
                    if (cVar != null) {
                        cVar.Q();
                    }
                }
            } finally {
                this.C = null;
                this.F.unlock();
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* JADX WARN: Removed duplicated region for block: B:32:0x007b  */
    /* JADX WARN: Removed duplicated region for block: B:47:? A[RETURN, SYNTHETIC] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public void b(InfoWindow infoWindow) {
        boolean z;
        Marker marker;
        MapView mapView;
        if (infoWindow == null || this.U) {
            return;
        }
        Set<InfoWindow> keySet = this.H.keySet();
        if (!keySet.isEmpty() && keySet.contains(infoWindow)) {
            View view = infoWindow.c;
            if (view != null && infoWindow.k) {
                view.destroyDrawingCache();
                MapViewLayoutParams build = new MapViewLayoutParams.Builder().layoutMode(MapViewLayoutParams.ELayoutMode.mapMode).position(infoWindow.d).yOffset(infoWindow.g).build();
                int i2 = a.b[this.O.ordinal()];
                if (i2 == 1) {
                    TextureMapView textureMapView = this.M;
                    if (textureMapView != null) {
                        textureMapView.addView(view, build);
                        view.setLayoutParams(build);
                    }
                } else if (i2 == 2 && (mapView = this.L) != null) {
                    mapView.addView(view, build);
                }
                if (infoWindow.j) {
                    z = false;
                    BitmapDescriptor a2 = a(infoWindow);
                    marker = this.H.get(infoWindow);
                    if (marker == null) {
                        Bundle bundle = new Bundle();
                        if (infoWindow.b != null) {
                            marker.type = com.baidu.mapsdkplatform.comapi.map.e.popup;
                            marker.f = a2;
                            if (infoWindow.c != null) {
                                bundle.putInt("draw_with_view", 1);
                            } else {
                                bundle.putInt("draw_with_view", 0);
                            }
                        }
                        marker.e = infoWindow.d;
                        marker.m = infoWindow.g;
                        marker.a(bundle);
                        if (this.e == null || !z || this.U) {
                            return;
                        }
                        this.e.f(bundle);
                        return;
                    }
                    return;
                }
            }
            z = true;
            BitmapDescriptor a22 = a(infoWindow);
            marker = this.H.get(infoWindow);
            if (marker == null) {
            }
        } else {
            showInfoWindow(infoWindow, false);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public BaiduMap(Context context, MapSurfaceView mapSurfaceView, q qVar) {
        this.c = mapSurfaceView;
        com.baidu.mapsdkplatform.comapi.map.c cVar = new com.baidu.mapsdkplatform.comapi.map.c(context, mapSurfaceView, qVar, (String) null, 0);
        this.e = cVar;
        mapSurfaceView.setBaseMap(cVar);
        this.O = r.GLSurfaceView;
        b();
    }
}
