package com.baidu.mapapi.map;

import android.os.Bundle;
import com.baidu.mapapi.model.CoordUtil;
import com.baidu.mapapi.model.LatLng;
import com.baidu.mapsdkplatform.comapi.map.e;
import com.baidu.platform.comapi.basestruct.GeoPoint;
import java.util.ArrayList;
import java.util.List;
/* loaded from: classes.dex */
public final class Circle extends Overlay {
    LatLng e;
    int f;
    int g;
    Stroke h;
    boolean i;
    int j = 0;
    List<HoleOptions> k;
    HoleOptions l;

    /* JADX INFO: Access modifiers changed from: package-private */
    public Circle() {
        this.type = e.circle;
    }

    private void b(Bundle bundle) {
        BitmapDescriptor fromAsset = BitmapDescriptorFactory.fromAsset(this.j == 1 ? "CircleDashTexture.png" : "lineDashTexture.png");
        if (fromAsset != null) {
            bundle.putBundle("image_info", fromAsset.a());
        }
    }

    private void e(List<HoleOptions> list, Bundle bundle) {
        Bundle bundle2 = new Bundle();
        boolean b = Overlay.b(list, bundle2);
        bundle.putInt("has_holes", b ? 1 : 0);
        if (b) {
            bundle.putBundle("holes", bundle2);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    @Override // com.baidu.mapapi.map.Overlay
    public Bundle a(Bundle bundle) {
        super.a(bundle);
        GeoPoint ll2mc = CoordUtil.ll2mc(this.e);
        bundle.putDouble("location_x", ll2mc.getLongitudeE6());
        bundle.putDouble("location_y", ll2mc.getLatitudeE6());
        if (this.i) {
            bundle.putDouble("dotted_stroke_location_x", ll2mc.getLongitudeE6());
            bundle.putDouble("dotted_stroke_location_y", ll2mc.getLatitudeE6());
            bundle.putInt("has_dotted_stroke", 1);
            b(bundle);
        } else {
            bundle.putInt("has_dotted_stroke", 0);
        }
        bundle.putInt("radius", CoordUtil.getMCDistanceByOneLatLngAndRadius(this.e, this.g));
        Overlay.a(this.f, bundle);
        if (this.h == null) {
            bundle.putInt("has_stroke", 0);
        } else {
            bundle.putInt("has_stroke", 1);
            bundle.putBundle("stroke", this.h.a(new Bundle()));
        }
        List<HoleOptions> list = this.k;
        if (list != null && list.size() != 0) {
            e(this.k, bundle);
        } else if (this.l != null) {
            ArrayList arrayList = new ArrayList();
            arrayList.add(this.l);
            e(arrayList, bundle);
        } else {
            bundle.putInt("has_holes", 0);
        }
        return bundle;
    }

    public LatLng getCenter() {
        return this.e;
    }

    public int getDottedStrokeType() {
        return this.j;
    }

    public int getFillColor() {
        return this.f;
    }

    public HoleOptions getHoleOption() {
        return this.l;
    }

    public List<HoleOptions> getHoleOptions() {
        return this.k;
    }

    public int getRadius() {
        return this.g;
    }

    public Stroke getStroke() {
        return this.h;
    }

    public boolean isDottedStroke() {
        return this.i;
    }

    public void setCenter(LatLng latLng) {
        if (latLng != null) {
            this.e = latLng;
            this.listener.c(this);
            return;
        }
        throw new IllegalArgumentException("BDMapSDKException: circle center can not be null");
    }

    public void setDottedStroke(boolean z) {
        this.i = z;
        this.listener.c(this);
    }

    public void setDottedStrokeType(CircleDottedStrokeType circleDottedStrokeType) {
        this.j = circleDottedStrokeType.ordinal();
        this.listener.c(this);
    }

    public void setFillColor(int i) {
        this.f = i;
        this.listener.c(this);
    }

    public void setHoleOption(HoleOptions holeOptions) {
        this.l = holeOptions;
        this.k = null;
        this.listener.c(this);
    }

    public void setHoleOptions(List<HoleOptions> list) {
        this.k = list;
        this.l = null;
        this.listener.c(this);
    }

    public void setRadius(int i) {
        this.g = i;
        this.listener.c(this);
    }

    public void setStroke(Stroke stroke) {
        this.h = stroke;
        this.listener.c(this);
    }
}
