package com.baidu.mapapi.map;

import android.os.Bundle;
import com.baidu.mapapi.model.CoordUtil;
import com.baidu.mapapi.model.LatLng;
import com.baidu.mapapi.model.LatLngBounds;
import com.baidu.mapsdkplatform.comapi.map.e;
import com.baidu.platform.comapi.basestruct.GeoPoint;
/* loaded from: classes.dex */
public final class GroundOverlay extends Overlay {
    int e;
    BitmapDescriptor f;
    LatLng g;
    double h;
    double i;
    float j;
    float k;
    LatLngBounds l;
    float m;

    /* JADX INFO: Access modifiers changed from: package-private */
    public GroundOverlay() {
        this.type = e.ground;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    @Override // com.baidu.mapapi.map.Overlay
    public Bundle a(Bundle bundle) {
        double d;
        super.a(bundle);
        bundle.putBundle("image_info", this.f.a());
        if (this.e == 1) {
            GeoPoint ll2mc = CoordUtil.ll2mc(this.l.southwest);
            double longitudeE6 = ll2mc.getLongitudeE6();
            double latitudeE6 = ll2mc.getLatitudeE6();
            GeoPoint ll2mc2 = CoordUtil.ll2mc(this.l.northeast);
            double longitudeE62 = ll2mc2.getLongitudeE6();
            double latitudeE62 = ll2mc2.getLatitudeE6();
            double d2 = longitudeE62 - longitudeE6;
            this.h = d2;
            double d3 = latitudeE62 - latitudeE6;
            this.i = d3;
            this.g = CoordUtil.mc2ll(new GeoPoint(latitudeE6 + (d3 / 2.0d), longitudeE6 + (d2 / 2.0d)));
            this.j = 0.5f;
            this.k = 0.5f;
        }
        double d4 = this.h;
        if (d4 > 0.0d && this.i > 0.0d) {
            bundle.putDouble("x_distance", d4);
            if (this.i == 2.147483647E9d) {
                double d5 = this.h;
                double height = this.f.a.getHeight();
                Double.isNaN(height);
                double d6 = d5 * height;
                Double.isNaN(this.f.a.getWidth());
                this.i = (int) (d6 / d);
            }
            bundle.putDouble("y_distance", this.i);
            GeoPoint ll2mc3 = CoordUtil.ll2mc(this.g);
            bundle.putDouble("location_x", ll2mc3.getLongitudeE6());
            bundle.putDouble("location_y", ll2mc3.getLatitudeE6());
            bundle.putFloat("anchor_x", this.j);
            bundle.putFloat("anchor_y", this.k);
            bundle.putFloat("transparency", this.m);
            return bundle;
        }
        throw new IllegalStateException("BDMapSDKException: when you add ground overlay, the width and height must greater than 0");
    }

    public float getAnchorX() {
        return this.j;
    }

    public float getAnchorY() {
        return this.k;
    }

    public LatLngBounds getBounds() {
        return this.l;
    }

    public double getHeight() {
        return this.i;
    }

    public BitmapDescriptor getImage() {
        return this.f;
    }

    public LatLng getPosition() {
        return this.g;
    }

    public float getTransparency() {
        return this.m;
    }

    public double getWidth() {
        return this.h;
    }

    public void setAnchor(float f, float f2) {
        if (f < 0.0f || f > 1.0f || f2 < 0.0f || f2 > 1.0f) {
            return;
        }
        this.j = f;
        this.k = f2;
        this.listener.c(this);
    }

    public void setDimensions(int i) {
        this.h = i;
        this.i = 2.147483647E9d;
        this.listener.c(this);
    }

    public void setImage(BitmapDescriptor bitmapDescriptor) {
        if (bitmapDescriptor != null) {
            this.f = bitmapDescriptor;
            this.listener.c(this);
            return;
        }
        throw new IllegalArgumentException("BDMapSDKException: image can not be null");
    }

    public void setPosition(LatLng latLng) {
        if (latLng != null) {
            this.e = 2;
            this.g = latLng;
            this.listener.c(this);
            return;
        }
        throw new IllegalArgumentException("BDMapSDKException: position can not be null");
    }

    public void setPositionFromBounds(LatLngBounds latLngBounds) {
        if (latLngBounds != null) {
            this.e = 1;
            this.l = latLngBounds;
            this.listener.c(this);
            return;
        }
        throw new IllegalArgumentException("BDMapSDKException: bounds can not be null");
    }

    public void setTransparency(float f) {
        if (f > 1.0f || f < 0.0f) {
            return;
        }
        this.m = f;
        this.listener.c(this);
    }

    public void setDimensions(int i, int i2) {
        this.h = i;
        this.i = i2;
        this.listener.c(this);
    }
}
