package com.baidu.mapapi.map;

import android.graphics.Bitmap;
import android.graphics.Color;
import android.graphics.Point;
import android.util.SparseIntArray;
import androidx.collection.LongSparseArray;
import com.baidu.mapapi.model.LatLng;
import java.lang.reflect.Array;
import java.nio.ByteBuffer;
import java.util.ArrayList;
import java.util.Collection;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.concurrent.RejectedExecutionException;
/* loaded from: classes.dex */
public class HeatMap {
    public static final Gradient DEFAULT_GRADIENT;
    public static final double DEFAULT_OPACITY = 0.6d;
    public static final int DEFAULT_RADIUS = 12;
    private static final SparseIntArray n;
    private static final int[] o;
    private static final float[] p;
    private static int q;
    private b<WeightedLatLng> a;
    private Collection<WeightedLatLng> b;
    private int c;
    private Gradient d;
    private double e;
    private com.baidu.mapapi.map.a f;
    private int[] g;
    private double[] h;
    private double[] i;
    private HashMap<String, Tile> j;
    private ExecutorService k;
    private HashSet<String> l;
    BaiduMap m;

    /* loaded from: classes.dex */
    public static class Builder {
        private Collection<WeightedLatLng> a;
        private int b = 12;
        private Gradient c = HeatMap.DEFAULT_GRADIENT;
        private double d = 0.6d;

        public HeatMap build() {
            if (this.a != null) {
                return new HeatMap(this, null);
            }
            throw new IllegalStateException("BDMapSDKException: No input data: you must use either .data or .weightedData before building");
        }

        public Builder data(Collection<LatLng> collection) {
            if (collection != null && !collection.isEmpty()) {
                if (!collection.contains(null)) {
                    return weightedData(HeatMap.d(collection));
                }
                throw new IllegalArgumentException("BDMapSDKException: input points can not contain null.");
            }
            throw new IllegalArgumentException("BDMapSDKException: No input points.");
        }

        public Builder gradient(Gradient gradient) {
            if (gradient != null) {
                this.c = gradient;
                return this;
            }
            throw new IllegalArgumentException("BDMapSDKException: gradient can not be null");
        }

        public Builder opacity(double d) {
            this.d = d;
            if (d < 0.0d || d > 1.0d) {
                throw new IllegalArgumentException("BDMapSDKException: Opacity must be in range [0, 1]");
            }
            return this;
        }

        public Builder radius(int i) {
            this.b = i;
            if (i < 10 || i > 50) {
                throw new IllegalArgumentException("BDMapSDKException: Radius not within bounds.");
            }
            return this;
        }

        public Builder weightedData(Collection<WeightedLatLng> collection) {
            if (collection != null && !collection.isEmpty()) {
                if (!collection.contains(null)) {
                    ArrayList arrayList = new ArrayList();
                    for (WeightedLatLng weightedLatLng : collection) {
                        LatLng latLng = weightedLatLng.latLng;
                        double d = latLng.latitude;
                        if (d >= 0.37532d && d <= 54.562495d) {
                            double d2 = latLng.longitude;
                            if (d2 >= 72.508319d && d2 <= 135.942198d) {
                            }
                        }
                        arrayList.add(weightedLatLng);
                    }
                    collection.removeAll(arrayList);
                    this.a = collection;
                    return this;
                }
                throw new IllegalArgumentException("BDMapSDKException: input points can not contain null.");
            }
            throw new IllegalArgumentException("BDMapSDKException: No input points.");
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class a implements Runnable {
        final /* synthetic */ int a;
        final /* synthetic */ int b;
        final /* synthetic */ int c;

        a(int i, int i2, int i3) {
            this.a = i;
            this.b = i2;
            this.c = i3;
        }

        @Override // java.lang.Runnable
        public void run() {
            HeatMap.this.b(this.a, this.b, this.c);
        }
    }

    static {
        SparseIntArray sparseIntArray = new SparseIntArray();
        n = sparseIntArray;
        sparseIntArray.put(3, 8388608);
        sparseIntArray.put(4, 4194304);
        sparseIntArray.put(5, 2097152);
        sparseIntArray.put(6, 1048576);
        sparseIntArray.put(7, 524288);
        sparseIntArray.put(8, 262144);
        sparseIntArray.put(9, 131072);
        sparseIntArray.put(10, 65536);
        sparseIntArray.put(11, 32768);
        sparseIntArray.put(12, 16384);
        sparseIntArray.put(13, 8192);
        sparseIntArray.put(14, 4096);
        sparseIntArray.put(15, 2048);
        sparseIntArray.put(16, 1024);
        sparseIntArray.put(17, 512);
        sparseIntArray.put(18, 256);
        sparseIntArray.put(19, 128);
        sparseIntArray.put(20, 64);
        int[] iArr = {Color.rgb(0, 0, 200), Color.rgb(0, 225, 0), Color.rgb(255, 0, 0)};
        o = iArr;
        float[] fArr = {0.08f, 0.4f, 1.0f};
        p = fArr;
        DEFAULT_GRADIENT = new Gradient(iArr, fArr);
        q = 0;
    }

    /* synthetic */ HeatMap(Builder builder, a aVar) {
        this(builder);
    }

    private void c(Collection<WeightedLatLng> collection) {
        this.b = collection;
        if (!collection.isEmpty()) {
            com.baidu.mapapi.map.a b = b(this.b);
            this.f = b;
            this.a = new b<>(b);
            for (WeightedLatLng weightedLatLng : this.b) {
                this.a.a((b<WeightedLatLng>) weightedLatLng);
            }
            this.i = a(this.c);
            return;
        }
        throw new IllegalArgumentException("BDMapSDKException: No input points.");
    }

    /* JADX INFO: Access modifiers changed from: private */
    public static Collection<WeightedLatLng> d(Collection<LatLng> collection) {
        ArrayList arrayList = new ArrayList();
        for (LatLng latLng : collection) {
            arrayList.add(new WeightedLatLng(latLng));
        }
        return arrayList;
    }

    synchronized void b() {
        this.l.clear();
        this.j.clear();
    }

    public void removeHeatMap() {
        BaiduMap baiduMap = this.m;
        if (baiduMap != null) {
            baiduMap.a(this);
        }
    }

    private HeatMap(Builder builder) {
        this.j = new HashMap<>();
        this.k = Executors.newFixedThreadPool(1);
        this.l = new HashSet<>();
        this.b = builder.a;
        this.c = builder.b;
        this.d = builder.c;
        this.e = builder.d;
        int i = this.c;
        double d = i;
        Double.isNaN(d);
        this.h = a(i, d / 3.0d);
        a(this.d);
        c(this.b);
    }

    private synchronized Tile b(String str) {
        if (this.j.containsKey(str)) {
            Tile tile = this.j.get(str);
            this.j.remove(str);
            return tile;
        }
        return null;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public Tile a(int i, int i2, int i3) {
        String str = i + "_" + i2 + "_" + i3;
        Tile b = b(str);
        if (b != null) {
            return b;
        }
        if (c(str)) {
            return null;
        }
        BaiduMap baiduMap = this.m;
        if (baiduMap != null && q == 0) {
            WinRound winRound = baiduMap.getMapStatus().c.j;
            q = (((winRound.right - winRound.left) / 256) + 2) * (((winRound.bottom - winRound.top) / 256) + 2) * 4;
        }
        if (this.j.size() > q) {
            b();
        }
        if (this.k.isShutdown()) {
            return null;
        }
        try {
            this.k.execute(new a(i, i2, i3));
            a(str);
            return null;
        } catch (RejectedExecutionException e) {
            e.printStackTrace();
            return null;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void d() {
        this.k.shutdownNow();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void b(int i, int i2, int i3) {
        double d = n.get(i3);
        int i4 = this.c;
        double d2 = i4;
        Double.isNaN(d);
        Double.isNaN(d2);
        double d3 = (d2 * d) / 256.0d;
        Double.isNaN(d);
        double d4 = (i4 * 2) + 256;
        Double.isNaN(d4);
        double d5 = ((2.0d * d3) + d) / d4;
        if (i < 0 || i2 < 0) {
            return;
        }
        double d6 = i;
        Double.isNaN(d6);
        Double.isNaN(d);
        double d7 = (d6 * d) - d3;
        double d8 = i + 1;
        Double.isNaN(d8);
        Double.isNaN(d);
        double d9 = (d8 * d) + d3;
        double d10 = i2;
        Double.isNaN(d10);
        Double.isNaN(d);
        double d11 = (d10 * d) - d3;
        double d12 = i2 + 1;
        Double.isNaN(d12);
        Double.isNaN(d);
        double d13 = (d12 * d) + d3;
        com.baidu.mapapi.map.a aVar = new com.baidu.mapapi.map.a(d7, d9, d11, d13);
        com.baidu.mapapi.map.a aVar2 = this.f;
        if (aVar.b(new com.baidu.mapapi.map.a(aVar2.a - d3, aVar2.c + d3, aVar2.b - d3, aVar2.d + d3))) {
            Collection<WeightedLatLng> a2 = this.a.a(aVar);
            if (a2.isEmpty()) {
                return;
            }
            int i5 = (this.c * 2) + 256;
            double[][] dArr = (double[][]) Array.newInstance(double.class, i5, i5);
            for (WeightedLatLng weightedLatLng : a2) {
                Point a3 = weightedLatLng.a();
                double d14 = a3.x;
                Double.isNaN(d14);
                int i6 = (int) ((d14 - d7) / d5);
                double d15 = a3.y;
                Double.isNaN(d15);
                int i7 = (int) ((d13 - d15) / d5);
                int i8 = (this.c * 2) + 256;
                if (i6 >= i8) {
                    i6 = i8 - 1;
                }
                if (i7 >= i8) {
                    i7 = i8 - 1;
                }
                double[] dArr2 = dArr[i6];
                dArr2[i7] = dArr2[i7] + weightedLatLng.intensity;
                d13 = d13;
            }
            Bitmap a4 = a(a(dArr, this.h), this.g, this.i[i3 - 1]);
            Tile a5 = a(a4);
            a4.recycle();
            a(i + "_" + i2 + "_" + i3, a5);
            if (this.j.size() > q) {
                b();
            }
            BaiduMap baiduMap = this.m;
            if (baiduMap != null) {
                baiduMap.d();
            }
        }
    }

    private synchronized void a(String str) {
        this.l.add(str);
    }

    private synchronized void a(String str, Tile tile) {
        this.j.put(str, tile);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void a() {
        c();
    }

    private void a(Gradient gradient) {
        this.d = gradient;
        this.g = gradient.a(this.e);
    }

    private double[] a(int i) {
        int i2;
        double[] dArr = new double[20];
        int i3 = 5;
        while (true) {
            if (i3 >= 11) {
                break;
            }
            dArr[i3] = a(this.b, this.f, i, (int) (Math.pow(2.0d, i3 - 3) * 1280.0d));
            if (i3 == 5) {
                for (int i4 = 0; i4 < i3; i4++) {
                    dArr[i4] = dArr[i3];
                }
            }
            i3++;
        }
        for (i2 = 11; i2 < 20; i2++) {
            dArr[i2] = dArr[10];
        }
        return dArr;
    }

    private synchronized boolean c(String str) {
        return this.l.contains(str);
    }

    private synchronized void c() {
        this.j.clear();
    }

    private static Tile a(Bitmap bitmap) {
        ByteBuffer allocate = ByteBuffer.allocate(bitmap.getWidth() * bitmap.getHeight() * 4);
        bitmap.copyPixelsToBuffer(allocate);
        return new Tile(256, 256, allocate.array());
    }

    private static double[] a(int i, double d) {
        double[] dArr = new double[(i * 2) + 1];
        for (int i2 = -i; i2 <= i; i2++) {
            double d2 = (-i2) * i2;
            Double.isNaN(d2);
            dArr[i2 + i] = Math.exp(d2 / ((2.0d * d) * d));
        }
        return dArr;
    }

    private static double[][] a(double[][] dArr, double[] dArr2) {
        double length = dArr2.length;
        Double.isNaN(length);
        int floor = (int) Math.floor(length / 2.0d);
        int length2 = dArr.length;
        int i = length2 - (floor * 2);
        int i2 = (floor + i) - 1;
        double[][] dArr3 = (double[][]) Array.newInstance(double.class, length2, length2);
        for (int i3 = 0; i3 < length2; i3++) {
            for (int i4 = 0; i4 < length2; i4++) {
                double d = dArr[i3][i4];
                if (d != 0.0d) {
                    int i5 = i3 + floor;
                    if (i2 < i5) {
                        i5 = i2;
                    }
                    int i6 = i5 + 1;
                    int i7 = i3 - floor;
                    for (int i8 = floor > i7 ? floor : i7; i8 < i6; i8++) {
                        double[] dArr4 = dArr3[i8];
                        dArr4[i4] = dArr4[i4] + (dArr2[i8 - i7] * d);
                    }
                }
            }
        }
        double[][] dArr5 = (double[][]) Array.newInstance(double.class, i, i);
        for (int i9 = floor; i9 < i2 + 1; i9++) {
            for (int i10 = 0; i10 < length2; i10++) {
                double d2 = dArr3[i9][i10];
                if (d2 != 0.0d) {
                    int i11 = i10 + floor;
                    if (i2 < i11) {
                        i11 = i2;
                    }
                    int i12 = i11 + 1;
                    int i13 = i10 - floor;
                    for (int i14 = floor > i13 ? floor : i13; i14 < i12; i14++) {
                        double[] dArr6 = dArr5[i9 - floor];
                        int i15 = i14 - floor;
                        dArr6[i15] = dArr6[i15] + (dArr2[i14 - i13] * d2);
                    }
                }
            }
        }
        return dArr5;
    }

    private static com.baidu.mapapi.map.a b(Collection<WeightedLatLng> collection) {
        Iterator<WeightedLatLng> it = collection.iterator();
        WeightedLatLng next = it.next();
        double d = next.a().x;
        double d2 = next.a().x;
        double d3 = next.a().y;
        double d4 = next.a().y;
        while (it.hasNext()) {
            WeightedLatLng next2 = it.next();
            double d5 = next2.a().x;
            double d6 = next2.a().y;
            if (d5 < d) {
                d = d5;
            }
            if (d5 > d2) {
                d2 = d5;
            }
            if (d6 < d3) {
                d3 = d6;
            }
            if (d6 > d4) {
                d4 = d6;
            }
        }
        return new com.baidu.mapapi.map.a(d, d2, d3, d4);
    }

    private static Bitmap a(double[][] dArr, int[] iArr, double d) {
        int i = iArr[iArr.length - 1];
        double length = iArr.length - 1;
        Double.isNaN(length);
        double d2 = length / d;
        int length2 = dArr.length;
        int[] iArr2 = new int[length2 * length2];
        for (int i2 = 0; i2 < length2; i2++) {
            for (int i3 = 0; i3 < length2; i3++) {
                double d3 = dArr[i3][i2];
                int i4 = (i2 * length2) + i3;
                int i5 = (int) (d3 * d2);
                if (d3 != 0.0d) {
                    if (i5 < iArr.length) {
                        iArr2[i4] = iArr[i5];
                    } else {
                        iArr2[i4] = i;
                    }
                } else {
                    iArr2[i4] = 0;
                }
            }
        }
        Bitmap createBitmap = Bitmap.createBitmap(length2, length2, Bitmap.Config.ARGB_8888);
        createBitmap.setPixels(iArr2, 0, length2, 0, 0, length2, length2);
        return createBitmap;
    }

    private static double a(Collection<WeightedLatLng> collection, com.baidu.mapapi.map.a aVar, int i, int i2) {
        double d = aVar.a;
        double d2 = aVar.c;
        double d3 = aVar.b;
        double d4 = d2 - d;
        double d5 = aVar.d - d3;
        if (d4 <= d5) {
            d4 = d5;
        }
        double d6 = i2 / (i * 2);
        Double.isNaN(d6);
        double d7 = (int) (d6 + 0.5d);
        Double.isNaN(d7);
        double d8 = d7 / d4;
        LongSparseArray longSparseArray = new LongSparseArray();
        double d9 = 0.0d;
        for (WeightedLatLng weightedLatLng : collection) {
            double d10 = weightedLatLng.a().x;
            double d11 = weightedLatLng.a().y;
            Double.isNaN(d10);
            Double.isNaN(d11);
            int i3 = (int) ((d11 - d3) * d8);
            long j = (int) ((d10 - d) * d8);
            LongSparseArray longSparseArray2 = (LongSparseArray) longSparseArray.get(j);
            if (longSparseArray2 == null) {
                longSparseArray2 = new LongSparseArray();
                longSparseArray.put(j, longSparseArray2);
            }
            long j2 = i3;
            Double d12 = (Double) longSparseArray2.get(j2);
            if (d12 == null) {
                d12 = Double.valueOf(0.0d);
            }
            LongSparseArray longSparseArray3 = longSparseArray;
            double d13 = d;
            Double valueOf = Double.valueOf(d12.doubleValue() + weightedLatLng.intensity);
            longSparseArray2.put(j2, valueOf);
            if (valueOf.doubleValue() > d9) {
                d9 = valueOf.doubleValue();
            }
            d = d13;
            longSparseArray = longSparseArray3;
        }
        return d9;
    }
}
