package com.baidu.mapapi.map;

import android.graphics.Point;
import android.os.Parcel;
import android.os.Parcelable;
import com.baidu.mapapi.model.CoordUtil;
import com.baidu.mapapi.model.LatLng;
import com.baidu.mapapi.model.LatLngBounds;
import com.baidu.mapsdkplatform.comapi.map.s;
import com.baidu.platform.comapi.basestruct.GeoPoint;
import org.apache.commons.io.IOUtils;
/* loaded from: classes.dex */
public final class MapStatus implements Parcelable {
    public static final Parcelable.Creator<MapStatus> CREATOR = new a();
    private double a;
    private double b;
    public final LatLngBounds bound;
    s c;
    public final float overlook;
    public final float rotate;
    public final LatLng target;
    public final Point targetScreen;
    public WinRound winRound;
    public final float zoom;

    /* loaded from: classes.dex */
    static class a implements Parcelable.Creator<MapStatus> {
        a() {
        }

        @Override // android.os.Parcelable.Creator
        /* renamed from: a */
        public MapStatus createFromParcel(Parcel parcel) {
            return new MapStatus(parcel);
        }

        @Override // android.os.Parcelable.Creator
        /* renamed from: a */
        public MapStatus[] newArray(int i) {
            return new MapStatus[i];
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public MapStatus(float f, LatLng latLng, float f2, float f3, Point point, LatLngBounds latLngBounds) {
        this.rotate = f;
        this.target = latLng;
        this.overlook = f2;
        this.zoom = f3;
        this.targetScreen = point;
        if (latLng != null) {
            this.a = CoordUtil.ll2mc(latLng).getLongitudeE6();
            this.b = CoordUtil.ll2mc(latLng).getLatitudeE6();
        }
        this.bound = latLngBounds;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public static MapStatus a(s sVar) {
        if (sVar == null) {
            return null;
        }
        float f = sVar.b;
        double d = sVar.e;
        double d2 = sVar.d;
        LatLng mc2ll = CoordUtil.mc2ll(new GeoPoint(d, d2));
        float f2 = sVar.c;
        float f3 = sVar.a;
        Point point = new Point(sVar.f, sVar.g);
        LatLng mc2ll2 = CoordUtil.mc2ll(new GeoPoint(sVar.k.e.getDoubleY(), sVar.k.e.getDoubleX()));
        LatLng mc2ll3 = CoordUtil.mc2ll(new GeoPoint(sVar.k.f.getDoubleY(), sVar.k.f.getDoubleX()));
        LatLng mc2ll4 = CoordUtil.mc2ll(new GeoPoint(sVar.k.h.getDoubleY(), sVar.k.h.getDoubleX()));
        LatLng mc2ll5 = CoordUtil.mc2ll(new GeoPoint(sVar.k.g.getDoubleY(), sVar.k.g.getDoubleX()));
        LatLngBounds.Builder builder = new LatLngBounds.Builder();
        builder.include(mc2ll2);
        builder.include(mc2ll3);
        builder.include(mc2ll4);
        builder.include(mc2ll5);
        return new MapStatus(f, mc2ll, f2, f3, point, sVar, d2, d, builder.build(), sVar.j);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public double b() {
        return this.a;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public double c() {
        return this.b;
    }

    @Override // android.os.Parcelable
    public int describeContents() {
        return 0;
    }

    public String toString() {
        StringBuilder sb = new StringBuilder();
        if (this.target != null) {
            sb.append("target lat: " + this.target.latitude + IOUtils.LINE_SEPARATOR_UNIX);
            sb.append("target lng: " + this.target.longitude + IOUtils.LINE_SEPARATOR_UNIX);
        }
        if (this.targetScreen != null) {
            sb.append("target screen x: " + this.targetScreen.x + IOUtils.LINE_SEPARATOR_UNIX);
            sb.append("target screen y: " + this.targetScreen.y + IOUtils.LINE_SEPARATOR_UNIX);
        }
        sb.append("zoom: " + this.zoom + IOUtils.LINE_SEPARATOR_UNIX);
        sb.append("rotate: " + this.rotate + IOUtils.LINE_SEPARATOR_UNIX);
        sb.append("overlook: " + this.overlook + IOUtils.LINE_SEPARATOR_UNIX);
        return sb.toString();
    }

    @Override // android.os.Parcelable
    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeFloat(this.rotate);
        parcel.writeParcelable(this.target, i);
        parcel.writeFloat(this.overlook);
        parcel.writeFloat(this.zoom);
        parcel.writeParcelable(this.targetScreen, i);
        parcel.writeParcelable(this.bound, i);
        parcel.writeDouble(this.a);
        parcel.writeDouble(this.b);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public s b(s sVar) {
        if (sVar == null) {
            return null;
        }
        float f = this.rotate;
        if (f != -2.14748365E9f) {
            sVar.b = (int) f;
        }
        float f2 = this.zoom;
        if (f2 != -2.14748365E9f) {
            sVar.a = f2;
        }
        float f3 = this.overlook;
        if (f3 != -2.14748365E9f) {
            sVar.c = (int) f3;
        }
        if (this.target != null) {
            sVar.d = this.a;
            sVar.e = this.b;
        }
        Point point = this.targetScreen;
        if (point != null) {
            sVar.f = point.x;
            sVar.g = point.y;
        }
        return sVar;
    }

    /* loaded from: classes.dex */
    public static final class Builder {
        private float a;
        private LatLng b;
        private float c;
        private float d;
        private Point e;
        private LatLngBounds f;

        public Builder() {
            this.a = -2.14748365E9f;
            this.b = null;
            this.c = -2.14748365E9f;
            this.d = -2.14748365E9f;
            this.e = null;
            this.f = null;
        }

        private float a(float f) {
            if (15.0f == f) {
                return 15.5f;
            }
            return f;
        }

        public MapStatus build() {
            return new MapStatus(this.a, this.b, this.c, this.d, this.e, this.f);
        }

        public Builder overlook(float f) {
            this.c = f;
            return this;
        }

        public Builder rotate(float f) {
            this.a = f;
            return this;
        }

        public Builder target(LatLng latLng) {
            this.b = latLng;
            return this;
        }

        public Builder targetScreen(Point point) {
            this.e = point;
            return this;
        }

        public Builder zoom(float f) {
            this.d = a(f);
            return this;
        }

        public Builder(MapStatus mapStatus) {
            this.a = -2.14748365E9f;
            this.b = null;
            this.c = -2.14748365E9f;
            this.d = -2.14748365E9f;
            this.e = null;
            this.f = null;
            this.a = mapStatus.rotate;
            this.b = mapStatus.target;
            this.c = mapStatus.overlook;
            this.d = mapStatus.zoom;
            this.e = mapStatus.targetScreen;
            mapStatus.b();
            mapStatus.c();
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public MapStatus(float f, LatLng latLng, float f2, float f3, Point point, double d, double d2, LatLngBounds latLngBounds) {
        this.rotate = f;
        this.target = latLng;
        this.overlook = f2;
        this.zoom = f3;
        this.targetScreen = point;
        this.a = d;
        this.b = d2;
        this.bound = latLngBounds;
    }

    MapStatus(float f, LatLng latLng, float f2, float f3, Point point, s sVar, double d, double d2, LatLngBounds latLngBounds, WinRound winRound) {
        this.rotate = f;
        this.target = latLng;
        this.overlook = f2;
        this.zoom = f3;
        this.targetScreen = point;
        this.c = sVar;
        this.a = d;
        this.b = d2;
        this.bound = latLngBounds;
        this.winRound = winRound;
    }

    protected MapStatus(Parcel parcel) {
        this.rotate = parcel.readFloat();
        this.target = (LatLng) parcel.readParcelable(LatLng.class.getClassLoader());
        this.overlook = parcel.readFloat();
        this.zoom = parcel.readFloat();
        this.targetScreen = (Point) parcel.readParcelable(Point.class.getClassLoader());
        this.bound = (LatLngBounds) parcel.readParcelable(LatLngBounds.class.getClassLoader());
        this.a = parcel.readDouble();
        this.b = parcel.readDouble();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public s a() {
        return b(new s());
    }
}
