package com.baidu.mapapi.map;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.Color;
import android.graphics.Matrix;
import android.graphics.NinePatch;
import android.graphics.Point;
import android.graphics.Rect;
import android.graphics.drawable.NinePatchDrawable;
import android.os.Bundle;
import android.os.Looper;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.util.Log;
import android.util.SparseIntArray;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.RelativeLayout;
import android.widget.TextView;
import com.baidu.mapapi.BMapManager;
import com.baidu.mapapi.common.SysOSUtil;
import com.baidu.mapapi.map.MapViewLayoutParams;
import com.baidu.mapapi.model.CoordUtil;
import com.baidu.mapsdkplatform.comapi.map.d;
import com.baidu.mapsdkplatform.comapi.map.f;
import com.baidu.mapsdkplatform.comapi.map.q;
import com.baidu.mapsdkplatform.comapi.map.s;
import com.baidu.mapsdkplatform.comapi.map.y;
import com.baidu.platform.comapi.basestruct.GeoPoint;
import com.baidu.platform.comapi.map.MapSurfaceView;
import com.baidu.platform.comapi.map.x;
import com.baidu.platform.comapi.util.h;
import com.google.common.primitives.Ints;
import java.io.File;
import javax.microedition.khronos.opengles.GL10;
/* loaded from: classes.dex */
public final class MapView extends ViewGroup {
    private static final SparseIntArray A;
    private static final String x = "MapView";
    private static String y;
    private static int z;
    private MapSurfaceView a;
    private BaiduMap b;
    private ImageView c;
    private Bitmap d;
    private y e;
    private Point f;
    private Point g;
    private RelativeLayout h;
    private TextView i;
    private TextView j;
    private ImageView k;
    private Context l;
    private int m;
    private boolean n;
    private boolean o;
    private float p;
    private int q;
    private int r;
    private int s;
    private int t;
    private int u;
    private int v;
    private boolean w;

    /* loaded from: classes.dex */
    class a implements d.c {
        final /* synthetic */ CustomMapStyleCallBack a;
        final /* synthetic */ MapCustomStyleOptions b;

        a(CustomMapStyleCallBack customMapStyleCallBack, MapCustomStyleOptions mapCustomStyleOptions) {
            this.a = customMapStyleCallBack;
            this.b = mapCustomStyleOptions;
        }

        @Override // com.baidu.mapsdkplatform.comapi.map.d.c
        public void onCustomMapStyleLoadFailed(int i, String str, String str2) {
            CustomMapStyleCallBack customMapStyleCallBack = this.a;
            if ((customMapStyleCallBack == null || !customMapStyleCallBack.onCustomMapStyleLoadFailed(i, str, str2)) && !MapView.this.w) {
                MapView.this.a(str2, this.b);
            }
        }

        @Override // com.baidu.mapsdkplatform.comapi.map.d.c
        public void onCustomMapStyleLoadSuccess(boolean z, String str) {
            CustomMapStyleCallBack customMapStyleCallBack = this.a;
            if ((customMapStyleCallBack == null || !customMapStyleCallBack.onCustomMapStyleLoadSuccess(z, str)) && z && !TextUtils.isEmpty(str)) {
                MapView.this.a(str, "");
                MapView.this.setMapCustomStyleEnable(true);
            }
        }

        @Override // com.baidu.mapsdkplatform.comapi.map.d.c
        public void onPreLoadLastCustomMapStyle(String str) {
            CustomMapStyleCallBack customMapStyleCallBack = this.a;
            if (customMapStyleCallBack == null || !customMapStyleCallBack.onPreLoadLastCustomMapStyle(str)) {
                MapView.this.a(str, this.b);
                MapView.this.w = true;
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class b implements x {
        b() {
        }

        @Override // com.baidu.platform.comapi.map.x
        public void a() {
        }

        @Override // com.baidu.platform.comapi.map.x
        public void a(MotionEvent motionEvent) {
        }

        @Override // com.baidu.platform.comapi.map.x
        public void a(s sVar) {
        }

        @Override // com.baidu.platform.comapi.map.x
        public void a(GeoPoint geoPoint) {
        }

        @Override // com.baidu.platform.comapi.map.x
        public void a(GL10 gl10, s sVar) {
        }

        @Override // com.baidu.platform.comapi.map.x
        public void a(boolean z) {
        }

        @Override // com.baidu.platform.comapi.map.x
        public void a(boolean z, int i) {
        }

        @Override // com.baidu.platform.comapi.map.x
        public boolean a(String str) {
            return false;
        }

        @Override // com.baidu.platform.comapi.map.x
        public void b() {
        }

        @Override // com.baidu.platform.comapi.map.x
        public void b(s sVar) {
            if (MapView.this.a == null || MapView.this.a.getController() == null) {
                return;
            }
            float zoomLevel = MapView.this.a.getZoomLevel();
            if (zoomLevel < MapView.this.a.getController().mMinZoomLevel) {
                zoomLevel = MapView.this.a.getController().mMinZoomLevel;
            } else if (zoomLevel > MapView.this.a.getController().mMaxZoomLevel) {
                zoomLevel = MapView.this.a.getController().mMaxZoomLevel;
            }
            if (Math.abs(MapView.this.p - zoomLevel) > 0.0f) {
                int i = MapView.A.get(Math.round(zoomLevel));
                double d = i;
                double zoomUnitsInMeter = MapView.this.a.getController().getZoomUnitsInMeter();
                Double.isNaN(d);
                int i2 = (int) (d / zoomUnitsInMeter);
                if (MapView.this.k != null) {
                    int i3 = i2 / 2;
                    MapView.this.k.setPadding(i3, 0, i3, 0);
                }
                String format = i >= 1000 ? String.format(" %d公里 ", Integer.valueOf(i / 1000)) : String.format(" %d米 ", Integer.valueOf(i));
                if (MapView.this.i != null) {
                    MapView.this.i.setText(format);
                }
                if (MapView.this.j != null) {
                    MapView.this.j.setText(format);
                }
                MapView.this.p = zoomLevel;
            }
            MapView.this.b();
            MapView.this.requestLayout();
        }

        @Override // com.baidu.platform.comapi.map.x
        public void b(GeoPoint geoPoint) {
        }

        @Override // com.baidu.platform.comapi.map.x
        public void b(String str) {
        }

        @Override // com.baidu.platform.comapi.map.x
        public void c() {
        }

        @Override // com.baidu.platform.comapi.map.x
        public void c(s sVar) {
        }

        @Override // com.baidu.platform.comapi.map.x
        public void c(GeoPoint geoPoint) {
        }

        @Override // com.baidu.platform.comapi.map.x
        public void d() {
        }

        @Override // com.baidu.platform.comapi.map.x
        public void d(GeoPoint geoPoint) {
        }

        @Override // com.baidu.platform.comapi.map.x
        public void e(GeoPoint geoPoint) {
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class c implements View.OnClickListener {
        c() {
        }

        @Override // android.view.View.OnClickListener
        public void onClick(View view) {
            float zoomLevel = MapView.this.a.getZoomLevel();
            float f = zoomLevel - 1.0f;
            double d = zoomLevel;
            if (Math.floor(d) != d) {
                f = (float) Math.floor(d);
            }
            float max = Math.max(f, MapView.this.a.getController().mMinZoomLevel);
            BaiduMap.mapStatusReason |= 16;
            MapView.this.a.setZoomLevel(max);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class d implements View.OnClickListener {
        d() {
        }

        @Override // android.view.View.OnClickListener
        public void onClick(View view) {
            float zoomLevel = MapView.this.a.getZoomLevel();
            float f = 1.0f + zoomLevel;
            double d = zoomLevel;
            if (((int) Math.ceil(d)) != ((int) zoomLevel)) {
                f = (float) Math.ceil(d);
            }
            float min = Math.min(f, MapView.this.a.getController().mMaxZoomLevel);
            BaiduMap.mapStatusReason |= 16;
            MapView.this.a.setZoomLevel(min);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class e implements Runnable {
        final /* synthetic */ View a;

        e(View view) {
            this.a = view;
        }

        @Override // java.lang.Runnable
        public void run() {
            MapView.this.removeView(this.a);
        }
    }

    public MapView(Context context) {
        super(context);
        this.m = LogoPosition.logoPostionleftBottom.ordinal();
        this.n = true;
        this.o = true;
        this.w = false;
        a(context, (BaiduMapOptions) null);
    }

    @Deprecated
    public static void setCustomMapStylePath(String str) {
        if (str != null && str.length() != 0) {
            if (new File(str).exists()) {
                y = str;
                return;
            }
            throw new RuntimeException("BDMapSDKException: please check whether the customMapStylePath file exits");
        }
        throw new RuntimeException("BDMapSDKException: customMapStylePath String is illegal");
    }

    @Deprecated
    public static void setIconCustom(int i) {
    }

    @Deprecated
    public static void setLoadCustomMapStyleFileMode(int i) {
        z = i;
    }

    @Deprecated
    public static void setMapCustomEnable(boolean z2) {
    }

    @Override // android.view.ViewGroup, android.view.ViewManager
    public void addView(View view, ViewGroup.LayoutParams layoutParams) {
        if (layoutParams instanceof MapViewLayoutParams) {
            if (view.getParent() != null) {
                ((ViewGroup) view.getParent()).removeView(view);
            }
            super.addView(view, layoutParams);
        }
    }

    public void cancelRenderMap() {
    }

    public final LogoPosition getLogoPosition() {
        switch (this.m) {
            case 1:
                return LogoPosition.logoPostionleftTop;
            case 2:
                return LogoPosition.logoPostionCenterBottom;
            case 3:
                return LogoPosition.logoPostionCenterTop;
            case 4:
                return LogoPosition.logoPostionRightBottom;
            case 5:
                return LogoPosition.logoPostionRightTop;
            default:
                return LogoPosition.logoPostionleftBottom;
        }
    }

    public final BaiduMap getMap() {
        BaiduMap baiduMap = this.b;
        baiduMap.L = this;
        return baiduMap;
    }

    public final int getMapLevel() {
        return A.get(Math.round(this.a.getZoomLevel()));
    }

    public Point getScaleControlPosition() {
        return this.f;
    }

    public int getScaleControlViewHeight() {
        return this.u;
    }

    public int getScaleControlViewWidth() {
        return this.v;
    }

    public Point getZoomControlsPosition() {
        return this.g;
    }

    public boolean handleMultiTouch(float f, float f2, float f3, float f4) {
        return false;
    }

    public void handleTouchDown(float f, float f2) {
        if (this.a == null) {
        }
    }

    public boolean handleTouchMove(float f, float f2) {
        return false;
    }

    public boolean handleTouchUp(float f, float f2) {
        if (this.a == null) {
        }
        return false;
    }

    public boolean inRangeOfView(float f, float f2) {
        MapSurfaceView mapSurfaceView = this.a;
        return mapSurfaceView != null && mapSurfaceView.inRangeOfView(f, f2);
    }

    public boolean isShowScaleControl() {
        return this.o;
    }

    public void onCreate(Context context, Bundle bundle) {
        if (bundle == null) {
            return;
        }
        MapStatus mapStatus = (MapStatus) bundle.getParcelable("mapstatus");
        if (this.f != null) {
            this.f = (Point) bundle.getParcelable("scalePosition");
        }
        if (this.g != null) {
            this.g = (Point) bundle.getParcelable("zoomPosition");
        }
        this.n = bundle.getBoolean("mZoomControlEnabled");
        this.o = bundle.getBoolean("mScaleControlEnabled");
        this.m = bundle.getInt("logoPosition");
        setPadding(bundle.getInt("paddingLeft"), bundle.getInt("paddingTop"), bundle.getInt("paddingRight"), bundle.getInt("paddingBottom"));
        a(context, new BaiduMapOptions().mapStatus(mapStatus));
    }

    public final void onDestroy() {
        BaiduMap baiduMap = this.b;
        if (baiduMap != null) {
            baiduMap.c();
        }
        MapSurfaceView mapSurfaceView = this.a;
        if (mapSurfaceView != null) {
            mapSurfaceView.unInit();
        }
        Bitmap bitmap = this.d;
        if (bitmap != null && !bitmap.isRecycled()) {
            this.d.recycle();
            this.d = null;
        }
        if (y != null) {
            y = null;
        }
        this.e.d();
        BMapManager.destroy();
        f.a();
        this.l = null;
    }

    @Override // android.view.ViewGroup, android.view.View
    protected final void onLayout(boolean z2, int i, int i2, int i3, int i4) {
        float f;
        Point point;
        int measuredHeight;
        int measuredWidth;
        int height;
        int width;
        int height2;
        int width2;
        int measuredWidth2;
        int childCount = getChildCount();
        a(this.c);
        float f2 = 1.0f;
        if (((getWidth() - this.q) - this.r) - this.c.getMeasuredWidth() > 0 && ((getHeight() - this.s) - this.t) - this.c.getMeasuredHeight() > 0) {
            f2 = ((getWidth() - this.q) - this.r) / getWidth();
            f = ((getHeight() - this.s) - this.t) / getHeight();
        } else {
            this.q = 0;
            this.r = 0;
            this.t = 0;
            this.s = 0;
            f = 1.0f;
        }
        for (int i5 = 0; i5 < childCount; i5++) {
            View childAt = getChildAt(i5);
            if (childAt != null) {
                MapSurfaceView mapSurfaceView = this.a;
                if (childAt == mapSurfaceView) {
                    mapSurfaceView.layout(0, 0, getWidth(), getHeight());
                } else {
                    ImageView imageView = this.c;
                    if (childAt == imageView) {
                        float f3 = f2 * 5.0f;
                        int i6 = (int) (this.q + f3);
                        int i7 = (int) (this.r + f3);
                        float f4 = 5.0f * f;
                        int i8 = (int) (this.s + f4);
                        int i9 = (int) (this.t + f4);
                        switch (this.m) {
                            case 1:
                                measuredHeight = imageView.getMeasuredHeight() + i8;
                                measuredWidth = this.c.getMeasuredWidth() + i6;
                                break;
                            case 2:
                                height = getHeight() - i9;
                                i8 = height - this.c.getMeasuredHeight();
                                width = (((getWidth() - this.c.getMeasuredWidth()) + this.q) - this.r) / 2;
                                measuredWidth = (((getWidth() + this.c.getMeasuredWidth()) + this.q) - this.r) / 2;
                                int i10 = width;
                                measuredHeight = height;
                                i6 = i10;
                                break;
                            case 3:
                                height = imageView.getMeasuredHeight() + i8;
                                width = (((getWidth() - this.c.getMeasuredWidth()) + this.q) - this.r) / 2;
                                measuredWidth = (((getWidth() + this.c.getMeasuredWidth()) + this.q) - this.r) / 2;
                                int i102 = width;
                                measuredHeight = height;
                                i6 = i102;
                                break;
                            case 4:
                                height2 = getHeight() - i9;
                                i8 = height2 - this.c.getMeasuredHeight();
                                width2 = getWidth() - i7;
                                measuredWidth2 = width2 - this.c.getMeasuredWidth();
                                int i11 = width2;
                                measuredHeight = height2;
                                i6 = measuredWidth2;
                                measuredWidth = i11;
                                break;
                            case 5:
                                height2 = imageView.getMeasuredHeight() + i8;
                                width2 = getWidth() - i7;
                                measuredWidth2 = width2 - this.c.getMeasuredWidth();
                                int i112 = width2;
                                measuredHeight = height2;
                                i6 = measuredWidth2;
                                measuredWidth = i112;
                                break;
                            default:
                                measuredHeight = getHeight() - i9;
                                measuredWidth = this.c.getMeasuredWidth() + i6;
                                i8 = measuredHeight - this.c.getMeasuredHeight();
                                break;
                        }
                        this.c.layout(i6, i8, measuredWidth, measuredHeight);
                    } else {
                        y yVar = this.e;
                        if (childAt == yVar) {
                            if (yVar.c()) {
                                a(this.e);
                                Point point2 = this.g;
                                if (point2 == null) {
                                    int height3 = (int) (((getHeight() - 15) * f) + this.s);
                                    int width3 = (int) (((getWidth() - 15) * f2) + this.q);
                                    int measuredWidth3 = width3 - this.e.getMeasuredWidth();
                                    int measuredHeight2 = height3 - this.e.getMeasuredHeight();
                                    if (this.m == 4) {
                                        height3 -= this.c.getMeasuredHeight();
                                        measuredHeight2 -= this.c.getMeasuredHeight();
                                    }
                                    this.e.layout(measuredWidth3, measuredHeight2, width3, height3);
                                } else {
                                    y yVar2 = this.e;
                                    int i12 = point2.x;
                                    yVar2.layout(i12, point2.y, yVar2.getMeasuredWidth() + i12, this.g.y + this.e.getMeasuredHeight());
                                }
                            }
                        } else {
                            RelativeLayout relativeLayout = this.h;
                            if (childAt == relativeLayout) {
                                a(relativeLayout);
                                Point point3 = this.f;
                                if (point3 == null) {
                                    this.v = this.h.getMeasuredWidth();
                                    this.u = this.h.getMeasuredHeight();
                                    int i13 = (int) (this.q + (5.0f * f2));
                                    int height4 = (getHeight() - ((int) ((this.t + (f * 5.0f)) + 56.0f))) - this.c.getMeasuredHeight();
                                    this.h.layout(i13, height4, this.v + i13, this.u + height4);
                                } else {
                                    RelativeLayout relativeLayout2 = this.h;
                                    int i14 = point3.x;
                                    relativeLayout2.layout(i14, point3.y, relativeLayout2.getMeasuredWidth() + i14, this.f.y + this.h.getMeasuredHeight());
                                }
                            } else {
                                ViewGroup.LayoutParams layoutParams = childAt.getLayoutParams();
                                if (layoutParams instanceof MapViewLayoutParams) {
                                    MapViewLayoutParams mapViewLayoutParams = (MapViewLayoutParams) layoutParams;
                                    if (mapViewLayoutParams.c == MapViewLayoutParams.ELayoutMode.absoluteMode) {
                                        point = mapViewLayoutParams.b;
                                    } else {
                                        GeoPoint ll2mc = CoordUtil.ll2mc(mapViewLayoutParams.a);
                                        if (this.a.getBaseMap() != null) {
                                            point = this.a.getBaseMap().a(ll2mc);
                                        } else {
                                            point = new Point();
                                        }
                                    }
                                    a(childAt);
                                    int measuredWidth4 = childAt.getMeasuredWidth();
                                    int measuredHeight3 = childAt.getMeasuredHeight();
                                    float f5 = mapViewLayoutParams.d;
                                    float f6 = mapViewLayoutParams.e;
                                    int i15 = (int) (point.x - (f5 * measuredWidth4));
                                    int i16 = ((int) (point.y - (f6 * measuredHeight3))) + mapViewLayoutParams.f;
                                    childAt.layout(i15, i16, measuredWidth4 + i15, measuredHeight3 + i16);
                                }
                            }
                        }
                    }
                }
            }
        }
    }

    public final void onPause() {
        this.a.onPause();
    }

    public final void onResume() {
        this.a.onResume();
    }

    public void onSaveInstanceState(Bundle bundle) {
        BaiduMap baiduMap;
        if (bundle == null || (baiduMap = this.b) == null) {
            return;
        }
        bundle.putParcelable("mapstatus", baiduMap.getMapStatus());
        bundle.putBoolean("mZoomControlEnabled", this.n);
        bundle.putBoolean("mScaleControlEnabled", this.o);
        bundle.putInt("logoPosition", this.m);
        bundle.putInt("paddingLeft", this.q);
        bundle.putInt("paddingTop", this.s);
        bundle.putInt("paddingRight", this.r);
        bundle.putInt("paddingBottom", this.t);
    }

    @Override // android.view.ViewGroup, android.view.ViewManager
    public void removeView(View view) {
        if (view == this.c) {
            return;
        }
        if (c()) {
            super.removeView(view);
        } else {
            h.a(new e(view), 0L);
        }
    }

    public void renderMap() {
    }

    public void setCustomStyleFilePathAndMode(String str, int i) {
    }

    public final void setLogoPosition(LogoPosition logoPosition) {
        if (logoPosition == null) {
            this.m = LogoPosition.logoPostionleftBottom.ordinal();
        } else {
            this.m = logoPosition.ordinal();
        }
        requestLayout();
    }

    public void setMapCustomStyle(MapCustomStyleOptions mapCustomStyleOptions, CustomMapStyleCallBack customMapStyleCallBack) {
        if (mapCustomStyleOptions == null) {
            return;
        }
        String customMapStyleId = mapCustomStyleOptions.getCustomMapStyleId();
        if (customMapStyleId != null && !customMapStyleId.isEmpty()) {
            com.baidu.mapsdkplatform.comapi.map.d.a().a(this.l, customMapStyleId, new a(customMapStyleCallBack, mapCustomStyleOptions));
            return;
        }
        String localCustomStyleFilePath = mapCustomStyleOptions.getLocalCustomStyleFilePath();
        if (localCustomStyleFilePath == null || localCustomStyleFilePath.isEmpty()) {
            return;
        }
        a(localCustomStyleFilePath, "");
        setMapCustomStyleEnable(true);
    }

    public void setMapCustomStyleEnable(boolean z2) {
        MapSurfaceView mapSurfaceView = this.a;
        if (mapSurfaceView == null || mapSurfaceView.getBaseMap() == null) {
            return;
        }
        this.a.getBaseMap().k(z2);
    }

    public void setMapCustomStylePath(String str) {
        a(str, "");
    }

    @Override // android.view.View
    public void setPadding(int i, int i2, int i3, int i4) {
        this.q = i;
        this.s = i2;
        this.r = i3;
        this.t = i4;
    }

    public void setScaleControlPosition(Point point) {
        int i;
        if (point != null && (i = point.x) >= 0 && point.y >= 0 && i <= getWidth() && point.y <= getHeight()) {
            this.f = point;
            requestLayout();
        }
    }

    public void setUpViewEventToMapView(MotionEvent motionEvent) {
        this.a.onTouchEvent(motionEvent);
    }

    public final void setZOrderMediaOverlay(boolean z2) {
        MapSurfaceView mapSurfaceView = this.a;
        if (mapSurfaceView == null) {
            return;
        }
        mapSurfaceView.setZOrderMediaOverlay(z2);
    }

    public void setZoomControlsPosition(Point point) {
        int i;
        if (point != null && (i = point.x) >= 0 && point.y >= 0 && i <= getWidth() && point.y <= getHeight()) {
            this.g = point;
            requestLayout();
        }
    }

    public void showScaleControl(boolean z2) {
        this.h.setVisibility(z2 ? 0 : 8);
        this.o = z2;
    }

    public void showZoomControls(boolean z2) {
        if (this.e.c()) {
            this.e.setVisibility(z2 ? 0 : 8);
            this.n = z2;
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void b() {
        y yVar = this.e;
        if (yVar == null || !yVar.c() || this.a.getBaseMap() == null) {
            return;
        }
        float f = this.a.getBaseMap().t().a;
        this.e.b(f > this.a.getBaseMap().b);
        this.e.a(f < this.a.getBaseMap().a);
    }

    private void c(Context context) {
        y yVar = new y(context, false);
        this.e = yVar;
        if (yVar.c()) {
            this.e.b(new c());
            this.e.a(new d());
            addView(this.e);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void a(String str, MapCustomStyleOptions mapCustomStyleOptions) {
        if (!TextUtils.isEmpty(str)) {
            a(str, "");
            setMapCustomStyleEnable(true);
            return;
        }
        String localCustomStyleFilePath = mapCustomStyleOptions.getLocalCustomStyleFilePath();
        if (TextUtils.isEmpty(localCustomStyleFilePath)) {
            return;
        }
        a(localCustomStyleFilePath, "");
        setMapCustomStyleEnable(true);
    }

    private void b(Context context) {
        this.h = new RelativeLayout(context);
        this.h.setLayoutParams(new ViewGroup.LayoutParams(-2, -2));
        this.i = new TextView(context);
        RelativeLayout.LayoutParams layoutParams = new RelativeLayout.LayoutParams(-2, -2);
        layoutParams.addRule(14);
        this.i.setTextColor(Color.parseColor("#FFFFFF"));
        this.i.setTextSize(2, 11.0f);
        TextView textView = this.i;
        textView.setTypeface(textView.getTypeface(), 1);
        this.i.setLayoutParams(layoutParams);
        this.i.setId(Integer.MAX_VALUE);
        this.h.addView(this.i);
        this.j = new TextView(context);
        RelativeLayout.LayoutParams layoutParams2 = new RelativeLayout.LayoutParams(-2, -2);
        layoutParams2.width = -2;
        layoutParams2.height = -2;
        layoutParams2.addRule(14);
        this.j.setTextColor(Color.parseColor("#000000"));
        this.j.setTextSize(2, 11.0f);
        this.j.setLayoutParams(layoutParams2);
        this.h.addView(this.j);
        this.k = new ImageView(context);
        RelativeLayout.LayoutParams layoutParams3 = new RelativeLayout.LayoutParams(-2, -2);
        layoutParams3.width = -2;
        layoutParams3.height = -2;
        layoutParams3.addRule(14);
        layoutParams3.addRule(3, this.i.getId());
        ImageView imageView = this.k;
        if (imageView != null) {
            imageView.setLayoutParams(layoutParams3);
            Bitmap a2 = com.baidu.mapsdkplatform.comapi.commonutils.a.a("icon_scale.9.png", context);
            if (a2 != null) {
                byte[] ninePatchChunk = a2.getNinePatchChunk();
                if (NinePatch.isNinePatchChunk(ninePatchChunk)) {
                    this.k.setBackgroundDrawable(new NinePatchDrawable(a2, ninePatchChunk, new Rect(), null));
                }
            }
            this.h.addView(this.k);
        }
        addView(this.h);
    }

    private void a(Context context, BaiduMapOptions baiduMapOptions) {
        Point point;
        Point point2;
        LogoPosition logoPosition;
        this.l = context;
        f.b();
        BMapManager.init();
        a(context, baiduMapOptions, y, z);
        a(context);
        c(context);
        if (baiduMapOptions != null && !baiduMapOptions.h) {
            this.e.setVisibility(4);
        }
        b(context);
        if (baiduMapOptions != null && !baiduMapOptions.i) {
            this.h.setVisibility(4);
        }
        if (baiduMapOptions != null && (logoPosition = baiduMapOptions.j) != null) {
            this.m = logoPosition.ordinal();
        }
        if (baiduMapOptions != null && (point2 = baiduMapOptions.l) != null) {
            this.g = point2;
        }
        if (baiduMapOptions == null || (point = baiduMapOptions.k) == null) {
            return;
        }
        this.f = point;
    }

    static {
        SparseIntArray sparseIntArray = new SparseIntArray();
        A = sparseIntArray;
        sparseIntArray.append(3, 2000000);
        sparseIntArray.append(4, 1000000);
        sparseIntArray.append(5, 500000);
        sparseIntArray.append(6, 200000);
        sparseIntArray.append(7, 100000);
        sparseIntArray.append(8, 50000);
        sparseIntArray.append(9, 25000);
        sparseIntArray.append(10, 20000);
        sparseIntArray.append(11, 10000);
        sparseIntArray.append(12, 5000);
        sparseIntArray.append(13, 2000);
        sparseIntArray.append(14, 1000);
        sparseIntArray.append(15, 500);
        sparseIntArray.append(16, 200);
        sparseIntArray.append(17, 100);
        sparseIntArray.append(18, 50);
        sparseIntArray.append(19, 20);
        sparseIntArray.append(20, 10);
        sparseIntArray.append(21, 5);
        sparseIntArray.append(22, 2);
        sparseIntArray.append(23, 2);
        sparseIntArray.append(24, 2);
        sparseIntArray.append(25, 2);
        sparseIntArray.append(26, 2);
    }

    public MapView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.m = LogoPosition.logoPostionleftBottom.ordinal();
        this.n = true;
        this.o = true;
        this.w = false;
        a(context, (BaiduMapOptions) null);
    }

    private void a(Context context, BaiduMapOptions baiduMapOptions, String str, int i) {
        this.a = new MapSurfaceView(context);
        if (baiduMapOptions != null) {
            this.b = new BaiduMap(context, this.a, baiduMapOptions.a());
        } else {
            this.b = new BaiduMap(context, this.a, (q) null);
        }
        addView(this.a);
        b bVar = new b();
        if (this.a.getBaseMap() != null) {
            this.a.getBaseMap().a(bVar);
        }
    }

    private boolean c() {
        return Looper.getMainLooper().getThread() == Thread.currentThread();
    }

    public MapView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.m = LogoPosition.logoPostionleftBottom.ordinal();
        this.n = true;
        this.o = true;
        this.w = false;
        a(context, (BaiduMapOptions) null);
    }

    public MapView(Context context, BaiduMapOptions baiduMapOptions) {
        super(context);
        this.m = LogoPosition.logoPostionleftBottom.ordinal();
        this.n = true;
        this.o = true;
        this.w = false;
        a(context, baiduMapOptions);
    }

    private void a(Context context) {
        int densityDpi = SysOSUtil.getDensityDpi();
        Bitmap a2 = com.baidu.mapsdkplatform.comapi.commonutils.a.a(densityDpi < 180 ? "logo_l.png" : "logo_h.png", context);
        if (a2 == null) {
            return;
        }
        if (densityDpi > 480) {
            Matrix matrix = new Matrix();
            matrix.postScale(2.0f, 2.0f);
            this.d = Bitmap.createBitmap(a2, 0, 0, a2.getWidth(), a2.getHeight(), matrix, true);
        } else if (densityDpi > 320) {
            Matrix matrix2 = new Matrix();
            matrix2.postScale(1.5f, 1.5f);
            this.d = Bitmap.createBitmap(a2, 0, 0, a2.getWidth(), a2.getHeight(), matrix2, true);
        } else {
            this.d = a2;
        }
        if (this.d != null) {
            ImageView imageView = new ImageView(context);
            this.c = imageView;
            imageView.setImageBitmap(this.d);
            addView(this.c);
        }
    }

    private void a(View view) {
        int makeMeasureSpec;
        int makeMeasureSpec2;
        ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
        if (layoutParams == null) {
            layoutParams = new ViewGroup.LayoutParams(-2, -2);
        }
        int i = layoutParams.width;
        if (i > 0) {
            makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(i, Ints.MAX_POWER_OF_TWO);
        } else {
            makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(0, 0);
        }
        int i2 = layoutParams.height;
        if (i2 > 0) {
            makeMeasureSpec2 = View.MeasureSpec.makeMeasureSpec(i2, Ints.MAX_POWER_OF_TWO);
        } else {
            makeMeasureSpec2 = View.MeasureSpec.makeMeasureSpec(0, 0);
        }
        view.measure(makeMeasureSpec, makeMeasureSpec2);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void a(String str, String str2) {
        MapSurfaceView mapSurfaceView = this.a;
        if (mapSurfaceView == null || mapSurfaceView.getBaseMap() == null) {
            return;
        }
        if (TextUtils.isEmpty(str)) {
            Log.e(x, "customStyleFilePath is empty or null, please check!");
        } else if (!str.endsWith(".sty")) {
            Log.e(x, "customStyleFile format is incorrect , please check!");
        } else if (!new File(str).exists()) {
            Log.e(x, "customStyleFile does not exist , please check!");
        } else {
            this.a.getBaseMap().a(str, str2);
        }
    }
}
