package com.baidu.mapapi.map;

import android.graphics.Bitmap;
import android.graphics.Point;
import android.os.Bundle;
import android.view.View;
import com.baidu.mapapi.animation.Animation;
import com.baidu.mapapi.map.InfoWindow;
import com.baidu.mapapi.model.CoordUtil;
import com.baidu.mapapi.model.LatLng;
import com.baidu.mapsdkplatform.comapi.map.e;
import com.baidu.platform.comapi.basestruct.GeoPoint;
import com.baidu.platform.comjni.tools.ParcelItem;
import com.google.common.primitives.UnsignedBytes;
import java.nio.ByteBuffer;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.util.ArrayList;
import java.util.Iterator;
import org.apache.commons.codec.digest.MessageDigestAlgorithms;
import org.apache.commons.logging.LogFactory;
/* loaded from: classes.dex */
public final class Marker extends Overlay {
    Point B;
    InfoWindow C;
    InfoWindow.a D;
    LatLng e;
    BitmapDescriptor f;
    float g;
    float h;
    boolean i;
    boolean j;
    float k;
    String l;
    int m;
    float p;
    int q;
    ArrayList<BitmapDescriptor> v;
    Animation x;
    boolean n = false;
    boolean o = false;
    boolean r = false;
    boolean s = true;
    boolean t = false;
    boolean u = false;
    int w = 20;
    float y = 1.0f;
    float z = 1.0f;
    float A = 1.0f;
    boolean E = false;
    int F = Integer.MAX_VALUE;
    int G = 4;
    int H = 22;

    /* JADX INFO: Access modifiers changed from: package-private */
    public Marker() {
        this.type = e.marker;
    }

    private void a(InfoWindow infoWindow, InfoWindow infoWindow2) {
        infoWindow.b = infoWindow2.getBitmapDescriptor();
        infoWindow.d = infoWindow2.getPosition();
        infoWindow.a = infoWindow2.getTag();
        infoWindow.c = infoWindow2.getView();
        infoWindow.g = infoWindow2.getYOffset();
        infoWindow.k = infoWindow2.k;
        infoWindow.e = infoWindow2.e;
    }

    public void cancelAnimation() {
        Animation animation = this.x;
        if (animation != null) {
            animation.bdAnimation.cancelAnimation();
        }
    }

    public float getAlpha() {
        return this.p;
    }

    public float getAnchorX() {
        return this.g;
    }

    public float getAnchorY() {
        return this.h;
    }

    public int getEndLevel() {
        return this.H;
    }

    public Point getFixedPosition() {
        return this.B;
    }

    public BitmapDescriptor getIcon() {
        return this.f;
    }

    public ArrayList<BitmapDescriptor> getIcons() {
        return this.v;
    }

    public String getId() {
        return this.a;
    }

    public InfoWindow getInfoWindow() {
        return this.C;
    }

    public int getPeriod() {
        return this.w;
    }

    public LatLng getPosition() {
        return this.e;
    }

    public int getPriority() {
        return this.F;
    }

    public float getRotate() {
        return this.k;
    }

    public float getScale() {
        return this.A;
    }

    public float getScaleX() {
        return this.y;
    }

    public float getScaleY() {
        return this.z;
    }

    public int getStartLevel() {
        return this.G;
    }

    public String getTitle() {
        return this.l;
    }

    public int getYOffset() {
        return this.m;
    }

    public void hideInfoWindow() {
        InfoWindow.a aVar = this.D;
        if (aVar != null) {
            aVar.a(this.C);
            this.E = false;
        }
        this.C = null;
    }

    public boolean isClickable() {
        return this.s;
    }

    public boolean isDraggable() {
        return this.j;
    }

    public boolean isFixed() {
        return this.r;
    }

    public boolean isFlat() {
        return this.n;
    }

    public boolean isForceDisplay() {
        return this.u;
    }

    public boolean isInfoWindowEnabled() {
        return this.E;
    }

    public boolean isJoinCollision() {
        return this.t;
    }

    public boolean isPerspective() {
        return this.i;
    }

    public void setAlpha(float f) {
        if (f >= 0.0f && f <= 1.0d) {
            this.p = f;
            this.listener.c(this);
            return;
        }
        this.p = 1.0f;
    }

    public void setAnchor(float f, float f2) {
        if (f < 0.0f || f > 1.0f || f2 < 0.0f || f2 > 1.0f) {
            return;
        }
        this.g = f;
        this.h = f2;
        this.listener.c(this);
    }

    public void setAnimateType(int i) {
        this.q = i;
        this.listener.c(this);
    }

    public void setAnimation(Animation animation) {
        if (animation != null) {
            this.x = animation;
            animation.bdAnimation.setAnimation(this, animation);
        }
    }

    public void setClickable(boolean z) {
        this.s = z;
        this.listener.c(this);
    }

    public void setDraggable(boolean z) {
        this.j = z;
        this.listener.c(this);
    }

    public void setEndLevel(int i) {
        this.H = i;
        this.listener.c(this);
    }

    public void setFixedScreenPosition(Point point) {
        if (point != null) {
            this.B = point;
            this.r = true;
            this.listener.c(this);
            return;
        }
        throw new IllegalArgumentException("BDMapSDKException: the screenPosition can not be null");
    }

    public void setFlat(boolean z) {
        this.n = z;
        this.listener.c(this);
    }

    public void setForceDisplay(boolean z) {
        this.u = z;
        this.listener.c(this);
    }

    public void setIcon(BitmapDescriptor bitmapDescriptor) {
        if (bitmapDescriptor != null) {
            this.f = bitmapDescriptor;
            this.listener.c(this);
            return;
        }
        throw new IllegalArgumentException("BDMapSDKException: marker's icon can not be null");
    }

    public void setIcons(ArrayList<BitmapDescriptor> arrayList) {
        if (arrayList != null) {
            if (arrayList.size() == 0) {
                return;
            }
            if (arrayList.size() == 1) {
                this.f = arrayList.get(0);
            } else {
                for (int i = 0; i < arrayList.size(); i++) {
                    if (arrayList.get(i) == null || arrayList.get(i).a == null) {
                        return;
                    }
                }
                this.v = (ArrayList) arrayList.clone();
                this.f = null;
            }
            this.listener.c(this);
            return;
        }
        throw new IllegalArgumentException("BDMapSDKException: marker's icons can not be null");
    }

    public void setJoinCollision(boolean z) {
        this.t = z;
        this.listener.c(this);
    }

    public void setPeriod(int i) {
        if (i > 0) {
            this.w = i;
            this.listener.c(this);
            return;
        }
        throw new IllegalArgumentException("BDMapSDKException: marker's period must be greater than zero ");
    }

    public void setPerspective(boolean z) {
        this.i = z;
        this.listener.c(this);
    }

    public void setPosition(LatLng latLng) {
        if (latLng != null) {
            this.e = latLng;
            this.listener.c(this);
            return;
        }
        throw new IllegalArgumentException("BDMapSDKException: marker's position can not be null");
    }

    public void setPositionWithInfoWindow(LatLng latLng) {
        if (latLng != null) {
            this.e = latLng;
            this.listener.c(this);
            InfoWindow infoWindow = this.C;
            if (infoWindow != null) {
                infoWindow.setPosition(latLng);
                return;
            }
            return;
        }
        throw new IllegalArgumentException("BDMapSDKException: marker's position can not be null");
    }

    public void setPriority(int i) {
        this.F = i;
        this.listener.c(this);
    }

    public void setRotate(float f) {
        while (f < 0.0f) {
            f += 360.0f;
        }
        this.k = f % 360.0f;
        this.listener.c(this);
    }

    public void setScale(float f) {
        if (f < 0.0f) {
            f = 0.0f;
        }
        this.y = f;
        this.z = f;
        this.listener.c(this);
    }

    public void setScaleX(float f) {
        if (f < 0.0f) {
            f = 0.0f;
        }
        this.y = f;
        this.listener.c(this);
    }

    public void setScaleY(float f) {
        if (f < 0.0f) {
            f = 0.0f;
        }
        this.z = f;
        this.listener.c(this);
    }

    public void setStartLevel(int i) {
        this.G = i;
        this.listener.c(this);
    }

    public void setTitle(String str) {
        this.l = str;
    }

    public void setToTop() {
        this.o = true;
        this.listener.c(this);
    }

    public void setYOffset(int i) {
        this.m = i;
        this.listener.c(this);
    }

    public void showInfoWindow(InfoWindow infoWindow) {
        if (infoWindow != null) {
            InfoWindow infoWindow2 = this.C;
            if (infoWindow2 == null) {
                this.C = infoWindow;
            } else {
                InfoWindow.a aVar = this.D;
                if (aVar != null) {
                    aVar.a(infoWindow2);
                }
                a(this.C, infoWindow);
            }
            InfoWindow.a aVar2 = this.D;
            if (aVar2 != null) {
                aVar2.b(this.C);
                this.E = true;
                return;
            }
            return;
        }
        throw new IllegalArgumentException("BDMapSDKException: the InfoWindow can not be null");
    }

    public void showSmoothMoveInfoWindow(InfoWindow infoWindow) {
        if (infoWindow == null) {
            return;
        }
        if (infoWindow.k) {
            if (infoWindow.c != null) {
                InfoWindow infoWindow2 = this.C;
                if (infoWindow2 == null) {
                    this.C = infoWindow;
                } else {
                    a(infoWindow2, infoWindow);
                }
                InfoWindow infoWindow3 = this.C;
                infoWindow3.j = true;
                InfoWindow.a aVar = this.D;
                if (aVar != null) {
                    aVar.b(infoWindow3);
                    this.E = true;
                    return;
                }
                return;
            }
            throw new IllegalArgumentException("BDMapSDKException: the SmoothMoveInfoWindow's View can not be null");
        }
        throw new IllegalArgumentException("BDMapSDKException: the SmoothMoveInfoWindow must build with View");
    }

    public void startAnimation() {
        Animation animation = this.x;
        if (animation != null) {
            animation.bdAnimation.startAnimation();
        }
    }

    public void updateInfoWindowBitmapDescriptor(BitmapDescriptor bitmapDescriptor) {
        InfoWindow infoWindow = this.C;
        if (infoWindow == null || infoWindow.l) {
            return;
        }
        infoWindow.setBitmapDescriptor(bitmapDescriptor);
    }

    public void updateInfoWindowPosition(LatLng latLng) {
        InfoWindow infoWindow = this.C;
        if (infoWindow != null) {
            infoWindow.setPosition(latLng);
        }
    }

    public void updateInfoWindowView(View view) {
        InfoWindow infoWindow = this.C;
        if (infoWindow == null || !infoWindow.k) {
            return;
        }
        infoWindow.setView(view);
    }

    public void updateInfoWindowYOffset(int i) {
        InfoWindow infoWindow = this.C;
        if (infoWindow != null) {
            infoWindow.setYOffset(i);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    @Override // com.baidu.mapapi.map.Overlay
    public Bundle a(Bundle bundle) {
        super.a(bundle);
        Bundle bundle2 = new Bundle();
        BitmapDescriptor bitmapDescriptor = this.f;
        if (bitmapDescriptor != null) {
            bundle.putBundle("image_info", bitmapDescriptor.a());
        }
        GeoPoint ll2mc = CoordUtil.ll2mc(this.e);
        bundle.putInt("animatetype", this.q);
        bundle.putDouble("location_x", ll2mc.getLongitudeE6());
        bundle.putDouble("location_y", ll2mc.getLatitudeE6());
        bundle.putInt("perspective", this.i ? 1 : 0);
        bundle.putFloat("anchor_x", this.g);
        bundle.putFloat("anchor_y", this.h);
        bundle.putFloat("rotate", this.k);
        bundle.putInt("y_offset", this.m);
        bundle.putInt("isflat", this.n ? 1 : 0);
        bundle.putInt("istop", this.o ? 1 : 0);
        bundle.putInt("period", this.w);
        bundle.putFloat("alpha", this.p);
        bundle.putFloat("scaleX", this.y);
        bundle.putFloat("scaleY", this.z);
        bundle.putInt("isClickable", this.s ? 1 : 0);
        bundle.putInt(LogFactory.PRIORITY_KEY, this.F);
        bundle.putInt("isJoinCollision", this.t ? 1 : 0);
        bundle.putInt("isForceDisplay", this.u ? 1 : 0);
        bundle.putInt("startLevel", this.G);
        bundle.putInt("endLevel", this.H);
        Point point = this.B;
        if (point != null) {
            bundle.putInt("fix_x", point.x);
            bundle.putInt("fix_y", this.B.y);
        }
        bundle.putInt("isfixed", this.r ? 1 : 0);
        ArrayList<BitmapDescriptor> arrayList = this.v;
        if (arrayList != null && arrayList.size() > 0) {
            a(this.v, bundle);
        }
        bundle2.putBundle("param", bundle);
        return bundle;
    }

    private void a(ArrayList<BitmapDescriptor> arrayList, Bundle bundle) {
        int i;
        ArrayList arrayList2 = new ArrayList();
        Iterator<BitmapDescriptor> it = arrayList.iterator();
        while (true) {
            i = 0;
            if (!it.hasNext()) {
                break;
            }
            ParcelItem parcelItem = new ParcelItem();
            Bundle bundle2 = new Bundle();
            Bitmap bitmap = it.next().a;
            ByteBuffer allocate = ByteBuffer.allocate(bitmap.getWidth() * bitmap.getHeight() * 4);
            bitmap.copyPixelsToBuffer(allocate);
            byte[] array = allocate.array();
            bundle2.putByteArray("image_data", array);
            bundle2.putInt("image_width", bitmap.getWidth());
            bundle2.putInt("image_height", bitmap.getHeight());
            MessageDigest messageDigest = null;
            try {
                messageDigest = MessageDigest.getInstance(MessageDigestAlgorithms.MD5);
            } catch (NoSuchAlgorithmException e) {
                e.printStackTrace();
            }
            if (messageDigest != null) {
                messageDigest.update(array, 0, array.length);
                byte[] digest = messageDigest.digest();
                StringBuilder sb = new StringBuilder("");
                while (i < digest.length) {
                    sb.append(Integer.toString((digest[i] & UnsignedBytes.MAX_VALUE) + 256, 16).substring(1));
                    i++;
                }
                bundle2.putString("image_hashcode", sb.toString());
            }
            parcelItem.setBundle(bundle2);
            arrayList2.add(parcelItem);
        }
        if (arrayList2.size() > 0) {
            ParcelItem[] parcelItemArr = new ParcelItem[arrayList2.size()];
            while (i < arrayList2.size()) {
                parcelItemArr[i] = (ParcelItem) arrayList2.get(i);
                i++;
            }
            bundle.putParcelableArray("icons", parcelItemArr);
        }
    }
}
