package com.baidu.mapapi.map;

import android.graphics.Point;
import android.os.Bundle;
import com.baidu.mapapi.model.LatLng;
import java.util.ArrayList;
/* loaded from: classes.dex */
public final class MarkerOptions extends OverlayOptions {
    Bundle B;
    private LatLng a;
    private BitmapDescriptor b;
    private float g;
    private String h;
    private int i;
    private ArrayList<BitmapDescriptor> k;
    private Point r;
    private InfoWindow t;
    int z;
    private float c = 0.5f;
    private float d = 1.0f;
    private boolean e = true;
    private boolean f = false;
    private boolean j = false;
    private int l = 20;
    private float m = 1.0f;
    private float n = 1.0f;
    private float o = 1.0f;
    private int p = MarkerAnimateType.none.ordinal();
    private boolean q = false;
    private boolean s = true;
    private int u = Integer.MAX_VALUE;
    private boolean v = false;
    private int w = 4;
    private int x = 22;
    private boolean y = false;
    boolean A = true;

    /* loaded from: classes.dex */
    public enum MarkerAnimateType {
        none,
        drop,
        grow,
        jump
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    @Override // com.baidu.mapapi.map.OverlayOptions
    public Overlay a() {
        Marker marker = new Marker();
        marker.c = this.A;
        marker.b = this.z;
        marker.d = this.B;
        LatLng latLng = this.a;
        if (latLng != null) {
            marker.e = latLng;
            BitmapDescriptor bitmapDescriptor = this.b;
            if (bitmapDescriptor == null && this.k == null) {
                throw new IllegalStateException("BDMapSDKException: when you add marker, you must set the icon or icons");
            }
            marker.f = bitmapDescriptor;
            marker.g = this.c;
            marker.h = this.d;
            marker.i = this.e;
            marker.j = this.f;
            marker.k = this.g;
            marker.l = this.h;
            marker.m = this.i;
            marker.n = this.j;
            marker.v = this.k;
            marker.w = this.l;
            marker.p = this.o;
            marker.y = this.m;
            marker.z = this.n;
            marker.q = this.p;
            marker.r = this.q;
            marker.C = this.t;
            marker.s = this.s;
            marker.F = this.u;
            marker.u = this.v;
            marker.G = this.w;
            marker.H = this.x;
            marker.t = this.y;
            Point point = this.r;
            if (point != null) {
                marker.B = point;
            }
            return marker;
        }
        throw new IllegalStateException("BDMapSDKException: when you add marker, you must set the position");
    }

    public MarkerOptions alpha(float f) {
        if (f >= 0.0f && f <= 1.0f) {
            this.o = f;
            return this;
        }
        this.o = 1.0f;
        return this;
    }

    public MarkerOptions anchor(float f, float f2) {
        if (f >= 0.0f && f <= 1.0f && f2 >= 0.0f && f2 <= 1.0f) {
            this.c = f;
            this.d = f2;
        }
        return this;
    }

    public MarkerOptions animateType(MarkerAnimateType markerAnimateType) {
        if (markerAnimateType == null) {
            markerAnimateType = MarkerAnimateType.none;
        }
        this.p = markerAnimateType.ordinal();
        return this;
    }

    public MarkerOptions clickable(boolean z) {
        this.s = z;
        return this;
    }

    public MarkerOptions draggable(boolean z) {
        this.f = z;
        return this;
    }

    public MarkerOptions endLevel(int i) {
        this.x = i;
        return this;
    }

    public MarkerOptions extraInfo(Bundle bundle) {
        this.B = bundle;
        return this;
    }

    public MarkerOptions fixedScreenPosition(Point point) {
        this.r = point;
        this.q = true;
        return this;
    }

    public MarkerOptions flat(boolean z) {
        this.j = z;
        return this;
    }

    public float getAlpha() {
        return this.o;
    }

    public float getAnchorX() {
        return this.c;
    }

    public float getAnchorY() {
        return this.d;
    }

    public MarkerAnimateType getAnimateType() {
        int i = this.p;
        if (i != 1) {
            if (i != 2) {
                if (i != 3) {
                    return MarkerAnimateType.none;
                }
                return MarkerAnimateType.jump;
            }
            return MarkerAnimateType.grow;
        }
        return MarkerAnimateType.drop;
    }

    public int getEndLevel() {
        return this.x;
    }

    public Bundle getExtraInfo() {
        return this.B;
    }

    public boolean getForceDisPlay() {
        return this.v;
    }

    public BitmapDescriptor getIcon() {
        return this.b;
    }

    public ArrayList<BitmapDescriptor> getIcons() {
        return this.k;
    }

    public boolean getJoinCollision() {
        return this.y;
    }

    public int getPeriod() {
        return this.l;
    }

    public LatLng getPosition() {
        return this.a;
    }

    public int getPriority() {
        return this.u;
    }

    public float getRotate() {
        return this.g;
    }

    public int getStartLevel() {
        return this.w;
    }

    @Deprecated
    public String getTitle() {
        return this.h;
    }

    public int getZIndex() {
        return this.z;
    }

    public MarkerOptions icon(BitmapDescriptor bitmapDescriptor) {
        if (bitmapDescriptor != null) {
            this.b = bitmapDescriptor;
            return this;
        }
        throw new IllegalArgumentException("BDMapSDKException: marker's icon can not be null");
    }

    public MarkerOptions icons(ArrayList<BitmapDescriptor> arrayList) {
        if (arrayList != null) {
            if (arrayList.size() == 0) {
                return this;
            }
            for (int i = 0; i < arrayList.size(); i++) {
                if (arrayList.get(i) == null || arrayList.get(i).a == null) {
                    return this;
                }
            }
            this.k = arrayList;
            return this;
        }
        throw new IllegalArgumentException("BDMapSDKException: marker's icons can not be null");
    }

    public MarkerOptions infoWindow(InfoWindow infoWindow) {
        this.t = infoWindow;
        return this;
    }

    public boolean isDraggable() {
        return this.f;
    }

    public boolean isFlat() {
        return this.j;
    }

    public MarkerOptions isForceDisPlay(boolean z) {
        this.v = z;
        return this;
    }

    public MarkerOptions isJoinCollision(boolean z) {
        this.y = z;
        return this;
    }

    public boolean isPerspective() {
        return this.e;
    }

    public boolean isVisible() {
        return this.A;
    }

    public MarkerOptions period(int i) {
        if (i > 0) {
            this.l = i;
            return this;
        }
        throw new IllegalArgumentException("BDMapSDKException: marker's period must be greater than zero ");
    }

    public MarkerOptions perspective(boolean z) {
        this.e = z;
        return this;
    }

    public MarkerOptions position(LatLng latLng) {
        if (latLng != null) {
            this.a = latLng;
            return this;
        }
        throw new IllegalArgumentException("BDMapSDKException: marker's position can not be null");
    }

    public MarkerOptions priority(int i) {
        this.u = i;
        return this;
    }

    public MarkerOptions rotate(float f) {
        while (f < 0.0f) {
            f += 360.0f;
        }
        this.g = f % 360.0f;
        return this;
    }

    public MarkerOptions scaleX(float f) {
        if (f < 0.0f) {
            return this;
        }
        this.m = f;
        return this;
    }

    public MarkerOptions scaleY(float f) {
        if (f < 0.0f) {
            return this;
        }
        this.n = f;
        return this;
    }

    public MarkerOptions startLevel(int i) {
        this.w = i;
        return this;
    }

    @Deprecated
    public MarkerOptions title(String str) {
        this.h = str;
        return this;
    }

    public MarkerOptions visible(boolean z) {
        this.A = z;
        return this;
    }

    public MarkerOptions yOffset(int i) {
        this.i = i;
        return this;
    }

    public MarkerOptions zIndex(int i) {
        this.z = i;
        return this;
    }
}
