package com.baidu.mapapi.map;

import android.os.Bundle;
import androidx.core.view.ViewCompat;
import com.baidu.mapapi.model.LatLng;
import java.util.List;
/* loaded from: classes.dex */
public final class PolygonOptions extends OverlayOptions {
    private Stroke a;
    private List<LatLng> c;
    private List<HoleOptions> d;
    private HoleOptions e;
    int h;
    Bundle j;
    private int b = ViewCompat.MEASURED_STATE_MASK;
    private boolean f = false;
    private int g = 0;
    boolean i = true;

    /* JADX INFO: Access modifiers changed from: package-private */
    @Override // com.baidu.mapapi.map.OverlayOptions
    public Overlay a() {
        Polygon polygon = new Polygon();
        polygon.c = this.i;
        polygon.b = this.h;
        polygon.d = this.j;
        List<LatLng> list = this.c;
        if (list != null && list.size() >= 2) {
            polygon.g = this.c;
            polygon.f = this.b;
            polygon.e = this.a;
            polygon.h = this.d;
            polygon.i = this.e;
            polygon.j = this.f;
            polygon.k = this.g;
            return polygon;
        }
        throw new IllegalStateException("BDMapSDKException: when you add polyline, you must at least supply 2 points");
    }

    public PolygonOptions addHoleOption(HoleOptions holeOptions) {
        this.e = holeOptions;
        return this;
    }

    public PolygonOptions addHoleOptions(List<HoleOptions> list) {
        this.d = list;
        return this;
    }

    public PolygonOptions dottedStroke(boolean z) {
        this.f = z;
        return this;
    }

    public PolygonOptions dottedStrokeType(PolylineDottedLineType polylineDottedLineType) {
        this.g = polylineDottedLineType.ordinal();
        return this;
    }

    public PolygonOptions extraInfo(Bundle bundle) {
        this.j = bundle;
        return this;
    }

    public PolygonOptions fillColor(int i) {
        this.b = i;
        return this;
    }

    public Bundle getExtraInfo() {
        return this.j;
    }

    public int getFillColor() {
        return this.b;
    }

    public List<LatLng> getPoints() {
        return this.c;
    }

    public Stroke getStroke() {
        return this.a;
    }

    public int getZIndex() {
        return this.h;
    }

    public boolean isVisible() {
        return this.i;
    }

    public PolygonOptions points(List<LatLng> list) {
        if (list != null) {
            if (list.size() > 2) {
                if (!list.contains(null)) {
                    int i = 0;
                    while (i < list.size()) {
                        int i2 = i + 1;
                        for (int i3 = i2; i3 < list.size(); i3++) {
                            if (list.get(i) == list.get(i3)) {
                                throw new IllegalArgumentException("BDMapSDKException: points list can not has same points");
                            }
                        }
                        i = i2;
                    }
                    this.c = list;
                    return this;
                }
                throw new IllegalArgumentException("BDMapSDKException: points list can not contains null");
            }
            throw new IllegalArgumentException("BDMapSDKException: points count can not less than three");
        }
        throw new IllegalArgumentException("BDMapSDKException: points list can not be null");
    }

    public PolygonOptions stroke(Stroke stroke) {
        this.a = stroke;
        return this;
    }

    public PolygonOptions visible(boolean z) {
        this.i = z;
        return this;
    }

    public PolygonOptions zIndex(int i) {
        this.h = i;
        return this;
    }
}
