package com.baidu.mapapi.map;

import android.graphics.Point;
import android.graphics.PointF;
import com.baidu.mapapi.model.CoordUtil;
import com.baidu.mapapi.model.LatLng;
import com.baidu.mapsdkplatform.comapi.map.c;
import com.baidu.mapsdkplatform.comapi.map.s;
import com.baidu.platform.comapi.basestruct.GeoPoint;
/* loaded from: classes.dex */
public final class Projection {
    private c a;

    /* JADX INFO: Access modifiers changed from: package-private */
    public Projection(c cVar) {
        this.a = cVar;
    }

    public LatLng fromScreenLocation(Point point) {
        c cVar;
        if (point == null || (cVar = this.a) == null) {
            return null;
        }
        return CoordUtil.mc2ll(cVar.a(point.x, point.y));
    }

    public float metersToEquatorPixels(float f) {
        if (f <= 0.0f) {
            return 0.0f;
        }
        double d = f;
        double z = this.a.z();
        Double.isNaN(d);
        return (float) (d / z);
    }

    public PointF toOpenGLLocation(LatLng latLng, MapStatus mapStatus) {
        if (latLng == null || mapStatus == null) {
            return null;
        }
        GeoPoint ll2mc = CoordUtil.ll2mc(latLng);
        s sVar = mapStatus.c;
        return new PointF((float) (ll2mc.getLongitudeE6() - sVar.d), (float) (ll2mc.getLatitudeE6() - sVar.e));
    }

    public PointF toOpenGLNormalization(LatLng latLng, MapStatus mapStatus) {
        if (latLng == null || mapStatus == null) {
            return null;
        }
        GeoPoint ll2mc = CoordUtil.ll2mc(latLng);
        s.a aVar = mapStatus.c.k;
        double abs = Math.abs(aVar.b - aVar.a);
        double abs2 = Math.abs(aVar.c - aVar.d);
        double longitudeE6 = ll2mc.getLongitudeE6();
        double d = aVar.a;
        Double.isNaN(d);
        Double.isNaN(abs);
        double latitudeE6 = ll2mc.getLatitudeE6();
        double d2 = aVar.d;
        Double.isNaN(d2);
        Double.isNaN(abs2);
        return new PointF((float) ((((longitudeE6 - d) * 2.0d) / abs) - 1.0d), (float) ((((latitudeE6 - d2) * 2.0d) / abs2) - 1.0d));
    }

    public Point toScreenLocation(LatLng latLng) {
        if (latLng == null || this.a == null) {
            return null;
        }
        return this.a.a(CoordUtil.ll2mc(latLng));
    }
}
