package com.baidu.mapapi.map;

import android.util.Log;
import com.baidu.mapapi.common.Logger;
import java.util.HashMap;
import java.util.HashSet;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.concurrent.RejectedExecutionException;
/* loaded from: classes.dex */
public final class TileOverlay {
    private static final String f = "TileOverlay";
    private static int g;
    BaiduMap a;
    private TileProvider e;
    private HashMap<String, Tile> c = new HashMap<>();
    private HashSet<String> d = new HashSet<>();
    private ExecutorService b = Executors.newFixedThreadPool(1);

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class a implements Runnable {
        final /* synthetic */ int a;
        final /* synthetic */ int b;
        final /* synthetic */ int c;
        final /* synthetic */ String d;

        a(int i, int i2, int i3, String str) {
            this.a = i;
            this.b = i2;
            this.c = i3;
            this.d = str;
        }

        @Override // java.lang.Runnable
        public void run() {
            Tile tile = ((FileTileProvider) TileOverlay.this.e).getTile(this.a, this.b, this.c);
            if (tile != null) {
                if (tile.width != 256 || tile.height != 256) {
                    Log.e(TileOverlay.f, "FileTile pic must be 256 * 256");
                } else {
                    TileOverlay.this.a(this.a + "_" + this.b + "_" + this.c, tile);
                }
            } else {
                Log.e(TileOverlay.f, "FileTile pic is null");
            }
            TileOverlay.this.d.remove(this.d);
        }
    }

    public TileOverlay(BaiduMap baiduMap, TileProvider tileProvider) {
        this.a = baiduMap;
        this.e = tileProvider;
    }

    private synchronized boolean c(String str) {
        return this.d.contains(str);
    }

    public boolean clearTileCache() {
        BaiduMap baiduMap = this.a;
        if (baiduMap == null) {
            return false;
        }
        return baiduMap.a();
    }

    public void removeTileOverlay() {
        BaiduMap baiduMap = this.a;
        if (baiduMap == null) {
            return;
        }
        baiduMap.a(this);
    }

    private synchronized Tile b(String str) {
        if (this.c.containsKey(str)) {
            Tile tile = this.c.get(str);
            this.c.remove(str);
            return tile;
        }
        return null;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void c() {
        this.b.shutdownNow();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public synchronized void a(String str, Tile tile) {
        this.c.put(str, tile);
    }

    private synchronized void a(String str) {
        this.d.add(str);
    }

    synchronized void b() {
        Logger.logE(f, "clearTaskSet");
        this.d.clear();
        this.c.clear();
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public Tile a(int i, int i2, int i3) {
        String str = i + "_" + i2 + "_" + i3;
        Tile b = b(str);
        if (b != null) {
            return b;
        }
        BaiduMap baiduMap = this.a;
        if (baiduMap != null && g == 0) {
            WinRound winRound = baiduMap.getMapStatus().c.j;
            g = (((winRound.right - winRound.left) / 256) + 2) * (((winRound.bottom - winRound.top) / 256) + 2);
        }
        if (this.c.size() > g) {
            b();
        }
        if (c(str) || this.b.isShutdown()) {
            return null;
        }
        try {
            a(str);
            this.b.execute(new a(i, i2, i3, str));
            return null;
        } catch (RejectedExecutionException unused) {
            Log.e(f, "ThreadPool excepiton");
            return null;
        } catch (Exception unused2) {
            Log.e(f, "fileDir is not legal");
            return null;
        }
    }
}
