package com.baidu.mapapi.map;

import android.os.Bundle;
import android.util.Log;
import com.baidu.mapapi.model.CoordUtil;
import com.baidu.mapapi.model.LatLngBounds;
import com.baidu.platform.comapi.basestruct.GeoPoint;
import com.baidu.platform.comapi.map.MapBundleKey;
/* loaded from: classes.dex */
public final class TileOverlayOptions {
    private static Bundle i = null;
    private static final String j = "TileOverlayOptions";
    private TileProvider b;
    public int datasource;
    public String urlString;
    private int a = 209715200;
    private int c = 20;
    private int d = 3;
    private int e = 15786414;
    private int f = -20037726;
    private int g = -15786414;
    private int h = 20037726;

    public TileOverlayOptions() {
        Bundle bundle = new Bundle();
        i = bundle;
        bundle.putInt("rectr", this.e);
        i.putInt("rectb", this.f);
        i.putInt("rectl", this.g);
        i.putInt("rectt", this.h);
    }

    private TileOverlayOptions a(int i2, int i3) {
        this.c = i2;
        this.d = i3;
        return this;
    }

    public TileOverlayOptions setMaxTileTmp(int i2) {
        this.a = i2;
        return this;
    }

    public TileOverlayOptions setPositionFromBounds(LatLngBounds latLngBounds) {
        if (latLngBounds != null) {
            GeoPoint ll2mc = CoordUtil.ll2mc(latLngBounds.northeast);
            GeoPoint ll2mc2 = CoordUtil.ll2mc(latLngBounds.southwest);
            double latitudeE6 = ll2mc.getLatitudeE6();
            double longitudeE6 = ll2mc2.getLongitudeE6();
            double latitudeE62 = ll2mc2.getLatitudeE6();
            double longitudeE62 = ll2mc.getLongitudeE6();
            if (latitudeE6 > latitudeE62 && longitudeE62 > longitudeE6) {
                i.putInt("rectr", (int) longitudeE62);
                i.putInt("rectb", (int) latitudeE62);
                i.putInt("rectl", (int) longitudeE6);
                i.putInt("rectt", (int) latitudeE6);
            } else {
                Log.e(j, "BDMapSDKException: bounds is illegal, use default bounds");
            }
            return this;
        }
        throw new IllegalArgumentException("BDMapSDKException: bound can not be null");
    }

    public TileOverlayOptions tileProvider(TileProvider tileProvider) {
        if (tileProvider == null) {
            return null;
        }
        if (tileProvider instanceof UrlTileProvider) {
            this.datasource = 1;
            String tileUrl = ((UrlTileProvider) tileProvider).getTileUrl();
            if (tileUrl != null && !"".equals(tileUrl) && tileUrl.contains("{x}") && tileUrl.contains("{y}") && tileUrl.contains("{z}")) {
                this.urlString = tileUrl;
            } else {
                Log.e(j, "tile url template is illegal, must contains {x}、{y}、{z}");
                return null;
            }
        } else if (tileProvider instanceof FileTileProvider) {
            this.datasource = 0;
        } else {
            Log.e(j, "tileProvider must be UrlTileProvider or FileTileProvider");
            return null;
        }
        this.b = tileProvider;
        int maxDisLevel = tileProvider.getMaxDisLevel();
        int minDisLevel = tileProvider.getMinDisLevel();
        if (maxDisLevel <= 21 && minDisLevel >= 3) {
            a(maxDisLevel, minDisLevel);
        } else {
            Log.e(j, "display level is illegal");
        }
        return this;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public TileOverlay a(BaiduMap baiduMap) {
        return new TileOverlay(baiduMap, this.b);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public Bundle a() {
        i.putString(MapBundleKey.MapObjKey.OBJ_URL, this.urlString);
        i.putInt("datasource", this.datasource);
        i.putInt("maxDisplay", this.c);
        i.putInt("minDisplay", this.d);
        i.putInt("sdktiletmpmax", this.a);
        return i;
    }
}
