package com.baidu.mapapi.map;

import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.animation.AnimatorSet;
import android.animation.ObjectAnimator;
import android.annotation.TargetApi;
import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.Color;
import android.graphics.Matrix;
import android.graphics.NinePatch;
import android.graphics.Point;
import android.graphics.Rect;
import android.graphics.drawable.NinePatchDrawable;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.util.Log;
import android.util.SparseArray;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.WindowInsets;
import android.view.WindowManager;
import android.widget.ImageView;
import android.widget.RelativeLayout;
import android.widget.TextView;
import com.baidu.mapapi.BMapManager;
import com.baidu.mapapi.common.SysOSUtil;
import com.baidu.mapapi.map.MapViewLayoutParams;
import com.baidu.mapapi.model.CoordUtil;
import com.baidu.mapsdkplatform.comapi.map.d;
import com.baidu.mapsdkplatform.comapi.map.q;
import com.baidu.mapsdkplatform.comapi.map.s;
import com.baidu.mapsdkplatform.comapi.map.y;
import com.baidu.platform.comapi.basestruct.GeoPoint;
import com.baidu.platform.comapi.map.MapSurfaceView;
import com.baidu.platform.comapi.map.x;
import com.google.common.primitives.Ints;
import java.io.File;
import java.lang.ref.WeakReference;
import java.util.Timer;
import java.util.TimerTask;
import javax.microedition.khronos.opengles.GL10;
@TargetApi(20)
/* loaded from: classes.dex */
public class WearMapView extends ViewGroup implements View.OnApplyWindowInsetsListener {
    private static String B = null;
    public static final int BT_INVIEW = 1;
    private static final SparseArray<Integer> F;
    private MapSurfaceView a;
    private BaiduMap b;
    private ImageView c;
    private Bitmap d;
    private y e;
    private boolean f;
    private Point g;
    private Point h;
    private RelativeLayout i;
    private SwipeDismissView j;
    private TextView k;
    private TextView l;
    private ImageView m;
    public AnimationTask mTask;
    public Timer mTimer;
    public f mTimerHandler;
    private boolean n;
    private Context o;
    ScreenShape p;
    private boolean q;
    private boolean r;
    private float s;
    private int t;
    private int u;
    private int v;
    private int w;
    private int x;
    private int y;
    private boolean z;
    private static final String A = MapView.class.getSimpleName();
    private static int C = 0;
    private static int D = 0;
    private static int E = 10;

    /* loaded from: classes.dex */
    public class AnimationTask extends TimerTask {
        public AnimationTask() {
        }

        @Override // java.util.TimerTask, java.lang.Runnable
        public void run() {
            Message message = new Message();
            message.what = 1;
            WearMapView.this.mTimerHandler.sendMessage(message);
        }
    }

    /* loaded from: classes.dex */
    public interface OnDismissCallback {
        void onDismiss();

        void onNotify();
    }

    /* loaded from: classes.dex */
    public enum ScreenShape {
        ROUND,
        RECTANGLE,
        UNDETECTED
    }

    /* loaded from: classes.dex */
    class a implements d.c {
        final /* synthetic */ CustomMapStyleCallBack a;
        final /* synthetic */ MapCustomStyleOptions b;

        a(CustomMapStyleCallBack customMapStyleCallBack, MapCustomStyleOptions mapCustomStyleOptions) {
            this.a = customMapStyleCallBack;
            this.b = mapCustomStyleOptions;
        }

        @Override // com.baidu.mapsdkplatform.comapi.map.d.c
        public void onCustomMapStyleLoadFailed(int i, String str, String str2) {
            CustomMapStyleCallBack customMapStyleCallBack = this.a;
            if ((customMapStyleCallBack == null || !customMapStyleCallBack.onCustomMapStyleLoadFailed(i, str, str2)) && !WearMapView.this.z) {
                WearMapView.this.a(str2, this.b);
            }
        }

        @Override // com.baidu.mapsdkplatform.comapi.map.d.c
        public void onCustomMapStyleLoadSuccess(boolean z, String str) {
            CustomMapStyleCallBack customMapStyleCallBack = this.a;
            if ((customMapStyleCallBack == null || !customMapStyleCallBack.onCustomMapStyleLoadSuccess(z, str)) && !TextUtils.isEmpty(str)) {
                WearMapView.this.a(str, "");
                WearMapView.this.setMapCustomStyleEnable(true);
            }
        }

        @Override // com.baidu.mapsdkplatform.comapi.map.d.c
        public void onPreLoadLastCustomMapStyle(String str) {
            CustomMapStyleCallBack customMapStyleCallBack = this.a;
            if (customMapStyleCallBack == null || !customMapStyleCallBack.onPreLoadLastCustomMapStyle(str)) {
                WearMapView.this.z = true;
                WearMapView.this.a(str, this.b);
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class b implements x {
        b() {
        }

        @Override // com.baidu.platform.comapi.map.x
        public void a() {
        }

        @Override // com.baidu.platform.comapi.map.x
        public void a(MotionEvent motionEvent) {
        }

        @Override // com.baidu.platform.comapi.map.x
        public void a(s sVar) {
        }

        @Override // com.baidu.platform.comapi.map.x
        public void a(GeoPoint geoPoint) {
        }

        @Override // com.baidu.platform.comapi.map.x
        public void a(GL10 gl10, s sVar) {
        }

        @Override // com.baidu.platform.comapi.map.x
        public void a(boolean z) {
        }

        @Override // com.baidu.platform.comapi.map.x
        public void a(boolean z, int i) {
        }

        @Override // com.baidu.platform.comapi.map.x
        public boolean a(String str) {
            return false;
        }

        @Override // com.baidu.platform.comapi.map.x
        public void b() {
        }

        @Override // com.baidu.platform.comapi.map.x
        public void b(s sVar) {
            if (WearMapView.this.a == null || WearMapView.this.a.getBaseMap() == null) {
                return;
            }
            float zoomLevel = WearMapView.this.a.getZoomLevel();
            if (zoomLevel < WearMapView.this.a.getController().mMinZoomLevel) {
                zoomLevel = WearMapView.this.a.getController().mMinZoomLevel;
            } else if (zoomLevel > WearMapView.this.a.getController().mMaxZoomLevel) {
                zoomLevel = WearMapView.this.a.getController().mMaxZoomLevel;
            }
            if (Math.abs(WearMapView.this.s - zoomLevel) > 0.0f) {
                int intValue = ((Integer) WearMapView.F.get(Math.round(zoomLevel))).intValue();
                double d = intValue;
                double zoomUnitsInMeter = WearMapView.this.a.getController().getZoomUnitsInMeter();
                Double.isNaN(d);
                int i = ((int) (d / zoomUnitsInMeter)) / 2;
                WearMapView.this.m.setPadding(i, 0, i, 0);
                String format = intValue >= 1000 ? String.format(" %d公里 ", Integer.valueOf(intValue / 1000)) : String.format(" %d米 ", Integer.valueOf(intValue));
                WearMapView.this.k.setText(format);
                WearMapView.this.l.setText(format);
                WearMapView.this.s = zoomLevel;
            }
            WearMapView.this.requestLayout();
        }

        @Override // com.baidu.platform.comapi.map.x
        public void b(GeoPoint geoPoint) {
        }

        @Override // com.baidu.platform.comapi.map.x
        public void b(String str) {
        }

        @Override // com.baidu.platform.comapi.map.x
        public void c() {
        }

        @Override // com.baidu.platform.comapi.map.x
        public void c(s sVar) {
        }

        @Override // com.baidu.platform.comapi.map.x
        public void c(GeoPoint geoPoint) {
        }

        @Override // com.baidu.platform.comapi.map.x
        public void d() {
        }

        @Override // com.baidu.platform.comapi.map.x
        public void d(GeoPoint geoPoint) {
        }

        @Override // com.baidu.platform.comapi.map.x
        public void e(GeoPoint geoPoint) {
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class c implements View.OnClickListener {
        c() {
        }

        @Override // android.view.View.OnClickListener
        public void onClick(View view) {
            s t = WearMapView.this.a.getBaseMap().t();
            t.a -= 1.0f;
            WearMapView.this.a.getBaseMap().a(t, 300);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class d implements View.OnClickListener {
        d() {
        }

        @Override // android.view.View.OnClickListener
        public void onClick(View view) {
            s t = WearMapView.this.a.getBaseMap().t();
            t.a += 1.0f;
            WearMapView.this.a.getBaseMap().a(t, 300);
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class e extends AnimatorListenerAdapter {
        final /* synthetic */ View a;

        e(WearMapView wearMapView, View view) {
            this.a = view;
        }

        @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
        public void onAnimationEnd(Animator animator) {
            this.a.setVisibility(4);
            super.onAnimationEnd(animator);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* loaded from: classes.dex */
    public class f extends Handler {
        private final WeakReference<Context> a;

        public f(Context context) {
            this.a = new WeakReference<>(context);
        }

        @Override // android.os.Handler
        public void handleMessage(Message message) {
            if (this.a.get() == null) {
                return;
            }
            super.handleMessage(message);
            if (message.what == 1 && WearMapView.this.e != null) {
                WearMapView.this.a(true);
            }
        }
    }

    static {
        SparseArray<Integer> sparseArray = new SparseArray<>();
        F = sparseArray;
        sparseArray.append(3, 2000000);
        sparseArray.append(4, 1000000);
        sparseArray.append(5, 500000);
        sparseArray.append(6, 200000);
        sparseArray.append(7, 100000);
        sparseArray.append(8, 50000);
        sparseArray.append(9, 25000);
        sparseArray.append(10, 20000);
        sparseArray.append(11, 10000);
        sparseArray.append(12, 5000);
        sparseArray.append(13, 2000);
        sparseArray.append(14, 1000);
        sparseArray.append(15, 500);
        sparseArray.append(16, 200);
        sparseArray.append(17, 100);
        sparseArray.append(18, 50);
        sparseArray.append(19, 20);
        sparseArray.append(20, 10);
        sparseArray.append(21, 5);
        sparseArray.append(22, 2);
    }

    public WearMapView(Context context) {
        super(context);
        this.f = true;
        this.n = true;
        this.p = ScreenShape.ROUND;
        this.q = true;
        this.r = true;
        this.z = false;
        a(context, (BaiduMapOptions) null);
    }

    @Deprecated
    public static void setCustomMapStylePath(String str) {
        if (str != null && str.length() != 0) {
            if (new File(str).exists()) {
                B = str;
                return;
            }
            throw new RuntimeException("BDMapSDKException: please check whether the customMapStylePath file exits");
        }
        throw new RuntimeException("BDMapSDKException: customMapStylePath String is illegal");
    }

    @Deprecated
    public static void setIconCustom(int i) {
    }

    @Deprecated
    public static void setLoadCustomMapStyleFileMode(int i) {
    }

    @Deprecated
    public static void setMapCustomEnable(boolean z) {
    }

    @Override // android.view.ViewGroup, android.view.ViewManager
    public void addView(View view, ViewGroup.LayoutParams layoutParams) {
        if (layoutParams instanceof MapViewLayoutParams) {
            super.addView(view, layoutParams);
        }
    }

    public final BaiduMap getMap() {
        BaiduMap baiduMap = this.b;
        baiduMap.N = this;
        return baiduMap;
    }

    public final int getMapLevel() {
        return F.get((int) this.a.getZoomLevel()).intValue();
    }

    public int getScaleControlViewHeight() {
        return this.x;
    }

    public int getScaleControlViewWidth() {
        return this.y;
    }

    @Override // android.view.View.OnApplyWindowInsetsListener
    public WindowInsets onApplyWindowInsets(View view, WindowInsets windowInsets) {
        if (windowInsets.isRound()) {
            this.p = ScreenShape.ROUND;
        } else {
            this.p = ScreenShape.RECTANGLE;
        }
        return windowInsets;
    }

    public void onCreate(Context context, Bundle bundle) {
        if (bundle == null) {
            return;
        }
        MapStatus mapStatus = (MapStatus) bundle.getParcelable("mapstatus");
        if (this.g != null) {
            this.g = (Point) bundle.getParcelable("scalePosition");
        }
        if (this.h != null) {
            this.h = (Point) bundle.getParcelable("zoomPosition");
        }
        this.q = bundle.getBoolean("mZoomControlEnabled");
        this.r = bundle.getBoolean("mScaleControlEnabled");
        setPadding(bundle.getInt("paddingLeft"), bundle.getInt("paddingTop"), bundle.getInt("paddingRight"), bundle.getInt("paddingBottom"));
        a(context, new BaiduMapOptions().mapStatus(mapStatus));
    }

    public final void onDestroy() {
        if (this.o != null) {
            this.a.unInit();
        }
        Bitmap bitmap = this.d;
        if (bitmap != null && !bitmap.isRecycled()) {
            this.d.recycle();
            this.d = null;
        }
        this.e.d();
        BMapManager.destroy();
        com.baidu.mapsdkplatform.comapi.map.f.a();
        AnimationTask animationTask = this.mTask;
        if (animationTask != null) {
            animationTask.cancel();
        }
        this.o = null;
    }

    public final void onDismiss() {
        removeAllViews();
    }

    public final void onEnterAmbient(Bundle bundle) {
        a(0);
    }

    public void onExitAmbient() {
        a(1);
    }

    @Override // android.view.ViewGroup
    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        int action = motionEvent.getAction();
        if (action != 0) {
            if (action == 1) {
                this.mTimer = new Timer();
                AnimationTask animationTask = this.mTask;
                if (animationTask != null) {
                    animationTask.cancel();
                }
                AnimationTask animationTask2 = new AnimationTask();
                this.mTask = animationTask2;
                this.mTimer.schedule(animationTask2, 5000L);
            }
        } else if (this.e.getVisibility() == 0) {
            Timer timer = this.mTimer;
            if (timer != null) {
                if (this.mTask != null) {
                    timer.cancel();
                    this.mTask.cancel();
                }
                this.mTimer = null;
                this.mTask = null;
            }
        } else if (this.e.getVisibility() == 4) {
            if (this.mTimer != null) {
                AnimationTask animationTask3 = this.mTask;
                if (animationTask3 != null) {
                    animationTask3.cancel();
                }
                this.mTimer.cancel();
                this.mTask = null;
                this.mTimer = null;
            }
            a(false);
        }
        return super.onInterceptTouchEvent(motionEvent);
    }

    @Override // android.view.ViewGroup, android.view.View
    @TargetApi(20)
    protected final void onLayout(boolean z, int i, int i2, int i3, int i4) {
        float f2;
        Point point;
        int i5;
        int i6;
        int i7;
        int i8;
        int childCount = getChildCount();
        a(this.c);
        float f3 = 1.0f;
        if (((getWidth() - this.t) - this.u) - this.c.getMeasuredWidth() > 0 && ((getHeight() - this.v) - this.w) - this.c.getMeasuredHeight() > 0) {
            f3 = ((getWidth() - this.t) - this.u) / getWidth();
            f2 = ((getHeight() - this.v) - this.w) / getHeight();
        } else {
            this.t = 0;
            this.u = 0;
            this.w = 0;
            this.v = 0;
            f2 = 1.0f;
        }
        for (int i9 = 0; i9 < childCount; i9++) {
            View childAt = getChildAt(i9);
            MapSurfaceView mapSurfaceView = this.a;
            if (childAt == mapSurfaceView) {
                mapSurfaceView.layout(0, 0, getWidth(), getHeight());
            } else if (childAt == this.c) {
                int i10 = (int) (this.w + (12.0f * f2));
                if (this.p == ScreenShape.ROUND) {
                    a(this.e);
                    int i11 = C / 2;
                    i8 = a(i11, this.e.getMeasuredWidth() / 2);
                    i7 = E + ((C / 2) - a(i11, i11 - i8));
                } else {
                    i7 = 0;
                    i8 = 0;
                }
                int i12 = (D - i8) - i10;
                int i13 = C - i7;
                this.c.layout(i13 - this.c.getMeasuredWidth(), i12 - this.c.getMeasuredHeight(), i13, i12);
            } else {
                y yVar = this.e;
                if (childAt == yVar) {
                    if (yVar.c()) {
                        a(this.e);
                        Point point2 = this.h;
                        if (point2 == null) {
                            int a2 = (int) ((12.0f * f2) + this.v + (this.p == ScreenShape.ROUND ? a(D / 2, this.e.getMeasuredWidth() / 2) : 0));
                            int measuredWidth = (C - this.e.getMeasuredWidth()) / 2;
                            this.e.layout(measuredWidth, a2, this.e.getMeasuredWidth() + measuredWidth, this.e.getMeasuredHeight() + a2);
                        } else {
                            y yVar2 = this.e;
                            int i14 = point2.x;
                            yVar2.layout(i14, point2.y, yVar2.getMeasuredWidth() + i14, this.h.y + this.e.getMeasuredHeight());
                        }
                    }
                } else if (childAt == this.i) {
                    if (this.p == ScreenShape.ROUND) {
                        a(yVar);
                        int i15 = C / 2;
                        i6 = a(i15, this.e.getMeasuredWidth() / 2);
                        i5 = E + ((C / 2) - a(i15, i15 - i6));
                    } else {
                        i5 = 0;
                        i6 = 0;
                    }
                    a(this.i);
                    Point point3 = this.g;
                    if (point3 == null) {
                        int i16 = (int) (this.w + (12.0f * f2));
                        this.y = this.i.getMeasuredWidth();
                        this.x = this.i.getMeasuredHeight();
                        int i17 = (int) (this.t + (5.0f * f3) + i5);
                        int i18 = (D - i16) - i6;
                        this.i.layout(i17, i18 - this.i.getMeasuredHeight(), this.y + i17, i18);
                    } else {
                        RelativeLayout relativeLayout = this.i;
                        int i19 = point3.x;
                        relativeLayout.layout(i19, point3.y, relativeLayout.getMeasuredWidth() + i19, this.g.y + this.i.getMeasuredHeight());
                    }
                } else {
                    View view = this.j;
                    if (childAt == view) {
                        a(view);
                        this.j.layout(0, 0, this.j.getMeasuredWidth(), D);
                    } else {
                        ViewGroup.LayoutParams layoutParams = childAt.getLayoutParams();
                        if (layoutParams instanceof MapViewLayoutParams) {
                            MapViewLayoutParams mapViewLayoutParams = (MapViewLayoutParams) layoutParams;
                            if (mapViewLayoutParams.c == MapViewLayoutParams.ELayoutMode.absoluteMode) {
                                point = mapViewLayoutParams.b;
                            } else {
                                GeoPoint ll2mc = CoordUtil.ll2mc(mapViewLayoutParams.a);
                                if (this.a.getBaseMap() != null) {
                                    point = this.a.getBaseMap().a(ll2mc);
                                } else {
                                    point = new Point();
                                }
                            }
                            a(childAt);
                            int measuredWidth2 = childAt.getMeasuredWidth();
                            int measuredHeight = childAt.getMeasuredHeight();
                            float f4 = mapViewLayoutParams.d;
                            float f5 = mapViewLayoutParams.e;
                            int i20 = (int) (point.x - (f4 * measuredWidth2));
                            int i21 = ((int) (point.y - (f5 * measuredHeight))) + mapViewLayoutParams.f;
                            childAt.layout(i20, i21, measuredWidth2 + i20, measuredHeight + i21);
                        }
                    }
                }
            }
        }
    }

    public void onSaveInstanceState(Bundle bundle) {
        BaiduMap baiduMap;
        if (bundle == null || (baiduMap = this.b) == null) {
            return;
        }
        bundle.putParcelable("mapstatus", baiduMap.getMapStatus());
        Point point = this.g;
        if (point != null) {
            bundle.putParcelable("scalePosition", point);
        }
        Point point2 = this.h;
        if (point2 != null) {
            bundle.putParcelable("zoomPosition", point2);
        }
        bundle.putBoolean("mZoomControlEnabled", this.q);
        bundle.putBoolean("mScaleControlEnabled", this.r);
        bundle.putInt("paddingLeft", this.t);
        bundle.putInt("paddingTop", this.v);
        bundle.putInt("paddingRight", this.u);
        bundle.putInt("paddingBottom", this.w);
    }

    @Override // android.view.ViewGroup, android.view.ViewManager
    public void removeView(View view) {
        if (view == this.c) {
            return;
        }
        super.removeView(view);
    }

    public void setCustomStyleFilePathAndMode(String str, int i) {
    }

    public void setMapCustomStyle(MapCustomStyleOptions mapCustomStyleOptions, CustomMapStyleCallBack customMapStyleCallBack) {
        if (mapCustomStyleOptions == null) {
            return;
        }
        String customMapStyleId = mapCustomStyleOptions.getCustomMapStyleId();
        if (customMapStyleId != null && !customMapStyleId.isEmpty()) {
            com.baidu.mapsdkplatform.comapi.map.d.a().a(this.o, customMapStyleId, new a(customMapStyleCallBack, mapCustomStyleOptions));
            return;
        }
        String localCustomStyleFilePath = mapCustomStyleOptions.getLocalCustomStyleFilePath();
        if (localCustomStyleFilePath == null || localCustomStyleFilePath.isEmpty()) {
            return;
        }
        a(localCustomStyleFilePath, "");
    }

    public void setMapCustomStyleEnable(boolean z) {
    }

    public void setMapCustomStylePath(String str) {
        a(str, "");
    }

    public void setOnDismissCallbackListener(OnDismissCallback onDismissCallback) {
        SwipeDismissView swipeDismissView = this.j;
        if (swipeDismissView == null) {
            return;
        }
        swipeDismissView.setCallback(onDismissCallback);
    }

    @Override // android.view.View
    public void setPadding(int i, int i2, int i3, int i4) {
        this.t = i;
        this.v = i2;
        this.u = i3;
        this.w = i4;
    }

    public void setScaleControlPosition(Point point) {
        int i;
        if (point != null && (i = point.x) >= 0 && point.y >= 0 && i <= getWidth() && point.y <= getHeight()) {
            this.g = point;
            requestLayout();
        }
    }

    public void setShape(ScreenShape screenShape) {
        this.p = screenShape;
    }

    public void setViewAnimitionEnable(boolean z) {
        this.f = z;
    }

    public void setZoomControlsPosition(Point point) {
        int i;
        if (point != null && (i = point.x) >= 0 && point.y >= 0 && i <= getWidth() && point.y <= getHeight()) {
            this.h = point;
            requestLayout();
        }
    }

    public void showScaleControl(boolean z) {
        this.i.setVisibility(z ? 0 : 8);
        this.r = z;
    }

    public void showZoomControls(boolean z) {
        if (this.e.c()) {
            this.e.setVisibility(z ? 0 : 8);
            this.q = z;
        }
    }

    private void d(Context context) {
        y yVar = new y(context, true);
        this.e = yVar;
        if (yVar.c()) {
            this.e.b(new c());
            this.e.a(new d());
            addView(this.e);
        }
    }

    private static void e(Context context) {
        ((WindowManager) context.getSystemService("window")).getDefaultDisplay();
    }

    private void b(Context context) {
        this.i = new RelativeLayout(context);
        this.i.setLayoutParams(new ViewGroup.LayoutParams(-2, -2));
        this.k = new TextView(context);
        RelativeLayout.LayoutParams layoutParams = new RelativeLayout.LayoutParams(-2, -2);
        layoutParams.addRule(14);
        this.k.setTextColor(Color.parseColor("#FFFFFF"));
        this.k.setTextSize(2, 11.0f);
        TextView textView = this.k;
        textView.setTypeface(textView.getTypeface(), 1);
        this.k.setLayoutParams(layoutParams);
        this.k.setId(Integer.MAX_VALUE);
        this.i.addView(this.k);
        this.l = new TextView(context);
        RelativeLayout.LayoutParams layoutParams2 = new RelativeLayout.LayoutParams(-2, -2);
        layoutParams2.width = -2;
        layoutParams2.height = -2;
        layoutParams2.addRule(14);
        this.l.setTextColor(Color.parseColor("#000000"));
        this.l.setTextSize(2, 11.0f);
        this.l.setLayoutParams(layoutParams2);
        this.i.addView(this.l);
        this.m = new ImageView(context);
        RelativeLayout.LayoutParams layoutParams3 = new RelativeLayout.LayoutParams(-2, -2);
        layoutParams3.width = -2;
        layoutParams3.height = -2;
        layoutParams3.addRule(14);
        layoutParams3.addRule(3, this.k.getId());
        this.m.setLayoutParams(layoutParams3);
        Bitmap a2 = com.baidu.mapsdkplatform.comapi.commonutils.a.a("icon_scale.9.png", context);
        byte[] ninePatchChunk = a2.getNinePatchChunk();
        NinePatch.isNinePatchChunk(ninePatchChunk);
        this.m.setBackgroundDrawable(new NinePatchDrawable(a2, ninePatchChunk, new Rect(), null));
        this.i.addView(this.m);
        addView(this.i);
    }

    private void c(Context context) {
        this.j = new SwipeDismissView(context, this);
        ViewGroup.LayoutParams layoutParams = new ViewGroup.LayoutParams((int) ((context.getResources().getDisplayMetrics().density * 34.0f) + 0.5f), D);
        this.j.setBackgroundColor(Color.argb(0, 0, 0, 0));
        this.j.setLayoutParams(layoutParams);
        addView(this.j);
    }

    private void e() {
        if (this.a != null && this.n) {
            b();
            this.n = false;
        }
    }

    private int a(int i, int i2) {
        return i - ((int) Math.sqrt(Math.pow(i, 2.0d) - Math.pow(i2, 2.0d)));
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void a(String str, MapCustomStyleOptions mapCustomStyleOptions) {
        if (!TextUtils.isEmpty(str)) {
            a(str, "");
            setMapCustomStyleEnable(true);
            return;
        }
        String localCustomStyleFilePath = mapCustomStyleOptions.getLocalCustomStyleFilePath();
        if (TextUtils.isEmpty(localCustomStyleFilePath)) {
            return;
        }
        a(localCustomStyleFilePath, "");
        setMapCustomStyleEnable(true);
    }

    private void a(Context context, BaiduMapOptions baiduMapOptions) {
        Point point;
        Point point2;
        e(context);
        setOnApplyWindowInsetsListener(this);
        this.o = context;
        this.mTimerHandler = new f(context);
        this.mTimer = new Timer();
        AnimationTask animationTask = this.mTask;
        if (animationTask != null) {
            animationTask.cancel();
        }
        AnimationTask animationTask2 = new AnimationTask();
        this.mTask = animationTask2;
        this.mTimer.schedule(animationTask2, 5000L);
        com.baidu.mapsdkplatform.comapi.map.f.b();
        BMapManager.init();
        a(context, baiduMapOptions, B);
        this.a.getController().set3DGestureEnable(false);
        this.a.getController().setOverlookGestureEnable(false);
        a(context);
        d(context);
        c(context);
        if (baiduMapOptions != null && !baiduMapOptions.h) {
            this.e.setVisibility(4);
        }
        b(context);
        if (baiduMapOptions != null && !baiduMapOptions.i) {
            this.i.setVisibility(4);
        }
        if (baiduMapOptions != null && (point2 = baiduMapOptions.l) != null) {
            this.h = point2;
        }
        if (baiduMapOptions == null || (point = baiduMapOptions.k) == null) {
            return;
        }
        this.g = point;
    }

    private void d() {
        if (this.a == null || this.n) {
            return;
        }
        a();
        this.n = true;
    }

    private void a(Context context, BaiduMapOptions baiduMapOptions, String str) {
        this.a = new MapSurfaceView(context);
        if (baiduMapOptions != null) {
            this.b = new BaiduMap(context, this.a, baiduMapOptions.a());
        } else {
            this.b = new BaiduMap(context, this.a, (q) null);
        }
        addView(this.a);
        this.a.getBaseMap().a(new b());
    }

    private void b() {
        MapSurfaceView mapSurfaceView = this.a;
        if (mapSurfaceView == null) {
            return;
        }
        mapSurfaceView.onForeground();
    }

    public WearMapView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.f = true;
        this.n = true;
        this.p = ScreenShape.ROUND;
        this.q = true;
        this.r = true;
        this.z = false;
        a(context, (BaiduMapOptions) null);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void a(boolean z) {
        if (this.f) {
            a(this.e, z);
        }
    }

    private void a(Context context) {
        int densityDpi = SysOSUtil.getDensityDpi();
        Bitmap a2 = com.baidu.mapsdkplatform.comapi.commonutils.a.a(densityDpi < 180 ? "logo_l.png" : "logo_h.png", context);
        if (densityDpi > 480) {
            Matrix matrix = new Matrix();
            matrix.postScale(2.0f, 2.0f);
            this.d = Bitmap.createBitmap(a2, 0, 0, a2.getWidth(), a2.getHeight(), matrix, true);
        } else if (densityDpi > 320 && densityDpi <= 480) {
            Matrix matrix2 = new Matrix();
            matrix2.postScale(1.5f, 1.5f);
            this.d = Bitmap.createBitmap(a2, 0, 0, a2.getWidth(), a2.getHeight(), matrix2, true);
        } else {
            this.d = a2;
        }
        if (this.d != null) {
            ImageView imageView = new ImageView(context);
            this.c = imageView;
            imageView.setImageBitmap(this.d);
            addView(this.c);
        }
    }

    private void a() {
        MapSurfaceView mapSurfaceView = this.a;
        if (mapSurfaceView == null) {
            return;
        }
        mapSurfaceView.onBackground();
    }

    private void a(int i) {
        MapSurfaceView mapSurfaceView = this.a;
        if (mapSurfaceView == null) {
            return;
        }
        if (i == 0) {
            mapSurfaceView.onPause();
            d();
        } else if (i != 1) {
        } else {
            mapSurfaceView.onResume();
            e();
        }
    }

    private void a(View view) {
        int makeMeasureSpec;
        int makeMeasureSpec2;
        ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
        if (layoutParams == null) {
            layoutParams = new ViewGroup.LayoutParams(-2, -2);
        }
        int i = layoutParams.width;
        if (i > 0) {
            makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(i, Ints.MAX_POWER_OF_TWO);
        } else {
            makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(0, 0);
        }
        int i2 = layoutParams.height;
        if (i2 > 0) {
            makeMeasureSpec2 = View.MeasureSpec.makeMeasureSpec(i2, Ints.MAX_POWER_OF_TWO);
        } else {
            makeMeasureSpec2 = View.MeasureSpec.makeMeasureSpec(0, 0);
        }
        view.measure(makeMeasureSpec, makeMeasureSpec2);
    }

    private void a(View view, boolean z) {
        if (z) {
            AnimatorSet animatorSet = new AnimatorSet();
            animatorSet.playTogether(ObjectAnimator.ofFloat(view, "TranslationY", 0.0f, -50.0f), ObjectAnimator.ofFloat(view, "alpha", 1.0f, 0.0f));
            animatorSet.addListener(new e(this, view));
            animatorSet.setDuration(1200L);
            animatorSet.start();
            return;
        }
        view.setVisibility(0);
        AnimatorSet animatorSet2 = new AnimatorSet();
        animatorSet2.playTogether(ObjectAnimator.ofFloat(view, "TranslationY", -50.0f, 0.0f), ObjectAnimator.ofFloat(view, "alpha", 0.0f, 1.0f));
        animatorSet2.setDuration(1200L);
        animatorSet2.start();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void a(String str, String str2) {
        MapSurfaceView mapSurfaceView = this.a;
        if (mapSurfaceView == null || mapSurfaceView.getBaseMap() == null) {
            return;
        }
        if (TextUtils.isEmpty(str)) {
            Log.e(A, "customStyleFilePath is empty or null, please check!");
        } else if (!str.endsWith(".sty")) {
            Log.e(A, "customStyleFile format is incorrect , please check!");
        } else if (!new File(str).exists()) {
            Log.e(A, "customStyleFile does not exist , please check!");
        } else {
            this.a.getBaseMap().a(str, "");
        }
    }

    public WearMapView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.f = true;
        this.n = true;
        this.p = ScreenShape.ROUND;
        this.q = true;
        this.r = true;
        this.z = false;
        a(context, (BaiduMapOptions) null);
    }

    public WearMapView(Context context, BaiduMapOptions baiduMapOptions) {
        super(context);
        this.f = true;
        this.n = true;
        this.p = ScreenShape.ROUND;
        this.q = true;
        this.r = true;
        this.z = false;
        a(context, baiduMapOptions);
    }
}
