package com.baidu.platform.comapi.map;

import android.graphics.Bitmap;
import android.graphics.drawable.Drawable;
import android.os.Bundle;
import android.text.TextUtils;
import androidx.core.view.inputmethod.EditorInfoCompat;
import com.baidu.platform.comapi.basestruct.GeoPoint;
import com.baidu.platform.comapi.map.MapBundleKey;
import com.baidu.platform.comapi.map.OverlayItem;
import com.baidu.platform.comjni.tools.ParcelItem;
import java.nio.ByteBuffer;
import java.util.ArrayList;
import java.util.Comparator;
import java.util.Iterator;
import java.util.List;
import org.json.JSONException;
import org.json.JSONObject;
/* loaded from: classes.dex */
public class ItemizedOverlay<Item extends OverlayItem> extends Overlay implements Comparator<Integer> {
    protected ArrayList<OverlayItem> a;
    protected Drawable b;
    protected MapSurfaceView c;
    protected MapTextureView d;
    protected boolean e;
    protected Drawable f;
    protected OverlayItem g;
    protected int h = 0;
    protected int i;

    public ItemizedOverlay(Drawable drawable, MapSurfaceView mapSurfaceView) {
        this.mType = 27;
        this.b = drawable;
        this.a = new ArrayList<>();
        new ArrayList();
        this.c = mapSurfaceView;
        this.mLayerID = 0L;
    }

    private void a(List<OverlayItem> list, boolean z) {
        a(list, z, false);
    }

    public void addItem(OverlayItem overlayItem) {
        if (overlayItem != null) {
            ArrayList arrayList = new ArrayList(1);
            arrayList.add(overlayItem);
            addItem(arrayList);
        }
    }

    public void addItemsByReplace(List<OverlayItem> list) {
        a(list, false, true);
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public synchronized void b(boolean z) {
        this.e = z;
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public void c() {
        ArrayList arrayList;
        synchronized (this) {
            arrayList = new ArrayList(this.a);
        }
        removeAll();
        addItem(arrayList);
    }

    public ArrayList<OverlayItem> getAllItem() {
        return this.a;
    }

    public GeoPoint getCenter() {
        int a = a(0);
        if (a == -1) {
            return null;
        }
        return getItem(a).getPoint();
    }

    public final OverlayItem getItem(int i) {
        ArrayList arrayList;
        if (this.a == null) {
            return null;
        }
        synchronized (this) {
            arrayList = new ArrayList(this.a);
        }
        if (arrayList.size() <= i || i < 0) {
            return null;
        }
        return (OverlayItem) arrayList.get(i);
    }

    public int getLatSpanE6() {
        return a(true);
    }

    public int getLonSpanE6() {
        return a(false);
    }

    public int getUpdateType() {
        return this.h;
    }

    public void initLayer() {
        long AddLayer = this.c.getController().getBaseMap().AddLayer(0, 0, "item");
        this.mLayerID = AddLayer;
        if (AddLayer == 0) {
            throw new RuntimeException("can not add new layer");
        }
    }

    public boolean onTap(int i) {
        return false;
    }

    public boolean onTap(int i, int i2, GeoPoint geoPoint) {
        return false;
    }

    public boolean onTap(GeoPoint geoPoint, MapSurfaceView mapSurfaceView) {
        return false;
    }

    public boolean removeAll() {
        synchronized (this) {
            if (this.a.isEmpty()) {
                return false;
            }
            if (this.c.getController() != null && this.c.getController().getBaseMap() != null) {
                this.c.getController().getBaseMap().ClearLayer(this.mLayerID);
            }
            synchronized (this) {
                this.a.clear();
                this.e = true;
            }
            return true;
        }
    }

    public boolean removeItem(OverlayItem overlayItem) {
        if (this.mLayerID == 0) {
            return false;
        }
        Bundle bundle = new Bundle();
        bundle.putLong("itemaddr", this.mLayerID);
        if (overlayItem.getId().equals("")) {
            return false;
        }
        bundle.putString("id", overlayItem.getId());
        if (this.c.getController().getBaseMap().RemoveItemData(bundle)) {
            synchronized (this) {
                this.a.remove(overlayItem);
                this.e = true;
            }
            return true;
        }
        return false;
    }

    public boolean removeOneItem(Iterator<OverlayItem> it, OverlayItem overlayItem) {
        if (this.mLayerID == 0) {
            return false;
        }
        Bundle bundle = new Bundle();
        bundle.putLong("itemaddr", this.mLayerID);
        if (overlayItem.getId().equals("")) {
            return false;
        }
        bundle.putString("id", overlayItem.getId());
        if (this.c.getController().getBaseMap().RemoveItemData(bundle)) {
            it.remove();
            synchronized (this) {
                this.e = true;
            }
            return true;
        }
        return false;
    }

    public void setFocus(int i, boolean z) {
        OverlayItem item;
        ArrayList arrayList;
        if (this.g == null || (item = getItem(i)) == null) {
            return;
        }
        if (z) {
            this.g.setGeoPoint(new GeoPoint(item.getPoint().getLatitude(), item.getPoint().getLongitude()));
            synchronized (this) {
                arrayList = new ArrayList(this.a);
            }
            if (arrayList.contains(this.g)) {
                updateItem(this.g);
            } else {
                addItem(this.g);
            }
        } else {
            removeItem(this.g);
        }
        MapSurfaceView mapSurfaceView = this.c;
        if (mapSurfaceView != null) {
            mapSurfaceView.refresh(this);
        }
    }

    public void setFocusMarker(Drawable drawable) {
        this.f = drawable;
        if (this.g == null) {
            this.g = new OverlayItem(null, "", "");
        }
        this.g.setMarker(this.f);
    }

    public void setUpdateType(int i) {
        this.h = i;
    }

    public void setmMarker(Drawable drawable) {
        this.b = drawable;
    }

    public synchronized int size() {
        ArrayList<OverlayItem> arrayList;
        arrayList = this.a;
        return arrayList == null ? 0 : arrayList.size();
    }

    public boolean updateItem(OverlayItem overlayItem) {
        ArrayList arrayList;
        boolean z;
        if (overlayItem == null || overlayItem.getId().equals("")) {
            return false;
        }
        synchronized (this) {
            arrayList = new ArrayList(this.a);
        }
        Iterator it = arrayList.iterator();
        while (true) {
            if (!it.hasNext()) {
                z = false;
                break;
            } else if (overlayItem.getId().equals(((OverlayItem) it.next()).getId())) {
                z = true;
                break;
            }
        }
        if (z) {
            ArrayList arrayList2 = new ArrayList();
            arrayList2.add(overlayItem);
            a(arrayList2, true);
            return true;
        }
        return false;
    }

    private void a(List<OverlayItem> list, boolean z, boolean z2) {
        GeoPoint point;
        if (z2) {
            synchronized (this) {
                ArrayList<OverlayItem> arrayList = this.a;
                if (arrayList != null) {
                    arrayList.clear();
                }
            }
        }
        if (this.mLayerID == 0) {
            if (z) {
                return;
            }
            synchronized (this) {
                ArrayList<OverlayItem> arrayList2 = this.a;
                if (arrayList2 != null && list != null) {
                    arrayList2.addAll(list);
                }
            }
            return;
        }
        Bundle bundle = new Bundle();
        bundle.clear();
        ArrayList arrayList3 = new ArrayList();
        bundle.putLong("itemaddr", this.mLayerID);
        bundle.putInt("bshow", 1);
        if (z) {
            bundle.putString("extparam", "update");
        }
        for (int i = 0; i < list.size(); i++) {
            OverlayItem overlayItem = list.get(i);
            if (overlayItem.getMarker() == null) {
                overlayItem.setMarker(this.b);
            }
            if (TextUtils.isEmpty(overlayItem.getId())) {
                overlayItem.setId(q.a());
            }
            ParcelItem parcelItem = new ParcelItem();
            Drawable marker = overlayItem.getMarker();
            byte[] gifData = overlayItem.getGifData();
            if (marker != null || gifData != null) {
                Bundle bundle2 = new Bundle();
                if (overlayItem.getCoordType() == OverlayItem.CoordType.CoordType_BD09LL) {
                    point = m.a(overlayItem.getPoint());
                } else {
                    point = overlayItem.getPoint();
                }
                bundle2.putDouble("x", point.getLongitude());
                bundle2.putDouble("y", point.getLatitude());
                bundle2.putFloat(MapBundleKey.MapObjKey.OBJ_GEO_Z, overlayItem.getGeoZ());
                bundle2.putInt(MapBundleKey.MapObjKey.OBJ_INDOOR_POI, overlayItem.getIndoorPoi());
                bundle2.putInt("showLR", 1);
                bundle2.putInt("iconwidth", 0);
                bundle2.putInt("iconlayer", 1);
                bundle2.putFloat("ax", overlayItem.getAnchorX());
                bundle2.putFloat("ay", overlayItem.getAnchorY());
                bundle2.putInt("bound", overlayItem.getBound());
                bundle2.putInt(MapBundleKey.MapObjKey.OBJ_LEVEL, overlayItem.getLevel());
                bundle2.putInt("mask", overlayItem.getMask());
                bundle2.putString("popname", "" + overlayItem.getId());
                if (gifData != null) {
                    bundle2.putFloat("gifscale", overlayItem.getScale());
                    bundle2.putInt("gifsize", gifData.length);
                    bundle2.putByteArray("imgdata", gifData);
                    bundle2.putInt("imgindex", a());
                } else {
                    Bitmap a = com.baidu.platform.comapi.util.c.a(marker);
                    if (a != null) {
                        bundle2.putInt("imgindex", overlayItem.getResId());
                        bundle2.putInt("imgW", a.getWidth());
                        bundle2.putInt("imgH", a.getHeight());
                        if (!z && a(overlayItem)) {
                            bundle2.putByteArray("imgdata", null);
                        } else {
                            ByteBuffer allocate = ByteBuffer.allocate(a.getWidth() * a.getHeight() * 4);
                            a.copyPixelsToBuffer(allocate);
                            bundle2.putByteArray("imgdata", allocate.array());
                        }
                    }
                }
                String[] a2 = a(overlayItem.getClickRect());
                if (a2 != null && a2.length > 0) {
                    bundle2.putStringArray("clickrect", a2);
                }
                bundle2.putBundle("animate", overlayItem.getAnimate());
                bundle2.putBundle("delay", overlayItem.getDelay());
                parcelItem.setBundle(bundle2);
                arrayList3.add(parcelItem);
                if (!z) {
                    this.a.add(overlayItem);
                }
            }
        }
        if (arrayList3.size() > 0) {
            ParcelItem[] parcelItemArr = new ParcelItem[arrayList3.size()];
            for (int i2 = 0; i2 < arrayList3.size(); i2++) {
                parcelItemArr[i2] = (ParcelItem) arrayList3.get(i2);
            }
            bundle.putParcelableArray("itemdatas", parcelItemArr);
            this.c.getController().getBaseMap().AddItemData(bundle, z2);
        }
        synchronized (this) {
            this.e = true;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    public boolean b() {
        return this.e;
    }

    @Override // java.util.Comparator
    public int compare(Integer num, Integer num2) {
        GeoPoint point;
        GeoPoint point2;
        synchronized (this) {
            point = this.a.get(num.intValue()).getPoint();
            point2 = this.a.get(num2.intValue()).getPoint();
        }
        if (point.getLatitude() > point2.getLatitude()) {
            return -1;
        }
        if (point.getLatitude() < point2.getLatitude()) {
            return 1;
        }
        if (point.getLongitude() < point2.getLongitude()) {
            return -1;
        }
        return point.getLongitude() == point2.getLongitude() ? 0 : 1;
    }

    public void addItem(List<OverlayItem> list) {
        a(list, false, false);
    }

    public void setFocusMarker(Drawable drawable, float f, float f2) {
        this.f = drawable;
        if (this.g == null) {
            OverlayItem overlayItem = new OverlayItem(null, "", "");
            this.g = overlayItem;
            overlayItem.setAnchor(f, f2);
        }
        this.g.setMarker(this.f);
    }

    public ItemizedOverlay(Drawable drawable, MapTextureView mapTextureView) {
        this.mType = 27;
        this.b = drawable;
        this.a = new ArrayList<>();
        new ArrayList();
        this.d = mapTextureView;
        this.mLayerID = 0L;
    }

    public boolean updateItem(List<OverlayItem> list) {
        if (list == null) {
            return false;
        }
        a(list, true);
        return true;
    }

    protected String[] a(ArrayList<Bundle> arrayList) {
        if (arrayList == null || arrayList.size() <= 0) {
            return null;
        }
        int size = arrayList.size();
        String[] strArr = new String[size];
        for (int i = 0; i < size; i++) {
            JSONObject jSONObject = new JSONObject();
            Bundle bundle = arrayList.get(i);
            for (String str : bundle.keySet()) {
                try {
                    jSONObject.put(str, bundle.get(str));
                } catch (JSONException unused) {
                }
            }
            strArr[i] = jSONObject.toString();
        }
        return strArr;
    }

    private int a(boolean z) {
        ArrayList arrayList;
        if (this.a == null) {
            return 0;
        }
        synchronized (this) {
            if (this.a.size() == 0) {
                return 0;
            }
            synchronized (this) {
                arrayList = new ArrayList(this.a);
            }
            int i = EditorInfoCompat.IME_FLAG_FORCE_ASCII;
            int i2 = Integer.MAX_VALUE;
            Iterator it = arrayList.iterator();
            while (it.hasNext()) {
                GeoPoint point = ((OverlayItem) it.next()).getPoint();
                int latitude = (int) (z ? point.getLatitude() : point.getLongitude());
                if (latitude > i) {
                    i = latitude;
                }
                if (latitude < i2) {
                    i2 = latitude;
                }
            }
            return i - i2;
        }
    }

    protected int a(int i) {
        synchronized (this) {
            ArrayList<OverlayItem> arrayList = this.a;
            if (arrayList != null && arrayList.size() != 0) {
                return i;
            }
            return -1;
        }
    }

    protected boolean a(OverlayItem overlayItem) {
        ArrayList arrayList;
        synchronized (this) {
            arrayList = new ArrayList(this.a);
        }
        Iterator it = arrayList.iterator();
        while (it.hasNext()) {
            OverlayItem overlayItem2 = (OverlayItem) it.next();
            if (overlayItem.getResId() == -1) {
                return false;
            }
            if (overlayItem2.getResId() != -1 && overlayItem.getResId() == overlayItem2.getResId()) {
                return true;
            }
        }
        return false;
    }

    private int a() {
        int i = this.i;
        if (i < Integer.MAX_VALUE) {
            int i2 = i + 1;
            this.i = i2;
            return i2;
        }
        return 0;
    }
}
