package com.baidu.platform.comapi.map;

import android.annotation.SuppressLint;
import android.graphics.Bitmap;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.text.TextUtils;
import android.util.Log;
import android.view.KeyEvent;
import android.view.MotionEvent;
import com.baidu.mapapi.OpenLogUtil;
import com.baidu.platform.comapi.UIMsg;
import com.baidu.platform.comapi.basestruct.GeoPoint;
import com.baidu.platform.comapi.basestruct.Point;
import com.baidu.platform.comapi.location.CoordinateUtil;
import com.baidu.platform.comapi.map.MapBundleKey;
import com.baidu.platform.comapi.map.MapStatus;
import com.baidu.platform.comapi.util.SysOSUtil;
import com.baidu.platform.comjni.engine.MessageProxy;
import com.baidu.platform.comjni.map.basemap.AppBaseMap;
import java.lang.ref.SoftReference;
import java.util.ArrayList;
import java.util.List;
import java.util.concurrent.CopyOnWriteArrayList;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;
/* loaded from: classes.dex */
public class MapController {
    public static final String ANDROID_SDK_LAYER_TAG = "android_sdk";
    public static final String CITY_AREA_TAG = "cityarea";
    public static final String COMPASS_LAYER_TAG = "compass";
    public static final String DEFAULT_LAYER_TAG = "default";
    public static final String DYNAMIC_MAP_LAYER_TAG = "dynamicmap";
    public static final String FOOTSURFACE_LAYER_TAG = "footsurface";
    public static final String HEATMAP_LAYER_TAG = "heatmap";
    public static final String ITEM_LAYER_TAG = "item";
    public static final String ITSROUTE_LAYER_TAG = "itsroute";
    public static final String LOCAL_LIMIT_MAP_LAYER_TAG = "dynamiclimit";
    public static final String LOCATION_LAYER_TAG = "location";
    public static final int MSG_LONGLINK_CONNECT = 1;
    public static final int MSG_LONGLINK_DISCONNECT = 2;
    private static final String P = "MapController";
    public static final String POISON_LAYER_TAG = "poison";
    public static final String POPUP_LAYER_TAG = "popup";
    private static boolean Q = true;
    private static float R = 0.0f;
    public static final String RTPOPUP_LAYER_TAG = "rtpopup";
    public static final String RT_POPUP_LAYER_TAG = "rtpopup";
    private static float S = 0.0f;
    public static final String SHARELOCATION_BUBBLE = "smshare";
    public static final String STREETPOPUP_LAYER_TAG = "streetpopup";
    public static final String STREETROUTE_LAYER_TAG = "streetroute";
    private static boolean T = false;
    private static long U = 0;
    private static List<AppBaseMap> V = new ArrayList();
    public static boolean isCompass = false;
    public static boolean mLocIconOnScreen = true;
    public static boolean m_registered_SENSOR_ORIENTATION;
    SoftReference<MapViewInterface> I;
    NaviMapViewListener J;
    private long K;
    private com.baidu.platform.comapi.map.e0.c a;
    private MapFirstFrameCallback f;
    private Handler j;
    public boolean mHasMapObjDraging;
    public boolean mIsMapLoadFinish;
    private long v;
    private boolean b = true;
    int c = 0;
    private int d = 1;
    private int e = 1;
    private boolean g = false;
    private AppBaseMap h = null;
    private long i = 0;
    public int nearlyRadius = 20;
    private boolean m = false;
    private boolean n = false;
    private boolean o = false;
    private a p = new a(this);
    private boolean q = true;
    private boolean r = false;
    private boolean s = true;
    private boolean t = false;
    private float u = -1.0f;
    private boolean w = false;
    private boolean x = true;
    private boolean y = true;
    private boolean z = true;
    private boolean A = true;
    MapViewListener B = null;
    CaptureMapListener C = null;
    i D = null;
    z E = null;
    MapRenderModeChangeListener F = null;
    EngineMsgListener G = null;
    o H = null;
    public float mMaxZoomLevel = 21.0f;
    public float mMinZoomLevel = 4.0f;
    public boolean mIsMoving = false;
    public boolean mIsAnimating = false;
    private boolean L = false;
    private boolean M = false;
    private com.baidu.platform.comapi.map.e0.b N = new com.baidu.platform.comapi.map.e0.b(this);
    private MapControlMode O = MapControlMode.DEFAULT;
    public List<x> mListeners = new CopyOnWriteArrayList();
    private int k = SysOSUtil.getInstance().getScreenWidth();
    private int l = SysOSUtil.getInstance().getScreenHeight();

    /* loaded from: classes.dex */
    public enum HeatMapType {
        CITY(0),
        SCENERY(1),
        CEMETERY(2);
        
        private final int a;

        HeatMapType(int i) {
            this.a = i;
        }

        public int getId() {
            return this.a;
        }
    }

    /* loaded from: classes.dex */
    public enum MapControlMode {
        DEFAULT(1),
        INDOOR(2),
        STREET(3),
        STREET_WAITING(4);
        
        private final int a;

        MapControlMode(int i) {
            this.a = i;
        }
    }

    /* loaded from: classes.dex */
    public interface MapFirstFrameCallback {
        void onFirstFrameDrawing(MapController mapController);
    }

    /* loaded from: classes.dex */
    public enum MapLayerType {
        DEFAULT(1),
        SATELLITE(2),
        INDOOR(3),
        STREET(5);
        
        private final int a;

        MapLayerType(int i) {
            this.a = i;
        }
    }

    /* loaded from: classes.dex */
    public enum MapSceneMode {
        DEFAULT(0),
        POI(1),
        ROUTE(2),
        INTERNAL(3),
        INDOOR(7);
        
        private final int a;

        MapSceneMode(int i) {
            this.a = i;
        }

        public int getMode() {
            return this.a;
        }
    }

    /* loaded from: classes.dex */
    public enum MapStyleMode {
        DEFAULT(1),
        SEARCH_POI(2),
        SEARCH_ROUTE(3),
        NAV_DAY(4),
        NAV_NIGHT(5),
        WALK_DAY(6),
        INTERNAL(7),
        INTERNAL_SPECIAL(8),
        FOOT_PRINT(9);
        
        private final int a;

        MapStyleMode(int i) {
            this.a = i;
        }

        public int getMode() {
            return this.a;
        }
    }

    /* loaded from: classes.dex */
    public enum RecommendPoiScene {
        BASE(0),
        INTERNATIONAL(1);
        
        public int value;

        RecommendPoiScene(int i) {
            this.value = i;
        }
    }

    /* loaded from: classes.dex */
    public enum RecycleMemoryLevel {
        NORMAL(0),
        FULL(1);
        
        private final int a;

        RecycleMemoryLevel(int i) {
            this.a = i;
        }

        public int getLevel() {
            return this.a;
        }
    }

    /* JADX INFO: Access modifiers changed from: package-private */
    /* loaded from: classes.dex */
    public class a {
        public boolean a = false;
        float b = 0.0f;
        GeoPoint c;
        Point d;

        a(MapController mapController) {
        }

        public void a() {
            this.a = false;
            this.b = 0.0f;
            this.c = null;
            this.d = null;
        }
    }

    /* loaded from: classes.dex */
    class b extends com.baidu.platform.comapi.util.g {

        /* loaded from: classes.dex */
        class a implements Runnable {
            final /* synthetic */ MapStatus a;

            a(MapStatus mapStatus) {
                this.a = mapStatus;
            }

            @Override // java.lang.Runnable
            public void run() {
                GeoPoint fromPixels = (MapController.this.getMapView() == null || MapController.this.getMapView().getProjection() == null) ? null : MapController.this.I.get().getProjection().fromPixels(this.a.winRound.left + (MapController.this.getScreenWidth() / 2), this.a.winRound.top + (MapController.this.getScreenHeight() / 2));
                if (fromPixels != null) {
                    MapController.CleanAfterDBClick(MapController.this.i, (float) fromPixels.getLongitudeE6(), (float) fromPixels.getLatitudeE6());
                }
                MapController.this.w = false;
            }
        }

        /* renamed from: com.baidu.platform.comapi.map.MapController$b$b  reason: collision with other inner class name */
        /* loaded from: classes.dex */
        class RunnableC0020b implements Runnable {
            RunnableC0020b() {
            }

            @Override // java.lang.Runnable
            public void run() {
                if (MapController.this.mListeners != null) {
                    for (int i = 0; i < MapController.this.mListeners.size(); i++) {
                        x xVar = MapController.this.mListeners.get(i);
                        if (xVar != null) {
                            xVar.d();
                        }
                    }
                }
            }
        }

        b() {
            super(Looper.getMainLooper());
        }

        @Override // com.baidu.platform.comapi.util.g
        public void a(Message message) {
            int i;
            boolean z;
            NaviMapViewListener naviMapViewListener;
            NaviMapViewListener naviMapViewListener2;
            i iVar;
            CaptureMapListener captureMapListener;
            if (message.what == 4000 && (captureMapListener = MapController.this.C) != null) {
                captureMapListener.onGetCaptureMap(message.arg2 == 1);
            }
            if (message.what == 519 && (iVar = MapController.this.D) != null) {
                iVar.a();
            }
            int i2 = message.what;
            if (i2 == 39) {
                if (((Long) message.obj).longValue() != MapController.this.i) {
                    return;
                }
                int i3 = message.arg1;
                if (i3 != 2) {
                    if (i3 == 100) {
                        if (MapController.this.w) {
                            SoftReference<MapViewInterface> softReference = MapController.this.I;
                            if (softReference == null || softReference.get() == null) {
                                return;
                            }
                            com.baidu.platform.comapi.util.h.a().execute(new a(MapController.this.getMapStatus()));
                        }
                        MapController.this.n = false;
                        MapController mapController = MapController.this;
                        mapController.mIsMoving = false;
                        mapController.mIsAnimating = false;
                        if (mapController.getMapViewListener() != null) {
                            MapController.this.getMapViewListener().onMapAnimationFinish();
                        }
                        if (MapController.this.isNaviMode() && (naviMapViewListener = MapController.this.J) != null) {
                            naviMapViewListener.onMapAnimationFinish();
                        }
                        com.baidu.mapsdkplatform.comapi.map.s mapStatusInner = MapController.this.getMapStatusInner();
                        if (MapController.this.mListeners != null) {
                            for (int i4 = 0; i4 < MapController.this.mListeners.size(); i4++) {
                                x xVar = MapController.this.mListeners.get(i4);
                                if (xVar != null) {
                                    xVar.b(mapStatusInner);
                                }
                            }
                        }
                    } else if (i3 == 200) {
                        MapController.this.mIsMoving = false;
                    } else if (i3 == 300) {
                        if (MapController.this.f != null) {
                            MapController.this.f.onFirstFrameDrawing(MapController.this);
                        }
                    } else {
                        MapRenderModeChangeListener mapRenderModeChangeListener = MapController.this.F;
                        if (mapRenderModeChangeListener != null) {
                            mapRenderModeChangeListener.onMapRenderModeChange(i3);
                        }
                        if (MapController.this.isNaviMode() && (naviMapViewListener2 = MapController.this.J) != null) {
                            naviMapViewListener2.onMapRenderModeChange(message.arg1);
                        }
                    }
                } else if (MapController.this.mListeners == null) {
                    return;
                } else {
                    for (int i5 = 0; i5 < MapController.this.mListeners.size(); i5++) {
                        x xVar2 = MapController.this.mListeners.get(i5);
                        if (xVar2 != null) {
                            xVar2.b();
                        }
                    }
                    MapController mapController2 = MapController.this;
                    mapController2.mIsMoving = false;
                    mapController2.mIsAnimating = false;
                }
                MapController mapController3 = MapController.this;
                if (!mapController3.mIsMapLoadFinish && mapController3.l > 0 && MapController.this.k > 0 && MapController.this.getMapView() != null && MapController.this.getMapView().getProjection() != null && MapController.this.getMapView().getProjection().fromPixels(0, 0) != null) {
                    MapController.this.mIsMapLoadFinish = true;
                    com.baidu.platform.comapi.util.h.a(new RunnableC0020b(), 0L);
                }
                if (MapController.this.mListeners != null) {
                    for (int i6 = 0; i6 < MapController.this.mListeners.size(); i6++) {
                        x xVar3 = MapController.this.mListeners.get(i6);
                        if (xVar3 != null) {
                            xVar3.c();
                        }
                    }
                }
            } else if (i2 == 41) {
                if (((Long) message.obj).longValue() != MapController.this.i) {
                    return;
                }
                MapController mapController4 = MapController.this;
                if (mapController4.mListeners == null) {
                    return;
                }
                if (mapController4.mIsMoving || mapController4.mIsAnimating) {
                    com.baidu.mapsdkplatform.comapi.map.s mapStatusInner2 = mapController4.getMapStatusInner();
                    for (int i7 = 0; i7 < MapController.this.mListeners.size(); i7++) {
                        x xVar4 = MapController.this.mListeners.get(i7);
                        if (xVar4 != null) {
                            xVar4.c(mapStatusInner2);
                        }
                    }
                }
            } else if (i2 == 2082) {
                int i8 = message.arg1;
                if (i8 == 1003) {
                    z = true;
                    i = 0;
                } else {
                    i = i8;
                    z = false;
                }
                if (OpenLogUtil.isMapLogEnable()) {
                    com.baidu.mapsdkplatform.comapi.commonutils.b a2 = com.baidu.mapsdkplatform.comapi.commonutils.b.a();
                    a2.a("onMapRenderValidFrame isValid = " + z + "; errorCode = " + i);
                }
                if (MapController.this.mListeners != null) {
                    for (int i9 = 0; i9 < MapController.this.mListeners.size(); i9++) {
                        x xVar5 = MapController.this.mListeners.get(i9);
                        if (xVar5 != null) {
                            xVar5.a(z, i);
                        }
                    }
                }
            }
            if (message.what == 512) {
                int i10 = message.arg1;
                if (MapController.this.getMapViewListener() != null) {
                    MapController.this.getMapViewListener().onClickedPopup(i10);
                }
            }
            if (message.what == 50) {
                if (OpenLogUtil.isMapLogEnable()) {
                    com.baidu.mapsdkplatform.comapi.commonutils.b a3 = com.baidu.mapsdkplatform.comapi.commonutils.b.a();
                    a3.a("EngineMeassage IndoorMap msg.what = " + message.what + "; msg.arg1 = " + message.arg1);
                }
                MapController mapController5 = MapController.this;
                EngineMsgListener engineMsgListener = mapController5.G;
                if (engineMsgListener != null) {
                    int i11 = message.arg1;
                    if (i11 == 1) {
                        MapController.this.G.onEnterIndoorMapMode(mapController5.getFocusedBaseIndoorMapInfo());
                    } else if (i11 == 0) {
                        engineMsgListener.onExitIndoorMapMode();
                    }
                }
                MapController mapController6 = MapController.this;
                if (mapController6.mListeners == null) {
                    return;
                }
                IndoorMapInfo focusedBaseIndoorMapInfo = mapController6.getFocusedBaseIndoorMapInfo();
                for (int i12 = 0; i12 < MapController.this.mListeners.size(); i12++) {
                    x xVar6 = MapController.this.mListeners.get(i12);
                    if (xVar6 != null) {
                        int i13 = message.arg1;
                        if (i13 == 0) {
                            xVar6.a(false);
                            MapController.this.mMaxZoomLevel = 21.0f;
                        } else if (i13 == 1) {
                            if (MapController.this.getMapStatus().level >= 18.0f && focusedBaseIndoorMapInfo != null) {
                                xVar6.a(true);
                                MapController.this.mMaxZoomLevel = 22.0f;
                            } else {
                                xVar6.a(false);
                                MapController.this.mMaxZoomLevel = 21.0f;
                            }
                        }
                    }
                }
            }
            if (message.what == 51) {
                MapController.this.setNetStatus(message.arg1);
            }
            if (message.what == 65301) {
                MapController mapController7 = MapController.this;
                if (mapController7.G != null) {
                    int i14 = message.arg1;
                    if (i14 == 1) {
                        mapController7.getMapBarData();
                    } else if (i14 == 0) {
                        com.baidu.platform.comapi.util.a.a().a(new com.baidu.platform.comapi.map.a());
                    }
                }
            }
        }
    }

    public MapController() {
        this.j = null;
        this.j = new b();
        b();
    }

    public static native int CleanAfterDBClick(long j, float f, float f2);

    public static int GetAdaptKeyCode(int i) {
        switch (i) {
            case 19:
                return 17;
            case 20:
                return 19;
            case 21:
                return 16;
            case 22:
                return 18;
            default:
                return 0;
        }
    }

    public static native int MapProc(long j, int i, int i2, int i3, int i4, int i5, double d, double d2, double d3, double d4);

    public static int getScaleDis(int i) {
        switch (i) {
            case 1:
                return 10000000;
            case 2:
                return 5000000;
            case 3:
                return 2000000;
            case 4:
                return 1000000;
            case 5:
                return 500000;
            case 6:
                return 200000;
            case 7:
                return 100000;
            case 8:
                return 50000;
            case 9:
                return 25000;
            case 10:
                return 20000;
            case 11:
                return 10000;
            case 12:
                return 5000;
            case 13:
                return 2000;
            case 14:
                return 1000;
            case 15:
                return 500;
            case 16:
                return 200;
            case 17:
                return 100;
            case 18:
                return 50;
            case 19:
                return 20;
            case 20:
                return 10;
            case 21:
                return 5;
            case 22:
                return 2;
            default:
                return 0;
        }
    }

    public float GetFZoomToBoundF(Bundle bundle, Bundle bundle2) {
        if (a()) {
            return this.h.GetFZoomToBoundF(bundle, bundle2);
        }
        return 0.0f;
    }

    public int MapMsgProc(int i, int i2, int i3) {
        return MapMsgProc(i, i2, i3, 0, 0, 0.0d, 0.0d, 0.0d, 0.0d);
    }

    public void SetStyleMode(int i) {
        setMapScene(i);
    }

    public void addOneOverlayItem(Bundle bundle) {
        this.h.addOneOverlayItem(bundle);
    }

    public void addStreetCustomMarker(Bundle bundle, Bitmap bitmap) {
        if (a()) {
            this.h.AddStreetCustomMarker(bundle, bitmap);
        }
    }

    public void animateTo(GeoPoint geoPoint, int i) {
        if (a()) {
            MapStatus mapStatus = getMapStatus();
            mapStatus.centerPtX = geoPoint.getLongitude();
            mapStatus.centerPtY = geoPoint.getLatitude();
            setMapStatusWithAnimation(mapStatus, i);
        }
    }

    public boolean cleanCache(MapLayerType mapLayerType) {
        AppBaseMap appBaseMap = this.h;
        return appBaseMap != null && appBaseMap.CleanCache(mapLayerType.a);
    }

    public void clearUniversalLayer() {
        if (a()) {
            this.h.clearUniversalLayer();
        }
    }

    public boolean createByDuplicateAppBaseMap(long j) {
        AppBaseMap appBaseMap = new AppBaseMap();
        this.h = appBaseMap;
        if (appBaseMap.CreateByDuplicate(j)) {
            this.M = true;
            this.i = this.h.GetId();
            List<AppBaseMap> list = V;
            if (list != null) {
                list.add(this.h);
            }
            return true;
        }
        this.h = null;
        this.i = 0L;
        return false;
    }

    public void enablePOIAnimation(boolean z) {
        if (a()) {
            this.h.enablePOIAnimation(z);
        }
    }

    public void forceSetMapScene(int i) {
        this.d = i;
        if (a()) {
            this.h.setMapScene(this.d);
        }
    }

    public boolean forceSetMapThemeScene(int i, int i2, Bundle bundle) {
        this.e = i;
        this.d = i2;
        if (a()) {
            return this.h.setMapThemeScene(i, i2, bundle);
        }
        return false;
    }

    public float getAdapterZoomUnitsEx() {
        if (a()) {
            return this.h.GetAdapterZoomUnitsEx();
        }
        return 0.0f;
    }

    public AppBaseMap getBaseMap() {
        return this.h;
    }

    public int getCacheSize(MapLayerType mapLayerType) {
        AppBaseMap appBaseMap = this.h;
        if (appBaseMap == null) {
            return 0;
        }
        return appBaseMap.GetCacheSize(mapLayerType.a);
    }

    public CaptureMapListener getCaptureMapListener() {
        return this.C;
    }

    public String getCityInfoByID(int i) {
        AppBaseMap appBaseMap = this.h;
        if (appBaseMap != null) {
            return appBaseMap.GetCityInfoByID(i);
        }
        return null;
    }

    public MapStatus getCurrentMapStatus() {
        return a(false);
    }

    public float getCurrentZoomLevel() {
        Bundle GetMapStatus;
        AppBaseMap appBaseMap = this.h;
        if (appBaseMap == null || (GetMapStatus = appBaseMap.GetMapStatus(false)) == null) {
            return 4.0f;
        }
        return (float) GetMapStatus.getDouble(MapBundleKey.MapObjKey.OBJ_LEVEL);
    }

    public IndoorMapInfo getFocusedBaseIndoorMapInfo() {
        String[] strArr;
        int[] iArr;
        if (a()) {
            String GetFocusedBaseIndoorMapInfo = this.h.GetFocusedBaseIndoorMapInfo();
            if (!TextUtils.isEmpty(GetFocusedBaseIndoorMapInfo)) {
                try {
                    JSONObject jSONObject = new JSONObject(GetFocusedBaseIndoorMapInfo);
                    String optString = jSONObject.optString("focusindoorid");
                    String optString2 = jSONObject.optString("curfloor");
                    int optInt = jSONObject.optInt("idrtype");
                    JSONArray optJSONArray = jSONObject.optJSONArray("floorlist");
                    if (optJSONArray != null) {
                        strArr = new String[optJSONArray.length()];
                        ArrayList arrayList = new ArrayList();
                        for (int i = 0; i < optJSONArray.length(); i++) {
                            arrayList.add(optJSONArray.getString(i));
                        }
                        arrayList.toArray(strArr);
                    } else {
                        strArr = null;
                    }
                    JSONArray optJSONArray2 = jSONObject.optJSONArray("floorattribute");
                    if (optJSONArray2 != null) {
                        iArr = new int[optJSONArray2.length()];
                        for (int i2 = 0; i2 < optJSONArray2.length(); i2++) {
                            iArr[i2] = optJSONArray2.optInt(i2);
                        }
                    } else {
                        iArr = null;
                    }
                    return new IndoorMapInfo(optString, optString2, strArr, iArr, optInt, jSONObject.optInt("idrguide"), jSONObject.optString("idrsearch"));
                } catch (JSONException unused) {
                }
            }
            return null;
        }
        return null;
    }

    public com.baidu.platform.comapi.map.e0.c getGestureMonitor() {
        if (this.a == null) {
            this.a = new com.baidu.platform.comapi.map.e0.c(this);
        }
        return this.a;
    }

    public Bundle getGestureOptInfoForLog() {
        Bundle bundle = null;
        if (this.p.a) {
            MapStatus mapStatus = getMapStatus();
            int intX = this.p.d.getIntX();
            int intY = this.p.d.getIntY();
            boolean z = false;
            boolean z2 = Math.sqrt((double) ((intX * intX) + (intY * intY))) > 100.0d;
            float f = this.p.b;
            if (f > 0.0f && Math.abs(mapStatus.level - f) >= 0.5d) {
                z = true;
            }
            if (z2 || z) {
                bundle = new Bundle();
                bundle.putDouble("pre_x", this.p.c.getLongitude());
                bundle.putDouble("pre_y", this.p.c.getLatitude());
                bundle.putFloat("pre_level", this.p.b);
            }
            this.p.a();
            return bundle;
        }
        return null;
    }

    public i getHideIndoorPopupListener() {
        return this.D;
    }

    public EngineMsgListener getIndoorMapListener() {
        return this.G;
    }

    public boolean getMapBarData() {
        if (a()) {
            Bundle bundle = new Bundle();
            this.h.getMapBarData(bundle);
            byte[] bArr = new byte[0];
            String string = bundle.containsKey("uid") ? bundle.getString("uid") : null;
            String string2 = bundle.containsKey("searchbound") ? bundle.getString("searchbound") : null;
            String string3 = bundle.containsKey("curfloor") ? bundle.getString("curfloor") : null;
            if (bundle.containsKey("barinfo")) {
                bArr = bundle.getByteArray("barinfo");
            }
            com.baidu.platform.comapi.util.a.a().a(new com.baidu.platform.comapi.map.b(string, string2, string3, bArr));
            return true;
        }
        return false;
    }

    public boolean getMapBarShowData() {
        if (a()) {
            return this.h.getMapBarData(new Bundle());
        }
        return false;
    }

    public boolean getMapClickEnable() {
        return this.m;
    }

    public MapControlMode getMapControlMode() {
        return this.O;
    }

    public long getMapId() {
        return this.i;
    }

    public MapRenderModeChangeListener getMapRenderModeChangeListener() {
        return this.F;
    }

    public int getMapScene() {
        if (a()) {
            return this.h.getMapScene();
        }
        return 0;
    }

    public MapStatus getMapStatus() {
        return a(true);
    }

    public com.baidu.mapsdkplatform.comapi.map.s getMapStatusInner() {
        if (a()) {
            Bundle GetMapStatus = this.h.GetMapStatus();
            com.baidu.mapsdkplatform.comapi.map.s sVar = new com.baidu.mapsdkplatform.comapi.map.s();
            sVar.a(GetMapStatus);
            return sVar;
        }
        return null;
    }

    public int getMapTheme() {
        if (a()) {
            return this.h.getMapTheme();
        }
        return 0;
    }

    public MapViewInterface getMapView() {
        SoftReference<MapViewInterface> softReference = this.I;
        if (softReference != null) {
            return softReference.get();
        }
        return null;
    }

    public MapViewListener getMapViewListener() {
        return this.B;
    }

    public o getMapViewSurfaceListener() {
        return this.H;
    }

    public NaviMapViewListener getNaviMapViewListener() {
        return this.J;
    }

    public String getProjectionPt(String str) {
        if (a()) {
            return this.h.getProjectionPt(str);
        }
        return null;
    }

    public int getScaleLevel(int i, int i2) {
        if (a()) {
            return this.h.getScaleLevel(i, i2);
        }
        return 0;
    }

    public int getSceneLayerScene() {
        return this.d;
    }

    public int getSceneLayerTheme() {
        return this.e;
    }

    public int getScreenHeight() {
        MapStatus.WinRound winRound = getMapStatus().winRound;
        int i = winRound.bottom - winRound.top;
        this.l = i;
        return i;
    }

    public int getScreenWidth() {
        MapStatus.WinRound winRound = getMapStatus().winRound;
        int i = winRound.right - winRound.left;
        this.k = i;
        return i;
    }

    public z getStreetArrowClickListener() {
        return this.E;
    }

    public int getVMPMapCityCode() {
        if (this.h != null) {
            Bundle bundle = new Bundle();
            bundle.putString("querytype", "map");
            this.h.GetVMPMapCityInfo(bundle);
            return bundle.getInt("code");
        }
        return 0;
    }

    public int getVMPMapCityItsInfo() {
        if (this.h != null) {
            Bundle bundle = new Bundle();
            bundle.putString("querytype", "its");
            this.h.GetVMPMapCityInfo(bundle);
            return bundle.getInt("rst");
        }
        return 0;
    }

    public int getVMPMapCityLevel() {
        if (this.h != null) {
            Bundle bundle = new Bundle();
            bundle.putString("querytype", "map");
            this.h.GetVMPMapCityInfo(bundle);
            return bundle.getInt(MapBundleKey.MapObjKey.OBJ_LEVEL);
        }
        return 0;
    }

    public int getVMPMapCitySatInfo() {
        if (this.h != null) {
            Bundle bundle = new Bundle();
            bundle.putString("querytype", "sat");
            this.h.GetVMPMapCityInfo(bundle);
            return bundle.getInt("rst");
        }
        return 0;
    }

    public float getZoomLevel() {
        Bundle GetMapStatus;
        AppBaseMap appBaseMap = this.h;
        if (appBaseMap == null || (GetMapStatus = appBaseMap.GetMapStatus()) == null) {
            return 4.0f;
        }
        return (float) GetMapStatus.getDouble(MapBundleKey.MapObjKey.OBJ_LEVEL);
    }

    public float getZoomToBound(Bundle bundle, int i, int i2) {
        if (a()) {
            return this.h.GetZoomToBound(bundle, i, i2);
        }
        return 0.0f;
    }

    public float getZoomToBoundF(Bundle bundle) {
        if (a()) {
            return this.h.GetZoomToBoundF(bundle);
        }
        return 0.0f;
    }

    public double getZoomUnitsInMeter() {
        Bundle GetMapStatus;
        AppBaseMap baseMap = getBaseMap();
        if (baseMap != null && (GetMapStatus = baseMap.GetMapStatus()) != null) {
            double d = GetMapStatus.getFloat("adapterZoomUnits");
            if (d > 1.0E-4d) {
                return d;
            }
        }
        return Math.pow(2.0d, 18.0f - getZoomLevel());
    }

    public void handleClick(MotionEvent motionEvent) {
        MapMsgProc(UIMsg.KEvent.V_WM_LBUTTONCLICK, 0, ((int) motionEvent.getX()) | (((int) motionEvent.getY()) << 16));
    }

    public void handleDoubleClickZoom(MotionEvent motionEvent) {
        if (System.currentTimeMillis() - this.v < 100) {
            return;
        }
        mapStatusChangeStart();
        this.mIsAnimating = true;
        float y = motionEvent.getY();
        MapMsgProc(8193, 3, (int) (((this.u - y) / (getScreenHeight() / 9.0f)) * 10000.0f));
        this.u = y;
        com.baidu.platform.comapi.util.a.a().a(new com.baidu.platform.comapi.map.d0.d());
        if (!isNaviMode() || getNaviMapViewListener() == null) {
            return;
        }
        getNaviMapViewListener().onAction(521, null);
    }

    public void handleDoubleDownClick(MotionEvent motionEvent) {
        this.r = true;
        motionEvent.getX();
        this.u = motionEvent.getY();
        this.v = System.currentTimeMillis();
        com.baidu.platform.comapi.util.a.a().a(new com.baidu.platform.comapi.map.d0.d());
    }

    public void handleDoubleTouch(MotionEvent motionEvent) {
        GeoPoint geoPoint;
        int i;
        GeoPoint fromPixels;
        float f;
        NaviMapViewListener naviMapViewListener;
        if (System.currentTimeMillis() - this.v > 150) {
            return;
        }
        if (isNaviMode() && (naviMapViewListener = this.J) != null) {
            naviMapViewListener.onAction(513, motionEvent);
            return;
        }
        if (this.q) {
            SoftReference<MapViewInterface> softReference = this.I;
            if (softReference == null || softReference.get() == null || this.I.get().getProjection() == null) {
                return;
            }
            MapStatus mapStatus = getMapStatus();
            float x = motionEvent.getX() - (mapStatus.winRound.left + (getScreenWidth() / 2));
            float y = (motionEvent.getY() - (mapStatus.winRound.top + (getScreenHeight() / 2))) * (-1.0f);
            float f2 = 0.0f;
            if (!isCompass && !this.t) {
                fromPixels = this.I.get().getProjection().fromPixels((int) motionEvent.getX(), (int) motionEvent.getY());
            } else {
                fromPixels = this.I.get().getProjection().fromPixels(mapStatus.winRound.left + (getScreenWidth() / 2), mapStatus.winRound.top + (getScreenHeight() / 2));
                x = 0.0f;
                y = 0.0f;
            }
            if (fromPixels != null) {
                f2 = (float) fromPixels.getLongitudeE6();
                f = (float) fromPixels.getLatitudeE6();
            } else {
                f = 0.0f;
            }
            this.w = true;
            getGestureMonitor().a(this.I.get().getZoomLevel() + 1.0f);
            mapStatusChangeStart();
            MapMsgProc(8195, ((int) motionEvent.getX()) | (((int) motionEvent.getY()) << 16), ((this.l / 2) << 16) | (this.k / 2), 0, 0, f2, f, x, y);
            U = System.currentTimeMillis();
            i = 0;
            procGestureForLog(false, null);
            geoPoint = fromPixels;
        } else {
            geoPoint = null;
            i = 0;
        }
        if (geoPoint == null || this.mListeners == null) {
            return;
        }
        while (i < this.mListeners.size()) {
            x xVar = this.mListeners.get(i);
            if (xVar != null) {
                xVar.b(geoPoint);
            }
            i++;
        }
    }

    @SuppressLint({"FloatMath"})
    public boolean handleFling(MotionEvent motionEvent, MotionEvent motionEvent2, float f, float f2) {
        if (Q && this.A) {
            double sqrt = ((float) Math.sqrt((f * f) + (f2 * f2))) / (SysOSUtil.getInstance().getDensityDPI() / 310.0f);
            Double.isNaN(sqrt);
            float f3 = (float) (sqrt * 1.3d);
            if (getMapControlMode() != MapControlMode.STREET && f3 < 300.0f) {
                this.n = false;
                return false;
            }
            this.n = true;
            getGestureMonitor().a();
            mapStatusChangeStart();
            MapMsgProc(34, (int) f3, (((int) motionEvent2.getY()) << 16) | ((int) motionEvent2.getX()));
            if (getMapViewListener() != null) {
                com.baidu.platform.comapi.util.a.a().a(new com.baidu.platform.comapi.map.d0.c());
            }
            this.L = false;
            if (this.mListeners != null) {
                for (int i = 0; i < this.mListeners.size(); i++) {
                    x xVar = this.mListeners.get(i);
                    if (xVar != null) {
                        xVar.a(motionEvent2);
                    }
                }
            }
            return true;
        }
        return false;
    }

    public boolean handleKeyEvent(int i, KeyEvent keyEvent) {
        int GetAdaptKeyCode = GetAdaptKeyCode(i);
        if (GetAdaptKeyCode == 0) {
            return false;
        }
        MapMsgProc(1, GetAdaptKeyCode, 0);
        return true;
    }

    public void handleLongClick(MotionEvent motionEvent) {
        MapMsgProc(UIMsg.KEvent.V_WM_LBUTTONLONGCLICK, 0, ((int) motionEvent.getX()) | (((int) motionEvent.getY()) << 16));
    }

    public int handleMapModeGet() {
        return MapMsgProc(4113, 0, 0);
    }

    public boolean handlePopupClick(int i, int i2) {
        return false;
    }

    public void handleRightClick() {
        MapMsgProc(UIMsg.KEvent.V_WM_RBUTTONCLICK, 0, 0);
    }

    public void handleStreetscapeDoubleTouch(MotionEvent motionEvent) {
        float f;
        SoftReference<MapViewInterface> softReference = this.I;
        if (softReference == null || softReference.get() == null || this.I.get().getProjection() == null) {
            return;
        }
        MapStatus mapStatus = getMapStatus();
        Projection projection = this.I.get().getProjection();
        MapStatus.WinRound winRound = mapStatus.winRound;
        GeoPoint fromPixels = projection.fromPixels(winRound.left + (this.k / 2), winRound.top + (this.l / 2));
        float f2 = 0.0f;
        if (fromPixels != null) {
            f2 = (float) fromPixels.getLongitudeE6();
            f = (float) fromPixels.getLatitudeE6();
        } else {
            f = 0.0f;
        }
        MapMsgProc(8195, (((int) motionEvent.getY()) << 16) | ((int) motionEvent.getX()), ((this.l / 2) << 16) | (this.k / 2), 0, 0, f2, f, 0.0d, 0.0d);
    }

    public boolean handleTouchEvent(MotionEvent motionEvent) {
        if (a()) {
            if (!this.n) {
                this.N.a(motionEvent);
            }
            if (motionEvent.getPointerCount() == 2) {
                this.b = true;
                Q = false;
                c();
                procGestureForLog(false, null);
            }
            if (motionEvent.getAction() != 2 && this.r) {
                this.b = true;
                c();
            }
            int action = motionEvent.getAction();
            if (action == 0) {
                this.b = true;
                a(motionEvent);
            } else if (action == 1) {
                Q = true;
                this.b = true;
                handleTouchUp(motionEvent);
            } else if (action != 2) {
                return false;
            } else {
                if (this.r) {
                    handleDoubleClickZoom(motionEvent);
                } else if (this.A) {
                    handleTouchMove(motionEvent);
                }
            }
            if (this.mListeners != null) {
                for (int i = 0; i < this.mListeners.size(); i++) {
                    x xVar = this.mListeners.get(i);
                    if (xVar != null) {
                        xVar.a(motionEvent);
                    }
                }
            }
            return true;
        }
        return false;
    }

    public boolean handleTouchMove(MotionEvent motionEvent) {
        if (Q && System.currentTimeMillis() - U >= 300) {
            if (this.mHasMapObjDraging) {
                if (getMapView() != null && getMapView().getProjection() != null) {
                    GeoPoint fromPixels = getMapView().getProjection().fromPixels((int) motionEvent.getX(), (int) motionEvent.getY());
                    if (this.mListeners != null) {
                        for (int i = 0; i < this.mListeners.size(); i++) {
                            x xVar = this.mListeners.get(i);
                            if (xVar != null && fromPixels != null) {
                                xVar.e(fromPixels);
                            }
                        }
                    }
                }
                return true;
            }
            float abs = Math.abs(motionEvent.getX() - R);
            float abs2 = Math.abs(motionEvent.getY() - S);
            double density = SysOSUtil.getInstance().getDensity();
            if (density > 1.5d) {
                Double.isNaN(density);
                density *= 1.5d;
            }
            float f = (float) density;
            if (!T || abs / f > 3.0f || abs2 / f > 3.0f) {
                T = false;
                if (isCompass) {
                    com.baidu.platform.comapi.util.a.a().a(new com.baidu.platform.comapi.map.d0.a());
                }
                procGestureForLog(true, new Point(abs, abs2));
                int x = (int) motionEvent.getX();
                int y = (int) motionEvent.getY();
                if (x < 0) {
                    x = 0;
                }
                if (y < 0) {
                    y = 0;
                }
                if (this.b) {
                    getGestureMonitor().d();
                    this.b = false;
                }
                mapStatusChangeStart();
                MapMsgProc(3, 0, (y << 16) | x);
                com.baidu.platform.comapi.util.a.a().a(new com.baidu.platform.comapi.map.d0.b(false, true));
                this.n = false;
                this.g = true;
                this.L = true;
                return false;
            }
            return true;
        }
        return true;
    }

    public boolean handleTouchSingleClick(MotionEvent motionEvent) {
        NaviMapViewListener naviMapViewListener;
        int x = (int) motionEvent.getX();
        int y = (int) motionEvent.getY();
        d(x, y);
        if (c(x, y) || handlePopupClick(x, y) || b(x, y) || a(1, x, y)) {
            return true;
        }
        if (this.m && a(x, y)) {
            return true;
        }
        if (isNaviMode() && (naviMapViewListener = this.J) != null) {
            naviMapViewListener.onAction(514, motionEvent);
        }
        if (getMapViewListener() != null) {
            getMapViewListener().onClickedBackground((int) motionEvent.getX(), (int) motionEvent.getY());
            return false;
        }
        return false;
    }

    public boolean handleTouchUp(MotionEvent motionEvent) {
        int x = (int) motionEvent.getX();
        int y = (int) motionEvent.getY();
        if (x < 0) {
            x = 0;
        }
        if (y < 0) {
            y = 0;
        }
        if (this.mHasMapObjDraging) {
            if (this.mListeners != null && getMapView() != null && getMapView().getProjection() != null) {
                GeoPoint fromPixels = getMapView().getProjection().fromPixels(x, y);
                for (int i = 0; i < this.mListeners.size(); i++) {
                    x xVar = this.mListeners.get(i);
                    if (xVar != null && fromPixels != null) {
                        xVar.a(fromPixels);
                    }
                }
            }
            this.mHasMapObjDraging = false;
            return true;
        }
        if (Q) {
            MapMsgProc(5, 0, x | (y << 16));
        }
        if (!this.n && getMapViewListener() != null) {
            getMapViewListener().onMapAnimationFinish();
        }
        if (!this.n && isNaviMode() && getNaviMapViewListener() != null) {
            getNaviMapViewListener().onMapAnimationFinish();
        }
        boolean z = motionEvent.getEventTime() - this.K < 300 && Math.abs(motionEvent.getX() - R) < 10.0f && Math.abs(motionEvent.getY() - S) < 10.0f;
        if (!this.n && ((!z || this.L) && !this.w && !this.mIsAnimating && this.mListeners != null)) {
            com.baidu.mapsdkplatform.comapi.map.s mapStatusInner = getMapStatusInner();
            for (int i2 = 0; i2 < this.mListeners.size(); i2++) {
                x xVar2 = this.mListeners.get(i2);
                if (xVar2 != null) {
                    xVar2.b(mapStatusInner);
                }
            }
        }
        this.L = false;
        this.n = false;
        com.baidu.platform.comapi.util.a.a().a(new com.baidu.platform.comapi.map.d0.b(true, false));
        com.baidu.platform.comapi.util.a.a().a(new com.baidu.platform.comapi.map.d0.c());
        return true;
    }

    public boolean handleTrackballEvent(MotionEvent motionEvent) {
        if (a()) {
            if (motionEvent.getAction() == 2) {
                float rawX = motionEvent.getRawX();
                float rawY = motionEvent.getRawY();
                int i = rawX > 0.0f ? 18 : rawX < 0.0f ? 16 : 0;
                if (rawY > 0.0f) {
                    i = 19;
                } else if (rawY < 0.0f) {
                    i = 17;
                }
                if (i == 0) {
                    return false;
                }
                MapMsgProc(1, i, 0);
            }
            return true;
        }
        return false;
    }

    public boolean handleZoomTo(int i) {
        if (i == 0) {
            MapMsgProc(4097, -1, 0);
        } else if (i == 1) {
            MapMsgProc(4096, -1, 0);
        }
        return false;
    }

    public boolean importMapTheme(int i) {
        if (a()) {
            return this.h.importMapTheme(i);
        }
        return false;
    }

    public void initAppBaseMap() {
        if (V.size() == 0) {
            initBaseMap();
        } else {
            createByDuplicateAppBaseMap(V.get(0).GetId());
        }
    }

    public void initBaseMap() {
        AppBaseMap appBaseMap = new AppBaseMap();
        this.h = appBaseMap;
        appBaseMap.Create();
        this.i = this.h.GetId();
        List<AppBaseMap> list = V;
        if (list != null) {
            list.add(this.h);
        }
    }

    public void initMapResources(Bundle bundle) {
        if (this.o || bundle == null || this.h == null) {
            return;
        }
        boolean z = SysOSUtil.getInstance().getDensityDPI() >= 180;
        this.nearlyRadius = (SysOSUtil.getInstance().getDensityDPI() * 25) / 240;
        String string = bundle.getString("modulePath");
        String string2 = bundle.getString("appSdcardPath");
        String string3 = bundle.getString("appCachePath");
        String string4 = bundle.getString("appSecondCachePath");
        String string5 = bundle.getString("engineErrorPath");
        int i = bundle.getInt("mapTmpMax");
        int i2 = bundle.getInt("domTmpMax");
        int i3 = bundle.getInt("itsTmpMax");
        int i4 = bundle.getInt("ssgTmpMax");
        String str = z ? "/h/" : "/l/";
        String str2 = string + "/cfg";
        String str3 = string2 + "/vmp";
        String str4 = str2 + "/a/";
        String str5 = str3 + str;
        String str6 = str3 + str;
        String str7 = string3 + "/tmp/";
        Bundle bundle2 = new Bundle();
        bundle2.putString("cfgdataroot", str4);
        bundle2.putString("vmpdataroot", str5);
        bundle2.putString("tmpdataroot", str7);
        bundle2.putString("tmpdatapast", string4 + "/tmp/");
        bundle2.putString("importroot", str6);
        bundle2.putString("stylerespath", str2 + "/a/");
        if (string5 != null && string5.length() > 0) {
            bundle2.putString("engineerrorpath", string5);
        }
        bundle2.putInt("cx", this.k);
        bundle2.putInt("cy", this.l);
        bundle2.putInt("ndpi", SysOSUtil.getInstance().getDensityDPI());
        bundle2.putFloat("fdpi", SysOSUtil.getInstance().getDensityDPI());
        bundle2.putInt("maptmpmax", i);
        bundle2.putInt("domtmpmax", i2);
        bundle2.putInt("itstmpmax", i3);
        bundle2.putInt("ssgtmpmax", i4);
        bundle2.putInt("pathchange", 0);
        if (bundle.containsKey("maptheme")) {
            bundle2.putInt("maptheme", bundle.getInt("maptheme"));
        }
        if (bundle.containsKey("mapscene")) {
            bundle2.putInt("mapscene", bundle.getInt("mapscene"));
        }
        if (bundle.containsKey("fontsizelevel")) {
            bundle2.putInt("fontsizelevel", bundle.getInt("fontsizelevel"));
        }
        if (!com.baidu.platform.comapi.b.g()) {
            com.baidu.platform.comapi.b.e();
        }
        if (!this.h.initWithOptions(bundle2, false)) {
            Log.e(P, "MapControl init fail!");
            if (OpenLogUtil.isMapLogEnable()) {
                com.baidu.mapsdkplatform.comapi.commonutils.b.a().a("MapControl init fail");
                return;
            }
            return;
        }
        this.h.SetMapStatus(bundle);
        this.o = true;
    }

    public boolean is3DGestureEnable() {
        return this.x;
    }

    public boolean isBaseIndoorMapMode() {
        if (a()) {
            return this.h.IsBaseIndoorMapMode();
        }
        return false;
    }

    public boolean isCanTouchMove() {
        return this.A;
    }

    public boolean isDoubleClickZoom() {
        return this.q;
    }

    public boolean isDuplicate() {
        return this.M;
    }

    public boolean isEnableDMoveZoom() {
        return this.r;
    }

    public boolean isEnableIndoor3D() {
        if (a()) {
            return this.h.isEnableIndoor3D();
        }
        return true;
    }

    public boolean isEnableZoom() {
        return this.z;
    }

    public boolean isEnlargeCenterWithDoubleClickEnabled() {
        return this.t;
    }

    public boolean isInFocusBarBorder(GeoPoint geoPoint, double d) {
        return a() && geoPoint != null && this.h.IsPointInFocusBarBorder(geoPoint.getLongitude(), geoPoint.getLatitude(), d);
    }

    public boolean isInFocusIndoorBuilding(GeoPoint geoPoint) {
        return a() && geoPoint != null && this.h.IsPointInFocusIDRBorder(geoPoint.getLongitude(), geoPoint.getLatitude());
    }

    public boolean isMapAnimationRunning() {
        if (a()) {
            return this.h.isAnimationRunning();
        }
        return false;
    }

    public boolean isMovedMap() {
        return this.g;
    }

    public boolean isNaviMode() {
        if (a()) {
            return this.h.isNaviMode();
        }
        return false;
    }

    public boolean isOverlookGestureEnable() {
        return this.y;
    }

    public boolean isPressedOnPopup(int i, int i2) {
        return false;
    }

    public boolean isStreetArrowShown() {
        if (a()) {
            return this.h.IsStreetArrowShown();
        }
        return false;
    }

    public boolean isStreetCustomMarkerShown() {
        if (a()) {
            return this.h.IsStreetCustomMarkerShown();
        }
        return false;
    }

    public boolean isStreetPOIMarkerShown() {
        if (a()) {
            return this.h.IsStreetPOIMarkerShown();
        }
        return false;
    }

    public boolean isStreetRoadClickable() {
        if (a()) {
            return this.h.IsStreetRoadClickable();
        }
        return false;
    }

    public boolean isTwoTouchClickZoomEnabled() {
        return this.s;
    }

    public void mapStatusChangeStart() {
        if (this.mIsMoving) {
            return;
        }
        this.mIsMoving = true;
        this.mIsAnimating = false;
        com.baidu.mapsdkplatform.comapi.map.s mapStatusInner = getMapStatusInner();
        if (this.mListeners != null) {
            for (int i = 0; i < this.mListeners.size(); i++) {
                x xVar = this.mListeners.get(i);
                if (xVar != null) {
                    xVar.a(mapStatusInner);
                }
            }
        }
    }

    public void onPause() {
        if (a()) {
            this.h.OnPause();
        }
    }

    public void onResume() {
        if (a()) {
            this.h.OnResume();
        }
    }

    public void procGestureForLog(boolean z, Point point) {
        if (!this.p.a) {
            MapStatus mapStatus = getMapStatus();
            a aVar = this.p;
            aVar.a = true;
            aVar.b = mapStatus.level;
            aVar.c = new GeoPoint(mapStatus.centerPtX, mapStatus.centerPtY);
            this.p.d = new Point(0, 0);
        }
        if (z) {
            int abs = Math.abs(point.getIntX());
            int abs2 = Math.abs(point.getIntY());
            Point point2 = this.p.d;
            point2.setIntX(point2.getIntX() + abs);
            Point point3 = this.p.d;
            point3.setIntY(point3.getIntY() + abs2);
        }
    }

    public void recycleMemory(RecycleMemoryLevel recycleMemoryLevel) {
        if (a()) {
            this.h.recycleMemory(recycleMemoryLevel.getLevel());
        }
    }

    public void registMapViewListener(x xVar) {
        List<x> list;
        if (xVar == null || (list = this.mListeners) == null) {
            return;
        }
        list.add(xVar);
    }

    public void removeOneOverlayItem(Bundle bundle) {
        this.h.removeOneOverlayItem(bundle);
    }

    public void removeStreetAllCustomMarker() {
        if (a()) {
            this.h.RemoveStreetAllCustomMarker();
        }
    }

    public void removeStreetCustomMarker(String str) {
        if (a()) {
            this.h.RemoveStreetCustomMaker(str);
        }
    }

    public void saveScreenToLocal(String str, int i, int i2, int i3, int i4) {
        if (!a() || TextUtils.isEmpty(str)) {
            return;
        }
        String str2 = null;
        if (i3 != 0 && i4 != 0) {
            JSONObject jSONObject = new JSONObject();
            try {
                jSONObject.put("x", i);
                jSONObject.put("y", i2);
                jSONObject.put("width", i3);
                jSONObject.put("height", i4);
                str2 = jSONObject.toString();
            } catch (Exception unused) {
            }
        }
        this.h.SaveScreenToLocal(str, str2);
    }

    public void scrollBy(int i, int i2) {
        if (i == 0 && i2 == 0) {
            return;
        }
        MapStatus.WinRound winRound = getMapStatus().winRound;
        e(winRound.left + (this.k / 2) + i, winRound.top + (this.l / 2) + i2);
    }

    public void set3DGestureEnable(boolean z) {
        this.x = z;
    }

    public void setAllStreetCustomMarkerVisibility(boolean z) {
        if (a()) {
            this.h.SetAllStreetCustomMarkerVisibility(z);
        }
    }

    public void setCanTouchMove(boolean z) {
        this.A = z;
    }

    public void setCaptureMapListener(CaptureMapListener captureMapListener) {
        this.C = captureMapListener;
    }

    public void setDoubleClickZoom(boolean z) {
        this.q = z;
    }

    public void setEnableIndoor3D(boolean z) {
        if (a()) {
            this.h.setEnableIndoor3D(z);
        }
    }

    public void setEnableZoom(boolean z) {
        this.z = z;
    }

    public void setEngineMsgListener(EngineMsgListener engineMsgListener) {
        this.G = engineMsgListener;
    }

    public void setEnlargeCenterWithDoubleClickEnable(boolean z) {
        this.t = z;
    }

    public void setHideIndoorPopupListener(i iVar) {
        this.D = iVar;
    }

    public boolean setLayerSceneMode(long j, MapSceneMode mapSceneMode) {
        if (a()) {
            return this.h.SetLayerSceneMode(j, mapSceneMode.getMode());
        }
        return false;
    }

    public void setMapClickEnable(boolean z) {
        this.m = z;
    }

    public int setMapControlMode(MapControlMode mapControlMode) {
        if (a()) {
            this.O = mapControlMode;
            return this.h.SetMapControlMode(mapControlMode.a);
        }
        return -1;
    }

    public void setMapFirstFrameCallback(MapFirstFrameCallback mapFirstFrameCallback) {
        this.f = mapFirstFrameCallback;
    }

    public void setMapRenderModeChangeListener(MapRenderModeChangeListener mapRenderModeChangeListener) {
        this.F = mapRenderModeChangeListener;
    }

    public void setMapScene(int i) {
        if (i == getMapScene()) {
            return;
        }
        this.d = i;
        if (a()) {
            this.h.setMapScene(this.d);
        }
    }

    public void setMapStatus(MapStatus mapStatus, boolean z) {
        if (!a() || mapStatus == null) {
            return;
        }
        Bundle bundle = new Bundle();
        bundle.putDouble(MapBundleKey.MapObjKey.OBJ_LEVEL, mapStatus.level);
        bundle.putDouble(MapBundleKey.MapObjKey.OBJ_SS_ARROW_ROTATION, mapStatus.rotation);
        bundle.putDouble("overlooking", mapStatus.overlooking);
        bundle.putDouble("centerptx", mapStatus.centerPtX);
        bundle.putDouble("centerpty", mapStatus.centerPtY);
        bundle.putDouble("centerptz", mapStatus.centerPtZ);
        bundle.putInt("left", mapStatus.winRound.left);
        bundle.putInt("right", mapStatus.winRound.right);
        bundle.putInt("top", mapStatus.winRound.top);
        bundle.putInt("bottom", mapStatus.winRound.bottom);
        bundle.putLong("gleft", mapStatus.geoRound.left);
        bundle.putLong("gbottom", mapStatus.geoRound.bottom);
        bundle.putLong("gtop", mapStatus.geoRound.top);
        bundle.putLong("gright", mapStatus.geoRound.right);
        bundle.putFloat("yoffset", mapStatus.yOffset);
        bundle.putFloat("xoffset", mapStatus.xOffset);
        bundle.putInt("animation", 0);
        bundle.putInt("animatime", 0);
        bundle.putInt("bfpp", mapStatus.bfpp ? 1 : 0);
        bundle.putString("panoid", mapStatus.panoId);
        bundle.putInt("autolink", z ? 1 : 0);
        bundle.putFloat("siangle", mapStatus.streetIndicateAngle);
        bundle.putInt("isbirdeye", mapStatus.isBirdEye ? 1 : 0);
        bundle.putInt("ssext", mapStatus.streetExt);
        this.h.SetMapStatus(bundle);
    }

    public void setMapStatusWithAnimation(MapStatus mapStatus, int i, boolean z) {
        if (!a() || this.h == null || mapStatus == null) {
            return;
        }
        Bundle bundle = new Bundle();
        bundle.putDouble(MapBundleKey.MapObjKey.OBJ_LEVEL, mapStatus.level);
        bundle.putDouble(MapBundleKey.MapObjKey.OBJ_SS_ARROW_ROTATION, mapStatus.rotation);
        bundle.putDouble("overlooking", mapStatus.overlooking);
        bundle.putDouble("centerptx", mapStatus.centerPtX);
        bundle.putDouble("centerpty", mapStatus.centerPtY);
        bundle.putDouble("centerptz", mapStatus.centerPtZ);
        bundle.putInt("left", mapStatus.winRound.left);
        bundle.putInt("right", mapStatus.winRound.right);
        bundle.putInt("top", mapStatus.winRound.top);
        bundle.putInt("bottom", mapStatus.winRound.bottom);
        bundle.putLong("gleft", mapStatus.geoRound.left);
        bundle.putLong("gright", mapStatus.geoRound.right);
        bundle.putLong("gbottom", mapStatus.geoRound.bottom);
        bundle.putLong("gtop", mapStatus.geoRound.top);
        bundle.putFloat("xoffset", mapStatus.xOffset);
        bundle.putFloat("yoffset", mapStatus.yOffset);
        bundle.putInt("animation", 1);
        bundle.putInt("animatime", i);
        bundle.putInt("bfpp", mapStatus.bfpp ? 1 : 0);
        bundle.putString("panoid", mapStatus.panoId);
        bundle.putInt("autolink", z ? 1 : 0);
        bundle.putFloat("siangle", mapStatus.streetIndicateAngle);
        bundle.putInt("isbirdeye", mapStatus.isBirdEye ? 1 : 0);
        bundle.putInt("ssext", mapStatus.streetExt);
        bundle.putFloat("roadOffsetX", mapStatus.roadOffsetX);
        bundle.putFloat("roadOffsetY", mapStatus.roadOffsetY);
        this.h.SetMapStatus(bundle);
    }

    public boolean setMapTheme(int i, Bundle bundle) {
        if (a()) {
            if (this.h.getMapTheme() == i) {
                return true;
            }
            this.e = i;
            return this.h.setMapTheme(i, bundle);
        }
        return false;
    }

    public boolean setMapThemeScene(int i, int i2, Bundle bundle) {
        if (a()) {
            if (this.h.getMapTheme() == i && this.h.getMapScene() == i2) {
                return true;
            }
            this.e = i;
            this.d = i2;
            return this.h.setMapThemeScene(i, i2, bundle);
        }
        return false;
    }

    public void setMapViewInterface(MapViewInterface mapViewInterface) {
        this.I = new SoftReference<>(mapViewInterface);
    }

    public void setMapViewListener(MapViewListener mapViewListener) {
        this.B = mapViewListener;
    }

    public void setMapViewSurfaceListener(o oVar) {
        this.H = oVar;
    }

    public void setMaxAndMinZoomLevel(float f, float f2) {
        this.mMaxZoomLevel = f;
        this.mMinZoomLevel = f2;
    }

    public void setNaviMapViewListener(NaviMapViewListener naviMapViewListener) {
        this.J = naviMapViewListener;
    }

    public void setNetStatus(int i) {
        EngineMsgListener engineMsgListener = this.G;
        if (engineMsgListener == null) {
            return;
        }
        if (i == 1) {
            engineMsgListener.onLongLinkConnect();
        } else if (i == 2 && this.c != i) {
            engineMsgListener.onLongLinkDisConnect();
        }
        this.c = i;
    }

    public void setOverlayMapCallBack(r rVar) {
        AppBaseMap appBaseMap;
        if (rVar == null || (appBaseMap = this.h) == null) {
            return;
        }
        appBaseMap.SetCallback(rVar);
    }

    public void setOverlookGestureEnable(boolean z) {
        this.y = z;
    }

    public void setRecommendPOIScene(RecommendPoiScene recommendPoiScene) {
        if (a()) {
            this.h.setRecommendPOIScene(recommendPoiScene.value);
        }
    }

    public void setScreenSize(int i, int i2) {
        this.k = i;
        this.l = i2;
    }

    public void setStreetArrowClickListener(z zVar) {
        this.E = zVar;
    }

    public void setStreetArrowShow(boolean z) {
        if (a()) {
            this.h.SetStreetArrowShow(z);
        }
    }

    public void setStreetMarkerClickable(String str, boolean z) {
        if (a()) {
            this.h.SetStreetMarkerClickable(str, z);
        }
    }

    public void setStreetRoadClickable(boolean z) {
        if (a()) {
            this.h.SetStreetRoadClickable(z);
        }
    }

    public void setStyleMode(MapStyleMode mapStyleMode) {
        if (a()) {
            this.h.SetStyleMode(mapStyleMode.getMode());
        }
    }

    public void setTargetStreetCustomMarkerVisibility(boolean z, String str) {
        if (a()) {
            this.h.SetTargetStreetCustomMarkerVisibility(z, str);
        }
    }

    public void setTravelMode(boolean z) {
    }

    public void setTwoTouchClickZoomEnabled(boolean z) {
        this.s = z;
    }

    public void setUniversalFilter(String str) {
        if (a()) {
            this.h.setUniversalFilter(str);
        }
    }

    public void showBaseIndoorMap(boolean z) {
        if (a()) {
            this.h.ShowBaseIndoorMap(z);
        }
    }

    public void showStreetPOIMarker(boolean z) {
        if (a()) {
            this.h.ShowStreetPOIMarker(z);
        }
    }

    public void showUniversalLayer(Bundle bundle) {
        if (a()) {
            this.h.showUniversalLayer(bundle);
        }
    }

    public void startIndoorAnimation() {
        if (a()) {
            this.h.StartIndoorAnimation();
        }
    }

    public boolean switchBaseIndoorMapFloor(String str, String str2) {
        if (a()) {
            return this.h.SwitchBaseIndoorMapFloor(str, str2);
        }
        return false;
    }

    public void unInit() {
        AppBaseMap appBaseMap;
        d();
        Handler handler = this.j;
        if (handler != null) {
            handler.removeCallbacksAndMessages(null);
            this.j = null;
        }
        List<AppBaseMap> list = V;
        if (list != null) {
            list.remove(this.h);
        }
        List<x> list2 = this.mListeners;
        if (list2 != null) {
            list2.clear();
        }
        if (!this.o || (appBaseMap = this.h) == null) {
            return;
        }
        appBaseMap.Release();
        this.h = null;
        this.o = false;
    }

    public void unInitForMultiTextureView() {
        AppBaseMap appBaseMap;
        if (!this.o || (appBaseMap = this.h) == null) {
            return;
        }
        appBaseMap.Release();
        this.h = null;
        this.o = false;
    }

    public void updateDrawFPS() {
        if (a()) {
            this.h.updateDrawFPS();
        }
    }

    public void updateOneOverlayItem(Bundle bundle) {
        this.h.updateOneOverlayItem(bundle);
    }

    private void c() {
        this.r = false;
        this.u = -1.0f;
    }

    /* JADX WARN: Removed duplicated region for block: B:19:0x003a A[LOOP:0: B:19:0x003a->B:25:0x0055, LOOP_START, PHI: r1 
      PHI: (r1v3 int) = (r1v0 int), (r1v4 int) binds: [B:18:0x0038, B:25:0x0055] A[DONT_GENERATE, DONT_INLINE]] */
    /* JADX WARN: Removed duplicated region for block: B:42:0x0093 A[ORIG_RETURN, RETURN] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private boolean d(int i, int i2) {
        JSONObject jSONObject;
        int i3 = 0;
        if (a()) {
            String GetNearlyObjID = this.h.GetNearlyObjID(-1L, i, i2, this.nearlyRadius);
            if (GetNearlyObjID != null && !GetNearlyObjID.equals("")) {
                try {
                    jSONObject = new JSONObject(GetNearlyObjID);
                } catch (JSONException e) {
                    e = e;
                    jSONObject = null;
                }
                try {
                    jSONObject.put("px", i);
                    jSONObject.put("py", i2);
                } catch (JSONException e2) {
                    e = e2;
                    e.printStackTrace();
                    if (this.mListeners == null) {
                    }
                }
                if (this.mListeners == null) {
                    while (i3 < this.mListeners.size()) {
                        x xVar = this.mListeners.get(i3);
                        if (jSONObject != null && xVar != null) {
                            xVar.b(jSONObject.toString());
                        }
                        i3++;
                    }
                    return true;
                }
                return true;
            } else if (this.mListeners != null) {
                if (getMapView() == null || getMapView().getProjection() == null) {
                    return false;
                }
                GeoPoint fromPixels = getMapView().getProjection().fromPixels(i, i2);
                while (i3 < this.mListeners.size()) {
                    x xVar2 = this.mListeners.get(i3);
                    if (xVar2 != null) {
                        xVar2.c(fromPixels);
                    }
                    i3++;
                }
                return true;
            } else {
                return true;
            }
        }
        return false;
    }

    public int MapMsgProc(int i, int i2, int i3, int i4, int i5, double d, double d2, double d3, double d4) {
        if (a()) {
            return MapProc(this.i, i, i2, i3, i4, i5, d, d2, d3, d4);
        }
        return -1;
    }

    void e(int i, int i2) {
        if (a()) {
            this.h.MoveToScrPoint(i, i2);
        }
    }

    private boolean a() {
        return this.o && this.h != null;
    }

    private boolean b(int i, int i2) {
        SoftReference<MapViewInterface> softReference = this.I;
        if (softReference != null && softReference.get() != null) {
            double d = this.nearlyRadius;
            double zoomUnitsInMeter = getZoomUnitsInMeter();
            Double.isNaN(d);
            int i3 = (int) (d * zoomUnitsInMeter);
            MapViewInterface mapViewInterface = this.I.get();
            for (int size = mapViewInterface.getBmlayers().size() - 1; size >= 0; size--) {
                if (mapViewInterface.getBmlayers().get(size).a(i, i2, i3)) {
                    return true;
                }
            }
        }
        return false;
    }

    /* JADX WARN: Removed duplicated region for block: B:368:0x069e  */
    /* JADX WARN: Removed duplicated region for block: B:426:0x0765 A[Catch: JSONException -> 0x0774, TryCatch #0 {JSONException -> 0x0774, blocks: (B:29:0x0066, B:31:0x0078, B:33:0x0080, B:35:0x0096, B:36:0x009e, B:38:0x00a6, B:39:0x00ae, B:41:0x00b6, B:42:0x00be, B:44:0x00c7, B:46:0x00cf, B:48:0x00f6, B:95:0x0193, B:97:0x0199, B:364:0x0671, B:100:0x01b8, B:102:0x01c5, B:104:0x01d2, B:106:0x01da, B:108:0x01e7, B:110:0x01f7, B:115:0x0214, B:117:0x021c, B:124:0x0248, B:130:0x0275, B:132:0x027d, B:133:0x0286, B:135:0x028e, B:136:0x0296, B:138:0x029e, B:139:0x02a6, B:141:0x02ae, B:142:0x02b6, B:144:0x02be, B:145:0x02c6, B:147:0x02ce, B:148:0x02d6, B:150:0x02de, B:151:0x02e6, B:153:0x02f0, B:154:0x02f8, B:156:0x0300, B:157:0x0308, B:159:0x0310, B:160:0x0318, B:162:0x0320, B:163:0x0328, B:165:0x0330, B:166:0x0338, B:168:0x0340, B:169:0x0348, B:171:0x0350, B:172:0x0363, B:174:0x036b, B:175:0x037e, B:177:0x0386, B:178:0x038e, B:180:0x0396, B:181:0x039e, B:183:0x03a6, B:184:0x03ae, B:186:0x03b6, B:187:0x03be, B:189:0x03c6, B:191:0x03d3, B:193:0x03db, B:195:0x03e6, B:197:0x03ee, B:199:0x03f9, B:201:0x0401, B:203:0x040e, B:205:0x0416, B:207:0x0423, B:209:0x042b, B:211:0x0436, B:213:0x043e, B:215:0x0449, B:217:0x0451, B:218:0x0459, B:220:0x0461, B:222:0x046e, B:224:0x0476, B:226:0x0483, B:228:0x048b, B:232:0x0497, B:234:0x049f, B:236:0x04aa, B:238:0x04b2, B:240:0x04bf, B:242:0x04c7, B:244:0x04d4, B:246:0x04dc, B:249:0x04e8, B:251:0x0509, B:363:0x066e, B:293:0x056b, B:299:0x057d, B:312:0x059d, B:314:0x05a3, B:393:0x06d0, B:394:0x06d3, B:396:0x06d8, B:398:0x06de, B:399:0x06e7, B:401:0x06ed, B:402:0x06f6, B:404:0x06fc, B:405:0x0705, B:407:0x070b, B:408:0x0713, B:410:0x0719, B:411:0x0721, B:413:0x0727, B:414:0x072f, B:418:0x0739, B:419:0x0741, B:420:0x0749, B:422:0x074f, B:423:0x0757, B:425:0x075d, B:426:0x0765, B:428:0x076b, B:319:0x05b6, B:321:0x05bc, B:326:0x05cc, B:327:0x05cf, B:329:0x05d5, B:332:0x05e3, B:334:0x05e9, B:339:0x05fa, B:343:0x0607, B:345:0x060d, B:351:0x0626, B:352:0x062c, B:354:0x0634, B:355:0x063c, B:359:0x065a, B:243:0x04d0, B:239:0x04bb, B:235:0x04a8, B:225:0x047f, B:221:0x046a, B:214:0x0447, B:210:0x0434, B:206:0x041f, B:202:0x040a, B:198:0x03f7, B:194:0x03e4, B:190:0x03d1, B:123:0x0241, B:120:0x0231, B:125:0x024c, B:127:0x0258, B:129:0x0260, B:111:0x0200, B:113:0x0208, B:114:0x0211, B:107:0x01e3, B:103:0x01cf, B:80:0x0138, B:83:0x0149, B:86:0x015c, B:89:0x0166, B:91:0x0179, B:93:0x0185), top: B:434:0x0066 }] */
    /* JADX WARN: Removed duplicated region for block: B:97:0x0199 A[Catch: JSONException -> 0x0774, TryCatch #0 {JSONException -> 0x0774, blocks: (B:29:0x0066, B:31:0x0078, B:33:0x0080, B:35:0x0096, B:36:0x009e, B:38:0x00a6, B:39:0x00ae, B:41:0x00b6, B:42:0x00be, B:44:0x00c7, B:46:0x00cf, B:48:0x00f6, B:95:0x0193, B:97:0x0199, B:364:0x0671, B:100:0x01b8, B:102:0x01c5, B:104:0x01d2, B:106:0x01da, B:108:0x01e7, B:110:0x01f7, B:115:0x0214, B:117:0x021c, B:124:0x0248, B:130:0x0275, B:132:0x027d, B:133:0x0286, B:135:0x028e, B:136:0x0296, B:138:0x029e, B:139:0x02a6, B:141:0x02ae, B:142:0x02b6, B:144:0x02be, B:145:0x02c6, B:147:0x02ce, B:148:0x02d6, B:150:0x02de, B:151:0x02e6, B:153:0x02f0, B:154:0x02f8, B:156:0x0300, B:157:0x0308, B:159:0x0310, B:160:0x0318, B:162:0x0320, B:163:0x0328, B:165:0x0330, B:166:0x0338, B:168:0x0340, B:169:0x0348, B:171:0x0350, B:172:0x0363, B:174:0x036b, B:175:0x037e, B:177:0x0386, B:178:0x038e, B:180:0x0396, B:181:0x039e, B:183:0x03a6, B:184:0x03ae, B:186:0x03b6, B:187:0x03be, B:189:0x03c6, B:191:0x03d3, B:193:0x03db, B:195:0x03e6, B:197:0x03ee, B:199:0x03f9, B:201:0x0401, B:203:0x040e, B:205:0x0416, B:207:0x0423, B:209:0x042b, B:211:0x0436, B:213:0x043e, B:215:0x0449, B:217:0x0451, B:218:0x0459, B:220:0x0461, B:222:0x046e, B:224:0x0476, B:226:0x0483, B:228:0x048b, B:232:0x0497, B:234:0x049f, B:236:0x04aa, B:238:0x04b2, B:240:0x04bf, B:242:0x04c7, B:244:0x04d4, B:246:0x04dc, B:249:0x04e8, B:251:0x0509, B:363:0x066e, B:293:0x056b, B:299:0x057d, B:312:0x059d, B:314:0x05a3, B:393:0x06d0, B:394:0x06d3, B:396:0x06d8, B:398:0x06de, B:399:0x06e7, B:401:0x06ed, B:402:0x06f6, B:404:0x06fc, B:405:0x0705, B:407:0x070b, B:408:0x0713, B:410:0x0719, B:411:0x0721, B:413:0x0727, B:414:0x072f, B:418:0x0739, B:419:0x0741, B:420:0x0749, B:422:0x074f, B:423:0x0757, B:425:0x075d, B:426:0x0765, B:428:0x076b, B:319:0x05b6, B:321:0x05bc, B:326:0x05cc, B:327:0x05cf, B:329:0x05d5, B:332:0x05e3, B:334:0x05e9, B:339:0x05fa, B:343:0x0607, B:345:0x060d, B:351:0x0626, B:352:0x062c, B:354:0x0634, B:355:0x063c, B:359:0x065a, B:243:0x04d0, B:239:0x04bb, B:235:0x04a8, B:225:0x047f, B:221:0x046a, B:214:0x0447, B:210:0x0434, B:206:0x041f, B:202:0x040a, B:198:0x03f7, B:194:0x03e4, B:190:0x03d1, B:123:0x0241, B:120:0x0231, B:125:0x024c, B:127:0x0258, B:129:0x0260, B:111:0x0200, B:113:0x0208, B:114:0x0211, B:107:0x01e3, B:103:0x01cf, B:80:0x0138, B:83:0x0149, B:86:0x015c, B:89:0x0166, B:91:0x0179, B:93:0x0185), top: B:434:0x0066 }] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private boolean a(int i, int i2) {
        int i3;
        ArrayList arrayList;
        ArrayList arrayList2;
        ArrayList arrayList3;
        ArrayList arrayList4;
        ArrayList arrayList5;
        ArrayList arrayList6;
        ArrayList arrayList7;
        int i4;
        ArrayList arrayList8;
        ArrayList arrayList9;
        ArrayList arrayList10;
        ArrayList arrayList11;
        ArrayList arrayList12;
        int i5;
        JSONArray jSONArray;
        ArrayList arrayList13;
        ArrayList arrayList14;
        ArrayList arrayList15;
        ArrayList arrayList16;
        ArrayList arrayList17;
        double intX;
        double intY;
        JSONObject jSONObject;
        NaviMapViewListener naviMapViewListener;
        NaviMapViewListener naviMapViewListener2;
        if (!a()) {
            return false;
        }
        if (getMapViewListener() == null && this.J == null) {
            return false;
        }
        double d = this.nearlyRadius;
        double zoomUnitsInMeter = getZoomUnitsInMeter();
        Double.isNaN(d);
        int i6 = (int) (d * zoomUnitsInMeter);
        int i7 = i;
        Point onTapInterception = (!isNaviMode() || (naviMapViewListener2 = this.J) == null) ? null : naviMapViewListener2.onTapInterception(new Point(i7, i2));
        if (onTapInterception != null) {
            i7 = onTapInterception.getIntX();
            i3 = onTapInterception.getIntY();
        } else {
            i3 = i2;
        }
        String GetNearlyObjID = this.h.GetNearlyObjID(-1L, i7, i3, i6);
        if (GetNearlyObjID == null) {
            return false;
        }
        if (isNaviMode() && (naviMapViewListener = this.J) != null && naviMapViewListener.onItemClick(GetNearlyObjID, i7, i3)) {
            return true;
        }
        try {
            JSONObject jSONObject2 = new JSONObject(GetNearlyObjID);
            ArrayList arrayList18 = new ArrayList();
            if (jSONObject2.has(MapBundleKey.MapObjKey.OBJ_MCAR) && (jSONObject = jSONObject2.getJSONObject(MapBundleKey.MapObjKey.OBJ_MCAR)) != null) {
                ArrayList arrayList19 = new ArrayList();
                MapObj mapObj = new MapObj();
                mapObj.routeType = MapBundleKey.MapObjKey.OBJ_MCAR;
                if (jSONObject.has("id")) {
                    mapObj.routeId = jSONObject.getInt("id");
                }
                if (jSONObject.has("status")) {
                    mapObj.status = jSONObject.getInt("status");
                }
                if (jSONObject.has("in")) {
                    mapObj.index = jSONObject.getInt("in");
                }
                arrayList19.add(mapObj);
                if (getMapViewListener() != null) {
                    getMapViewListener().onClickedRouteObj(arrayList19);
                }
                return true;
            }
            JSONArray jSONArray2 = jSONObject2.getJSONArray("dataset");
            int i8 = ((JSONObject) jSONArray2.get(0)).getInt(MapBundleKey.MapObjKey.OBJ_TYPE);
            if (i8 == 22) {
                arrayList2 = new ArrayList();
            } else {
                if (i8 != 3 && i8 != 13 && i8 != 14 && i8 != 16 && i8 != 15 && i8 != 4 && i8 != 103 && i8 != 25 && i8 != 31 && i8 != 104 && i8 != 5000 && i8 != 6018 && i8 != 6019) {
                    if (i8 != 8 && i8 != 1 && i8 != 2) {
                        if (i8 == 6) {
                            arrayList6 = new ArrayList();
                            arrayList2 = null;
                            arrayList = null;
                            arrayList4 = null;
                            arrayList7 = null;
                            arrayList5 = null;
                            i4 = 0;
                            int i9 = -1;
                            while (i4 < jSONArray2.length()) {
                                JSONObject jSONObject3 = (JSONObject) jSONArray2.get(i4);
                                int i10 = jSONObject3.getInt(MapBundleKey.MapObjKey.OBJ_TYPE);
                                if (i10 == 26) {
                                    jSONArray = jSONArray2;
                                    arrayList16 = arrayList18;
                                    arrayList17 = arrayList;
                                    arrayList10 = arrayList4;
                                    arrayList11 = arrayList6;
                                    arrayList14 = arrayList7;
                                    arrayList15 = arrayList5;
                                } else {
                                    MapObj mapObj2 = new MapObj();
                                    if (jSONObject3.has(MapBundleKey.MapObjKey.OBJ_LAYER_ID)) {
                                        mapObj2.layer_id = (int) jSONObject3.getLong(MapBundleKey.MapObjKey.OBJ_LAYER_ID);
                                    } else {
                                        mapObj2.layer_id = 0;
                                    }
                                    if (jSONObject3.has("ud")) {
                                        mapObj2.strUid = jSONObject3.getString("ud");
                                    } else {
                                        mapObj2.strUid = "";
                                    }
                                    mapObj2.strText = jSONObject3.optString(MapBundleKey.MapObjKey.OBJ_TEXT);
                                    if (jSONObject3.has("in")) {
                                        mapObj2.nIndex = jSONObject3.getInt("in");
                                    } else if (jSONObject3.has(MapBundleKey.MapObjKey.OBJ_SL_INDEX)) {
                                        mapObj2.nIndex = jSONObject3.getInt(MapBundleKey.MapObjKey.OBJ_SL_INDEX);
                                    } else {
                                        mapObj2.nIndex = 0;
                                    }
                                    if (jSONObject3.has(MapBundleKey.MapObjKey.OBJ_GEO)) {
                                        Point complexPtToPoint = CoordinateUtil.complexPtToPoint(jSONObject3.getString(MapBundleKey.MapObjKey.OBJ_GEO));
                                        Point point = mapObj2.geoPt;
                                        if (complexPtToPoint == null) {
                                            arrayList13 = arrayList18;
                                            intX = 0.0d;
                                        } else {
                                            arrayList13 = arrayList18;
                                            intX = complexPtToPoint.getIntX();
                                        }
                                        if (complexPtToPoint == null) {
                                            jSONArray = jSONArray2;
                                            intY = 0.0d;
                                        } else {
                                            jSONArray = jSONArray2;
                                            intY = complexPtToPoint.getIntY();
                                        }
                                        point.setTo(intX, intY);
                                    } else {
                                        jSONArray = jSONArray2;
                                        arrayList13 = arrayList18;
                                        if (jSONObject3.has(MapBundleKey.MapObjKey.OBJ_SL_PTX) && jSONObject3.has(MapBundleKey.MapObjKey.OBJ_SL_PTY)) {
                                            mapObj2.geoPt.setTo((int) jSONObject3.getDouble(MapBundleKey.MapObjKey.OBJ_SL_PTX), (int) jSONObject3.getDouble(MapBundleKey.MapObjKey.OBJ_SL_PTY));
                                        }
                                    }
                                    if (jSONObject3.has(MapBundleKey.MapObjKey.OBJ_GEO_Z)) {
                                        mapObj2.geoZ = (float) jSONObject3.getDouble(MapBundleKey.MapObjKey.OBJ_GEO_Z);
                                    }
                                    if (jSONObject3.has(MapBundleKey.MapObjKey.OBJ_INDOOR_POI)) {
                                        mapObj2.indoorpoi = jSONObject3.getBoolean(MapBundleKey.MapObjKey.OBJ_INDOOR_POI);
                                    }
                                    if (jSONObject3.has(MapBundleKey.MapObjKey.OBJ_POI_ONLINETYPE)) {
                                        mapObj2.poiOnlineType = jSONObject3.getInt(MapBundleKey.MapObjKey.OBJ_POI_ONLINETYPE);
                                    }
                                    if (jSONObject3.has(MapBundleKey.MapObjKey.OBJ_BID)) {
                                        mapObj2.bid = jSONObject3.getString(MapBundleKey.MapObjKey.OBJ_BID);
                                    }
                                    if (jSONObject3.has(MapBundleKey.MapObjKey.OBJ_SL_TIME)) {
                                        mapObj2.sltime = jSONObject3.getInt(MapBundleKey.MapObjKey.OBJ_SL_TIME);
                                    }
                                    if (jSONObject3.has(MapBundleKey.MapObjKey.OBJ_SL_OBJ)) {
                                        mapObj2.slobj = jSONObject3.getInt(MapBundleKey.MapObjKey.OBJ_SL_OBJ);
                                    }
                                    if (jSONObject3.has(MapBundleKey.MapObjKey.OBJ_SL_VISI)) {
                                        mapObj2.slvisi = jSONObject3.getInt(MapBundleKey.MapObjKey.OBJ_SL_VISI);
                                    }
                                    mapObj2.nType = i10;
                                    if (jSONObject3.has(MapBundleKey.MapObjKey.OBJ_OFFSET)) {
                                        mapObj2.offset = jSONObject3.getInt(MapBundleKey.MapObjKey.OBJ_OFFSET);
                                    }
                                    if (jSONObject3.has(MapBundleKey.MapObjKey.OBJ_SS_POINAME)) {
                                        mapObj2.ssName = jSONObject3.getString(MapBundleKey.MapObjKey.OBJ_SS_POINAME);
                                    }
                                    if (jSONObject3.has(MapBundleKey.MapObjKey.OBJ_SS_INDOOR_ID)) {
                                        mapObj2.ssIndoorId = jSONObject3.getString(MapBundleKey.MapObjKey.OBJ_SS_INDOOR_ID);
                                    }
                                    if (jSONObject3.has("ud")) {
                                        mapObj2.ssPoiUid = jSONObject3.getString("ud");
                                    }
                                    if (jSONObject3.has(MapBundleKey.MapObjKey.STREET_TYPE)) {
                                        mapObj2.ssType = jSONObject3.getString(MapBundleKey.MapObjKey.STREET_TYPE);
                                    }
                                    if (jSONObject3.has(MapBundleKey.MapObjKey.OBJ_DIS)) {
                                        mapObj2.offset = jSONObject3.getInt(MapBundleKey.MapObjKey.OBJ_DIS);
                                    }
                                    if (jSONObject3.has("x")) {
                                        mapObj2.geoPt.setIntX(jSONObject3.getInt("x"));
                                        mapObj2.streetArrowCenterX = jSONObject3.getDouble("x");
                                    }
                                    if (jSONObject3.has("y")) {
                                        mapObj2.geoPt.setIntY(jSONObject3.getInt("y"));
                                        mapObj2.streetArrowCenterY = jSONObject3.getDouble("y");
                                    }
                                    if (jSONObject3.has(MapBundleKey.MapObjKey.OBJ_SS_ARROW_Z)) {
                                        mapObj2.ssZ = jSONObject3.getInt(MapBundleKey.MapObjKey.OBJ_SS_ARROW_Z);
                                    }
                                    if (jSONObject3.has(MapBundleKey.MapObjKey.OBJ_SS_ARROW_ROTATION)) {
                                        mapObj2.ssRotation = jSONObject3.getDouble(MapBundleKey.MapObjKey.OBJ_SS_ARROW_ROTATION);
                                    }
                                    if (jSONObject3.has(MapBundleKey.MapObjKey.OBJ_SS_ARROW_PANOID)) {
                                        mapObj2.ssPanoId = jSONObject3.getString(MapBundleKey.MapObjKey.OBJ_SS_ARROW_PANOID);
                                    }
                                    if (jSONObject3.has(MapBundleKey.MapObjKey.OBJ_SS_DATA)) {
                                        mapObj2.ssData = jSONObject3.getString(MapBundleKey.MapObjKey.OBJ_SS_DATA);
                                    }
                                    if (jSONObject3.has(MapBundleKey.MapObjKey.OBJ_SRC)) {
                                        int i11 = jSONObject3.getInt(MapBundleKey.MapObjKey.OBJ_SRC);
                                        mapObj2.dynamicSrc = i11;
                                        i9 = i11;
                                    } else {
                                        mapObj2.dynamicSrc = -1;
                                    }
                                    if (jSONObject3.has(MapBundleKey.MapObjKey.OBJ_AD)) {
                                        mapObj2.ad = jSONObject3.getInt(MapBundleKey.MapObjKey.OBJ_AD);
                                    } else {
                                        mapObj2.ad = -1;
                                    }
                                    if (jSONObject3.has(MapBundleKey.MapObjKey.OBJ_AD_STYLE)) {
                                        mapObj2.adstyle = jSONObject3.getInt(MapBundleKey.MapObjKey.OBJ_AD_STYLE);
                                    } else {
                                        mapObj2.adstyle = -1;
                                    }
                                    if (jSONObject3.has(MapBundleKey.MapObjKey.OBJ_QID)) {
                                        mapObj2.qid = jSONObject3.getString(MapBundleKey.MapObjKey.OBJ_QID);
                                    } else {
                                        mapObj2.qid = "";
                                    }
                                    if (jSONObject3.has(MapBundleKey.MapObjKey.OBJ_PUID)) {
                                        mapObj2.puid = jSONObject3.getString(MapBundleKey.MapObjKey.OBJ_PUID);
                                    } else {
                                        mapObj2.puid = "";
                                    }
                                    if (jSONObject3.has(MapBundleKey.MapObjKey.OBJ_DY_SRC)) {
                                        mapObj2.dysrc = jSONObject3.getInt(MapBundleKey.MapObjKey.OBJ_DY_SRC);
                                    } else {
                                        mapObj2.dysrc = -1;
                                    }
                                    if (jSONObject3.has(MapBundleKey.MapObjKey.OBJ_DY_STGE)) {
                                        mapObj2.dystge = jSONObject3.getInt(MapBundleKey.MapObjKey.OBJ_DY_STGE);
                                    } else {
                                        mapObj2.dystge = -1;
                                    }
                                    if (jSONObject3.has(MapBundleKey.MapObjKey.OBJ_DY_ISAGG)) {
                                        mapObj2.isAgg = jSONObject3.getBoolean(MapBundleKey.MapObjKey.OBJ_DY_ISAGG);
                                    }
                                    if (jSONObject3.has(MapBundleKey.MapObjKey.AD_LOG)) {
                                        mapObj2.adLog = jSONObject3.getString(MapBundleKey.MapObjKey.AD_LOG);
                                    } else {
                                        mapObj2.adLog = "";
                                    }
                                    if (jSONObject3.has(MapBundleKey.MapObjKey.OBJ_URL)) {
                                        mapObj2.url = jSONObject3.getString(MapBundleKey.MapObjKey.OBJ_URL);
                                    } else {
                                        mapObj2.url = "";
                                    }
                                    if (jSONObject3.has(MapBundleKey.MapObjKey.OBJ_STYLE_ID)) {
                                        mapObj2.style_id = jSONObject3.getInt(MapBundleKey.MapObjKey.OBJ_STYLE_ID);
                                    } else {
                                        try {
                                            mapObj2.style_id = 0;
                                        } catch (JSONException unused) {
                                            return false;
                                        }
                                    }
                                    if (jSONObject3.has(MapBundleKey.MapObjKey.OBJ_LEVEL)) {
                                        mapObj2.level = jSONObject3.getInt(MapBundleKey.MapObjKey.OBJ_LEVEL);
                                    } else {
                                        mapObj2.level = -1;
                                    }
                                    if (jSONObject3.has(MapBundleKey.MapObjKey.CLICK_ACTION)) {
                                        mapObj2.clickAction = jSONObject3.getString(MapBundleKey.MapObjKey.CLICK_ACTION);
                                    } else {
                                        mapObj2.clickAction = "";
                                    }
                                    if (jSONObject3.has(MapBundleKey.MapObjKey.EX_JSON)) {
                                        mapObj2.exJson = jSONObject3.getString(MapBundleKey.MapObjKey.EX_JSON);
                                    } else {
                                        mapObj2.exJson = "";
                                    }
                                    if (jSONObject3.has(MapBundleKey.MapObjKey.OBJ_STATISTIC_VALUE)) {
                                        mapObj2.statisticValue = jSONObject3.getInt(MapBundleKey.MapObjKey.OBJ_STATISTIC_VALUE);
                                    }
                                    if (i8 == 22) {
                                        ItsMapObj itsMapObj = new ItsMapObj();
                                        itsMapObj.baseMapObj = mapObj2;
                                        itsMapObj.tTrafficStart = jSONObject3.getLong(MapBundleKey.MapObjKey.OBJ_TRAFFIC_EVENT_START);
                                        itsMapObj.tTrafficEnd = jSONObject3.getLong(MapBundleKey.MapObjKey.OBJ_TRAFFIC_EVENT_END);
                                        itsMapObj.strTrafficDetail = jSONObject3.getString(MapBundleKey.MapObjKey.OBJ_TRAFFIC_EVENT_DETAIL);
                                        if (arrayList2 != null) {
                                            arrayList2.add(itsMapObj);
                                        }
                                        arrayList17 = arrayList;
                                        arrayList10 = arrayList4;
                                        arrayList11 = arrayList6;
                                    } else {
                                        if (i8 == 3 || i8 == 13 || i8 == 14 || i8 == 16 || i8 == 15 || i8 == 4 || i8 == 103 || i8 == 25 || i8 == 31 || i8 == 104 || i8 == 5000 || i8 == 6018) {
                                            arrayList10 = arrayList4;
                                            arrayList11 = arrayList6;
                                            arrayList14 = arrayList7;
                                            arrayList15 = arrayList5;
                                            arrayList16 = arrayList13;
                                            arrayList17 = arrayList;
                                        } else if (i8 == 6019) {
                                            arrayList17 = arrayList;
                                            arrayList10 = arrayList4;
                                            arrayList11 = arrayList6;
                                            arrayList14 = arrayList7;
                                            arrayList15 = arrayList5;
                                            arrayList16 = arrayList13;
                                        } else {
                                            if (i8 != 8 && i8 != 1 && i8 != 2) {
                                                if (i8 != 6) {
                                                    arrayList11 = arrayList6;
                                                    if (i8 != 24) {
                                                        arrayList14 = arrayList7;
                                                        if (i8 != 1234 && i8 != 1236 && i8 != 2000 && i8 != 2001) {
                                                            if (i8 != 1235) {
                                                                if (i8 != 2002) {
                                                                    if (i8 == 1239) {
                                                                        arrayList10 = arrayList4;
                                                                        if (arrayList10 != null) {
                                                                            arrayList10.add(mapObj2);
                                                                        }
                                                                        if (getMapViewListener() != null) {
                                                                            getMapViewListener().onClickedRouteLabelObj(arrayList10);
                                                                        }
                                                                    } else {
                                                                        arrayList10 = arrayList4;
                                                                        if (i8 != 6000) {
                                                                            if (i8 == 7000) {
                                                                                arrayList15 = arrayList5;
                                                                                if (arrayList15 != null) {
                                                                                    arrayList15.add(mapObj2);
                                                                                }
                                                                            } else {
                                                                                arrayList15 = arrayList5;
                                                                                if (i8 == 6002) {
                                                                                    if (getMapViewListener() != null) {
                                                                                        getMapViewListener().onClickedTrafficUgcEventMapObj(mapObj2, jSONObject3.optBoolean("bchecked"));
                                                                                    }
                                                                                } else {
                                                                                    if (i8 != 90909 && i8 != 90910) {
                                                                                        arrayList16 = arrayList13;
                                                                                        arrayList16.add(mapObj2);
                                                                                        arrayList17 = arrayList;
                                                                                    }
                                                                                    arrayList16 = arrayList13;
                                                                                    if (getMapViewListener() != null) {
                                                                                        getMapViewListener().onClickSdkMapObj(i8, jSONObject3);
                                                                                    }
                                                                                    arrayList17 = arrayList;
                                                                                }
                                                                            }
                                                                            arrayList17 = arrayList;
                                                                            arrayList16 = arrayList13;
                                                                        } else if (getMapViewListener() != null) {
                                                                            getMapViewListener().onClickedTrafficUgcEventMapObj(mapObj2, true);
                                                                        }
                                                                    }
                                                                    arrayList12 = arrayList5;
                                                                    arrayList8 = arrayList13;
                                                                    i5 = i9;
                                                                    arrayList9 = arrayList;
                                                                    break;
                                                                } else if (getMapViewListener() != null) {
                                                                    getMapViewListener().onClickStreetSurface(mapObj2);
                                                                }
                                                            } else if (getMapViewListener() != null) {
                                                                getMapViewListener().onClickStreetArrow(mapObj2);
                                                            }
                                                            arrayList10 = arrayList4;
                                                            arrayList12 = arrayList5;
                                                            arrayList8 = arrayList13;
                                                            i5 = i9;
                                                            arrayList9 = arrayList;
                                                            break;
                                                        }
                                                        arrayList10 = arrayList4;
                                                        arrayList12 = arrayList5;
                                                        arrayList8 = arrayList13;
                                                        getMapViewListener().onClickedStreetIndoorPoi(mapObj2);
                                                        i5 = i9;
                                                        arrayList9 = arrayList;
                                                        break;
                                                    }
                                                    arrayList14 = arrayList7;
                                                    if (arrayList14 != null) {
                                                        arrayList14.add(mapObj2);
                                                    }
                                                    arrayList17 = arrayList;
                                                    arrayList10 = arrayList4;
                                                    arrayList15 = arrayList5;
                                                    arrayList16 = arrayList13;
                                                } else {
                                                    arrayList11 = arrayList6;
                                                    if (arrayList11 != null) {
                                                        arrayList11.add(mapObj2);
                                                    }
                                                    arrayList17 = arrayList;
                                                    arrayList10 = arrayList4;
                                                }
                                            }
                                            arrayList10 = arrayList4;
                                            arrayList11 = arrayList6;
                                            arrayList14 = arrayList7;
                                            arrayList15 = arrayList5;
                                            arrayList16 = arrayList13;
                                            if (arrayList10 != null) {
                                                arrayList10.add(mapObj2);
                                            }
                                            arrayList17 = arrayList;
                                        }
                                        if (arrayList17 != null) {
                                            arrayList17.add(mapObj2);
                                        }
                                    }
                                    arrayList14 = arrayList7;
                                    arrayList15 = arrayList5;
                                    arrayList16 = arrayList13;
                                }
                                i4++;
                                arrayList6 = arrayList11;
                                arrayList7 = arrayList14;
                                arrayList4 = arrayList10;
                                arrayList5 = arrayList15;
                                arrayList18 = arrayList16;
                                arrayList = arrayList17;
                                jSONArray2 = jSONArray;
                            }
                            arrayList8 = arrayList18;
                            arrayList9 = arrayList;
                            arrayList10 = arrayList4;
                            arrayList11 = arrayList6;
                            arrayList12 = arrayList5;
                            i5 = i9;
                            if (i8 != 6) {
                                if (i8 != 8) {
                                    if (i8 != 25 && i8 != 31) {
                                        if (i8 == 5000) {
                                            if (getMapViewListener() != null) {
                                                if (i5 == 27) {
                                                    getMapViewListener().onClickPolymericMapObj(arrayList9);
                                                    return true;
                                                }
                                                getMapViewListener().onClickedPoiObj(arrayList9);
                                                return true;
                                            }
                                            return true;
                                        } else if (i8 == 7000) {
                                            if (getMapViewListener() != null) {
                                                getMapViewListener().onClickedParticleEventMapObj(arrayList12);
                                                return true;
                                            }
                                            return true;
                                        } else if (i8 == 22) {
                                            if (getMapViewListener() != null) {
                                                getMapViewListener().onClickedItsMapObj(arrayList2);
                                                return true;
                                            }
                                            return true;
                                        } else if (i8 == 23) {
                                            if (getMapViewListener() != null) {
                                                getMapViewListener().onClickedMapObj(arrayList8);
                                                return true;
                                            }
                                            return true;
                                        } else if (i8 != 103 && i8 != 104) {
                                            if (i8 != 6018 && i8 != 6019) {
                                                if (i8 != 6060 && i8 != 6061) {
                                                    switch (i8) {
                                                        case 1:
                                                        case 2:
                                                            break;
                                                        case 3:
                                                        case 4:
                                                            break;
                                                        default:
                                                            switch (i8) {
                                                                case 13:
                                                                case 14:
                                                                case 15:
                                                                case 16:
                                                                    break;
                                                                case 17:
                                                                case 18:
                                                                case 19:
                                                                    break;
                                                                case 20:
                                                                    if (getMapViewListener() != null) {
                                                                        getMapViewListener().onClickedStreetPopup(GetNearlyObjID);
                                                                        return true;
                                                                    }
                                                                    return true;
                                                                default:
                                                                    return true;
                                                            }
                                                    }
                                                }
                                                if (getMapViewListener() != null) {
                                                    getMapViewListener().onClickedMapObj(arrayList8);
                                                    return true;
                                                }
                                                return true;
                                            } else if (getMapViewListener() != null) {
                                                getMapViewListener().onClickedUniversalLayerPoiEventMapObj(arrayList9);
                                                return true;
                                            } else {
                                                return true;
                                            }
                                        }
                                    }
                                    if (getMapViewListener() != null) {
                                        getMapViewListener().onClickedPoiObj(arrayList9);
                                        return true;
                                    }
                                    return true;
                                }
                                if (getMapViewListener() != null) {
                                    getMapViewListener().onClickedRouteObj(arrayList10);
                                    return true;
                                }
                                return true;
                            } else if (getMapViewListener() != null) {
                                getMapViewListener().onClickedMapObj(arrayList11);
                                return true;
                            } else {
                                return true;
                            }
                        } else if (i8 == 24) {
                            arrayList7 = new ArrayList();
                            arrayList2 = null;
                            arrayList = null;
                            arrayList4 = null;
                            arrayList6 = null;
                            arrayList5 = null;
                            i4 = 0;
                            int i92 = -1;
                            while (i4 < jSONArray2.length()) {
                            }
                            arrayList8 = arrayList18;
                            arrayList9 = arrayList;
                            arrayList10 = arrayList4;
                            arrayList11 = arrayList6;
                            arrayList12 = arrayList5;
                            i5 = i92;
                            if (i8 != 6) {
                            }
                        } else if (i8 == 1239) {
                            arrayList3 = new ArrayList();
                            arrayList4 = arrayList3;
                            arrayList2 = null;
                            arrayList = null;
                            arrayList6 = null;
                            arrayList7 = null;
                            arrayList5 = null;
                            i4 = 0;
                            int i922 = -1;
                            while (i4 < jSONArray2.length()) {
                            }
                            arrayList8 = arrayList18;
                            arrayList9 = arrayList;
                            arrayList10 = arrayList4;
                            arrayList11 = arrayList6;
                            arrayList12 = arrayList5;
                            i5 = i922;
                            if (i8 != 6) {
                            }
                        } else if (i8 == 7000) {
                            arrayList5 = new ArrayList();
                            arrayList2 = null;
                            arrayList = null;
                            arrayList4 = null;
                            arrayList6 = null;
                            arrayList7 = null;
                            i4 = 0;
                            int i9222 = -1;
                            while (i4 < jSONArray2.length()) {
                            }
                            arrayList8 = arrayList18;
                            arrayList9 = arrayList;
                            arrayList10 = arrayList4;
                            arrayList11 = arrayList6;
                            arrayList12 = arrayList5;
                            i5 = i9222;
                            if (i8 != 6) {
                            }
                        } else {
                            arrayList2 = null;
                        }
                    }
                    arrayList3 = new ArrayList();
                    arrayList4 = arrayList3;
                    arrayList2 = null;
                    arrayList = null;
                    arrayList6 = null;
                    arrayList7 = null;
                    arrayList5 = null;
                    i4 = 0;
                    int i92222 = -1;
                    while (i4 < jSONArray2.length()) {
                    }
                    arrayList8 = arrayList18;
                    arrayList9 = arrayList;
                    arrayList10 = arrayList4;
                    arrayList11 = arrayList6;
                    arrayList12 = arrayList5;
                    i5 = i92222;
                    if (i8 != 6) {
                    }
                }
                arrayList = new ArrayList();
                arrayList2 = null;
                arrayList4 = null;
                arrayList6 = null;
                arrayList7 = null;
                arrayList5 = null;
                i4 = 0;
                int i922222 = -1;
                while (i4 < jSONArray2.length()) {
                }
                arrayList8 = arrayList18;
                arrayList9 = arrayList;
                arrayList10 = arrayList4;
                arrayList11 = arrayList6;
                arrayList12 = arrayList5;
                i5 = i922222;
                if (i8 != 6) {
                }
            }
            arrayList = null;
            arrayList4 = null;
            arrayList6 = null;
            arrayList7 = null;
            arrayList5 = null;
            i4 = 0;
            int i9222222 = -1;
            while (i4 < jSONArray2.length()) {
            }
            arrayList8 = arrayList18;
            arrayList9 = arrayList;
            arrayList10 = arrayList4;
            arrayList11 = arrayList6;
            arrayList12 = arrayList5;
            i5 = i9222222;
            if (i8 != 6) {
            }
        } catch (JSONException unused2) {
            return false;
        }
    }

    private boolean c(int i, int i2) {
        int i3;
        if (a() && getMapViewListener() != null) {
            double d = this.nearlyRadius;
            double zoomUnitsInMeter = getZoomUnitsInMeter();
            Double.isNaN(d);
            String GetNearlyObjID = this.h.GetNearlyObjID(-1L, i, i2, (int) (d * zoomUnitsInMeter));
            if (GetNearlyObjID == null) {
                return false;
            }
            new ArrayList();
            try {
                JSONArray jSONArray = new JSONObject(GetNearlyObjID).getJSONArray("dataset");
                if (((JSONObject) jSONArray.get(0)).getInt(MapBundleKey.MapObjKey.OBJ_TYPE) == 7000) {
                    ArrayList arrayList = new ArrayList();
                    for (int i4 = 0; i4 < jSONArray.length(); i4++) {
                        JSONObject jSONObject = null;
                        try {
                            jSONObject = (JSONObject) jSONArray.get(i4);
                        } catch (JSONException e) {
                            e.printStackTrace();
                        }
                        if (jSONObject != null && (i3 = jSONObject.getInt(MapBundleKey.MapObjKey.OBJ_TYPE)) != 26) {
                            MapObj mapObj = new MapObj();
                            if (jSONObject.has("ud")) {
                                mapObj.strUid = jSONObject.getString("ud");
                            } else {
                                mapObj.strUid = "";
                            }
                            mapObj.strText = jSONObject.optString(MapBundleKey.MapObjKey.OBJ_TEXT);
                            if (jSONObject.has("in")) {
                                mapObj.nIndex = jSONObject.getInt("in");
                            } else if (jSONObject.has(MapBundleKey.MapObjKey.OBJ_SL_INDEX)) {
                                mapObj.nIndex = jSONObject.getInt(MapBundleKey.MapObjKey.OBJ_SL_INDEX);
                            } else {
                                mapObj.nIndex = 0;
                            }
                            if (jSONObject.has(MapBundleKey.MapObjKey.OBJ_GEO)) {
                                Point complexPtToPoint = CoordinateUtil.complexPtToPoint(jSONObject.getString(MapBundleKey.MapObjKey.OBJ_GEO));
                                Point point = mapObj.geoPt;
                                double d2 = 0.0d;
                                double intX = complexPtToPoint == null ? 0.0d : complexPtToPoint.getIntX();
                                if (complexPtToPoint != null) {
                                    d2 = complexPtToPoint.getIntY();
                                }
                                point.setTo(intX, d2);
                            } else if (jSONObject.has(MapBundleKey.MapObjKey.OBJ_SL_PTX) && jSONObject.has(MapBundleKey.MapObjKey.OBJ_SL_PTY)) {
                                mapObj.geoPt.setTo((int) jSONObject.getDouble(MapBundleKey.MapObjKey.OBJ_SL_PTX), (int) jSONObject.getDouble(MapBundleKey.MapObjKey.OBJ_SL_PTY));
                            }
                            if (jSONObject.has(MapBundleKey.MapObjKey.OBJ_SL_TIME)) {
                                mapObj.sltime = jSONObject.getInt(MapBundleKey.MapObjKey.OBJ_SL_TIME);
                            }
                            if (jSONObject.has(MapBundleKey.MapObjKey.OBJ_SL_OBJ)) {
                                mapObj.slobj = jSONObject.getInt(MapBundleKey.MapObjKey.OBJ_SL_OBJ);
                            }
                            if (jSONObject.has(MapBundleKey.MapObjKey.OBJ_SL_VISI)) {
                                mapObj.slvisi = jSONObject.getInt(MapBundleKey.MapObjKey.OBJ_SL_VISI);
                            }
                            mapObj.nType = i3;
                            if (jSONObject.has(MapBundleKey.MapObjKey.OBJ_OFFSET)) {
                                mapObj.offset = jSONObject.getInt(MapBundleKey.MapObjKey.OBJ_OFFSET);
                            }
                            if (jSONObject.has(MapBundleKey.MapObjKey.OBJ_SS_POINAME)) {
                                mapObj.ssName = jSONObject.getString(MapBundleKey.MapObjKey.OBJ_SS_POINAME);
                            }
                            if (jSONObject.has(MapBundleKey.MapObjKey.OBJ_SS_INDOOR_ID)) {
                                mapObj.ssIndoorId = jSONObject.getString(MapBundleKey.MapObjKey.OBJ_SS_INDOOR_ID);
                            }
                            if (jSONObject.has("ud")) {
                                mapObj.ssPoiUid = jSONObject.getString("ud");
                            }
                            if (jSONObject.has(MapBundleKey.MapObjKey.OBJ_DIS)) {
                                mapObj.offset = jSONObject.getInt(MapBundleKey.MapObjKey.OBJ_DIS);
                            }
                            if (jSONObject.has("x")) {
                                mapObj.geoPt.setIntX(jSONObject.getInt("x"));
                                mapObj.streetArrowCenterX = jSONObject.getDouble("x");
                            }
                            if (jSONObject.has("y")) {
                                mapObj.geoPt.setIntY(jSONObject.getInt("y"));
                                mapObj.streetArrowCenterY = jSONObject.getDouble("y");
                            }
                            if (jSONObject.has(MapBundleKey.MapObjKey.OBJ_SS_ARROW_Z)) {
                                mapObj.ssZ = jSONObject.getInt(MapBundleKey.MapObjKey.OBJ_SS_ARROW_Z);
                            }
                            if (jSONObject.has(MapBundleKey.MapObjKey.OBJ_SS_ARROW_ROTATION)) {
                                mapObj.ssRotation = jSONObject.getDouble(MapBundleKey.MapObjKey.OBJ_SS_ARROW_ROTATION);
                            }
                            if (jSONObject.has(MapBundleKey.MapObjKey.OBJ_SS_ARROW_PANOID)) {
                                mapObj.ssPanoId = jSONObject.getString(MapBundleKey.MapObjKey.OBJ_SS_ARROW_PANOID);
                            }
                            if (jSONObject.has(MapBundleKey.MapObjKey.OBJ_SS_DATA)) {
                                mapObj.ssData = jSONObject.getString(MapBundleKey.MapObjKey.OBJ_SS_DATA);
                            }
                            if (jSONObject.has(MapBundleKey.MapObjKey.OBJ_SRC)) {
                                mapObj.dynamicSrc = jSONObject.getInt(MapBundleKey.MapObjKey.OBJ_SRC);
                            } else {
                                mapObj.dynamicSrc = -1;
                            }
                            if (jSONObject.has(MapBundleKey.MapObjKey.OBJ_AD)) {
                                mapObj.ad = jSONObject.getInt(MapBundleKey.MapObjKey.OBJ_AD);
                            } else {
                                mapObj.ad = -1;
                            }
                            if (jSONObject.has(MapBundleKey.MapObjKey.OBJ_AD_STYLE)) {
                                mapObj.adstyle = jSONObject.getInt(MapBundleKey.MapObjKey.OBJ_AD_STYLE);
                            } else {
                                mapObj.adstyle = -1;
                            }
                            if (jSONObject.has(MapBundleKey.MapObjKey.OBJ_QID)) {
                                mapObj.qid = jSONObject.getString(MapBundleKey.MapObjKey.OBJ_QID);
                            } else {
                                mapObj.qid = "";
                            }
                            if (jSONObject.has(MapBundleKey.MapObjKey.OBJ_PUID)) {
                                mapObj.puid = jSONObject.getString(MapBundleKey.MapObjKey.OBJ_PUID);
                            } else {
                                mapObj.puid = "";
                            }
                            if (jSONObject.has(MapBundleKey.MapObjKey.AD_LOG)) {
                                mapObj.adLog = jSONObject.getString(MapBundleKey.MapObjKey.AD_LOG);
                            } else {
                                mapObj.adLog = "";
                            }
                            if (jSONObject.has(MapBundleKey.MapObjKey.OBJ_URL)) {
                                mapObj.url = jSONObject.getString(MapBundleKey.MapObjKey.OBJ_URL);
                            } else {
                                mapObj.url = "";
                            }
                            if (jSONObject.has(MapBundleKey.MapObjKey.OBJ_LEVEL)) {
                                mapObj.level = jSONObject.getInt(MapBundleKey.MapObjKey.OBJ_LEVEL);
                            } else {
                                mapObj.level = -1;
                            }
                            arrayList.add(mapObj);
                        }
                    }
                    getMapViewListener().onClickedParticleEventMapObj(arrayList);
                    return true;
                }
            } catch (JSONException unused) {
            }
            return false;
        }
        return false;
    }

    private void b() {
        MessageProxy.registerMessageHandler(4000, this.j);
        MessageProxy.registerMessageHandler(519, this.j);
        MessageProxy.registerMessageHandler(39, this.j);
        MessageProxy.registerMessageHandler(512, this.j);
        MessageProxy.registerMessageHandler(65297, this.j);
        MessageProxy.registerMessageHandler(UIMsg.MsgDefine.V_WM_VSTREETCLICKBACKGROUND, this.j);
        MessageProxy.registerMessageHandler(50, this.j);
        MessageProxy.registerMessageHandler(51, this.j);
        MessageProxy.registerMessageHandler(65301, this.j);
        MessageProxy.registerMessageHandler(41, this.j);
        MessageProxy.registerMessageHandler(UIMsg.MsgDefine.MSG_MAP_DATA_NET_RESPONSE, this.j);
    }

    public void saveScreenToLocal(String str) {
        saveScreenToLocal(str, 0, 0, 0, 0);
    }

    public void setMapStatus(Bundle bundle) {
        if (a()) {
            this.h.SetMapStatus(bundle);
        }
    }

    public void setMapStatus(MapStatus mapStatus) {
        if (!a() || mapStatus == null) {
            return;
        }
        Bundle bundle = new Bundle();
        bundle.putDouble(MapBundleKey.MapObjKey.OBJ_LEVEL, mapStatus.level);
        bundle.putDouble(MapBundleKey.MapObjKey.OBJ_SS_ARROW_ROTATION, mapStatus.rotation);
        bundle.putDouble("overlooking", mapStatus.overlooking);
        bundle.putDouble("centerptx", mapStatus.centerPtX);
        bundle.putDouble("centerpty", mapStatus.centerPtY);
        bundle.putDouble("centerptz", mapStatus.centerPtZ);
        bundle.putInt("left", mapStatus.winRound.left);
        bundle.putInt("right", mapStatus.winRound.right);
        bundle.putInt("top", mapStatus.winRound.top);
        bundle.putInt("bottom", mapStatus.winRound.bottom);
        bundle.putLong("gleft", mapStatus.geoRound.left);
        bundle.putLong("gbottom", mapStatus.geoRound.bottom);
        bundle.putLong("gtop", mapStatus.geoRound.top);
        bundle.putLong("gright", mapStatus.geoRound.right);
        bundle.putFloat("yoffset", mapStatus.yOffset);
        bundle.putFloat("xoffset", mapStatus.xOffset);
        bundle.putInt("animatime", mapStatus.animationTime);
        bundle.putInt("animation", mapStatus.hasAnimation);
        bundle.putInt("animationType", mapStatus.animationType);
        bundle.putInt("bfpp", mapStatus.bfpp ? 1 : 0);
        bundle.putString("panoid", mapStatus.panoId);
        bundle.putInt("autolink", 0);
        bundle.putFloat("siangle", mapStatus.streetIndicateAngle);
        bundle.putInt("isbirdeye", mapStatus.isBirdEye ? 1 : 0);
        bundle.putInt("ssext", mapStatus.streetExt);
        bundle.putFloat("roadOffsetX", mapStatus.roadOffsetX);
        bundle.putFloat("roadOffsetY", mapStatus.roadOffsetY);
        mapStatusChangeStart();
        this.h.SetMapStatus(bundle);
    }

    public void setMapStatusWithAnimation(MapStatus mapStatus, int i) {
        if (!a() || this.h == null || mapStatus == null) {
            return;
        }
        Bundle bundle = new Bundle();
        bundle.putDouble(MapBundleKey.MapObjKey.OBJ_LEVEL, mapStatus.level);
        bundle.putDouble(MapBundleKey.MapObjKey.OBJ_SS_ARROW_ROTATION, mapStatus.rotation);
        bundle.putDouble("overlooking", mapStatus.overlooking);
        bundle.putDouble("centerptx", mapStatus.centerPtX);
        bundle.putDouble("centerpty", mapStatus.centerPtY);
        bundle.putDouble("centerptz", mapStatus.centerPtZ);
        bundle.putInt("left", mapStatus.winRound.left);
        bundle.putInt("right", mapStatus.winRound.right);
        bundle.putInt("top", mapStatus.winRound.top);
        bundle.putInt("bottom", mapStatus.winRound.bottom);
        bundle.putLong("gleft", mapStatus.geoRound.left);
        bundle.putLong("gright", mapStatus.geoRound.right);
        bundle.putLong("gbottom", mapStatus.geoRound.bottom);
        bundle.putLong("gtop", mapStatus.geoRound.top);
        bundle.putFloat("xoffset", mapStatus.xOffset);
        bundle.putFloat("yoffset", mapStatus.yOffset);
        bundle.putInt("animation", 1);
        bundle.putInt("animatime", i);
        bundle.putInt("bfpp", mapStatus.bfpp ? 1 : 0);
        bundle.putString("panoid", mapStatus.panoId);
        bundle.putInt("autolink", 0);
        bundle.putFloat("siangle", mapStatus.streetIndicateAngle);
        bundle.putInt("isbirdeye", mapStatus.isBirdEye ? 1 : 0);
        bundle.putInt("ssext", mapStatus.streetExt);
        bundle.putFloat("roadOffsetX", mapStatus.roadOffsetX);
        bundle.putFloat("roadOffsetY", mapStatus.roadOffsetY);
        mapStatusChangeStart();
        this.mIsAnimating = true;
        this.h.SetMapStatus(bundle);
    }

    private void d() {
        MessageProxy.unRegisterMessageHandler(4000, this.j);
        MessageProxy.unRegisterMessageHandler(519, this.j);
        MessageProxy.unRegisterMessageHandler(39, this.j);
        MessageProxy.unRegisterMessageHandler(512, this.j);
        MessageProxy.unRegisterMessageHandler(65297, this.j);
        MessageProxy.unRegisterMessageHandler(UIMsg.MsgDefine.V_WM_VSTREETCLICKBACKGROUND, this.j);
        MessageProxy.unRegisterMessageHandler(50, this.j);
        MessageProxy.unRegisterMessageHandler(51, this.j);
        MessageProxy.unRegisterMessageHandler(65301, this.j);
        MessageProxy.unRegisterMessageHandler(41, this.j);
        MessageProxy.unRegisterMessageHandler(UIMsg.MsgDefine.MSG_MAP_DATA_NET_RESPONSE, this.j);
    }

    public void setMapStatusWithAnimation(MapStatus mapStatus, int i, int i2) {
        if (!a() || this.h == null || mapStatus == null) {
            return;
        }
        Bundle bundle = new Bundle();
        bundle.putInt("animationType", i);
        bundle.putInt("animatime", i2);
        bundle.putInt("left", mapStatus.winRound.left);
        bundle.putInt("right", mapStatus.winRound.right);
        bundle.putInt("top", mapStatus.winRound.top);
        bundle.putInt("bottom", mapStatus.winRound.bottom);
        if (i != 4) {
            bundle.putDouble(MapBundleKey.MapObjKey.OBJ_LEVEL, mapStatus.level);
            bundle.putDouble(MapBundleKey.MapObjKey.OBJ_SS_ARROW_ROTATION, mapStatus.rotation);
            bundle.putDouble("overlooking", mapStatus.overlooking);
            bundle.putDouble("centerptx", mapStatus.centerPtX);
            bundle.putDouble("centerpty", mapStatus.centerPtY);
            bundle.putDouble("centerptz", mapStatus.centerPtZ);
            bundle.putLong("gleft", mapStatus.geoRound.left);
            bundle.putLong("gright", mapStatus.geoRound.right);
            bundle.putLong("gbottom", mapStatus.geoRound.bottom);
            bundle.putLong("gtop", mapStatus.geoRound.top);
            bundle.putFloat("xoffset", mapStatus.xOffset);
            bundle.putFloat("yoffset", mapStatus.yOffset);
            bundle.putInt("bfpp", mapStatus.bfpp ? 1 : 0);
            bundle.putString("panoid", mapStatus.panoId);
            bundle.putInt("autolink", 0);
            bundle.putFloat("siangle", mapStatus.streetIndicateAngle);
            bundle.putInt("isbirdeye", mapStatus.isBirdEye ? 1 : 0);
            bundle.putInt("ssext", mapStatus.streetExt);
            bundle.putFloat("roadOffsetX", mapStatus.roadOffsetX);
            bundle.putFloat("roadOffsetY", mapStatus.roadOffsetY);
        }
        this.h.SetNewMapStatus(bundle);
    }

    private void a(MotionEvent motionEvent) {
        int x = (int) motionEvent.getX();
        int y = (int) motionEvent.getY();
        R = x;
        S = y;
        MapMsgProc(4, 0, x | (y << 16));
        T = true;
        this.K = motionEvent.getDownTime();
    }

    /* JADX WARN: Removed duplicated region for block: B:37:0x00a2  */
    /* JADX WARN: Removed duplicated region for block: B:45:0x00c6  */
    /* JADX WARN: Removed duplicated region for block: B:46:0x00ce  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    private boolean a(int i, int i2, int i3) {
        SoftReference<MapViewInterface> softReference;
        int i4;
        long j;
        int i5;
        boolean z;
        int i6;
        int i7;
        String GetNearlyObjID;
        if (!a() || (softReference = this.I) == null || softReference.get() == null) {
            return false;
        }
        MapViewInterface mapViewInterface = this.I.get();
        long j2 = 0;
        try {
            for (int size = mapViewInterface.getOverlays().size() - 1; size >= 0; size--) {
                Overlay overlay = mapViewInterface.getOverlays().get(size);
                if (overlay.mType == 27) {
                    long j3 = overlay.mLayerID;
                    try {
                        double d = this.nearlyRadius;
                        double zoomUnitsInMeter = getZoomUnitsInMeter();
                        Double.isNaN(d);
                        int i8 = (int) (d * zoomUnitsInMeter);
                        AppBaseMap appBaseMap = this.h;
                        if (appBaseMap != null && (GetNearlyObjID = appBaseMap.GetNearlyObjID(j3, i2, i3, i8)) != null && !GetNearlyObjID.equals("")) {
                            JSONObject jSONObject = (JSONObject) new JSONObject(GetNearlyObjID).getJSONArray("dataset").get(0);
                            int i9 = jSONObject.getInt("itemindex");
                            try {
                                i6 = i;
                                j = j3;
                                i7 = jSONObject.optInt("clickindex", -1);
                                i5 = i9;
                                z = true;
                                break;
                            } catch (JSONException unused) {
                                i4 = i9;
                                j2 = j3;
                                i6 = i;
                                j = j2;
                                i5 = i4;
                                z = false;
                                i7 = -1;
                                if (i6 == 1) {
                                }
                                return z;
                            }
                        }
                        j2 = j3;
                    } catch (JSONException unused2) {
                        j2 = j3;
                        i4 = -1;
                        i6 = i;
                        j = j2;
                        i5 = i4;
                        z = false;
                        i7 = -1;
                        if (i6 == 1) {
                            GeoPoint fromPixels = mapViewInterface.getProjection().fromPixels(i2, i3);
                            if (i7 == -1) {
                            }
                        }
                        return z;
                    }
                }
            }
            i6 = i;
            j = j2;
            z = false;
            i5 = -1;
        } catch (JSONException unused3) {
        }
        i7 = -1;
        if (i6 == 1 && getMapViewListener() != null && getMapView() != null && getMapView().getProjection() != null) {
            GeoPoint fromPixels2 = mapViewInterface.getProjection().fromPixels(i2, i3);
            if (i7 == -1) {
                getMapViewListener().onClickedItem(i5, i7, fromPixels2, j);
            } else {
                getMapViewListener().onClickedItem(i5, fromPixels2, j);
            }
        }
        return z;
    }

    private MapStatus a(boolean z) {
        if (!a()) {
            return new MapStatus();
        }
        Bundle GetMapStatus = this.h.GetMapStatus(z);
        if (GetMapStatus == null) {
            return new MapStatus();
        }
        MapStatus mapStatus = new MapStatus();
        mapStatus.level = (float) GetMapStatus.getDouble(MapBundleKey.MapObjKey.OBJ_LEVEL);
        mapStatus.rotation = (int) GetMapStatus.getDouble(MapBundleKey.MapObjKey.OBJ_SS_ARROW_ROTATION);
        mapStatus.overlooking = (int) GetMapStatus.getDouble("overlooking");
        mapStatus.centerPtX = GetMapStatus.getDouble("centerptx");
        mapStatus.centerPtY = GetMapStatus.getDouble("centerpty");
        mapStatus.centerPtZ = GetMapStatus.getDouble("centerptz");
        mapStatus.winRound.left = GetMapStatus.getInt("left");
        mapStatus.winRound.right = GetMapStatus.getInt("right");
        mapStatus.winRound.top = GetMapStatus.getInt("top");
        mapStatus.winRound.bottom = GetMapStatus.getInt("bottom");
        mapStatus.geoRound.left = GetMapStatus.getLong("gleft");
        mapStatus.geoRound.right = GetMapStatus.getLong("gright");
        mapStatus.geoRound.top = GetMapStatus.getLong("gtop");
        mapStatus.geoRound.bottom = GetMapStatus.getLong("gbottom");
        mapStatus.xOffset = GetMapStatus.getFloat("xoffset");
        mapStatus.yOffset = GetMapStatus.getFloat("yoffset");
        mapStatus.bfpp = GetMapStatus.getInt("bfpp") == 1;
        mapStatus.panoId = GetMapStatus.getString("panoid");
        mapStatus.streetIndicateAngle = GetMapStatus.getFloat("siangle");
        mapStatus.isBirdEye = GetMapStatus.getInt("isbirdeye") == 1;
        mapStatus.streetExt = GetMapStatus.getInt("ssext");
        mapStatus.roadOffsetX = GetMapStatus.getFloat("roadOffsetX");
        mapStatus.roadOffsetY = GetMapStatus.getFloat("roadOffsetY");
        mapStatus.bOverlookSpringback = GetMapStatus.getInt("boverlookback") == 1;
        mapStatus.minOverlooking = (int) GetMapStatus.getFloat("minoverlook");
        mapStatus.xScreenOffset = GetMapStatus.getFloat("xScreenOffset");
        mapStatus.yScreenOffset = GetMapStatus.getFloat("yScreenOffset");
        MapStatus.GeoBound geoBound = mapStatus.geoRound;
        if (geoBound.left <= -20037508) {
            geoBound.left = -20037508L;
        }
        if (geoBound.right >= 20037508) {
            geoBound.right = 20037508L;
        }
        if (geoBound.top >= 20037508) {
            geoBound.top = 20037508L;
        }
        if (geoBound.bottom <= -20037508) {
            geoBound.bottom = -20037508L;
        }
        return mapStatus;
    }
}
