package com.game.jni;

import android.annotation.SuppressLint;
import android.app.Activity;
import android.app.PendingIntent;
import android.bluetooth.BluetoothAdapter;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.content.pm.ApplicationInfo;
import android.content.pm.PackageManager;
import android.hardware.SensorManager;
import android.media.MediaPlayer;
import android.media.MediaRecorder;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.net.Uri;
import android.net.wifi.WifiInfo;
import android.net.wifi.WifiManager;
import android.os.Build;
import android.os.Bundle;
import android.os.Environment;
import android.os.Handler;
import android.os.Message;
import android.os.Vibrator;
import android.provider.MediaStore;
import android.provider.Settings;
import android.telephony.PhoneStateListener;
import android.telephony.SignalStrength;
import android.telephony.SmsManager;
import android.telephony.TelephonyManager;
import android.text.TextUtils;
import android.text.format.Time;
import android.util.Log;
import android.view.inputmethod.InputMethodManager;
import android.widget.Toast;
import androidx.core.app.ActivityCompat;
import androidx.core.content.ContextCompat;
import com.baidu.platform.comapi.map.MapBundleKey;
import com.google.firebase.crashlytics.buildtools.android.project.BuildIdWriter;
import com.google.firebase.crashlytics.buildtools.ndk.internal.elf.EMachine;
import com.tencent.bugly.Bugly;
import com.zhonglian.zlgame.wxapi.WXEntryActivity;
import java.io.BufferedReader;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.net.URL;
import java.net.URLConnection;
import java.nio.channels.FileChannel;
import java.util.Date;
import java.util.Iterator;
import java.util.zip.ZipEntry;
import java.util.zip.ZipInputStream;
import javax.xml.parsers.DocumentBuilderFactory;
import org.apache.commons.cli.HelpFormatter;
import org.json.JSONException;
import org.json.JSONObject;
import org.w3c.dom.Element;
@SuppressLint({"NewApi"})
/* loaded from: classes.dex */
public class MiscHelper {
    public static final int ALERTDIALOG_CZ_REQUEST = 20485;
    public static final int ALIPAY = 90000;
    public static final int ASK_EXITGAME = 20487;
    public static final int COPY = 20499;
    public static final int CZ = 20498;
    public static String FileName1 = null;
    public static String FileNameRecoder = null;
    public static final int LATITUDE = 20496;
    public static final int MM_ORDER = 20496;
    public static final int REQUEST_PAY = 20488;
    public static final int SDK_AUTH_FLAG = 90002;
    public static final int SDK_PAY_FLAG = 90001;
    public static final int SHOW_AVATAR_REQUEST = 20484;
    public static final int SHOW_EXIT = 20489;
    public static final int SP_DianXin = 3;
    public static final int SP_LianTong = 2;
    public static final int SP_NULL = 0;
    public static final int SP_YiDong = 1;
    public static final int STOP_LOCATION = 32785;
    private static final String TAG = "MiscHelper";
    public static final int TOAST_LONG_REQUEST = 20482;
    public static final int TOAST_SHORT_REQUEST = 20483;
    public static final int VIBRATE_REQUEST = 20481;
    public static final int WX_LOGIN = 20500;
    public static final int WX_PAY = 20501;
    public static final int WX_SHARE = 20497;
    private static Context mContext;
    private static Handler mHandler;
    private static int mSpType;
    private static MediaPlayer mediaPlayer;
    private static MediaPlayer mediaPlayer1;
    private static MyPhoneStateListener myListener;
    public static int recoderIndex;
    public static MediaRecorder recorder;
    private static TelephonyManager teleManager;
    private static WifiManager wifiManager;
    private int totalRecordTime;
    private static BroadcastReceiver sendMessage = new BroadcastReceiver() { // from class: com.game.jni.MiscHelper.3
        @Override // android.content.BroadcastReceiver
        public void onReceive(Context context, Intent intent) {
            if (getResultCode() != -1) {
                Toast.makeText(MiscHelper.mContext, "短信发送失败", 1).show();
            } else {
                Toast.makeText(context, "短信发送成功", 0).show();
            }
        }
    };
    private static BroadcastReceiver receiver = new BroadcastReceiver() { // from class: com.game.jni.MiscHelper.4
        @Override // android.content.BroadcastReceiver
        public void onReceive(Context context, Intent intent) {
            Toast.makeText(MiscHelper.mContext, "短信接受成功", 1).show();
        }
    };
    private static BroadcastReceiver rssiReceiver = new BroadcastReceiver() { // from class: com.game.jni.MiscHelper.5
        @Override // android.content.BroadcastReceiver
        public void onReceive(Context context, Intent intent) {
            Context unused = MiscHelper.mContext;
            ConnectivityManager connectivityManager = (ConnectivityManager) context.getSystemService("connectivity");
            NetworkInfo networkInfo = connectivityManager.getNetworkInfo(0);
            if (connectivityManager.getNetworkInfo(1).isConnected()) {
                if (MiscHelper.wifiManager.getWifiState() == 3) {
                    MiscHelper.nativeDispatchEvent("SetWifi", (MiscHelper.obtainWifiInfo() + 1) + "", false);
                    return;
                }
                MiscHelper.nativeDispatchEvent("SetWifi", "1", false);
                return;
            }
            networkInfo.isConnected();
        }
    };
    private static BroadcastReceiver batteryChangedReceiver = new BroadcastReceiver() { // from class: com.game.jni.MiscHelper.6
        @Override // android.content.BroadcastReceiver
        public void onReceive(Context context, Intent intent) {
            if ("android.intent.action.BATTERY_CHANGED".equals(intent.getAction())) {
                int intExtra = intent.getIntExtra(MapBundleKey.MapObjKey.OBJ_LEVEL, 0);
                int intExtra2 = intent.getIntExtra("scale", 100);
                MiscHelper.nativeDispatchEvent("SetBattery", ((intExtra * 100) / intExtra2) + "", false);
            }
        }
    };

    public static String getAvatarFile(int i, int i2, int i3) {
        return "noFile";
    }

    public static String getMMChannel() {
        return "2200125254";
    }

    public static String getPhoneIMEI() {
        return "";
    }

    public static String getPhoneIMSI() {
        return "";
    }

    public static String getPhoneMAC() {
        return "";
    }

    public static void installApk(String str) {
    }

    public static void main(String[] strArr) {
    }

    public static native void nativeDispatchEvent(String str, String str2, boolean z);

    public static native void nativeExitGame(int i);

    public static native String nativeInteractiveFunction(String str);

    public static native void nativeSetAvatar(int i);

    public static native void nativeSetBattery(int i);

    public static native void nativeSetSignal(int i);

    public static native void nativeSetTime(int i, int i2);

    public static native void nativeSetWifi(int i);

    public static native void nativesetCZResult(int i);

    public static void init(Handler handler, Context context) {
        mHandler = handler;
        mContext = context;
        try {
            teleManager = (TelephonyManager) mContext.getSystemService("phone");
            mContext.registerReceiver(rssiReceiver, new IntentFilter("android.net.wifi.RSSI_CHANGED"));
            mContext.registerReceiver(rssiReceiver, new IntentFilter("android.net.wifi.WIFI_STATE_CHANGED"));
            mContext.registerReceiver(batteryChangedReceiver, new IntentFilter("android.intent.action.BATTERY_CHANGED"));
            mContext.registerReceiver(rssiReceiver, new IntentFilter("android.net.conn.CONNECTIVITY_CHANGE"));
            mContext.registerReceiver(sendMessage, new IntentFilter("SENT_SMS_ACTION"));
            mContext.registerReceiver(receiver, new IntentFilter("DELIVERED_SMS_ACTION"));
        } catch (Exception e) {
            e.printStackTrace();
        }
        try {
            Context context2 = mContext;
            Context context3 = mContext;
            wifiManager = (WifiManager) context2.getSystemService("wifi");
            startTimerThread();
            mSpType = PhoneUtil.getPhoneInfoVo(context).getSpType();
        } catch (Exception e2) {
            e2.printStackTrace();
        }
    }

    public static void onResume() {
        try {
            mContext.registerReceiver(rssiReceiver, new IntentFilter("android.net.wifi.RSSI_CHANGED"));
            mContext.registerReceiver(rssiReceiver, new IntentFilter("android.net.wifi.WIFI_STATE_CHANGED"));
            mContext.registerReceiver(batteryChangedReceiver, new IntentFilter("android.intent.action.BATTERY_CHANGED"));
            mContext.registerReceiver(rssiReceiver, new IntentFilter("android.net.conn.CONNECTIVITY_CHANGE"));
            mContext.registerReceiver(sendMessage, new IntentFilter("SENT_SMS_ACTION"));
            mContext.registerReceiver(receiver, new IntentFilter("DELIVERED_SMS_ACTION"));
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public static void onPause() {
        teleManager.listen(myListener, 0);
        mContext.unregisterReceiver(rssiReceiver);
        mContext.unregisterReceiver(batteryChangedReceiver);
        mContext.unregisterReceiver(sendMessage);
        mContext.unregisterReceiver(receiver);
    }

    public static void startRecord() {
        try {
            StringBuilder sb = new StringBuilder();
            WXEntryActivity.getInstance();
            sb.append(WXEntryActivity.getContext().getFilesDir().getPath());
            sb.append("/");
            sb.append(getPackageName());
            sb.append("/record/");
            String sb2 = sb.toString();
            File file = new File(sb2);
            if (!file.exists()) {
                file.mkdirs();
            }
            recoderIndex++;
            if (recoderIndex == 10) {
                recoderIndex = 11;
            }
            if (recoderIndex > 19) {
                recoderIndex = 11;
            }
            FileNameRecoder = sb2 + "audiorecord" + (recoderIndex % 10) + ".amr";
            if (recoderIndex > 10) {
                deleteVoiceFile(FileNameRecoder);
            }
            File file2 = new File(FileNameRecoder);
            if (!file2.exists()) {
                file2.createNewFile();
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (Build.VERSION.SDK_INT >= 23) {
            String[] strArr = {"android.permission.RECORD_AUDIO", "android.permission.WRITE_EXTERNAL_STORAGE", "android.permission.READ_EXTERNAL_STORAGE"};
            for (String str : strArr) {
                if (ContextCompat.checkSelfPermission(WXEntryActivity.getInstance(), str) != 0) {
                    ActivityCompat.requestPermissions(WXEntryActivity.getInstance(), strArr, 101);
                    return;
                }
            }
        }
        recorder = new MediaRecorder();
        recorder.setAudioSource(1);
        recorder.setOutputFormat(3);
        recorder.setAudioEncoder(1);
        recorder.setOutputFile(FileNameRecoder);
        try {
            recorder.prepare();
            recorder.start();
        } catch (IOException e2) {
            e2.printStackTrace();
        } catch (IllegalStateException e3) {
            e3.printStackTrace();
        }
    }

    public static void stopRecord(int i) {
        if (recorder != null) {
            try {
                recorder.setOnErrorListener(null);
                recorder.setOnInfoListener(null);
                recorder.setPreviewDisplay(null);
                recorder.stop();
                recorder.release();
                recorder = null;
            } catch (Exception e) {
                e.printStackTrace();
            }
            if (i == 0) {
                deleteVoiceFile(FileNameRecoder);
                recoderIndex--;
            } else if (isRecordSucc(FileNameRecoder, 1) == 1) {
                nativeDispatchEvent("EndRecord", FileNameRecoder, false);
            }
        }
    }

    private static void stopVoice() {
        if (mediaPlayer != null) {
            try {
                mediaPlayer.stop();
            } catch (Exception e) {
                e.printStackTrace();
            } finally {
                mediaPlayer.release();
                mediaPlayer = null;
            }
        }
    }

    private static void deleteVoiceFile(String str) {
        if (str != null) {
            try {
                File file = new File(str);
                if (file.exists()) {
                    file.delete();
                }
            } catch (Exception e) {
                e.printStackTrace();
            }
        }
    }

    private static int isHaveFileSucc(String str, int i) {
        mediaPlayer = MediaPlayer.create(mContext, Uri.parse(str));
        if (mediaPlayer != null) {
            if (i != 1 || mediaPlayer.getDuration() / 1000 >= 1) {
                return 1;
            }
            nativeDispatchEvent("TOAST", "录音时间过短,请重新录制", false);
            try {
                mediaPlayer.stop();
                return 0;
            } catch (Exception e) {
                e.printStackTrace();
                return 0;
            } finally {
                mediaPlayer.release();
                mediaPlayer = null;
            }
        }
        return 0;
    }

    private static int isRecordSucc(String str, int i) {
        mediaPlayer1 = MediaPlayer.create(mContext, Uri.parse(str));
        if (mediaPlayer1 != null) {
            if (i == 1) {
                try {
                    if (mediaPlayer1.getDuration() / 1000 < 1) {
                        nativeDispatchEvent("TOAST", "录音时间过短,请重新录制", false);
                        return 0;
                    }
                } catch (Exception e) {
                    e.printStackTrace();
                    return 1;
                } finally {
                    mediaPlayer1.stop();
                    mediaPlayer1.release();
                }
            }
            try {
            } catch (Exception e2) {
                e2.printStackTrace();
            }
            return 1;
        }
        return 0;
    }

    public static void playRecord(String str) {
        try {
            stopVoice();
            if (str != null) {
                if (isHaveFileSucc(str, 0) == 0) {
                    nativeDispatchEvent("EndVoice", "EndVoice", true);
                    return;
                }
                mediaPlayer.setOnCompletionListener(new MediaPlayer.OnCompletionListener() { // from class: com.game.jni.MiscHelper.1
                    @Override // android.media.MediaPlayer.OnCompletionListener
                    public void onCompletion(MediaPlayer mediaPlayer2) {
                        try {
                            MiscHelper.mediaPlayer.stop();
                        } catch (Exception e) {
                            e.printStackTrace();
                        } finally {
                            MiscHelper.mediaPlayer.release();
                            MediaPlayer unused = MiscHelper.mediaPlayer = null;
                            MiscHelper.nativeDispatchEvent("EndVoice", "EndVoice", false);
                        }
                    }
                });
                try {
                    mediaPlayer.start();
                } catch (Exception e) {
                    nativeDispatchEvent("EndVoice", "EndVoice", true);
                    e.printStackTrace();
                }
            }
        } catch (Exception unused) {
            nativeDispatchEvent("EndVoice", "EndVoice", true);
        }
    }

    private static void startTimerThread() {
        new Thread(new Runnable() { // from class: com.game.jni.MiscHelper.2
            @Override // java.lang.Runnable
            public void run() {
                try {
                    Thread.sleep(10000L);
                    while (true) {
                        Time time = new Time();
                        time.setToNow();
                        MiscHelper.nativeSetTime(time.hour, time.minute);
                        Thread.sleep(10000L);
                    }
                } catch (Exception unused) {
                }
            }
        }).start();
    }

    public static String geAvatarShortPath(int i, int i2) {
        String str = "image_" + i + ".png";
        String mD5Str = MD5.getMD5Str(str);
        if (mD5Str != "" && mD5Str != null) {
            try {
                String str2 = "/" + mD5Str.charAt(0) + mD5Str.charAt(1) + "/" + mD5Str.charAt(2) + mD5Str.charAt(3);
                File file = new File(str2);
                if (!file.exists()) {
                    file.mkdirs();
                }
                str = str2 + "/image_" + i + ".png";
            } catch (Exception unused) {
                str = "";
            }
        }
        Log.d("heaer uri", str);
        return str;
    }

    public static String geAvatarPath(int i, int i2) {
        if (WXEntryActivity.hasSdcard()) {
            String str = "image_" + i + ".bin";
            String mD5Str = MD5.getMD5Str(str);
            if (mD5Str != "" && mD5Str != null) {
                try {
                    String str2 = Environment.getExternalStorageDirectory().getAbsolutePath() + "/" + getPackageName() + "/avatars/" + mD5Str.charAt(0) + mD5Str.charAt(1) + "/" + mD5Str.charAt(2) + mD5Str.charAt(3);
                    File file = new File(str2);
                    if (!file.exists()) {
                        file.mkdirs();
                    }
                    str = str2 + "/image_" + i + ".bin";
                } catch (Exception unused) {
                    str = "";
                }
            }
            Log.e("heaer", str);
            return str;
        }
        return "";
    }

    public static boolean hasAvatarOnSDCard(int i, int i2, int i3) {
        String geAvatarPath = geAvatarPath(i, i2);
        if (geAvatarPath != "" && geAvatarPath != null) {
            File file = new File(geAvatarPath);
            if (file.exists()) {
                if (System.currentTimeMillis() - file.lastModified() < i3 * 1000) {
                    return true;
                }
            }
        }
        return false;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public static int obtainWifiInfo() {
        WifiInfo connectionInfo = wifiManager.getConnectionInfo();
        if (connectionInfo.getBSSID() != null) {
            return WifiManager.calculateSignalLevel(connectionInfo.getRssi(), 4);
        }
        return 0;
    }

    /* loaded from: classes.dex */
    public static class MyPhoneStateListener extends PhoneStateListener {
        /* JADX WARN: Removed duplicated region for block: B:27:0x0049  */
        /* JADX WARN: Removed duplicated region for block: B:28:0x004d  */
        @Override // android.telephony.PhoneStateListener
        /*
            Code decompiled incorrectly, please refer to instructions dump.
        */
        public void onSignalStrengthsChanged(SignalStrength signalStrength) {
            int cdmaDbm;
            int i;
            super.onSignalStrengthsChanged(signalStrength);
            if (signalStrength.isGsm()) {
                if (signalStrength.getGsmSignalStrength() != 99) {
                    cdmaDbm = signalStrength.getGsmSignalStrength();
                } else {
                    cdmaDbm = signalStrength.getGsmSignalStrength();
                }
            } else {
                cdmaDbm = (signalStrength.getCdmaDbm() + EMachine.EM_ALTERA_NIOS2) / 2;
            }
            if (cdmaDbm > 2 && cdmaDbm != 99) {
                if (cdmaDbm >= 12) {
                    i = 4;
                } else if (cdmaDbm >= 9) {
                    i = 3;
                } else if (cdmaDbm >= 6) {
                    i = 2;
                } else if (cdmaDbm >= 2) {
                    i = 1;
                }
                if (MiscHelper.teleManager.getDataState() != 2) {
                    MiscHelper.nativeSetSignal(i);
                    return;
                } else {
                    MiscHelper.nativeSetSignal(0);
                    return;
                }
            }
            i = 0;
            if (MiscHelper.teleManager.getDataState() != 2) {
            }
        }

        @Override // android.telephony.PhoneStateListener
        public void onDataConnectionStateChanged(int i) {
            super.onDataConnectionStateChanged(i);
        }
    }

    public static void Vibrate(Activity activity, int i) {
        ((Vibrator) activity.getSystemService("vibrator")).vibrate(i);
    }

    public static void Vibrate(Activity activity, long[] jArr, boolean z) {
        ((Vibrator) activity.getSystemService("vibrator")).vibrate(jArr, z ? 1 : -1);
    }

    public static void setVibrate() {
        Message obtainMessage = mHandler.obtainMessage();
        obtainMessage.what = VIBRATE_REQUEST;
        obtainMessage.sendToTarget();
    }

    public static String getpf() {
        Message obtainMessage = mHandler.obtainMessage();
        obtainMessage.what = 20496;
        obtainMessage.sendToTarget();
        return "";
    }

    public static void showToast(String str, int i) {
        Message obtainMessage = mHandler.obtainMessage();
        if (i == 0) {
            obtainMessage.what = TOAST_LONG_REQUEST;
        } else {
            obtainMessage.what = TOAST_SHORT_REQUEST;
        }
        obtainMessage.obj = str;
        obtainMessage.sendToTarget();
    }

    public static void alertDialog(String str, int i) {
        Message obtainMessage = mHandler.obtainMessage();
        if (i == 0) {
            obtainMessage.what = ALERTDIALOG_CZ_REQUEST;
        } else if (i == 100) {
            obtainMessage.what = ASK_EXITGAME;
        } else if (i == 200) {
            obtainMessage.what = SHOW_EXIT;
        }
        obtainMessage.obj = str;
        obtainMessage.sendToTarget();
    }

    public static boolean isOpenNetwork() {
        ConnectivityManager connectivityManager = (ConnectivityManager) mContext.getSystemService("connectivity");
        if (connectivityManager.getActiveNetworkInfo() != null) {
            return connectivityManager.getActiveNetworkInfo().isAvailable();
        }
        return false;
    }

    public static void saveFileToSDCard(String str, String str2) {
        FileOutputStream fileOutputStream;
        if (WXEntryActivity.hasSdcard()) {
            FileOutputStream fileOutputStream2 = null;
            try {
                try {
                    try {
                        WXEntryActivity.getInstance();
                        File file = new File(WXEntryActivity.getContext().getFilesDir().getPath(), str);
                        if (!file.exists()) {
                            file.createNewFile();
                        }
                        fileOutputStream = new FileOutputStream(file, false);
                    } catch (Exception e) {
                        e = e;
                    }
                } catch (Throwable th) {
                    th = th;
                }
                try {
                    fileOutputStream.write(str2.getBytes());
                    fileOutputStream.close();
                } catch (Exception e2) {
                    fileOutputStream2 = fileOutputStream;
                    e = e2;
                    e.printStackTrace();
                    fileOutputStream2.close();
                } catch (Throwable th2) {
                    fileOutputStream2 = fileOutputStream;
                    th = th2;
                    try {
                        fileOutputStream2.close();
                    } catch (Exception e3) {
                        e3.printStackTrace();
                    }
                    throw th;
                }
            } catch (Exception e4) {
                e4.printStackTrace();
            }
        }
    }

    public static String getContentFromSDCard(String str) {
        FileInputStream fileInputStream;
        if (!WXEntryActivity.hasSdcard()) {
            return "";
        }
        String str2 = "";
        FileInputStream fileInputStream2 = null;
        try {
            try {
                try {
                    File file = new File(Environment.getExternalStorageDirectory(), str);
                    if (file.exists()) {
                        fileInputStream = new FileInputStream(file);
                        try {
                            byte[] bArr = new byte[(int) file.length()];
                            fileInputStream.read(bArr);
                            str2 = new String(bArr);
                        } catch (Exception e) {
                            fileInputStream2 = fileInputStream;
                            e = e;
                            e.printStackTrace();
                            if (fileInputStream2 != null) {
                                fileInputStream2.close();
                            }
                            return str2;
                        } catch (Throwable th) {
                            th = th;
                            fileInputStream2 = fileInputStream;
                            if (fileInputStream2 != null) {
                                try {
                                    fileInputStream2.close();
                                } catch (Exception e2) {
                                    e2.printStackTrace();
                                }
                            }
                            throw th;
                        }
                    } else {
                        fileInputStream = null;
                    }
                } catch (Exception e3) {
                    e3.printStackTrace();
                }
            } catch (Exception e4) {
                e = e4;
            }
            if (fileInputStream != null) {
                fileInputStream.close();
            }
            return str2;
        } catch (Throwable th2) {
            th = th2;
        }
    }

    public static void saveChatFileToSDCard(int i, int i2, String str) {
        FileWriter fileWriter;
        if (WXEntryActivity.hasSdcard()) {
            String str2 = "chat_" + i2 + ".bin";
            FileWriter fileWriter2 = null;
            try {
                try {
                    try {
                        String str3 = Environment.getExternalStorageDirectory().getAbsolutePath() + "/" + getPackageName() + "/chat/" + i;
                        File file = new File(str3);
                        if (!file.exists()) {
                            file.mkdirs();
                        }
                        File file2 = new File(str3 + "/" + str2);
                        if (!file2.exists()) {
                            file2.createNewFile();
                        }
                        fileWriter = new FileWriter(file2, true);
                    } catch (Exception e) {
                        e = e;
                    }
                } catch (Throwable th) {
                    th = th;
                }
                try {
                    fileWriter.write(str);
                    fileWriter.flush();
                    fileWriter.close();
                } catch (Exception e2) {
                    fileWriter2 = fileWriter;
                    e = e2;
                    e.printStackTrace();
                    fileWriter2.close();
                } catch (Throwable th2) {
                    fileWriter2 = fileWriter;
                    th = th2;
                    try {
                        fileWriter2.close();
                    } catch (Exception e3) {
                        e3.printStackTrace();
                    }
                    throw th;
                }
            } catch (Exception e4) {
                e4.printStackTrace();
            }
        }
    }

    /* JADX WARN: Removed duplicated region for block: B:51:0x00bb A[Catch: Exception -> 0x00b7, TRY_LEAVE, TryCatch #4 {Exception -> 0x00b7, blocks: (B:47:0x00b3, B:51:0x00bb), top: B:56:0x00b3 }] */
    /* JADX WARN: Removed duplicated region for block: B:56:0x00b3 A[EXC_TOP_SPLITTER, SYNTHETIC] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static String getChatContentFromSDCard(int i, int i2) {
        FileReader fileReader;
        FileReader fileReader2;
        BufferedReader bufferedReader;
        if (WXEntryActivity.hasSdcard()) {
            String str = "chat_" + i2 + ".bin";
            StringBuilder sb = new StringBuilder();
            BufferedReader bufferedReader2 = null;
            try {
                try {
                    File file = new File(Environment.getExternalStorageDirectory().getAbsolutePath() + "/" + getPackageName() + "/chat/" + i + "/" + str);
                    if (file.exists()) {
                        fileReader = new FileReader(file);
                        try {
                            bufferedReader = new BufferedReader(fileReader);
                            while (true) {
                                try {
                                    String readLine = bufferedReader.readLine();
                                    if (readLine == null) {
                                        break;
                                    }
                                    sb.append(readLine);
                                } catch (Exception e) {
                                    fileReader2 = fileReader;
                                    e = e;
                                    bufferedReader2 = bufferedReader;
                                    try {
                                        e.printStackTrace();
                                        if (bufferedReader2 != null) {
                                            bufferedReader2.close();
                                        }
                                        if (fileReader2 != null) {
                                            fileReader2.close();
                                        }
                                        return sb.toString();
                                    } catch (Throwable th) {
                                        th = th;
                                        fileReader = fileReader2;
                                        if (bufferedReader2 != null) {
                                            try {
                                                bufferedReader2.close();
                                            } catch (Exception e2) {
                                                e2.printStackTrace();
                                                throw th;
                                            }
                                        }
                                        if (fileReader != null) {
                                            fileReader.close();
                                        }
                                        throw th;
                                    }
                                } catch (Throwable th2) {
                                    th = th2;
                                    bufferedReader2 = bufferedReader;
                                    if (bufferedReader2 != null) {
                                    }
                                    if (fileReader != null) {
                                    }
                                    throw th;
                                }
                            }
                        } catch (Exception e3) {
                            fileReader2 = fileReader;
                            e = e3;
                        } catch (Throwable th3) {
                            th = th3;
                        }
                    } else {
                        fileReader = null;
                        bufferedReader = null;
                    }
                    if (bufferedReader != null) {
                        bufferedReader.close();
                    }
                    if (fileReader != null) {
                        fileReader.close();
                    }
                } catch (Exception e4) {
                    e4.printStackTrace();
                }
            } catch (Exception e5) {
                e = e5;
                fileReader2 = null;
            } catch (Throwable th4) {
                th = th4;
                fileReader = null;
            }
            return sb.toString();
        }
        return "";
    }

    public static int delChatContentFromSDCard(int i, int i2) {
        if (WXEntryActivity.hasSdcard()) {
            File file = new File(Environment.getExternalStorageDirectory().getAbsolutePath() + "/" + getPackageName() + "/chat/" + i + "/" + ("chat_" + i2 + ".bin"));
            if (file.exists()) {
                file.delete();
                return 1;
            }
            return 0;
        }
        return 0;
    }

    public static int isWiFiActive() {
        NetworkInfo[] allNetworkInfo;
        ConnectivityManager connectivityManager = (ConnectivityManager) mContext.getSystemService("connectivity");
        if (connectivityManager != null && (allNetworkInfo = connectivityManager.getAllNetworkInfo()) != null) {
            for (NetworkInfo networkInfo : allNetworkInfo) {
                if (networkInfo.getTypeName().equals("WIFI") && networkInfo.isConnected()) {
                    return 1;
                }
            }
        }
        return 0;
    }

    public static int isIMEOpen() {
        return ((InputMethodManager) mContext.getSystemService("input_method")).isActive() ? 1 : 0;
    }

    public static String getVerName() {
        return Utils.getVerName(mContext);
    }

    public static int getVerCode() {
        return Utils.getVerCode(mContext);
    }

    public static String getPackageName() {
        return WXEntryActivity.getInstance().getPackageName();
    }

    public static int getChannelId() {
        return Utils.getChannelId(mContext, "CHANNEL_ID");
    }

    public static String getMobileChannel(Context context) {
        String str = getChannelId() + "";
        try {
            ZipInputStream zipInputStream = new ZipInputStream(new FileInputStream(context.getPackageCodePath()));
            while (true) {
                ZipEntry nextEntry = zipInputStream.getNextEntry();
                if (nextEntry == null) {
                    break;
                }
                String name = nextEntry.getName();
                if (!nextEntry.isDirectory() && name.equalsIgnoreCase("mmiap.xml")) {
                    str = ((Element) ((Element) DocumentBuilderFactory.newInstance().newDocumentBuilder().parse(zipInputStream).getElementsByTagName("data").item(0)).getElementsByTagName("channel").item(0)).getTextContent();
                }
            }
            zipInputStream.close();
        } catch (Exception e) {
            e.printStackTrace();
        }
        return str;
    }

    public static void sendSMS(String str, String str2) {
        SmsManager smsManager = SmsManager.getDefault();
        PendingIntent broadcast = PendingIntent.getBroadcast(mContext, 0, new Intent("SENT_SMS_ACTION"), 0);
        PendingIntent broadcast2 = PendingIntent.getBroadcast(mContext, 0, new Intent("DELIVERED_SMS_ACTION"), 0);
        if (str2.length() > 70) {
            Iterator<String> it = smsManager.divideMessage(str2).iterator();
            while (it.hasNext()) {
                smsManager.sendTextMessage(str, null, it.next(), broadcast, broadcast2);
            }
            return;
        }
        smsManager.sendTextMessage(str, null, str2, broadcast, broadcast2);
    }

    public static void openURL(String str) {
        Intent intent = new Intent("android.intent.action.VIEW");
        intent.setData(Uri.parse(str));
        intent.addFlags(268435456);
        mContext.startActivity(intent);
        ((Activity) mContext).finish();
    }

    public static void shareToWX(String str, String str2, int i, String str3, String str4) {
        Message obtainMessage = mHandler.obtainMessage();
        obtainMessage.what = WX_SHARE;
        Bundle bundle = new Bundle();
        bundle.putString(MapBundleKey.MapObjKey.OBJ_URL, str2);
        bundle.putInt("ways", i);
        bundle.putString("title", str3);
        bundle.putString("content", str4);
        obtainMessage.setData(bundle);
        obtainMessage.sendToTarget();
    }

    public static void Pay_WXPay(String str, String str2, String str3, String str4, String str5, String str6) {
        Message obtainMessage = mHandler.obtainMessage();
        obtainMessage.what = WX_PAY;
        Bundle bundle = new Bundle();
        bundle.putString("partnerid", str);
        bundle.putString("prepayid", str2);
        bundle.putString("package1", str3);
        bundle.putString("noncestr", str4);
        bundle.putString("timestamp", str5);
        bundle.putString("sign", str6);
        obtainMessage.setData(bundle);
        obtainMessage.sendToTarget();
    }

    public static void WXLogin() {
        Message obtainMessage = mHandler.obtainMessage();
        obtainMessage.what = WX_LOGIN;
        obtainMessage.sendToTarget();
    }

    public static String getTelNumber() {
        return ((TelephonyManager) mContext.getSystemService("phone")).getLine1Number();
    }

    public static String getPhoneDeviceType() {
        return Build.MODEL;
    }

    public static int getPhoneSpType() {
        return mSpType;
    }

    public static void copy(String str) {
        Message obtainMessage = mHandler.obtainMessage();
        obtainMessage.what = COPY;
        Bundle bundle = new Bundle();
        bundle.putString("content", str);
        obtainMessage.setData(bundle);
        obtainMessage.sendToTarget();
    }

    public static void mycopy(String str) {
        WXEntryActivity.getInstance().Mycopy(str);
    }

    public static String getAppInterMetaStr(String str) {
        return getAppInterMetaStr(mContext, str);
    }

    public static String Uri_encode(String str, String str2) {
        if (str2.length() < 1) {
            str2 = "{}[]\":.,'%&?=/_";
        }
        return Uri.encode(str, str2);
    }

    public static int getAppInterMetaInt(String str) {
        return getAppInterMetaInt(mContext, str);
    }

    public static String getAppInterMetaStr(Context context, String str) {
        try {
            return context.getPackageManager().getApplicationInfo(context.getPackageName(), 128).metaData.getString(str);
        } catch (PackageManager.NameNotFoundException unused) {
            return "0";
        }
    }

    public static int getAppInterMetaInt(Context context, String str) {
        try {
            return context.getPackageManager().getApplicationInfo(context.getPackageName(), 128).metaData.getInt(str);
        } catch (PackageManager.NameNotFoundException unused) {
            return 0;
        }
    }

    /* JADX WARN: Removed duplicated region for block: B:40:0x00c8 A[Catch: IOException -> 0x00c4, TRY_LEAVE, TryCatch #3 {IOException -> 0x00c4, blocks: (B:36:0x00c0, B:40:0x00c8), top: B:44:0x00c0 }] */
    /* JADX WARN: Removed duplicated region for block: B:44:0x00c0 A[EXC_TOP_SPLITTER, SYNTHETIC] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public static String sendPost(String str, String str2) {
        BufferedReader bufferedReader;
        String str3 = "";
        String str4 = str2 + "&value=" + WXEntryActivity.getInstance().m_result;
        PrintWriter printWriter = null;
        try {
            try {
                URLConnection openConnection = new URL(str).openConnection();
                openConnection.setRequestProperty("accept", "*/*");
                openConnection.setRequestProperty("connection", "Keep-Alive");
                openConnection.setRequestProperty("user-agent", "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1;SV1)");
                openConnection.setDoOutput(true);
                openConnection.setDoInput(true);
                PrintWriter printWriter2 = new PrintWriter(openConnection.getOutputStream());
                try {
                    printWriter2.print(str4);
                    printWriter2.flush();
                    bufferedReader = new BufferedReader(new InputStreamReader(openConnection.getInputStream()));
                    while (true) {
                        try {
                            String readLine = bufferedReader.readLine();
                            if (readLine == null) {
                                break;
                            }
                            str3 = str3 + readLine;
                        } catch (Exception e) {
                            e = e;
                            printWriter = printWriter2;
                            try {
                                System.out.println("发送 POST 请求出现异常！" + e);
                                e.printStackTrace();
                                if (printWriter != null) {
                                    printWriter.close();
                                }
                                if (bufferedReader != null) {
                                    bufferedReader.close();
                                }
                                nativeDispatchEvent("POSTRESULT", str3, false);
                                return str3;
                            } catch (Throwable th) {
                                th = th;
                                if (printWriter != null) {
                                    try {
                                        printWriter.close();
                                    } catch (IOException e2) {
                                        e2.printStackTrace();
                                        throw th;
                                    }
                                }
                                if (bufferedReader != null) {
                                    bufferedReader.close();
                                }
                                throw th;
                            }
                        } catch (Throwable th2) {
                            th = th2;
                            printWriter = printWriter2;
                            if (printWriter != null) {
                            }
                            if (bufferedReader != null) {
                            }
                            throw th;
                        }
                    }
                    printWriter2.close();
                    bufferedReader.close();
                } catch (Exception e3) {
                    e = e3;
                    bufferedReader = null;
                } catch (Throwable th3) {
                    th = th3;
                    bufferedReader = null;
                }
            } catch (IOException e4) {
                e4.printStackTrace();
            }
        } catch (Exception e5) {
            e = e5;
            bufferedReader = null;
        } catch (Throwable th4) {
            th = th4;
            bufferedReader = null;
        }
        nativeDispatchEvent("POSTRESULT", str3, false);
        return str3;
    }

    public static String getPhoneOSVersion() {
        String str = Build.VERSION.RELEASE;
        return str == null ? "" : str;
    }

    public static void toExitGame() {
        ((Activity) mContext).finish();
        System.exit(0);
    }

    public static void gc() {
        System.gc();
    }

    public static void showMemory() {
        Log.d("内存剩余", Runtime.getRuntime().freeMemory() + "");
    }

    public static String getHomePath() {
        StringBuilder sb = new StringBuilder();
        WXEntryActivity.getInstance();
        sb.append(WXEntryActivity.getContext().getExternalFilesDir(null).getAbsolutePath());
        sb.append("/");
        sb.append(getPackageName());
        sb.append("/");
        return sb.toString();
    }

    public static void checkDeleteFile(File file) {
        if (file.exists()) {
            if (file.isFile()) {
                deleteFile(file);
            } else if (file.isDirectory()) {
                File[] listFiles = file.listFiles();
                if (listFiles == null || listFiles.length == 0) {
                    file.delete();
                    return;
                }
                for (File file2 : listFiles) {
                    checkDeleteFile(file2);
                }
            }
        }
    }

    public static void deleteFile(File file) {
        if (file.getName().indexOf(".png") != -1) {
            file.delete();
            return;
        }
        if (System.currentTimeMillis() - file.lastModified() >= 259200000) {
            file.delete();
        }
    }

    public static String getPackage() {
        try {
            ApplicationInfo applicationInfo = mContext.getPackageManager().getApplicationInfo(getPackageName(), 8192);
            return applicationInfo != null ? applicationInfo.sourceDir : "";
        } catch (Exception e) {
            e.printStackTrace();
            return "";
        }
    }

    public static boolean isSimCard() {
        return PhoneUtil.getPhoneInfoVo(mContext).getSpType() != -1;
    }

    public static String[] getCpuInfo() {
        String[] strArr = {"", ""};
        try {
            BufferedReader bufferedReader = new BufferedReader(new FileReader("/proc/cpuinfo"), 8192);
            String[] split = bufferedReader.readLine().split("\\s+");
            for (int i = 2; i < split.length; i++) {
                strArr[0] = strArr[0] + split[i] + HelpFormatter.DEFAULT_LONG_OPT_SEPARATOR;
            }
            String[] split2 = bufferedReader.readLine().split("\\s+");
            strArr[1] = strArr[1] + split2[2];
            bufferedReader.close();
        } catch (IOException unused) {
        }
        Log.i(TAG, "cpuinfo:" + strArr[0] + HelpFormatter.DEFAULT_LONG_OPT_SEPARATOR + strArr[1]);
        return strArr;
    }

    @SuppressLint({"NewApi"})
    public static String isNeedRestratApplication(String str) throws IOException {
        String str2 = mContext.getFilesDir() + "/lib/libcocos2dlua.so";
        File file = new File(str);
        Log.d(TAG, "str=" + str2);
        if (file.exists()) {
            copyFile(file, new File(str2));
            file.delete();
            return "true";
        }
        return Bugly.SDK_IS_DEV;
    }

    public static int isAndroidSimulator() {
        return !isSimCard() ? 1 : 0;
    }

    public long getSystime() {
        return new Date().getTime();
    }

    public static void copyFile(File file, File file2) throws IOException {
        FileChannel fileChannel;
        if (!file2.exists()) {
            file2.getParentFile().mkdirs();
            file2.createNewFile();
        }
        FileChannel fileChannel2 = null;
        try {
            FileChannel channel = new FileInputStream(file).getChannel();
            try {
                fileChannel = new FileOutputStream(file2).getChannel();
                try {
                    fileChannel.transferFrom(channel, 0L, channel.size());
                    if (channel != null) {
                        channel.close();
                    }
                    if (fileChannel != null) {
                        fileChannel.close();
                    }
                } catch (Throwable th) {
                    fileChannel2 = channel;
                    th = th;
                    if (fileChannel2 != null) {
                        fileChannel2.close();
                    }
                    if (fileChannel != null) {
                        fileChannel.close();
                    }
                    throw th;
                }
            } catch (Throwable th2) {
                fileChannel2 = channel;
                th = th2;
                fileChannel = null;
            }
        } catch (Throwable th3) {
            th = th3;
            fileChannel = null;
        }
    }

    private static boolean notHasBlueTooth() {
        BluetoothAdapter defaultAdapter = BluetoothAdapter.getDefaultAdapter();
        return defaultAdapter == null || TextUtils.isEmpty(defaultAdapter.getName());
    }

    public static boolean notHasLightSensorManager(Context context) {
        return ((SensorManager) context.getSystemService("sensor")).getDefaultSensor(5) == null;
    }

    public static boolean ifFeatures() {
        return Build.FINGERPRINT.startsWith("generic") || Build.FINGERPRINT.toLowerCase().contains("vbox") || Build.FINGERPRINT.toLowerCase().contains("test-keys") || Build.MODEL.contains("google_sdk") || Build.MODEL.contains("Emulator") || Build.MODEL.contains("Android SDK built for x86") || Build.MANUFACTURER.contains("Genymotion") || (Build.BRAND.startsWith("generic") && Build.DEVICE.startsWith("generic")) || "google_sdk".equals(Build.PRODUCT);
    }

    public static boolean checkIsNotRealPhone() {
        String readCpuInfo = readCpuInfo();
        return readCpuInfo.contains("intel") || readCpuInfo.contains("amd");
    }

    public static String readCpuInfo() {
        try {
            Process start = new ProcessBuilder("/system/bin/cat", "/proc/cpuinfo").start();
            StringBuffer stringBuffer = new StringBuffer();
            BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(start.getInputStream(), "utf-8"));
            while (true) {
                String readLine = bufferedReader.readLine();
                if (readLine != null) {
                    stringBuffer.append(readLine);
                } else {
                    bufferedReader.close();
                    return stringBuffer.toString().toLowerCase();
                }
            }
        } catch (IOException e) {
            e.printStackTrace();
            return "";
        }
    }

    public static void CheckSimulator() {
        String str = "0";
        if (notHasLightSensorManager(mContext)) {
            str = "1";
        } else if (ifFeatures()) {
            str = "1";
        } else if (checkIsNotRealPhone()) {
            str = "1";
        }
        WXEntryActivity.getInstance();
        if (Settings.Secure.getInt(WXEntryActivity.getContext().getContentResolver(), "mock_location", 0) != 0) {
            str = "2";
        }
        nativeDispatchEvent("ISSIMULATOR", str, false);
    }

    public static void savePic(String str) throws Exception {
        WXEntryActivity wXEntryActivity = (WXEntryActivity) mContext;
        if (Build.VERSION.SDK_INT >= 23) {
            String[] strArr = {"android.permission.WRITE_EXTERNAL_STORAGE", "android.permission.READ_EXTERNAL_STORAGE"};
            for (String str2 : strArr) {
                if (ContextCompat.checkSelfPermission(WXEntryActivity.getInstance(), str2) != 0) {
                    ActivityCompat.requestPermissions(WXEntryActivity.getInstance(), strArr, 101);
                    return;
                }
            }
        }
        String str3 = mContext.getFilesDir() + "/down_ewm/";
        File file = new File(str3);
        if (!file.exists()) {
            file.mkdir();
        }
        URLConnection openConnection = new URL(str).openConnection();
        openConnection.setConnectTimeout(5000);
        byte[] readInputStream = readInputStream(openConnection.getInputStream());
        File file2 = new File(str3, "down_ewm.jpg");
        FileOutputStream fileOutputStream = new FileOutputStream(file2);
        fileOutputStream.write(readInputStream);
        fileOutputStream.close();
        wXEntryActivity.sendBroadcast(new Intent("android.intent.action.MEDIA_SCANNER_SCAN_FILE", Uri.parse(MediaStore.Images.Media.insertImage(wXEntryActivity.getContentResolver(), file2.getAbsolutePath(), file2.getName(), file2.getName()))));
        nativeDispatchEvent("TOAST", "保存成功！", false);
    }

    public static byte[] readInputStream(InputStream inputStream) throws Exception {
        ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
        byte[] bArr = new byte[1024];
        while (true) {
            int read = inputStream.read(bArr);
            if (read != -1) {
                byteArrayOutputStream.write(bArr, 0, read);
            } else {
                inputStream.close();
                return byteArrayOutputStream.toByteArray();
            }
        }
    }

    public static String InteractiveFunction(String str) throws Exception {
        JSONObject jSONObject;
        String str2;
        Log.e(str, "lllllllll");
        try {
            jSONObject = new JSONObject(str.toString());
        } catch (JSONException e) {
            e.printStackTrace();
            jSONObject = null;
        }
        try {
            str2 = (String) jSONObject.get("cmd");
        } catch (JSONException e2) {
            e2.printStackTrace();
            str2 = null;
        }
        if (str2.equals("copy")) {
            String str3 = "";
            try {
                str3 = (String) jSONObject.get(BuildIdWriter.XML_STRING_TAG);
            } catch (JSONException e3) {
                e3.printStackTrace();
            }
            if (str3 != "") {
                mycopy(str3);
                return "0";
            }
            return "0";
        } else if (str2.equals("DOWNLOADURLPHOTO")) {
            ((WXEntryActivity) mContext).downloadUrlPhoto(jSONObject.getString("URL"), jSONObject.getString("path"));
            return "0";
        } else if (str2.equals("CHOOSE_PHOTO")) {
            ((WXEntryActivity) mContext).openPhoto();
            return "0";
        } else if (str2.equals("SENDPOST")) {
            sendPost((String) jSONObject.get(MapBundleKey.MapObjKey.OBJ_URL), (String) jSONObject.get("params"));
            return "0";
        } else if (str2.equals("HIDE_BAR")) {
            WXEntryActivity wXEntryActivity = (WXEntryActivity) mContext;
            try {
                String str4 = (String) jSONObject.get(BuildIdWriter.XML_STRING_TAG);
            } catch (JSONException e4) {
                e4.printStackTrace();
            }
            wXEntryActivity.hideNavigationBar("5");
            return "0";
        } else if (str2.equals("CHOOSE_NAME")) {
            String str5 = "";
            try {
                str5 = (String) jSONObject.get("data");
            } catch (JSONException e5) {
                e5.printStackTrace();
            }
            Log.d("输出内容", str5);
            return "0";
        } else if (str2.equals("CHECK_NET")) {
            WXEntryActivity wXEntryActivity2 = (WXEntryActivity) mContext;
            String str6 = "";
            try {
                str6 = (String) jSONObject.get("ip");
            } catch (JSONException e6) {
                e6.printStackTrace();
            }
            wXEntryActivity2.checknet(str6);
            return "0";
        } else if (str2.equals("CheckSimulator")) {
            CheckSimulator();
            return "0";
        } else if (str2.equals("savePic")) {
            String str7 = "";
            try {
                str7 = (String) jSONObject.get(BuildIdWriter.XML_STRING_TAG);
            } catch (JSONException e7) {
                e7.printStackTrace();
            }
            savePic(str7);
            return "0";
        } else if (str2.equals("openlocation")) {
            try {
                mContext.startActivity(new Intent("android.settings.LOCATION_SOURCE_SETTINGS"));
                return "";
            } catch (Exception e8) {
                e8.printStackTrace();
                return "";
            }
        } else {
            return "0";
        }
    }
}
