package com.google.firebase.crashlytics.buildtools.api.net.proxy;

import java.io.IOException;
/* loaded from: classes.dex */
public class DefaultProxyFactory implements ProxyFactory {
    @Override // com.google.firebase.crashlytics.buildtools.api.net.proxy.ProxyFactory
    public ProxySettings create(ProtocolScheme protocolScheme) throws IOException {
        String str;
        String str2;
        String str3;
        String str4;
        Integer num = null;
        switch (protocolScheme) {
            case HTTP:
                str = System.getProperty(Constants.HTTP_PROXY_HOST_PROP);
                str2 = System.getProperty(Constants.HTTP_PROXY_USER_PROP);
                str3 = System.getProperty(Constants.HTTP_PROXY_PASSWORD_PROP);
                str4 = System.getProperty(Constants.HTTP_PROXY_PORT_PROP);
                break;
            case HTTPS:
                str = System.getProperty(Constants.HTTPS_PROXY_HOST_PROP);
                str2 = System.getProperty(Constants.HTTPS_PROXY_USER_PROP);
                str3 = System.getProperty(Constants.HTTPS_PROXY_PASSWORD_PROP);
                str4 = System.getProperty(Constants.HTTPS_PROXY_PORT_PROP);
                break;
            case Other:
            default:
                str = null;
                str2 = null;
                str3 = null;
                str4 = null;
                break;
        }
        if (str4 != null) {
            try {
                num = Integer.valueOf(Integer.parseInt(str4));
            } catch (NumberFormatException unused) {
                throw new IOException("Crashlytics could not read proxy port string.");
            }
        }
        return new ProxySettings(str, num, str2, str3);
    }
}
