package com.google.firebase.crashlytics.buildtools.api.net.proxy;

import com.google.firebase.crashlytics.buildtools.Buildtools;
import java.io.IOException;
import org.apache.http.HttpHost;
import org.apache.http.auth.AuthScope;
import org.apache.http.auth.UsernamePasswordCredentials;
import org.apache.http.client.HttpClient;
import org.apache.http.client.config.RequestConfig;
import org.apache.http.impl.client.BasicCredentialsProvider;
import org.apache.http.impl.client.HttpClients;
/* loaded from: classes.dex */
public class ProxySettings {
    private final String _proxyHost;
    private final String _proxyPassword;
    private final Integer _proxyPort;
    private final String _proxyUser;

    public ProxySettings(String str, Integer num, String str2, String str3) {
        this._proxyHost = str;
        this._proxyPort = num;
        this._proxyUser = str2;
        this._proxyPassword = str3;
    }

    public RequestConfig getConfig() {
        if (this._proxyHost == null || this._proxyPort == null) {
            return RequestConfig.DEFAULT;
        }
        Buildtools.logD("Crashlytics using custom proxy settings: " + this._proxyHost + ":" + this._proxyPort);
        return RequestConfig.custom().setProxy(new HttpHost(this._proxyHost, this._proxyPort.intValue())).build();
    }

    public HttpClient getClientFor() throws IOException {
        if (this._proxyHost == null || this._proxyPort == null || this._proxyUser == null || this._proxyPassword == null) {
            return HttpClients.createDefault();
        }
        Buildtools.logD("Crashlytics using proxy auth:" + this._proxyUser);
        BasicCredentialsProvider basicCredentialsProvider = new BasicCredentialsProvider();
        basicCredentialsProvider.setCredentials(new AuthScope(this._proxyHost, this._proxyPort.intValue()), new UsernamePasswordCredentials(this._proxyUser, this._proxyPassword));
        return HttpClients.custom().setDefaultCredentialsProvider(basicCredentialsProvider).build();
    }
}
