package com.tencent.bugly.crashreport.crash;

import android.content.ContentValues;
import android.content.Context;
import android.database.Cursor;
import android.os.Parcel;
import com.android.vending.expansion.zipfile.APEZProvider;
import com.tencent.bugly.BuglyStrategy;
import com.tencent.bugly.crashreport.common.info.PlugInBean;
import com.tencent.bugly.crashreport.common.strategy.StrategyBean;
import com.tencent.bugly.proguard.ah;
import com.tencent.bugly.proguard.aj;
import com.tencent.bugly.proguard.ak;
import com.tencent.bugly.proguard.al;
import com.tencent.bugly.proguard.am;
import com.tencent.bugly.proguard.n;
import com.tencent.bugly.proguard.o;
import com.tencent.bugly.proguard.q;
import com.tencent.bugly.proguard.s;
import com.tencent.bugly.proguard.t;
import com.tencent.bugly.proguard.w;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.net.URLEncoder;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Date;
import java.util.HashMap;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import org.apache.commons.io.IOUtils;
/* compiled from: BUGLY */
/* loaded from: classes.dex */
public final class b {
    private static int a;
    private Context b;
    private o c;
    private com.tencent.bugly.crashreport.common.strategy.a d;
    private n e;
    private BuglyStrategy.a f;

    public b(int i, Context context, t tVar, o oVar, com.tencent.bugly.crashreport.common.strategy.a aVar, BuglyStrategy.a aVar2, n nVar) {
        a = i;
        this.b = context;
        this.c = oVar;
        this.d = aVar;
        this.f = aVar2;
        this.e = nVar;
    }

    private static List<a> a(List<a> list) {
        if (list == null || list.size() == 0) {
            return null;
        }
        long o = com.tencent.bugly.proguard.a.o();
        ArrayList arrayList = new ArrayList();
        for (a aVar : list) {
            if (aVar.d && aVar.b < o - 86400000) {
                arrayList.add(aVar);
            }
        }
        return arrayList;
    }

    private CrashDetailBean a(List<a> list, CrashDetailBean crashDetailBean) {
        List<CrashDetailBean> b;
        String[] split;
        if (list == null || list.size() == 0) {
            return crashDetailBean;
        }
        CrashDetailBean crashDetailBean2 = null;
        ArrayList arrayList = new ArrayList(10);
        for (a aVar : list) {
            if (aVar.e) {
                arrayList.add(aVar);
            }
        }
        if (arrayList.size() > 0 && (b = b(arrayList)) != null && b.size() > 0) {
            Collections.sort(b);
            CrashDetailBean crashDetailBean3 = null;
            for (int i = 0; i < b.size(); i++) {
                CrashDetailBean crashDetailBean4 = b.get(i);
                if (i == 0) {
                    crashDetailBean3 = crashDetailBean4;
                } else if (crashDetailBean4.s != null && (split = crashDetailBean4.s.split(IOUtils.LINE_SEPARATOR_UNIX)) != null) {
                    for (String str : split) {
                        if (!crashDetailBean3.s.contains(str)) {
                            crashDetailBean3.t++;
                            crashDetailBean3.s += str + IOUtils.LINE_SEPARATOR_UNIX;
                        }
                    }
                }
            }
            crashDetailBean2 = crashDetailBean3;
        }
        if (crashDetailBean2 == null) {
            crashDetailBean.j = true;
            crashDetailBean.t = 0;
            crashDetailBean.s = "";
            crashDetailBean2 = crashDetailBean;
        }
        for (a aVar2 : list) {
            if (!aVar2.e && !aVar2.d) {
                String str2 = crashDetailBean2.s;
                StringBuilder sb = new StringBuilder();
                sb.append(aVar2.b);
                if (!str2.contains(sb.toString())) {
                    crashDetailBean2.t++;
                    crashDetailBean2.s += aVar2.b + IOUtils.LINE_SEPARATOR_UNIX;
                }
            }
        }
        if (crashDetailBean2.r != crashDetailBean.r) {
            String str3 = crashDetailBean2.s;
            StringBuilder sb2 = new StringBuilder();
            sb2.append(crashDetailBean.r);
            if (!str3.contains(sb2.toString())) {
                crashDetailBean2.t++;
                crashDetailBean2.s += crashDetailBean.r + IOUtils.LINE_SEPARATOR_UNIX;
            }
        }
        return crashDetailBean2;
    }

    public final boolean a(CrashDetailBean crashDetailBean) {
        return a(crashDetailBean, -123456789);
    }

    public final boolean a(CrashDetailBean crashDetailBean, int i) {
        int i2 = crashDetailBean.b;
        String str = crashDetailBean.n;
        String str2 = crashDetailBean.p;
        String str3 = crashDetailBean.q;
        long j = crashDetailBean.r;
        String str4 = crashDetailBean.m;
        String str5 = crashDetailBean.e;
        String str6 = crashDetailBean.c;
        if (this.e == null || this.e.c()) {
            if (crashDetailBean.b != 2) {
                q qVar = new q();
                qVar.b = 1;
                qVar.c = crashDetailBean.z;
                qVar.d = crashDetailBean.A;
                qVar.e = crashDetailBean.r;
                o oVar = this.c;
                o.b(1);
                this.c.a(qVar);
                w.b("[crash] a crash occur, handling...", new Object[0]);
            } else {
                w.b("[crash] a caught exception occur, handling...", new Object[0]);
            }
            List<a> b = b();
            ArrayList arrayList = null;
            if (b != null && b.size() > 0) {
                arrayList = new ArrayList(10);
                ArrayList arrayList2 = new ArrayList(10);
                arrayList.addAll(a(b));
                b.removeAll(arrayList);
                if (!com.tencent.bugly.b.b && c.c) {
                    boolean z = false;
                    for (a aVar : b) {
                        if (crashDetailBean.u.equals(aVar.c)) {
                            if (aVar.e) {
                                z = true;
                            }
                            arrayList2.add(aVar);
                        }
                    }
                    if (z || arrayList2.size() + 1 >= 5) {
                        w.a("same crash occur too much do merged!", new Object[0]);
                        CrashDetailBean a2 = a(arrayList2, crashDetailBean);
                        a2.a = -1L;
                        c(a2);
                        arrayList.addAll(arrayList2);
                        c(arrayList);
                        w.b("[crash] save crash success. this device crash many times, won't upload crashes immediately", new Object[0]);
                        return true;
                    }
                }
            }
            c(crashDetailBean);
            c(arrayList);
            w.b("[crash] save crash success", new Object[0]);
            return false;
        }
        return true;
    }

    public final List<CrashDetailBean> a() {
        StrategyBean c = com.tencent.bugly.crashreport.common.strategy.a.a().c();
        if (c == null) {
            w.d("have not synced remote!", new Object[0]);
            return null;
        } else if (!c.d) {
            w.d("Crashreport remote closed, please check your APPID correct and Version available, then uninstall and reinstall your app.", new Object[0]);
            w.b("[init] WARNING! Crashreport closed by server, please check your APPID correct and Version available, then uninstall and reinstall your app.", new Object[0]);
            return null;
        } else {
            long currentTimeMillis = System.currentTimeMillis();
            long o = com.tencent.bugly.proguard.a.o();
            List<a> b = b();
            if (b == null || b.size() <= 0) {
                return null;
            }
            ArrayList arrayList = new ArrayList();
            Iterator<a> it = b.iterator();
            while (it.hasNext()) {
                a next = it.next();
                if (next.b < o - c.f) {
                    it.remove();
                    arrayList.add(next);
                } else if (next.d) {
                    if (next.b >= currentTimeMillis - 86400000) {
                        it.remove();
                    } else if (!next.e) {
                        it.remove();
                        arrayList.add(next);
                    }
                } else if (next.f >= 3 && next.b < currentTimeMillis - 86400000) {
                    it.remove();
                    arrayList.add(next);
                }
            }
            if (arrayList.size() > 0) {
                c(arrayList);
            }
            ArrayList arrayList2 = new ArrayList();
            List<CrashDetailBean> b2 = b(b);
            if (b2 != null && b2.size() > 0) {
                String str = com.tencent.bugly.crashreport.common.info.a.a().i;
                Iterator<CrashDetailBean> it2 = b2.iterator();
                while (it2.hasNext()) {
                    CrashDetailBean next2 = it2.next();
                    if (!str.equals(next2.f)) {
                        it2.remove();
                        arrayList2.add(next2);
                    }
                }
            }
            if (arrayList2.size() > 0) {
                d(arrayList2);
            }
            return b2;
        }
    }

    public final void a(CrashDetailBean crashDetailBean, long j, boolean z) {
        w.a("try to upload right now", new Object[0]);
        ArrayList arrayList = new ArrayList();
        arrayList.add(crashDetailBean);
        a(arrayList, 5000L, z);
        int i = crashDetailBean.b;
        if (this.e != null) {
            n nVar = this.e;
        }
    }

    /* JADX WARN: Removed duplicated region for block: B:23:0x006b A[Catch: Throwable -> 0x00b9, TryCatch #0 {Throwable -> 0x00b9, blocks: (B:10:0x0027, B:13:0x0032, B:17:0x003b, B:18:0x004b, B:20:0x0051, B:23:0x006b, B:25:0x0073, B:27:0x0079, B:29:0x0081, B:31:0x008b, B:33:0x0093, B:35:0x009a, B:36:0x00a4, B:21:0x0061), top: B:44:0x0027 }] */
    /* JADX WARN: Removed duplicated region for block: B:25:0x0073 A[Catch: Throwable -> 0x00b9, TryCatch #0 {Throwable -> 0x00b9, blocks: (B:10:0x0027, B:13:0x0032, B:17:0x003b, B:18:0x004b, B:20:0x0051, B:23:0x006b, B:25:0x0073, B:27:0x0079, B:29:0x0081, B:31:0x008b, B:33:0x0093, B:35:0x009a, B:36:0x00a4, B:21:0x0061), top: B:44:0x0027 }] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
    */
    public final void a(final List<CrashDetailBean> list, long j, boolean z) {
        al alVar;
        if (!this.d.c().d) {
            w.d("remote report is disable!", new Object[0]);
            w.b("[crash] server closed bugly in this app. please check your appid if is correct, and re-install it", new Object[0]);
        } else if (list != null && list.size() != 0) {
            try {
                Context context = this.b;
                com.tencent.bugly.crashreport.common.info.a a2 = com.tencent.bugly.crashreport.common.info.a.a();
                if (context != null && list != null && list.size() != 0 && a2 != null) {
                    alVar = new al();
                    alVar.a = new ArrayList<>();
                    for (CrashDetailBean crashDetailBean : list) {
                        alVar.a.add(a(context, crashDetailBean, a2));
                    }
                    if (alVar != null) {
                        w.d("create eupPkg fail!", new Object[0]);
                        return;
                    }
                    byte[] a3 = com.tencent.bugly.proguard.a.a(alVar);
                    if (a3 == null) {
                        w.d("send encode fail!", new Object[0]);
                        return;
                    }
                    am a4 = com.tencent.bugly.proguard.a.a(this.b, 630, a3);
                    if (a4 == null) {
                        w.d("request package is null.", new Object[0]);
                        return;
                    }
                    s sVar = new s() { // from class: com.tencent.bugly.crashreport.crash.b.1
                        @Override // com.tencent.bugly.proguard.s
                        public final void a(boolean z2) {
                            b bVar = b.this;
                            b.a(z2, list);
                        }
                    };
                    if (!z) {
                        t.a().a(a, a4, null, sVar);
                        return;
                    }
                    t.a().a(a, a4, null, sVar, true, j);
                    w.a("wake up!", new Object[0]);
                    return;
                }
                w.d("enEXPPkg args == null!", new Object[0]);
                alVar = null;
                if (alVar != null) {
                }
            } catch (Throwable th) {
                w.e("req cr error %s", th.toString());
                if (w.b(th)) {
                    return;
                }
                th.printStackTrace();
            }
        }
    }

    public static void a(boolean z, List<CrashDetailBean> list) {
        if (list != null && list.size() > 0) {
            w.c("up finish update state %b", Boolean.valueOf(z));
            for (CrashDetailBean crashDetailBean : list) {
                w.c("pre uid:%s uc:%d re:%b me:%b", crashDetailBean.c, Integer.valueOf(crashDetailBean.l), Boolean.valueOf(crashDetailBean.d), Boolean.valueOf(crashDetailBean.j));
                crashDetailBean.l++;
                crashDetailBean.d = z;
                w.c("set uid:%s uc:%d re:%b me:%b", crashDetailBean.c, Integer.valueOf(crashDetailBean.l), Boolean.valueOf(crashDetailBean.d), Boolean.valueOf(crashDetailBean.j));
            }
            for (CrashDetailBean crashDetailBean2 : list) {
                c.a().a(crashDetailBean2);
            }
            w.c("update state size %d", Integer.valueOf(list.size()));
        }
        if (z) {
            return;
        }
        w.b("[crash] upload fail.", new Object[0]);
    }

    public final void b(CrashDetailBean crashDetailBean) {
        int i;
        Map<String, String> onCrashHandleStart;
        String str;
        HashMap hashMap;
        if (crashDetailBean == null) {
            return;
        }
        if (this.f == null && this.e == null) {
            return;
        }
        try {
            w.a("[crash callback] start user's callback:onCrashHandleStart()", new Object[0]);
            switch (crashDetailBean.b) {
                case 0:
                    i = 0;
                    break;
                case 1:
                    i = 2;
                    break;
                case 2:
                    i = 1;
                    break;
                case 3:
                    i = 4;
                    break;
                case 4:
                    i = 3;
                    break;
                case 5:
                    i = 5;
                    break;
                case 6:
                    i = 6;
                    break;
                default:
                    return;
            }
            int i2 = crashDetailBean.b;
            String str2 = crashDetailBean.n;
            String str3 = crashDetailBean.p;
            String str4 = crashDetailBean.q;
            long j = crashDetailBean.r;
            byte[] bArr = null;
            if (this.e != null) {
                n nVar = this.e;
                String b = this.e.b();
                if (b != null) {
                    hashMap = new HashMap(1);
                    hashMap.put("userData", b);
                } else {
                    hashMap = null;
                }
                onCrashHandleStart = hashMap;
            } else {
                onCrashHandleStart = this.f != null ? this.f.onCrashHandleStart(i, crashDetailBean.n, crashDetailBean.o, crashDetailBean.q) : null;
            }
            if (onCrashHandleStart != null && onCrashHandleStart.size() > 0) {
                crashDetailBean.N = new LinkedHashMap(onCrashHandleStart.size());
                for (Map.Entry<String, String> entry : onCrashHandleStart.entrySet()) {
                    String key = entry.getKey();
                    if (!(key == null || key.trim().length() <= 0)) {
                        String key2 = entry.getKey();
                        if (key2.length() > 100) {
                            key2 = key2.substring(0, 100);
                            w.d("setted key length is over limit %d substring to %s", 100, key2);
                        }
                        String value = entry.getValue();
                        if (!(value == null || value.trim().length() <= 0) && entry.getValue().length() > 30000) {
                            str = entry.getValue().substring(entry.getValue().length() - 30000);
                            w.d("setted %s value length is over limit %d substring", key2, 30000);
                        } else {
                            str = entry.getValue();
                        }
                        crashDetailBean.N.put(key2, str);
                        w.a("add setted key %s value size:%d", key2, Integer.valueOf(str.length()));
                    }
                }
            }
            w.a("[crash callback] start user's callback:onCrashHandleStart2GetExtraDatas()", new Object[0]);
            if (this.e != null) {
                bArr = this.e.a();
            } else if (this.f != null) {
                bArr = this.f.onCrashHandleStart2GetExtraDatas(i, crashDetailBean.n, crashDetailBean.o, crashDetailBean.q);
            }
            crashDetailBean.S = bArr;
            if (crashDetailBean.S != null) {
                if (crashDetailBean.S.length > 30000) {
                    w.d("extra bytes size %d is over limit %d will drop over part", Integer.valueOf(crashDetailBean.S.length), 30000);
                }
                w.a("add extra bytes %d ", Integer.valueOf(crashDetailBean.S.length));
            }
        } catch (Throwable th) {
            w.d("crash handle callback somthing wrong! %s", th.getClass().getName());
            if (w.a(th)) {
                return;
            }
            th.printStackTrace();
        }
    }

    private static ContentValues d(CrashDetailBean crashDetailBean) {
        if (crashDetailBean == null) {
            return null;
        }
        try {
            ContentValues contentValues = new ContentValues();
            if (crashDetailBean.a > 0) {
                contentValues.put(APEZProvider.FILEID, Long.valueOf(crashDetailBean.a));
            }
            contentValues.put("_tm", Long.valueOf(crashDetailBean.r));
            contentValues.put("_s1", crashDetailBean.u);
            contentValues.put("_up", Integer.valueOf(crashDetailBean.d ? 1 : 0));
            contentValues.put("_me", Integer.valueOf(crashDetailBean.j ? 1 : 0));
            contentValues.put("_uc", Integer.valueOf(crashDetailBean.l));
            Parcel obtain = Parcel.obtain();
            crashDetailBean.writeToParcel(obtain, 0);
            byte[] marshall = obtain.marshall();
            obtain.recycle();
            contentValues.put("_dt", marshall);
            return contentValues;
        } catch (Throwable th) {
            if (!w.a(th)) {
                th.printStackTrace();
            }
            return null;
        }
    }

    private static CrashDetailBean a(Cursor cursor) {
        if (cursor == null) {
            return null;
        }
        try {
            byte[] blob = cursor.getBlob(cursor.getColumnIndex("_dt"));
            if (blob == null) {
                return null;
            }
            long j = cursor.getLong(cursor.getColumnIndex(APEZProvider.FILEID));
            CrashDetailBean crashDetailBean = (CrashDetailBean) com.tencent.bugly.proguard.a.a(blob, CrashDetailBean.CREATOR);
            if (crashDetailBean != null) {
                crashDetailBean.a = j;
            }
            return crashDetailBean;
        } catch (Throwable th) {
            if (!w.a(th)) {
                th.printStackTrace();
            }
            return null;
        }
    }

    public final void c(CrashDetailBean crashDetailBean) {
        ContentValues d;
        if (crashDetailBean == null || (d = d(crashDetailBean)) == null) {
            return;
        }
        long a2 = o.a().a("t_cr", d, (n) null, true);
        if (a2 >= 0) {
            w.c("insert %s success!", "t_cr");
            crashDetailBean.a = a2;
        }
    }

    private List<CrashDetailBean> b(List<a> list) {
        Cursor cursor;
        if (list == null || list.size() == 0) {
            return null;
        }
        StringBuilder sb = new StringBuilder();
        for (a aVar : list) {
            sb.append(" or _id");
            sb.append(" = ");
            sb.append(aVar.a);
        }
        String sb2 = sb.toString();
        if (sb2.length() > 0) {
            sb2 = sb2.substring(4);
        }
        String str = sb2;
        sb.setLength(0);
        try {
            cursor = o.a().a("t_cr", null, str, null, null, true);
            if (cursor == null) {
                return null;
            }
            try {
                ArrayList arrayList = new ArrayList();
                while (cursor.moveToNext()) {
                    CrashDetailBean a2 = a(cursor);
                    if (a2 != null) {
                        arrayList.add(a2);
                    } else {
                        long j = cursor.getLong(cursor.getColumnIndex(APEZProvider.FILEID));
                        sb.append(" or _id");
                        sb.append(" = ");
                        sb.append(j);
                    }
                }
                String sb3 = sb.toString();
                if (sb3.length() > 0) {
                    w.d("deleted %s illegle data %d", "t_cr", Integer.valueOf(o.a().a("t_cr", sb3.substring(4), (String[]) null, (n) null, true)));
                }
                if (cursor != null && !cursor.isClosed()) {
                    cursor.close();
                }
                return arrayList;
            } catch (Throwable th) {
                th = th;
                try {
                    if (!w.a(th)) {
                        th.printStackTrace();
                    }
                    if (cursor != null && !cursor.isClosed()) {
                        cursor.close();
                    }
                    return null;
                } finally {
                    if (cursor != null && !cursor.isClosed()) {
                        cursor.close();
                    }
                }
            }
        } catch (Throwable th2) {
            th = th2;
            cursor = null;
        }
    }

    private static a b(Cursor cursor) {
        if (cursor == null) {
            return null;
        }
        try {
            a aVar = new a();
            aVar.a = cursor.getLong(cursor.getColumnIndex(APEZProvider.FILEID));
            aVar.b = cursor.getLong(cursor.getColumnIndex("_tm"));
            aVar.c = cursor.getString(cursor.getColumnIndex("_s1"));
            aVar.d = cursor.getInt(cursor.getColumnIndex("_up")) == 1;
            aVar.e = cursor.getInt(cursor.getColumnIndex("_me")) == 1;
            aVar.f = cursor.getInt(cursor.getColumnIndex("_uc"));
            return aVar;
        } catch (Throwable th) {
            if (!w.a(th)) {
                th.printStackTrace();
            }
            return null;
        }
    }

    private List<a> b() {
        ArrayList arrayList = new ArrayList();
        Cursor cursor = null;
        try {
            Cursor a2 = o.a().a("t_cr", new String[]{APEZProvider.FILEID, "_tm", "_s1", "_up", "_me", "_uc"}, null, null, null, true);
            if (a2 == null) {
                if (a2 != null && !a2.isClosed()) {
                    a2.close();
                }
                return null;
            }
            try {
                StringBuilder sb = new StringBuilder();
                while (a2.moveToNext()) {
                    a b = b(a2);
                    if (b != null) {
                        arrayList.add(b);
                    } else {
                        long j = a2.getLong(a2.getColumnIndex(APEZProvider.FILEID));
                        sb.append(" or _id");
                        sb.append(" = ");
                        sb.append(j);
                    }
                }
                String sb2 = sb.toString();
                if (sb2.length() > 0) {
                    w.d("deleted %s illegle data %d", "t_cr", Integer.valueOf(o.a().a("t_cr", sb2.substring(4), (String[]) null, (n) null, true)));
                }
                if (a2 != null && !a2.isClosed()) {
                    a2.close();
                }
                return arrayList;
            } catch (Throwable th) {
                th = th;
                cursor = a2;
                try {
                    if (!w.a(th)) {
                        th.printStackTrace();
                    }
                    if (cursor != null && !cursor.isClosed()) {
                        cursor.close();
                    }
                    return arrayList;
                } catch (Throwable th2) {
                    Cursor cursor2 = cursor;
                    if (cursor2 != null && !cursor2.isClosed()) {
                        cursor2.close();
                    }
                    throw th2;
                }
            }
        } catch (Throwable th3) {
            th = th3;
        }
    }

    private static void c(List<a> list) {
        if (list == null || list.size() == 0) {
            return;
        }
        StringBuilder sb = new StringBuilder();
        for (a aVar : list) {
            sb.append(" or _id");
            sb.append(" = ");
            sb.append(aVar.a);
        }
        String sb2 = sb.toString();
        if (sb2.length() > 0) {
            sb2 = sb2.substring(4);
        }
        String str = sb2;
        sb.setLength(0);
        try {
            w.c("deleted %s data %d", "t_cr", Integer.valueOf(o.a().a("t_cr", str, (String[]) null, (n) null, true)));
        } catch (Throwable th) {
            if (w.a(th)) {
                return;
            }
            th.printStackTrace();
        }
    }

    private static void d(List<CrashDetailBean> list) {
        if (list != null) {
            try {
                if (list.size() == 0) {
                    return;
                }
                StringBuilder sb = new StringBuilder();
                for (CrashDetailBean crashDetailBean : list) {
                    sb.append(" or _id");
                    sb.append(" = ");
                    sb.append(crashDetailBean.a);
                }
                String sb2 = sb.toString();
                if (sb2.length() > 0) {
                    sb2 = sb2.substring(4);
                }
                sb.setLength(0);
                w.c("deleted %s data %d", "t_cr", Integer.valueOf(o.a().a("t_cr", sb2, (String[]) null, (n) null, true)));
            } catch (Throwable th) {
                if (w.a(th)) {
                    return;
                }
                th.printStackTrace();
            }
        }
    }

    private static ak a(Context context, CrashDetailBean crashDetailBean, com.tencent.bugly.crashreport.common.info.a aVar) {
        aj a2;
        aj a3;
        if (context == null || crashDetailBean == null || aVar == null) {
            w.d("enExp args == null", new Object[0]);
            return null;
        }
        ak akVar = new ak();
        switch (crashDetailBean.b) {
            case 0:
                akVar.a = crashDetailBean.j ? "200" : "100";
                break;
            case 1:
                akVar.a = crashDetailBean.j ? "201" : "101";
                break;
            case 2:
                akVar.a = crashDetailBean.j ? "202" : "102";
                break;
            case 3:
                akVar.a = crashDetailBean.j ? "203" : "103";
                break;
            case 4:
                akVar.a = crashDetailBean.j ? "204" : "104";
                break;
            case 5:
                akVar.a = crashDetailBean.j ? "207" : "107";
                break;
            case 6:
                akVar.a = crashDetailBean.j ? "206" : "106";
                break;
            default:
                w.e("crash type error! %d", Integer.valueOf(crashDetailBean.b));
                break;
        }
        akVar.b = crashDetailBean.r;
        akVar.c = crashDetailBean.n;
        akVar.d = crashDetailBean.o;
        akVar.e = crashDetailBean.p;
        akVar.g = crashDetailBean.q;
        akVar.h = crashDetailBean.y;
        akVar.i = crashDetailBean.c;
        akVar.j = null;
        akVar.l = crashDetailBean.m;
        akVar.m = crashDetailBean.e;
        akVar.f = crashDetailBean.A;
        akVar.t = com.tencent.bugly.crashreport.common.info.a.a().h();
        akVar.n = null;
        if (crashDetailBean.i != null && crashDetailBean.i.size() > 0) {
            akVar.o = new ArrayList<>();
            for (Map.Entry<String, PlugInBean> entry : crashDetailBean.i.entrySet()) {
                ah ahVar = new ah();
                ahVar.a = entry.getValue().a;
                ahVar.c = entry.getValue().c;
                ahVar.d = entry.getValue().b;
                ahVar.b = aVar.q();
                akVar.o.add(ahVar);
            }
        }
        if (crashDetailBean.h != null && crashDetailBean.h.size() > 0) {
            akVar.p = new ArrayList<>();
            for (Map.Entry<String, PlugInBean> entry2 : crashDetailBean.h.entrySet()) {
                ah ahVar2 = new ah();
                ahVar2.a = entry2.getValue().a;
                ahVar2.c = entry2.getValue().c;
                ahVar2.d = entry2.getValue().b;
                akVar.p.add(ahVar2);
            }
        }
        if (crashDetailBean.j) {
            akVar.k = crashDetailBean.t;
            if (crashDetailBean.s != null && crashDetailBean.s.length() > 0) {
                if (akVar.q == null) {
                    akVar.q = new ArrayList<>();
                }
                try {
                    akVar.q.add(new aj((byte) 1, "alltimes.txt", crashDetailBean.s.getBytes("utf-8")));
                } catch (UnsupportedEncodingException e) {
                    e.printStackTrace();
                    akVar.q = null;
                }
            }
            Object[] objArr = new Object[2];
            objArr[0] = Integer.valueOf(akVar.k);
            objArr[1] = Integer.valueOf(akVar.q != null ? akVar.q.size() : 0);
            w.c("crashcount:%d sz:%d", objArr);
        }
        if (crashDetailBean.w != null) {
            if (akVar.q == null) {
                akVar.q = new ArrayList<>();
            }
            try {
                akVar.q.add(new aj((byte) 1, "log.txt", crashDetailBean.w.getBytes("utf-8")));
            } catch (UnsupportedEncodingException e2) {
                e2.printStackTrace();
                akVar.q = null;
            }
        }
        if (crashDetailBean.x != null && crashDetailBean.x.length > 0) {
            aj ajVar = new aj((byte) 2, "buglylog.zip", crashDetailBean.x);
            w.c("attach user log", new Object[0]);
            if (akVar.q == null) {
                akVar.q = new ArrayList<>();
            }
            akVar.q.add(ajVar);
        }
        if (crashDetailBean.b == 3) {
            if (akVar.q == null) {
                akVar.q = new ArrayList<>();
            }
            if (crashDetailBean.N != null && crashDetailBean.N.containsKey("BUGLY_CR_01")) {
                try {
                    akVar.q.add(new aj((byte) 1, "anrMessage.txt", crashDetailBean.N.get("BUGLY_CR_01").getBytes("utf-8")));
                    w.c("attach anr message", new Object[0]);
                } catch (UnsupportedEncodingException e3) {
                    e3.printStackTrace();
                    akVar.q = null;
                }
                crashDetailBean.N.remove("BUGLY_CR_01");
            }
            if (crashDetailBean.v != null && (a3 = a("trace.zip", context, crashDetailBean.v)) != null) {
                w.c("attach traces", new Object[0]);
                akVar.q.add(a3);
            }
        }
        if (crashDetailBean.b == 1) {
            if (akVar.q == null) {
                akVar.q = new ArrayList<>();
            }
            if (crashDetailBean.v != null && (a2 = a("tomb.zip", context, crashDetailBean.v)) != null) {
                w.c("attach tombs", new Object[0]);
                akVar.q.add(a2);
            }
        }
        if (crashDetailBean.S != null && crashDetailBean.S.length > 0) {
            if (akVar.q == null) {
                akVar.q = new ArrayList<>();
            }
            akVar.q.add(new aj((byte) 1, "userExtraByteData", crashDetailBean.S));
            w.c("attach extraData", new Object[0]);
        }
        akVar.r = new HashMap();
        Map<String, String> map = akVar.r;
        StringBuilder sb = new StringBuilder();
        sb.append(crashDetailBean.B);
        map.put("A9", sb.toString());
        Map<String, String> map2 = akVar.r;
        StringBuilder sb2 = new StringBuilder();
        sb2.append(crashDetailBean.C);
        map2.put("A11", sb2.toString());
        Map<String, String> map3 = akVar.r;
        StringBuilder sb3 = new StringBuilder();
        sb3.append(crashDetailBean.D);
        map3.put("A10", sb3.toString());
        Map<String, String> map4 = akVar.r;
        map4.put("A23", crashDetailBean.f);
        Map<String, String> map5 = akVar.r;
        map5.put("A7", aVar.e);
        Map<String, String> map6 = akVar.r;
        map6.put("A6", aVar.r());
        Map<String, String> map7 = akVar.r;
        map7.put("A5", aVar.q());
        Map<String, String> map8 = akVar.r;
        map8.put("A22", aVar.g());
        Map<String, String> map9 = akVar.r;
        StringBuilder sb4 = new StringBuilder();
        sb4.append(crashDetailBean.F);
        map9.put("A2", sb4.toString());
        Map<String, String> map10 = akVar.r;
        StringBuilder sb5 = new StringBuilder();
        sb5.append(crashDetailBean.E);
        map10.put("A1", sb5.toString());
        Map<String, String> map11 = akVar.r;
        map11.put("A24", aVar.g);
        Map<String, String> map12 = akVar.r;
        StringBuilder sb6 = new StringBuilder();
        sb6.append(crashDetailBean.G);
        map12.put("A17", sb6.toString());
        Map<String, String> map13 = akVar.r;
        map13.put("A3", aVar.j());
        Map<String, String> map14 = akVar.r;
        map14.put("A16", aVar.l());
        Map<String, String> map15 = akVar.r;
        map15.put("A25", aVar.m());
        Map<String, String> map16 = akVar.r;
        map16.put("A14", aVar.k());
        Map<String, String> map17 = akVar.r;
        map17.put("A15", aVar.t());
        Map<String, String> map18 = akVar.r;
        StringBuilder sb7 = new StringBuilder();
        sb7.append(aVar.u());
        map18.put("A13", sb7.toString());
        Map<String, String> map19 = akVar.r;
        map19.put("A34", crashDetailBean.z);
        if (aVar.w != null) {
            Map<String, String> map20 = akVar.r;
            map20.put("productIdentify", aVar.w);
        }
        try {
            Map<String, String> map21 = akVar.r;
            map21.put("A26", URLEncoder.encode(crashDetailBean.H, "utf-8"));
        } catch (UnsupportedEncodingException e4) {
            e4.printStackTrace();
        }
        if (crashDetailBean.b == 1) {
            Map<String, String> map22 = akVar.r;
            map22.put("A27", crashDetailBean.J);
            Map<String, String> map23 = akVar.r;
            map23.put("A28", crashDetailBean.I);
            Map<String, String> map24 = akVar.r;
            StringBuilder sb8 = new StringBuilder();
            sb8.append(crashDetailBean.k);
            map24.put("A29", sb8.toString());
        }
        Map<String, String> map25 = akVar.r;
        map25.put("A30", crashDetailBean.K);
        Map<String, String> map26 = akVar.r;
        StringBuilder sb9 = new StringBuilder();
        sb9.append(crashDetailBean.L);
        map26.put("A18", sb9.toString());
        Map<String, String> map27 = akVar.r;
        StringBuilder sb10 = new StringBuilder();
        sb10.append(!crashDetailBean.M);
        map27.put("A36", sb10.toString());
        Map<String, String> map28 = akVar.r;
        StringBuilder sb11 = new StringBuilder();
        sb11.append(aVar.p);
        map28.put("F02", sb11.toString());
        Map<String, String> map29 = akVar.r;
        StringBuilder sb12 = new StringBuilder();
        sb12.append(aVar.q);
        map29.put("F03", sb12.toString());
        Map<String, String> map30 = akVar.r;
        map30.put("F04", aVar.d());
        Map<String, String> map31 = akVar.r;
        StringBuilder sb13 = new StringBuilder();
        sb13.append(aVar.r);
        map31.put("F05", sb13.toString());
        Map<String, String> map32 = akVar.r;
        map32.put("F06", aVar.o);
        Map<String, String> map33 = akVar.r;
        map33.put("F08", aVar.u);
        Map<String, String> map34 = akVar.r;
        map34.put("F09", aVar.v);
        Map<String, String> map35 = akVar.r;
        StringBuilder sb14 = new StringBuilder();
        sb14.append(aVar.s);
        map35.put("F10", sb14.toString());
        if (crashDetailBean.O >= 0) {
            Map<String, String> map36 = akVar.r;
            StringBuilder sb15 = new StringBuilder();
            sb15.append(crashDetailBean.O);
            map36.put("C01", sb15.toString());
        }
        if (crashDetailBean.P >= 0) {
            Map<String, String> map37 = akVar.r;
            StringBuilder sb16 = new StringBuilder();
            sb16.append(crashDetailBean.P);
            map37.put("C02", sb16.toString());
        }
        if (crashDetailBean.Q != null && crashDetailBean.Q.size() > 0) {
            for (Map.Entry<String, String> entry3 : crashDetailBean.Q.entrySet()) {
                Map<String, String> map38 = akVar.r;
                map38.put("C03_" + entry3.getKey(), entry3.getValue());
            }
        }
        if (crashDetailBean.R != null && crashDetailBean.R.size() > 0) {
            for (Map.Entry<String, String> entry4 : crashDetailBean.R.entrySet()) {
                Map<String, String> map39 = akVar.r;
                map39.put("C04_" + entry4.getKey(), entry4.getValue());
            }
        }
        akVar.s = null;
        if (crashDetailBean.N != null && crashDetailBean.N.size() > 0) {
            akVar.s = crashDetailBean.N;
            w.a("setted message size %d", Integer.valueOf(akVar.s.size()));
        }
        Object[] objArr2 = new Object[12];
        objArr2[0] = crashDetailBean.n;
        objArr2[1] = crashDetailBean.c;
        objArr2[2] = aVar.d();
        objArr2[3] = Long.valueOf((crashDetailBean.r - crashDetailBean.L) / 1000);
        objArr2[4] = Boolean.valueOf(crashDetailBean.k);
        objArr2[5] = Boolean.valueOf(crashDetailBean.M);
        objArr2[6] = Boolean.valueOf(crashDetailBean.j);
        objArr2[7] = Boolean.valueOf(crashDetailBean.b == 1);
        objArr2[8] = Integer.valueOf(crashDetailBean.t);
        objArr2[9] = crashDetailBean.s;
        objArr2[10] = Boolean.valueOf(crashDetailBean.d);
        objArr2[11] = Integer.valueOf(akVar.r.size());
        w.c("%s rid:%s sess:%s ls:%ds isR:%b isF:%b isM:%b isN:%b mc:%d ,%s ,isUp:%b ,vm:%d", objArr2);
        return akVar;
    }

    private static aj a(String str, Context context, String str2) {
        FileInputStream fileInputStream;
        if (str2 == null || context == null) {
            w.d("rqdp{  createZipAttachment sourcePath == null || context == null ,pls check}", new Object[0]);
            return null;
        }
        w.c("zip %s", str2);
        File file = new File(str2);
        File file2 = new File(context.getCacheDir(), str);
        if (!com.tencent.bugly.proguard.a.a(file, file2, 5000)) {
            w.d("zip fail!", new Object[0]);
            return null;
        }
        ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
        try {
            fileInputStream = new FileInputStream(file2);
        } catch (Throwable th) {
            th = th;
            fileInputStream = null;
        }
        try {
            byte[] bArr = new byte[1000];
            while (true) {
                int read = fileInputStream.read(bArr);
                if (read <= 0) {
                    break;
                }
                byteArrayOutputStream.write(bArr, 0, read);
                byteArrayOutputStream.flush();
            }
            byte[] byteArray = byteArrayOutputStream.toByteArray();
            w.c("read bytes :%d", Integer.valueOf(byteArray.length));
            aj ajVar = new aj((byte) 2, file2.getName(), byteArray);
            try {
                fileInputStream.close();
            } catch (IOException e) {
                if (!w.a(e)) {
                    e.printStackTrace();
                }
            }
            if (file2.exists()) {
                w.c("del tmp", new Object[0]);
                file2.delete();
            }
            return ajVar;
        } catch (Throwable th2) {
            th = th2;
            try {
                if (!w.a(th)) {
                    th.printStackTrace();
                }
                if (fileInputStream != null) {
                    try {
                        fileInputStream.close();
                    } catch (IOException e2) {
                        if (!w.a(e2)) {
                            e2.printStackTrace();
                        }
                    }
                }
                if (file2.exists()) {
                    w.c("del tmp", new Object[0]);
                    file2.delete();
                }
                return null;
            } catch (Throwable th3) {
                if (fileInputStream != null) {
                    try {
                        fileInputStream.close();
                    } catch (IOException e3) {
                        if (!w.a(e3)) {
                            e3.printStackTrace();
                        }
                    }
                }
                if (file2.exists()) {
                    w.c("del tmp", new Object[0]);
                    file2.delete();
                }
                throw th3;
            }
        }
    }

    public static void a(String str, String str2, String str3, Thread thread, String str4, CrashDetailBean crashDetailBean) {
        String str5;
        com.tencent.bugly.crashreport.common.info.a a2 = com.tencent.bugly.crashreport.common.info.a.a();
        if (a2 == null) {
            return;
        }
        w.e("#++++++++++Record By Bugly++++++++++#", new Object[0]);
        w.e("# You can use Bugly(http:\\\\bugly.qq.com) to get more Crash Detail!", new Object[0]);
        boolean z = true;
        w.e("# PKG NAME: %s", a2.c);
        w.e("# APP VER: %s", a2.i);
        w.e("# LAUNCH TIME: %s", com.tencent.bugly.proguard.a.a(new Date(com.tencent.bugly.crashreport.common.info.a.a().a)));
        w.e("# CRASH TYPE: %s", str);
        w.e("# CRASH TIME: %s", str2);
        w.e("# CRASH PROCESS: %s", str3);
        if (thread != null) {
            w.e("# CRASH THREAD: %s", thread.getName());
        }
        if (crashDetailBean != null) {
            w.e("# REPORT ID: %s", crashDetailBean.c);
            Object[] objArr = new Object[2];
            objArr[0] = a2.f;
            objArr[1] = a2.u().booleanValue() ? "ROOTED" : "UNROOT";
            w.e("# CRASH DEVICE: %s %s", objArr);
            w.e("# RUNTIME AVAIL RAM:%d ROM:%d SD:%d", Long.valueOf(crashDetailBean.B), Long.valueOf(crashDetailBean.C), Long.valueOf(crashDetailBean.D));
            w.e("# RUNTIME TOTAL RAM:%d ROM:%d SD:%d", Long.valueOf(crashDetailBean.E), Long.valueOf(crashDetailBean.F), Long.valueOf(crashDetailBean.G));
            String str6 = crashDetailBean.J;
            if (!(str6 == null || str6.trim().length() <= 0)) {
                w.e("# EXCEPTION FIRED BY %s %s", crashDetailBean.J, crashDetailBean.I);
            } else if (crashDetailBean.b == 3) {
                Object[] objArr2 = new Object[1];
                if (crashDetailBean.N == null) {
                    str5 = "null";
                } else {
                    str5 = crashDetailBean.N.get("BUGLY_CR_01");
                }
                objArr2[0] = str5;
                w.e("# EXCEPTION ANR MESSAGE:\n %s", objArr2);
            }
        }
        if (str4 != null && str4.trim().length() > 0) {
            z = false;
        }
        if (!z) {
            w.e("# CRASH STACK: ", new Object[0]);
            w.e(str4, new Object[0]);
        }
        w.e("#++++++++++++++++++++++++++++++++++++++++++#", new Object[0]);
    }
}
