package com.tencent.bugly.proguard;

import android.util.Log;
import java.util.concurrent.Executors;
import java.util.concurrent.LinkedBlockingQueue;
import java.util.concurrent.ScheduledExecutorService;
import java.util.concurrent.ThreadFactory;
import java.util.concurrent.ThreadPoolExecutor;
import java.util.concurrent.TimeUnit;
/* compiled from: BUGLY */
/* loaded from: classes.dex */
public final class v {
    private static v a;
    private ScheduledExecutorService b;
    private ThreadPoolExecutor c;
    private ThreadPoolExecutor d;

    protected v() {
        this.b = null;
        this.c = null;
        this.d = null;
        ThreadFactory threadFactory = new ThreadFactory(this) { // from class: com.tencent.bugly.proguard.v.1
            @Override // java.util.concurrent.ThreadFactory
            public final Thread newThread(Runnable runnable) {
                Thread thread = new Thread(runnable);
                thread.setName("BUGLY_THREAD");
                return thread;
            }
        };
        this.b = Executors.newScheduledThreadPool(3, threadFactory);
        this.c = new ThreadPoolExecutor(1, 1, 0L, TimeUnit.SECONDS, new LinkedBlockingQueue(100), threadFactory);
        this.d = new ThreadPoolExecutor(2, Integer.MAX_VALUE, 10L, TimeUnit.SECONDS, new LinkedBlockingQueue(), threadFactory);
        if (this.b == null || this.b.isShutdown()) {
            w.d("ScheduledExecutorService is not valiable!", new Object[0]);
        }
        if (this.c == null || this.c.isShutdown()) {
            w.d("QueueExecutorService is not valiable!", new Object[0]);
        }
        if (this.d == null || this.d.isShutdown()) {
            w.d("ploadExecutorService is not valiable!", new Object[0]);
        }
    }

    public static synchronized v a() {
        v vVar;
        synchronized (v.class) {
            if (a == null) {
                a = new v();
            }
            vVar = a;
        }
        return vVar;
    }

    public final synchronized boolean a(Runnable runnable) {
        if (!c()) {
            if (com.tencent.bugly.b.b) {
                Log.w(w.a, "queue handler was closed , should not post task!");
            }
            return false;
        } else if (runnable == null) {
            if (com.tencent.bugly.b.b) {
                Log.w(w.a, "queue task is null");
            }
            return false;
        } else {
            this.c.submit(runnable);
            return true;
        }
    }

    public final synchronized boolean a(Runnable runnable, long j) {
        if (!c()) {
            w.d("async handler was closed , should not post task!", new Object[0]);
            return false;
        } else if (runnable == null) {
            w.d("async task == null", new Object[0]);
            return false;
        } else {
            if (j <= 0) {
                j = 0;
            }
            w.c("delay %d task %s", Long.valueOf(j), runnable.getClass().getName());
            this.b.schedule(runnable, j, TimeUnit.MILLISECONDS);
            return true;
        }
    }

    public final synchronized boolean b(Runnable runnable) {
        if (!c()) {
            w.d("async handler was closed , should not post task!", new Object[0]);
            return false;
        } else if (runnable == null) {
            w.d("async task == null", new Object[0]);
            return false;
        } else {
            w.c("normal task %s", runnable.getClass().getName());
            this.b.execute(runnable);
            return true;
        }
    }

    public final synchronized boolean c(Runnable runnable) {
        if (!c()) {
            if (com.tencent.bugly.b.b) {
                Log.w(w.a, "queue handler was closed , should not post task!");
            }
            return false;
        } else if (runnable == null) {
            if (com.tencent.bugly.b.b) {
                Log.w(w.a, "queue task is null");
            }
            return false;
        } else {
            this.d.submit(runnable);
            return true;
        }
    }

    public final synchronized void b() {
        if (this.b != null && !this.b.isShutdown()) {
            w.c("close async handler", new Object[0]);
            this.b.shutdownNow();
        }
        if (this.c != null && !this.c.isShutdown()) {
            w.c("close async queue handler", new Object[0]);
            this.c.shutdownNow();
        }
        if (this.d != null && !this.d.isShutdown()) {
            w.c("close async upload handler", new Object[0]);
            this.d.shutdownNow();
        }
    }

    private synchronized boolean c() {
        boolean z;
        if (this.b != null && !this.b.isShutdown() && this.c != null && !this.c.isShutdown() && this.d != null) {
            z = this.d.isShutdown() ? false : true;
        }
        return z;
    }
}
