package org.apache.commons.cli;

import java.io.File;
import java.io.FileInputStream;
import java.net.URL;
import java.util.Date;
/* loaded from: classes.dex */
public class PatternOptionBuilder {
    public static final Class<String> STRING_VALUE = String.class;
    public static final Class<Object> OBJECT_VALUE = Object.class;
    public static final Class<Number> NUMBER_VALUE = Number.class;
    public static final Class<Date> DATE_VALUE = Date.class;
    public static final Class<?> CLASS_VALUE = Class.class;
    public static final Class<FileInputStream> EXISTING_FILE_VALUE = FileInputStream.class;
    public static final Class<File> FILE_VALUE = File.class;
    public static final Class<File[]> FILES_VALUE = File[].class;
    public static final Class<URL> URL_VALUE = URL.class;

    public static boolean isValueCode(char c) {
        return c == '@' || c == ':' || c == '%' || c == '+' || c == '#' || c == '<' || c == '>' || c == '*' || c == '/' || c == '!';
    }

    public static Object getValueClass(char c) {
        if (c != '#') {
            if (c != '%') {
                if (c != '/') {
                    if (c != ':') {
                        if (c != '<') {
                            if (c != '>') {
                                if (c == '@') {
                                    return OBJECT_VALUE;
                                }
                                switch (c) {
                                    case '*':
                                        return FILES_VALUE;
                                    case '+':
                                        return CLASS_VALUE;
                                    default:
                                        return null;
                                }
                            }
                            return FILE_VALUE;
                        }
                        return EXISTING_FILE_VALUE;
                    }
                    return STRING_VALUE;
                }
                return URL_VALUE;
            }
            return NUMBER_VALUE;
        }
        return DATE_VALUE;
    }

    public static Options parsePattern(String str) {
        Options options = new Options();
        Class<?> cls = null;
        int i = 0;
        char c = ' ';
        boolean z = false;
        while (true) {
            if (i >= str.length()) {
                break;
            }
            char charAt = str.charAt(i);
            if (!isValueCode(charAt)) {
                if (c != ' ') {
                    options.addOption(Option.builder(String.valueOf(c)).hasArg(cls != null).required(z).type(cls).build());
                    cls = null;
                    z = false;
                }
                c = charAt;
            } else if (charAt == '!') {
                z = true;
            } else {
                cls = (Class) getValueClass(charAt);
            }
            i++;
        }
        if (c != ' ') {
            options.addOption(Option.builder(String.valueOf(c)).hasArg(cls != null).required(z).type(cls).build());
        }
        return options;
    }
}
