package org.apache.commons.cli;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.Iterator;
import java.util.List;
@Deprecated
/* loaded from: classes.dex */
public class PosixParser extends Parser {
    private Option currentOption;
    private boolean eatTheRest;
    private Options options;
    private final List<String> tokens = new ArrayList();

    private void init() {
        this.eatTheRest = false;
        this.tokens.clear();
    }

    @Override // org.apache.commons.cli.Parser
    protected String[] flatten(Options options, String[] strArr, boolean z) throws ParseException {
        init();
        this.options = options;
        Iterator<String> it = Arrays.asList(strArr).iterator();
        while (it.hasNext()) {
            String next = it.next();
            if (HelpFormatter.DEFAULT_OPT_PREFIX.equals(next) || HelpFormatter.DEFAULT_LONG_OPT_PREFIX.equals(next)) {
                this.tokens.add(next);
            } else if (next.startsWith(HelpFormatter.DEFAULT_LONG_OPT_PREFIX)) {
                int indexOf = next.indexOf(61);
                String substring = indexOf == -1 ? next : next.substring(0, indexOf);
                List<String> matchingOptions = options.getMatchingOptions(substring);
                if (matchingOptions.isEmpty()) {
                    processNonOptionToken(next, z);
                } else if (matchingOptions.size() > 1) {
                    throw new AmbiguousOptionException(substring, matchingOptions);
                } else {
                    this.currentOption = options.getOption(matchingOptions.get(0));
                    List<String> list = this.tokens;
                    list.add(HelpFormatter.DEFAULT_LONG_OPT_PREFIX + this.currentOption.getLongOpt());
                    if (indexOf != -1) {
                        this.tokens.add(next.substring(indexOf + 1));
                    }
                }
            } else if (next.startsWith(HelpFormatter.DEFAULT_OPT_PREFIX)) {
                if (next.length() == 2 || options.hasOption(next)) {
                    processOptionToken(next, z);
                } else if (!options.getMatchingOptions(next).isEmpty()) {
                    List<String> matchingOptions2 = options.getMatchingOptions(next);
                    if (matchingOptions2.size() > 1) {
                        throw new AmbiguousOptionException(next, matchingOptions2);
                    }
                    Option option = options.getOption(matchingOptions2.get(0));
                    processOptionToken(HelpFormatter.DEFAULT_OPT_PREFIX + option.getLongOpt(), z);
                } else {
                    burstToken(next, z);
                }
            } else {
                processNonOptionToken(next, z);
            }
            gobble(it);
        }
        return (String[]) this.tokens.toArray(new String[this.tokens.size()]);
    }

    private void gobble(Iterator<String> it) {
        if (this.eatTheRest) {
            while (it.hasNext()) {
                this.tokens.add(it.next());
            }
        }
    }

    private void processNonOptionToken(String str, boolean z) {
        if (z && (this.currentOption == null || !this.currentOption.hasArg())) {
            this.eatTheRest = true;
            this.tokens.add(HelpFormatter.DEFAULT_LONG_OPT_PREFIX);
        }
        this.tokens.add(str);
    }

    private void processOptionToken(String str, boolean z) {
        if (z && !this.options.hasOption(str)) {
            this.eatTheRest = true;
        }
        if (this.options.hasOption(str)) {
            this.currentOption = this.options.getOption(str);
        }
        this.tokens.add(str);
    }

    protected void burstToken(String str, boolean z) {
        int i;
        for (int i2 = 1; i2 < str.length(); i2++) {
            String valueOf = String.valueOf(str.charAt(i2));
            if (!this.options.hasOption(valueOf)) {
                if (z) {
                    processNonOptionToken(str.substring(i2), true);
                    return;
                } else {
                    this.tokens.add(str);
                    return;
                }
            }
            List<String> list = this.tokens;
            list.add(HelpFormatter.DEFAULT_OPT_PREFIX + valueOf);
            this.currentOption = this.options.getOption(valueOf);
            if (this.currentOption.hasArg() && str.length() != (i = i2 + 1)) {
                this.tokens.add(str.substring(i));
                return;
            }
        }
    }
}
